-- BEGIN COPYRIGHT
-- *************************************************************************
-- 
--  Licensed Materials - Property of IBM
--  5725-C94, 5725-C95, 5725-C96
--  (C) Copyright IBM Corporation 2010, 2013. All Rights Reserved.
--  US Government Users Restricted Rights- Use, duplication or disclosure
--  restricted by GSA ADP Schedule Contract with IBM Corp.
-- 
-- *************************************************************************
-- END COPYRIGHT



    


		
/* START of phase UpgradeInitialDataToTeamworks7sp1 */
        
									
      						INSERT INTO @SCHEMA@.LSW_LOCK("LOCK_ID", "DESCRIPTION") VALUES('DEPLOYMENT_PKG_LOCK_KEY', 'Lock required for add a deployment package to lsw_deployment_package ')      
						
GO

						
      						update @SCHEMA@.LSW_TIME_SCHEDULE set EXCLUDE_HOLIDAY='T' where SCHEDULE_ID in (1 , 3 , 4)      
						
GO


							INSERT INTO @SCHEMA@.LSW_USR("USER_ID", "USER_NAME", "PASSWD", "FULL_NAME", "IS_DISABLED", "LAST_LOGIN_DATETIME", "OLD_PASSWORDS") 
								VALUES(7, 'tw_runtime_server', 'bx0QhdSSiBX5c', 'Internal Runtime user', 'F', '', 'bx0QhdSSiBX5c')							      						      
						
GO


							INSERT INTO @SCHEMA@.LSW_USR_XREF("USER_ID", "USER_NAME") VALUES(7, 'tw_runtime_server')							      						      
						
GO


		
/* END of phase UpgradeInitialDataToTeamworks7sp1 */
        
		
/* START of phase UpgradeProcSchemaToTeamworks7SP1 */
        
			DROP TABLE @SCHEMA@.LSW_BLUEPRINT_FOLDER_ATTRS
GO



			CREATE TABLE @SCHEMA@.LSW_DEPLOYMENT_PACKAGE (
"SNAPSHOT_ID" CHAR(36),
"SERVER_ID" CHAR(36) NOT NULL,
"DEPLOYMENT_PACKAGE" BLOB(2G)
)
GO


ALTER TABLE @SCHEMA@.LSW_DEPLOYMENT_PACKAGE
    ADD CONSTRAINT LSWC_DPLPKG_FK1
	FOREIGN KEY("SNAPSHOT_ID")
	REFERENCES @SCHEMA@.LSW_SNAPSHOT("SNAPSHOT_ID")
	
GO


ALTER TABLE @SCHEMA@.LSW_DEPLOYMENT_PACKAGE
    ADD CONSTRAINT LSWC_DPLPKG_FK2
	FOREIGN KEY("SERVER_ID")
	REFERENCES @SCHEMA@.LSW_SERVER("SERVER_ID")
	
GO


CREATE UNIQUE INDEX @SCHEMA@.LSWC_DPLPKG_UQ
    ON @SCHEMA@.LSW_DEPLOYMENT_PACKAGE(
        "SNAPSHOT_ID",
        "SERVER_ID")
    
GO

CREATE TABLE @SCHEMA@.LSW_BLUEPRINT_SUBSCRIPTION (
"BLUEPRINT_SUBSCRIPTION_ID" CHAR(36) NOT NULL,
"PROCESS_ID" VARCHAR( 100) NOT NULL,
"BLUEPRINT_ID" VARCHAR( 100) NOT NULL,
"ROOT_BPD_ID" CHAR(36) NOT NULL,
"ACCOUNT" VARCHAR( 1020),
"NAME" VARCHAR( 256) NOT NULL,
"DESCRIPTION" CLOB(2G),
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL
)
GO


ALTER TABLE @SCHEMA@.LSW_BLUEPRINT_SUBSCRIPTION ADD CONSTRAINT "PROCESS_ID" CHECK (CHARACTER_LENGTH("PROCESS_ID",CODEUNITS16) <= 25)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.LSW_BLUEPRINT_SUBSCRIPTION ADD CONSTRAINT "BLUEPRINT_ID" CHECK (CHARACTER_LENGTH("BLUEPRINT_ID",CODEUNITS16) <= 25)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.LSW_BLUEPRINT_SUBSCRIPTION ADD CONSTRAINT "ACCOUNT" CHECK (CHARACTER_LENGTH("ACCOUNT",CODEUNITS16) <= 255)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.LSW_BLUEPRINT_SUBSCRIPTION ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.LSW_BLUEPRINT_SUBSCRIPTION ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.LSW_BLUEPRINT_SUBSCRIPTION ADD CONSTRAINT LSWC_BPS_PK
    PRIMARY KEY("VERSION_ID")

GO


CREATE INDEX @SCHEMA@.LSWC_BPS_PK3
    ON @SCHEMA@.LSW_BLUEPRINT_SUBSCRIPTION("GUID")
    
GO


CREATE INDEX @SCHEMA@.LSWC_BPS_PK4
    ON @SCHEMA@.LSW_BLUEPRINT_SUBSCRIPTION("NAME")
    
GO


                            DROP INDEX @SCHEMA@.LSWC_GGXXREF_NU1
                        
GO


CREATE INDEX @SCHEMA@.LSWC_GGMXREF_NU1 
    ON @SCHEMA@.LSW_GRP_GRP_MEM_XREF(
    "CONTAINER_GROUP_ID")
    
GO


CREATE INDEX @SCHEMA@.LSWC_GGXXREF_NU1 
    ON @SCHEMA@.LSW_GRP_GRP_MEM_EXPLODED_XREF(
    "GROUP_ID")
    
GO


ALTER TABLE @SCHEMA@.LSW_PROCESS DROP CHECK "NAME"

GO


ALTER TABLE @SCHEMA@.LSW_PROCESS ALTER "NAME" SET DATA TYPE VARCHAR( 1020)
GO

 
ALTER TABLE @SCHEMA@.LSW_PROCESS ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 255)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


		
/* END of phase UpgradeProcSchemaToTeamworks7SP1 */
        
	
    

		
/* START of phase ProcUpgradeTo710 */
        
			
ALTER TABLE @SCHEMA@.LSW_USR DROP CHECK "PASSWD"

GO


ALTER TABLE @SCHEMA@.LSW_USR ALTER "PASSWD" SET DATA TYPE VARCHAR( 1000)
GO

 
ALTER TABLE @SCHEMA@.LSW_USR ADD CONSTRAINT "PASSWD" CHECK (CHARACTER_LENGTH("PASSWD",CODEUNITS16) <= 250)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.LSW_USR DROP CHECK "OLD_PASSWORDS"

GO


ALTER TABLE @SCHEMA@.LSW_USR ALTER "OLD_PASSWORDS" SET DATA TYPE VARCHAR( 8000)
GO

 
ALTER TABLE @SCHEMA@.LSW_USR ADD CONSTRAINT "OLD_PASSWORDS" CHECK (CHARACTER_LENGTH("OLD_PASSWORDS",CODEUNITS16) <= 2000)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


                     DROP INDEX @SCHEMA@.LSWC_IC_NUQ3
                 
GO

ALTER TABLE @SCHEMA@.LSW_IC DROP COLUMN NESTED_IC_ID
GO


ALTER TABLE @SCHEMA@.LSW_SERVER DROP CHECK "PROVIDER_URL"

GO


ALTER TABLE @SCHEMA@.LSW_SERVER ALTER "PROVIDER_URL" SET DATA TYPE VARCHAR( 2000)
GO

 
ALTER TABLE @SCHEMA@.LSW_SERVER ADD CONSTRAINT "PROVIDER_URL" CHECK (CHARACTER_LENGTH("PROVIDER_URL",CODEUNITS16) <= 500)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


		
/* END of phase ProcUpgradeTo710 */
        

		
/* START of phase UpdateTwRuntimeServerPassword */
        
									
      						UPDATE @SCHEMA@.LSW_USR set PASSWD='twGsuLIVc07yY' where USER_NAME='tw_runtime_server'      
						
GO


		
/* END of phase UpdateTwRuntimeServerPassword */
        

	
    

		
/* START of phase ProcUpgradeTo7101 */
        
			
ALTER  TABLE @SCHEMA@.LSW_SERVER 
ADD 
"INSTALLER_GROUP_ID" DECIMAL(12,0)
GO


ALTER TABLE @SCHEMA@.LSW_SERVER
    ADD CONSTRAINT LSWC_INSTL_GRP_FK
	FOREIGN KEY("INSTALLER_GROUP_ID")
	REFERENCES @SCHEMA@.LSW_USR_GRP_XREF("GROUP_ID")
	
GO


		
/* END of phase ProcUpgradeTo7101 */
        
	
    

		
/* START of phase ProcUpgradeTo720 */
        
			
ALTER TABLE @SCHEMA@.LSW_PROCESS_VARIABLE DROP CHECK "NAME"

GO


ALTER TABLE @SCHEMA@.LSW_PROCESS_VARIABLE ALTER "NAME" SET DATA TYPE VARCHAR( 1020)
GO

 
ALTER TABLE @SCHEMA@.LSW_PROCESS_VARIABLE ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 255)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.LSW_EXTACT_PARAMETER DROP CHECK "NAME"

GO


ALTER TABLE @SCHEMA@.LSW_EXTACT_PARAMETER ALTER "NAME" SET DATA TYPE VARCHAR( 1020)
GO

 
ALTER TABLE @SCHEMA@.LSW_EXTACT_PARAMETER ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 255)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


CREATE INDEX @SCHEMA@.IDX7_PO_VERSIONS 
    ON @SCHEMA@.LSW_PO_VERSIONS(
    "BRANCH_ID",
    "PO_VERSION_ID",
    "VERSION_SUMMARY_ID")
    
GO


ALTER TABLE @SCHEMA@.LSW_BPD_INSTANCE_VARIABLES DROP CHECK "VARIABLE_TYPE"

GO


ALTER TABLE @SCHEMA@.LSW_BPD_INSTANCE_VARIABLES ALTER "VARIABLE_TYPE" SET DATA TYPE VARCHAR( 256)
GO

 
ALTER TABLE @SCHEMA@.LSW_BPD_INSTANCE_VARIABLES ADD CONSTRAINT "VARIABLE_TYPE" CHECK (CHARACTER_LENGTH("VARIABLE_TYPE",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER  TABLE @SCHEMA@.LSW_USR_XREF 
ADD 
"FULL_NAME" VARCHAR( 1020)
GO


ALTER TABLE @SCHEMA@.LSW_USR_XREF ADD CONSTRAINT "FULL_NAME" CHECK (CHARACTER_LENGTH("FULL_NAME",CODEUNITS16) <= 255)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


							BEGIN ATOMIC
							UPDATE @SCHEMA@.LSW_USR_XREF x SET x.FULL_NAME=(SELECT u.FULL_NAME FROM @SCHEMA@.LSW_USR
							u WHERE u.USER_NAME=x.USER_NAME);
							UPDATE @SCHEMA@.LSW_USR_XREF x SET x.FULL_NAME=x.USER_NAME WHERE x.FULL_NAME IS
							NULL AND NOT EXISTS (SELECT 1 FROM @SCHEMA@.LSW_USR u WHERE
							u.USER_NAME=x.USER_NAME);
							END
						
GO

CREATE TABLE @SCHEMA@.LSW_CA_TEMPLATE (
"ID" DECIMAL(12,0) NOT NULL,
"NAME" VARCHAR( 512) NOT NULL,
"BPD_GUID" VARCHAR( 512) NOT NULL
)
GO


ALTER TABLE @SCHEMA@.LSW_CA_TEMPLATE ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.LSW_CA_TEMPLATE ADD CONSTRAINT "BPD_GUID" CHECK (CHARACTER_LENGTH("BPD_GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

GO

CREATE TABLE @SCHEMA@.LSW_CA_TEMPLATE_DATA (
"ID" DECIMAL(12,0) NOT NULL,
"CA_GUID" VARCHAR( 512) NOT NULL
)
GO


ALTER TABLE @SCHEMA@.LSW_CA_TEMPLATE_DATA ADD CONSTRAINT "CA_GUID" CHECK (CHARACTER_LENGTH("CA_GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.LSW_CA_TEMPLATE ADD CONSTRAINT LSWC_TEMPLATE_PK
    PRIMARY KEY("ID")

GO


CREATE INDEX @SCHEMA@.LSWC_TEMPLATE_PK4
    ON @SCHEMA@.LSW_CA_TEMPLATE("NAME")
    
GO


ALTER TABLE @SCHEMA@.LSW_CA_TEMPLATE_DATA
    ADD CONSTRAINT LSWC_TEMPLATE_FK
	FOREIGN KEY("ID")
	REFERENCES @SCHEMA@.LSW_CA_TEMPLATE("ID")
	
GO


ALTER  TABLE @SCHEMA@.LSW_BPD 
ADD 
"IS_CRITICAL_PATH_ENABLED" CHAR(1) DEFAULT 'T' NOT NULL
GO


ALTER TABLE @SCHEMA@.LSW_BLUEPRINT_SUBSCRIPTION ALTER "DESCRIPTION" SET DATA TYPE CLOB(2G)
GO


ALTER TABLE @SCHEMA@.LSW_BPD ALTER "DESCRIPTION" SET DATA TYPE CLOB(2G)
GO


ALTER TABLE @SCHEMA@.LSW_BPD_DOCUMENTS ALTER "DESCRIPTION" SET DATA TYPE CLOB(2G)
GO


ALTER TABLE @SCHEMA@.LSW_BPD_INSTANCE ALTER "ERROR" SET DATA TYPE CLOB(2G)
GO


ALTER TABLE @SCHEMA@.LSW_BPD_INSTANCE ALTER "ERROR_STACK_TRACE" SET DATA TYPE CLOB(2G)
GO


ALTER TABLE @SCHEMA@.LSW_BPD_INSTANCE_COMMENT ALTER "COMMENT" SET DATA TYPE CLOB(2G)
GO


ALTER TABLE @SCHEMA@.LSW_BPD_NOTIFICATION ALTER "ERROR" SET DATA TYPE CLOB(2G)
GO


ALTER TABLE @SCHEMA@.LSW_BPD_NOTIFICATION ALTER "ERROR_STACK_TRACE" SET DATA TYPE CLOB(2G)
GO


ALTER TABLE @SCHEMA@.LSW_BPD_PARAMETER ALTER "DOCUMENTATION" SET DATA TYPE CLOB(2G)
GO


ALTER TABLE @SCHEMA@.LSW_BRANCH ALTER "DESCRIPTION" SET DATA TYPE CLOB(2G)
GO


ALTER TABLE @SCHEMA@.LSW_CLASS ALTER "DESCRIPTION" SET DATA TYPE CLOB(2G)
GO


ALTER TABLE @SCHEMA@.LSW_COACH ALTER "LAYOUT_DATA" SET DATA TYPE CLOB(2G)
GO


ALTER TABLE @SCHEMA@.LSW_COACH_BUTTON ALTER "BUTTON_TEXT" SET DATA TYPE CLOB(2G)
GO


ALTER TABLE @SCHEMA@.LSW_CONNECTOR ALTER "DESCRIPTION" SET DATA TYPE CLOB(2G)
GO


ALTER TABLE @SCHEMA@.LSW_ENV_TYPE ALTER "DESCRIPTION" SET DATA TYPE CLOB(2G)
GO


ALTER TABLE @SCHEMA@.LSW_ENV_VAR ALTER "DESCRIPTION" SET DATA TYPE CLOB(2G)
GO


ALTER TABLE @SCHEMA@.LSW_ENV_VAR ALTER "DEFAULT_VALUE" SET DATA TYPE CLOB(2G)
GO


ALTER TABLE @SCHEMA@.LSW_ENV_VAR_DEFAULT ALTER "VALUE" SET DATA TYPE CLOB(2G)
GO


ALTER TABLE @SCHEMA@.LSW_ENV_VAR_SET ALTER "DESCRIPTION" SET DATA TYPE CLOB(2G)
GO


ALTER TABLE @SCHEMA@.LSW_ENV_VAR_VAL ALTER "VALUE" SET DATA TYPE CLOB(2G)
GO


ALTER TABLE @SCHEMA@.LSW_ENV_VAR_VAL ALTER "DESCRIPTION" SET DATA TYPE CLOB(2G)
GO


ALTER TABLE @SCHEMA@.LSW_EPV ALTER "DESCRIPTION" SET DATA TYPE CLOB(2G)
GO


ALTER TABLE @SCHEMA@.LSW_EPV ALTER "EXT_DESCRIPTION" SET DATA TYPE CLOB(2G)
GO


ALTER TABLE @SCHEMA@.LSW_EPV_VAR ALTER "EXT_DESCRIPTION" SET DATA TYPE CLOB(2G)
GO


ALTER TABLE @SCHEMA@.LSW_EPV_VAR_VALUE ALTER "VALUE" SET DATA TYPE CLOB(2G)
GO


ALTER TABLE @SCHEMA@.LSW_EPV_VAR_VALUE ALTER "REASON" SET DATA TYPE CLOB(2G)
GO


ALTER TABLE @SCHEMA@.LSW_EXCEPTION ALTER "MESSAGE" SET DATA TYPE CLOB(2G)
GO


ALTER TABLE @SCHEMA@.LSW_EXTACT_PARAMETER ALTER "DESCRIPTION" SET DATA TYPE CLOB(2G)
GO


ALTER TABLE @SCHEMA@.LSW_EXTERNAL_ACTIVITY ALTER "DESCRIPTION" SET DATA TYPE CLOB(2G)
GO


ALTER TABLE @SCHEMA@.LSW_HIST_SCENARIO ALTER "DESCRIPTION" SET DATA TYPE CLOB(2G)
GO


ALTER TABLE @SCHEMA@.LSW_IC ALTER "DESCRIPTION" SET DATA TYPE CLOB(2G)
GO


ALTER TABLE @SCHEMA@.LSW_IC_OUTPUT_PROPERTY ALTER "VALUE" SET DATA TYPE CLOB(2G)
GO


ALTER TABLE @SCHEMA@.LSW_INFOPATH_FORM ALTER "DESCRIPTION" SET DATA TYPE CLOB(2G)
GO


ALTER TABLE @SCHEMA@.LSW_LAYOUT ALTER "DESCRIPTION" SET DATA TYPE CLOB(2G)
GO


ALTER TABLE @SCHEMA@.LSW_MANAGED_ASSET ALTER "DESCRIPTION" SET DATA TYPE CLOB(2G)
GO


ALTER TABLE @SCHEMA@.LSW_METRIC ALTER "DESCRIPTION" SET DATA TYPE CLOB(2G)
GO


ALTER TABLE @SCHEMA@.LSW_ORG_CHART ALTER "DESCRIPTION" SET DATA TYPE CLOB(2G)
GO


ALTER TABLE @SCHEMA@.LSW_PARAMETER_MAPPING ALTER "DESCRIPTION" SET DATA TYPE CLOB(2G)
GO


ALTER TABLE @SCHEMA@.LSW_PARTICIPANT ALTER "DESCRIPTION" SET DATA TYPE CLOB(2G)
GO


ALTER TABLE @SCHEMA@.LSW_PRIORITY ALTER "DESCRIPTION" SET DATA TYPE CLOB(2G)
GO


ALTER TABLE @SCHEMA@.LSW_PROCESS ALTER "DESCRIPTION" SET DATA TYPE CLOB(2G)
GO


ALTER TABLE @SCHEMA@.LSW_PROCESS_ITEM ALTER "DOCUMENTATION" SET DATA TYPE CLOB(2G)
GO


ALTER TABLE @SCHEMA@.LSW_PROCESS_LABEL ALTER "DESCRIPTION" SET DATA TYPE CLOB(2G)
GO


ALTER TABLE @SCHEMA@.LSW_PROCESS_LINK ALTER "DESCRIPTION" SET DATA TYPE CLOB(2G)
GO


ALTER TABLE @SCHEMA@.LSW_PROCESS_PARAMETER ALTER "DESCRIPTION" SET DATA TYPE CLOB(2G)
GO


ALTER TABLE @SCHEMA@.LSW_PROCESS_VARIABLE ALTER "DESCRIPTION" SET DATA TYPE CLOB(2G)
GO


ALTER TABLE @SCHEMA@.LSW_PROJECT ALTER "DESCRIPTION" SET DATA TYPE CLOB(2G)
GO


ALTER TABLE @SCHEMA@.LSW_PROJECT_DEPENDENCY ALTER "DESCRIPTION" SET DATA TYPE CLOB(2G)
GO


ALTER TABLE @SCHEMA@.LSW_REPORT ALTER "DESCRIPTION" SET DATA TYPE CLOB(2G)
GO


ALTER TABLE @SCHEMA@.LSW_REPORT_CHART ALTER "DESCRIPTION" SET DATA TYPE CLOB(2G)
GO


ALTER TABLE @SCHEMA@.LSW_REPORT_DATASOURCE ALTER "DESCRIPTION" SET DATA TYPE CLOB(2G)
GO


ALTER TABLE @SCHEMA@.LSW_REPORT_PAGE ALTER "DESCRIPTION" SET DATA TYPE CLOB(2G)
GO


ALTER TABLE @SCHEMA@.LSW_REPORT_VARIABLES ALTER "DESCRIPTION" SET DATA TYPE CLOB(2G)
GO


ALTER TABLE @SCHEMA@.LSW_REPOSITORY_HISTORY ALTER "ERROR_DESCRIPTION" SET DATA TYPE CLOB(2G)
GO


ALTER TABLE @SCHEMA@.LSW_RESOURCE_BUNDLE_GROUP ALTER "DESCRIPTION" SET DATA TYPE CLOB(2G)
GO


ALTER TABLE @SCHEMA@.LSW_RESOURCE_BUNDLE_KEY ALTER "VALUE" SET DATA TYPE CLOB(2G)
GO


ALTER TABLE @SCHEMA@.LSW_SAVED_SEARCHES ALTER "QUERY" SET DATA TYPE CLOB(2G)
GO


ALTER TABLE @SCHEMA@.LSW_SCBD ALTER "DESCRIPTION" SET DATA TYPE CLOB(2G)
GO


ALTER TABLE @SCHEMA@.LSW_SERVER ALTER "DESCRIPTION" SET DATA TYPE CLOB(2G)
GO


ALTER TABLE @SCHEMA@.LSW_SIM_SCENARIO ALTER "DESCRIPTION" SET DATA TYPE CLOB(2G)
GO


ALTER TABLE @SCHEMA@.LSW_SLA ALTER "DESCRIPTION" SET DATA TYPE CLOB(2G)
GO


ALTER TABLE @SCHEMA@.LSW_SNAPSHOT ALTER "DESCRIPTION" SET DATA TYPE CLOB(2G)
GO


ALTER TABLE @SCHEMA@.LSW_TASK_ACTION ALTER "NARRATIVE_SCRIPT" SET DATA TYPE CLOB(2G)
GO


ALTER TABLE @SCHEMA@.LSW_TIMING_INTERVAL ALTER "DESCRIPTION" SET DATA TYPE CLOB(2G)
GO


ALTER TABLE @SCHEMA@.LSW_TRACKED_VARIABLE ALTER "DESCRIPTION" SET DATA TYPE CLOB(2G)
GO


ALTER TABLE @SCHEMA@.LSW_TRACKING_GROUP ALTER "DESCRIPTION" SET DATA TYPE CLOB(2G)
GO


ALTER TABLE @SCHEMA@.LSW_UCA ALTER "DESCRIPTION" SET DATA TYPE CLOB(2G)
GO


ALTER TABLE @SCHEMA@.LSW_USER_ATTRIBUTE_DEF ALTER "DESCRIPTION" SET DATA TYPE CLOB(2G)
GO


ALTER TABLE @SCHEMA@.LSW_WEB_SERVICE ALTER "DESCRIPTION" SET DATA TYPE CLOB(2G)
GO


ALTER TABLE @SCHEMA@.LSW_WEB_SERVICE_OP ALTER "DESCRIPTION" SET DATA TYPE CLOB(2G)
GO


							ALTER TABLE @SCHEMA@.LSW_RUNTIME_ERROR ADD COLUMN
							ERROR_MESSAGE_TMP CLOB(2G)
							GO
							UPDATE @SCHEMA@.LSW_RUNTIME_ERROR SET
							ERROR_MESSAGE_TMP = ERROR_MESSAGE
							GO
							ALTER TABLE @SCHEMA@.LSW_RUNTIME_ERROR
							DROP COLUMN ERROR_MESSAGE CASCADE
							GO
							ALTER TABLE @SCHEMA@.LSW_RUNTIME_ERROR RENAME COLUMN ERROR_MESSAGE_TMP TO
							ERROR_MESSAGE
							GO
							call sysproc.admin_cmd('reorg table
							@SCHEMA@.LSW_RUNTIME_ERROR')
						
GO


DROP TABLE @SCHEMA@.LSW_TASK_CUSTOM
GO


ALTER  TABLE @SCHEMA@.LSW_UCA
DROP 
"LAST_RUN_DATETIME" 
DROP 
"NEXT_RUN_DATETIME" 
GO


commit

GO



call sysproc.admin_cmd('reorg table @SCHEMA@.LSW_UCA')

GO


ALTER  TABLE @SCHEMA@.LSW_COACH 
ADD 
"XSL_REF" CHAR(36)
GO

CREATE TABLE @SCHEMA@.LSW_PROJECT_DEFAULTS (
"PROJECT_DEFAULTS_ID" CHAR(36) NOT NULL,
"NAME" VARCHAR( 256) NOT NULL,
"DESCRIPTION" CLOB(2G),
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL,
"DEFAULT_XSL_REF" CHAR(36),
"DEFAULT_CSS_REF" CHAR(36),
"DEFAULT_JS_REFS" VARCHAR( 8000)
)
GO


ALTER TABLE @SCHEMA@.LSW_PROJECT_DEFAULTS ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.LSW_PROJECT_DEFAULTS ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.LSW_PROJECT_DEFAULTS ADD CONSTRAINT "DEFAULT_JS_REFS" CHECK (CHARACTER_LENGTH("DEFAULT_JS_REFS",CODEUNITS16) <= 2000)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.LSW_PROJECT_DEFAULTS ADD CONSTRAINT LSWC_PRJ_DFTS_PK
    PRIMARY KEY("VERSION_ID")

GO


CREATE INDEX @SCHEMA@.LSWC_PRJ_DFTS_PK3
    ON @SCHEMA@.LSW_PROJECT_DEFAULTS("GUID")
    
GO


CREATE INDEX @SCHEMA@.LSWC_PRJ_DFTS_PK4
    ON @SCHEMA@.LSW_PROJECT_DEFAULTS("NAME")
    
GO

CREATE TABLE @SCHEMA@.LSW_ILOG_CONNECTOR (
"ILOG_CONNECTOR_ID" CHAR(36) NOT NULL,
"ATTACHED_PROCESS_REF" CHAR(36),
"DEFINITION" BLOB(2G) NOT NULL,
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
GO


ALTER TABLE @SCHEMA@.LSW_ILOG_CONNECTOR ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.LSW_ILOG_CONNECTOR ADD CONSTRAINT LSWC_ILNTR_PK
    PRIMARY KEY("VERSION_ID")

GO


CREATE INDEX @SCHEMA@.LSWC_ILNTR_PK3
    ON @SCHEMA@.LSW_ILOG_CONNECTOR("GUID")
    
GO


ALTER  TABLE @SCHEMA@.LSW_EPV_VAR_VALUE
DROP 
"EPV_VAR_REF" 
GO


commit

GO



call sysproc.admin_cmd('reorg table @SCHEMA@.LSW_EPV_VAR_VALUE')

GO


ALTER  TABLE @SCHEMA@.LSW_ENV_VAR_VAL
DROP 
"ENV_VAR_REF" 
GO


commit

GO



call sysproc.admin_cmd('reorg table @SCHEMA@.LSW_ENV_VAR_VAL')

GO


ALTER  TABLE @SCHEMA@.LSW_ENV_VAR_VAL 
ADD 
"BRANCH_ID" CHAR(36) 
ADD 
"TIP" CHAR(1) DEFAULT 'F'
GO


ALTER TABLE @SCHEMA@.LSW_DYNAMIC_GROUP_CONSTRAINT DROP CHECK "VALUE"

GO


ALTER TABLE @SCHEMA@.LSW_DYNAMIC_GROUP_CONSTRAINT ALTER "VALUE" SET DATA TYPE VARCHAR( 4000)
GO

 
ALTER TABLE @SCHEMA@.LSW_DYNAMIC_GROUP_CONSTRAINT ADD CONSTRAINT "VALUE" CHECK (CHARACTER_LENGTH("VALUE",CODEUNITS16) <= 1000)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.LSW_BPD_INSTANCE_VARIABLES DROP CHECK "STRING_VALUE"

GO


ALTER TABLE @SCHEMA@.LSW_BPD_INSTANCE_VARIABLES ALTER "STRING_VALUE" SET DATA TYPE VARCHAR( 4000)
GO

 
ALTER TABLE @SCHEMA@.LSW_BPD_INSTANCE_VARIABLES ADD CONSTRAINT "STRING_VALUE" CHECK (CHARACTER_LENGTH("STRING_VALUE",CODEUNITS16) <= 1000)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.LSW_BPD_DOCUMENTS DROP CHECK "FILENAME"

GO


ALTER TABLE @SCHEMA@.LSW_BPD_DOCUMENTS ALTER "FILENAME" SET DATA TYPE VARCHAR( 4000)
GO

 
ALTER TABLE @SCHEMA@.LSW_BPD_DOCUMENTS ADD CONSTRAINT "FILENAME" CHECK (CHARACTER_LENGTH("FILENAME",CODEUNITS16) <= 1000)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.LSW_BPD_INSTANCE_DOC_PROPS DROP CHECK "NAME"

GO


ALTER TABLE @SCHEMA@.LSW_BPD_INSTANCE_DOC_PROPS ALTER "NAME" SET DATA TYPE VARCHAR( 4000)
GO

 
ALTER TABLE @SCHEMA@.LSW_BPD_INSTANCE_DOC_PROPS ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 1000)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.LSW_BPD_INSTANCE_DOC_PROPS DROP CHECK "VALUE"

GO


ALTER TABLE @SCHEMA@.LSW_BPD_INSTANCE_DOC_PROPS ALTER "VALUE" SET DATA TYPE VARCHAR( 4000)
GO

 
ALTER TABLE @SCHEMA@.LSW_BPD_INSTANCE_DOC_PROPS ADD CONSTRAINT "VALUE" CHECK (CHARACTER_LENGTH("VALUE",CODEUNITS16) <= 1000)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.LSW_BPD_INSTANCE_DOCUMENTS DROP CHECK "FILENAME"

GO


ALTER TABLE @SCHEMA@.LSW_BPD_INSTANCE_DOCUMENTS ALTER "FILENAME" SET DATA TYPE VARCHAR( 4000)
GO

 
ALTER TABLE @SCHEMA@.LSW_BPD_INSTANCE_DOCUMENTS ADD CONSTRAINT "FILENAME" CHECK (CHARACTER_LENGTH("FILENAME",CODEUNITS16) <= 1000)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.LSW_USR_ATTR DROP CHECK "ATTR_VALUE"

GO


ALTER TABLE @SCHEMA@.LSW_USR_ATTR ALTER "ATTR_VALUE" SET DATA TYPE VARCHAR( 4000)
GO

 
ALTER TABLE @SCHEMA@.LSW_USR_ATTR ADD CONSTRAINT "ATTR_VALUE" CHECK (CHARACTER_LENGTH("ATTR_VALUE",CODEUNITS16) <= 1000)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.LSW_PARTICIPANT DROP CHECK "PARTICIPANT_DEFINITION"

GO


ALTER TABLE @SCHEMA@.LSW_PARTICIPANT ALTER "PARTICIPANT_DEFINITION" SET DATA TYPE VARCHAR( 4000)
GO

 
ALTER TABLE @SCHEMA@.LSW_PARTICIPANT ADD CONSTRAINT "PARTICIPANT_DEFINITION" CHECK (CHARACTER_LENGTH("PARTICIPANT_DEFINITION",CODEUNITS16) <= 1000)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.LSW_EM_TASK DROP CHECK "TASK_ARGUMENTS_STR"

GO


ALTER TABLE @SCHEMA@.LSW_EM_TASK ALTER "TASK_ARGUMENTS_STR" SET DATA TYPE VARCHAR( 4000)
GO

 
ALTER TABLE @SCHEMA@.LSW_EM_TASK ADD CONSTRAINT "TASK_ARGUMENTS_STR" CHECK (CHARACTER_LENGTH("TASK_ARGUMENTS_STR",CODEUNITS16) <= 1000)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.LSW_REPORT_DS_LAYOUT_LINK DROP CHECK "DEFAULT_VALUE"

GO


ALTER TABLE @SCHEMA@.LSW_REPORT_DS_LAYOUT_LINK ALTER "DEFAULT_VALUE" SET DATA TYPE VARCHAR( 4000)
GO

 
ALTER TABLE @SCHEMA@.LSW_REPORT_DS_LAYOUT_LINK ADD CONSTRAINT "DEFAULT_VALUE" CHECK (CHARACTER_LENGTH("DEFAULT_VALUE",CODEUNITS16) <= 1000)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.LSW_REPORT_VARIABLES DROP CHECK "VALUE"

GO


ALTER TABLE @SCHEMA@.LSW_REPORT_VARIABLES ALTER "VALUE" SET DATA TYPE VARCHAR( 4000)
GO

 
ALTER TABLE @SCHEMA@.LSW_REPORT_VARIABLES ADD CONSTRAINT "VALUE" CHECK (CHARACTER_LENGTH("VALUE",CODEUNITS16) <= 1000)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.LSW_BREAKPOINT DROP CHECK "CONDITION"

GO


ALTER TABLE @SCHEMA@.LSW_BREAKPOINT ALTER "CONDITION" SET DATA TYPE VARCHAR( 4000)
GO

 
ALTER TABLE @SCHEMA@.LSW_BREAKPOINT ADD CONSTRAINT "CONDITION" CHECK (CHARACTER_LENGTH("CONDITION",CODEUNITS16) <= 1000)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.LSW_LAUNCHER DROP CHECK "CMD"

GO


ALTER TABLE @SCHEMA@.LSW_LAUNCHER ALTER "CMD" SET DATA TYPE VARCHAR( 4000)
GO

 
ALTER TABLE @SCHEMA@.LSW_LAUNCHER ADD CONSTRAINT "CMD" CHECK (CHARACTER_LENGTH("CMD",CODEUNITS16) <= 1000)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.LSW_IC_OUTPUT_PROPERTY DROP CHECK "NAME"

GO


ALTER TABLE @SCHEMA@.LSW_IC_OUTPUT_PROPERTY ALTER "NAME" SET DATA TYPE VARCHAR( 4000)
GO

 
ALTER TABLE @SCHEMA@.LSW_IC_OUTPUT_PROPERTY ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 1000)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.LSW_IC_OUTPUT_PROPERTY DROP CHECK "KEY_VAL"

GO


ALTER TABLE @SCHEMA@.LSW_IC_OUTPUT_PROPERTY ALTER "KEY_VAL" SET DATA TYPE VARCHAR( 4000)
GO

 
ALTER TABLE @SCHEMA@.LSW_IC_OUTPUT_PROPERTY ADD CONSTRAINT "KEY_VAL" CHECK (CHARACTER_LENGTH("KEY_VAL",CODEUNITS16) <= 1000)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.LSW_UCA_PARM DROP CHECK "PARM_VALUE"

GO


ALTER TABLE @SCHEMA@.LSW_UCA_PARM ALTER "PARM_VALUE" SET DATA TYPE VARCHAR( 4000)
GO

 
ALTER TABLE @SCHEMA@.LSW_UCA_PARM ADD CONSTRAINT "PARM_VALUE" CHECK (CHARACTER_LENGTH("PARM_VALUE",CODEUNITS16) <= 1000)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.LSW_IC_INPUT_PROPERTY DROP CHECK "KEY_VAL"

GO


ALTER TABLE @SCHEMA@.LSW_IC_INPUT_PROPERTY ALTER "KEY_VAL" SET DATA TYPE VARCHAR( 4000)
GO

 
ALTER TABLE @SCHEMA@.LSW_IC_INPUT_PROPERTY ADD CONSTRAINT "KEY_VAL" CHECK (CHARACTER_LENGTH("KEY_VAL",CODEUNITS16) <= 1000)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.LSW_IC_INPUT_PROPERTY DROP CHECK "NAME"

GO


ALTER TABLE @SCHEMA@.LSW_IC_INPUT_PROPERTY ALTER "NAME" SET DATA TYPE VARCHAR( 4000)
GO

 
ALTER TABLE @SCHEMA@.LSW_IC_INPUT_PROPERTY ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 1000)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.LSW_SWITCH_CONDITION DROP CHECK "CONDITION"

GO


ALTER TABLE @SCHEMA@.LSW_SWITCH_CONDITION ALTER "CONDITION" SET DATA TYPE VARCHAR( 4000)
GO

 
ALTER TABLE @SCHEMA@.LSW_SWITCH_CONDITION ADD CONSTRAINT "CONDITION" CHECK (CHARACTER_LENGTH("CONDITION",CODEUNITS16) <= 1000)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.LSW_FAVORITE DROP CHECK "NAME"

GO


ALTER TABLE @SCHEMA@.LSW_FAVORITE ALTER "NAME" SET DATA TYPE VARCHAR( 4000)
GO

 
ALTER TABLE @SCHEMA@.LSW_FAVORITE ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 1000)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


							ALTER TABLE @SCHEMA@.LSW_EM_TASK_HISTORY ADD COLUMN
							ERROR_MESSAGE_TMP CLOB(2G)
							GO
							UPDATE @SCHEMA@.LSW_EM_TASK_HISTORY SET
							ERROR_MESSAGE_TMP = ERROR_MESSAGE
							GO
							ALTER TABLE
							LSW_EM_TASK_HISTORY DROP COLUMN ERROR_MESSAGE CASCADE
							GO
							ALTER TABLE @SCHEMA@.LSW_EM_TASK_HISTORY RENAME COLUMN ERROR_MESSAGE_TMP TO
							ERROR_MESSAGE
							GO
							call sysproc.admin_cmd('reorg table
							@SCHEMA@.LSW_EM_TASK_HISTORY')
						
GO


							ALTER TABLE @SCHEMA@.LSW_PROCESS_ITEM ADD COLUMN
							TRACE_MESSAGE_TMP CLOB(2G)
							GO
							UPDATE @SCHEMA@.LSW_PROCESS_ITEM SET
							TRACE_MESSAGE_TMP = TRACE_MESSAGE
							GO
							ALTER TABLE @SCHEMA@.LSW_PROCESS_ITEM
							DROP COLUMN TRACE_MESSAGE CASCADE
							GO
							ALTER TABLE @SCHEMA@.LSW_PROCESS_ITEM RENAME COLUMN TRACE_MESSAGE_TMP TO
							TRACE_MESSAGE
							GO
							call sysproc.admin_cmd('reorg table
							@SCHEMA@.LSW_PROCESS_ITEM')
						
GO


							ALTER TABLE @SCHEMA@.LSW_USR ADD COLUMN OLD_PASSWORDS_TMP
							CLOB(2G)
							GO
							UPDATE @SCHEMA@.LSW_USR SET OLD_PASSWORDS_TMP = OLD_PASSWORDS
							GO
							ALTER TABLE @SCHEMA@.LSW_USR DROP COLUMN OLD_PASSWORDS CASCADE
							GO
							ALTER TABLE @SCHEMA@.LSW_USR RENAME COLUMN OLD_PASSWORDS_TMP TO OLD_PASSWORDS
							GO
							call sysproc.admin_cmd('reorg table @SCHEMA@.LSW_USR')
						
GO


                            DROP INDEX @SCHEMA@.IDX_SHORT_NAME
                        
GO


CREATE INDEX @SCHEMA@.IDX_SHORT_NAME 
    ON @SCHEMA@.LSW_PROJECT(
    "SHORT_NAME")
    
GO

CREATE TABLE @SCHEMA@.LSW_ENV_VAR_TYPE (
"ENV_VAR_TYPE_ID" DECIMAL(2,0) NOT NULL,
"NAME" VARCHAR( 256) NOT NULL,
"DESCRIPTION" CLOB(2G)
)
GO


ALTER TABLE @SCHEMA@.LSW_ENV_VAR_TYPE ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.LSW_ENV_VAR_TYPE ADD CONSTRAINT LSWC_ENV_VART_PK
    PRIMARY KEY("ENV_VAR_TYPE_ID")

GO


CREATE INDEX @SCHEMA@.LSWC_ENV_VART_PK4
    ON @SCHEMA@.LSW_ENV_VAR_TYPE("NAME")
    
GO


ALTER  TABLE @SCHEMA@.LSW_ENV_VAR 
ADD 
"ENV_VAR_TYPE_ID" DECIMAL(2,0) DEFAULT 0 NOT NULL
GO


GO

CREATE TABLE @SCHEMA@.LSW_REPORT_RBG_LINK (
"VERSION_ID" CHAR(36) NOT NULL,
"GUID" VARCHAR( 512) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL,
"RBG_REF" CHAR(36) NOT NULL,
"REPORT_ID" CHAR(36) NOT NULL,
"REPORT_RBG_LINK_ID" CHAR(36) NOT NULL
)
GO


ALTER TABLE @SCHEMA@.LSW_REPORT_RBG_LINK ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.LSW_REPORT_RBG_LINK ADD CONSTRAINT LSWC_REP_RBG_PK
    PRIMARY KEY("VERSION_ID")

GO


CREATE INDEX @SCHEMA@.LSWC_REP_RBG_PK3
    ON @SCHEMA@.LSW_REPORT_RBG_LINK("GUID")
    
GO


		
/* END of phase ProcUpgradeTo720 */
        

		
/* START of phase UpgradeInitialDataToTeamworks720 */
        
			
							BEGIN ATOMIC
							INSERT INTO @SCHEMA@.LSW_USR_GRP_XREF
							(GROUP_ID,GROUP_NAME,DISPLAY_NAME,PARENT_GROUP_ID,GROUP_TYPE,DESCRIPTION)
							VALUES(16, 'allusers_temp', 'tw_allusers', null, 3, 'Group for
							all people.');
							UPDATE @SCHEMA@.LSW_USR_GRP_XREF SET PARENT_GROUP_ID = 16 WHERE PARENT_GROUP_ID
							= 14;

							UPDATE @SCHEMA@.LSW_FAVORITE SET GROUP_ID = 16 WHERE GROUP_ID = 14;
							UPDATE @SCHEMA@.LSW_PARTICIPANT_GROUP SET GROUP_ID = 16 WHERE GROUP_ID = 14;
							UPDATE @SCHEMA@.LSW_USR_GRP_MEM_XREF SET GROUP_ID = 16 WHERE GROUP_ID =
							14;

							UPDATE @SCHEMA@.LSW_GRP_GRP_MEM_XREF SET GROUP_ID = 16 WHERE GROUP_ID = 14;
							UPDATE @SCHEMA@.LSW_GRP_GRP_MEM_XREF SET CONTAINER_GROUP_ID = 16 WHERE
							CONTAINER_GROUP_ID = 14;

							UPDATE @SCHEMA@.LSW_GRP_GRP_MEM_EXPLODED_XREF SET GROUP_ID = 16 WHERE GROUP_ID =
							14;
							UPDATE @SCHEMA@.LSW_GRP_GRP_MEM_EXPLODED_XREF SET CONTAINER_GROUP_ID = 16 WHERE
							CONTAINER_GROUP_ID = 14;
							UPDATE @SCHEMA@.LSW_GRP_GRP_MEM_EXPLODED_XREF SET MEM_PATH = REPLACE(MEM_PATH,
							'#14#', '#16#');

							DELETE FROM @SCHEMA@.LSW_USR_GRP_XREF WHERE GROUP_ID = 14;
							UPDATE @SCHEMA@.LSW_USR_GRP_XREF SET GROUP_NAME = 'tw_allusers' WHERE GROUP_NAME
							= 'allusers_temp';

							UPDATE @SCHEMA@.LSW_TASK SET GROUP_ID = 16 WHERE GROUP_ID = 14;
							UPDATE @SCHEMA@.LSW_TASK SET GROUP_ID = -16 WHERE GROUP_ID = -14;
							END
						
GO


							BEGIN ATOMIC
							INSERT INTO @SCHEMA@.LSW_ENV_VAR_TYPE (ENV_VAR_TYPE_ID,NAME,DESCRIPTION)
							VALUES(0, '0', 'General');
							INSERT INTO @SCHEMA@.LSW_ENV_VAR_TYPE (ENV_VAR_TYPE_ID,NAME,DESCRIPTION)
							VALUES(1, '1', 'ILOG Rules Server');
							INSERT INTO @SCHEMA@.LSW_ENV_VAR_TYPE (ENV_VAR_TYPE_ID,NAME,DESCRIPTION)
							VALUES(2, '2', 'ICI Web Service URL');
							INSERT INTO @SCHEMA@.LSW_ENV_VAR_TYPE (ENV_VAR_TYPE_ID,NAME,DESCRIPTION)
							VALUES(3, '3', 'ICI Connector Name');
							END
						
GO


							BEGIN ATOMIC
							UPDATE @SCHEMA@.LSW_SAVED_SEARCHES SET SEARCH_NAME='portal.savedsearch.inbox'
							WHERE SEARCH_ID=1;
							UPDATE @SCHEMA@.LSW_SAVED_SEARCHES SET SEARCH_NAME='portal.savedsearch.history'
							WHERE SEARCH_ID=2;
							UPDATE @SCHEMA@.LSW_SAVED_SEARCHES SET
							SEARCH_NAME='portal.savedsearch.help_reqs' WHERE SEARCH_ID=3;
							UPDATE @SCHEMA@.LSW_SAVED_SEARCHES SET
							SEARCH_NAME='portal.savedsearch.alerts' WHERE SEARCH_ID=4;
							END
						
GO


ALTER TABLE @SCHEMA@.LSW_BPD_INSTANCE_VARIABLES DROP CHECK "STRING_VALUE"

GO


ALTER TABLE @SCHEMA@.LSW_BPD_INSTANCE_VARIABLES ALTER "STRING_VALUE" SET DATA TYPE VARCHAR( 2048)
GO

 
ALTER TABLE @SCHEMA@.LSW_BPD_INSTANCE_VARIABLES ADD CONSTRAINT "STRING_VALUE" CHECK (CHARACTER_LENGTH("STRING_VALUE",CODEUNITS16) <= 512)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


							BEGIN ATOMIC
							INSERT INTO @SCHEMA@.LSW_USR_GRP_XREF(GROUP_ID, GROUP_NAME, DISPLAY_NAME,
							PARENT_GROUP_ID, GROUP_TYPE, DESCRIPTION)
							VALUES(15, 'tw_process_owners', 'tw_process_owners', null, 3, 'Group for
							people with full access to critical path');
							INSERT INTO @SCHEMA@.LSW_USR_GRP_MEM_XREF(USER_ID, GROUP_ID) VALUES(1, 15);
							END
						
GO


		
/* END of phase UpgradeInitialDataToTeamworks720 */
        

		
/* START of phase UpgradeProjectOwnerToTeamworks720 */
        
			
							BEGIN ATOMIC
							UPDATE @SCHEMA@.LSW_ACL_ENTRY SET USER_ID=2 WHERE USER_ID=1 AND PO_TYPE=2066 AND
							PO_ID='23d3ecec-6fdb-4033-9c57-e931aa13761f' AND MASK=127;
							UPDATE @SCHEMA@.LSW_ACL_ENTRY SET USER_ID=2 WHERE USER_ID=1 AND PO_TYPE=2066 AND
							PO_ID='14519785-cbb2-466e-a744-99c47aff98c5' AND MASK=127;
							END
						
GO


		
/* END of phase UpgradeProjectOwnerToTeamworks720 */
        
	
    

		
/* START of phase ProcUpgradeTo750 */
        
			
ALTER  TABLE @SCHEMA@.LSW_JAVA_CONNECTOR
DROP 
"ATTACHED_PROCESS_REF" 
GO


commit

GO



call sysproc.admin_cmd('reorg table @SCHEMA@.LSW_JAVA_CONNECTOR')

GO


ALTER  TABLE @SCHEMA@.LSW_WS_CONNECTOR
DROP 
"ATTACHED_PROCESS_REF" 
GO


commit

GO



call sysproc.admin_cmd('reorg table @SCHEMA@.LSW_WS_CONNECTOR')

GO


ALTER  TABLE @SCHEMA@.LSW_ILOG_CONNECTOR
DROP 
"ATTACHED_PROCESS_REF" 
GO


commit

GO



call sysproc.admin_cmd('reorg table @SCHEMA@.LSW_ILOG_CONNECTOR')

GO

CREATE TABLE @SCHEMA@.LSW_SCA_CONNECTOR (
"SCA_CONNECTOR_ID" CHAR(36) NOT NULL,
"MODULE_NAME" VARCHAR( 1024),
"EXPORT_NAME" VARCHAR( 1024),
"MODULE_VERSION" VARCHAR( 128),
"OPERATION_NAME" VARCHAR( 1024),
"IS_ASYNC_INVOCATION" CHAR(1),
"OPERATION_STYLE" DECIMAL(1,0),
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
GO


ALTER TABLE @SCHEMA@.LSW_SCA_CONNECTOR ADD CONSTRAINT "MODULE_NAME" CHECK (CHARACTER_LENGTH("MODULE_NAME",CODEUNITS16) <= 256)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.LSW_SCA_CONNECTOR ADD CONSTRAINT "EXPORT_NAME" CHECK (CHARACTER_LENGTH("EXPORT_NAME",CODEUNITS16) <= 256)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.LSW_SCA_CONNECTOR ADD CONSTRAINT "MODULE_VERSION" CHECK (CHARACTER_LENGTH("MODULE_VERSION",CODEUNITS16) <= 32)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.LSW_SCA_CONNECTOR ADD CONSTRAINT "OPERATION_NAME" CHECK (CHARACTER_LENGTH("OPERATION_NAME",CODEUNITS16) <= 256)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.LSW_SCA_CONNECTOR ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.LSW_SCA_CONNECTOR ADD CONSTRAINT LSWC_SCNTR_PK
    PRIMARY KEY("VERSION_ID")

GO


CREATE INDEX @SCHEMA@.LSWC_SCNTR_PK3
    ON @SCHEMA@.LSW_SCA_CONNECTOR("GUID")
    
GO


ALTER  TABLE @SCHEMA@.LSW_PROJECT_DEFAULTS 
ADD 
"NAMESPACE" VARCHAR( 1024) 
ADD 
"IS_WBM_ENABLED" CHAR(1) DEFAULT 'F' 
ADD 
"IS_IID_OPTIMIZED" CHAR(1) DEFAULT 'F'
GO


ALTER TABLE @SCHEMA@.LSW_PROJECT_DEFAULTS ADD CONSTRAINT "NAMESPACE" CHECK (CHARACTER_LENGTH("NAMESPACE",CODEUNITS16) <= 256)  ENFORCED ENABLE QUERY OPTIMIZATION

GO

CREATE TABLE @SCHEMA@.BPM_CONTRIBUTION (
"CONTRIBUTION_ID" CHAR(36) NOT NULL,
"NAME" VARCHAR( 256) NOT NULL,
"DESCRIPTION" CLOB(2G),
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"CREATED_BY_USER_ID" DECIMAL(12,0) NOT NULL,
"CREATED_ON" TIMESTAMP NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL,
"FILENAME" VARCHAR( 4096) DEFAULT ' ' NOT NULL
)
GO


ALTER TABLE @SCHEMA@.BPM_CONTRIBUTION ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.BPM_CONTRIBUTION ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.BPM_CONTRIBUTION ADD CONSTRAINT "FILENAME" CHECK (CHARACTER_LENGTH("FILENAME",CODEUNITS16) <= 1024)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.BPM_CONTRIBUTION ADD CONSTRAINT BPM_NODE_PK
    PRIMARY KEY("VERSION_ID")

GO


CREATE INDEX @SCHEMA@.BPM_NODE_PK3
    ON @SCHEMA@.BPM_CONTRIBUTION("GUID")
    
GO


CREATE INDEX @SCHEMA@.BPM_IDX_NODE 
    ON @SCHEMA@.BPM_CONTRIBUTION(
    "CONTRIBUTION_ID")
    
GO


CREATE INDEX @SCHEMA@.BPM_IDX2_NODE 
    ON @SCHEMA@.BPM_CONTRIBUTION(
    "NAME")
    
GO

CREATE TABLE @SCHEMA@.BPM_CTRB_PROPERTY (
"PROPERTY_ID" CHAR(36) NOT NULL,
"CONTRIBUTION_ID" CHAR(36) NOT NULL,
"PROP_VALUE" VARCHAR( 4000),
"PROP_TYPE_CODE" DECIMAL(8,0) NOT NULL,
"NAME" VARCHAR( 256) NOT NULL,
"DESCRIPTION" CLOB(2G),
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
GO


ALTER TABLE @SCHEMA@.BPM_CTRB_PROPERTY ADD CONSTRAINT "PROP_VALUE" CHECK (CHARACTER_LENGTH("PROP_VALUE",CODEUNITS16) <= 1000)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.BPM_CTRB_PROPERTY ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.BPM_CTRB_PROPERTY ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.BPM_CTRB_PROPERTY ADD CONSTRAINT BPM_CPRP_PK
    PRIMARY KEY("VERSION_ID")

GO


CREATE INDEX @SCHEMA@.BPM_CPRP_PK3
    ON @SCHEMA@.BPM_CTRB_PROPERTY("GUID")
    
GO


CREATE INDEX @SCHEMA@.BPM_CPRP_NUQ 
    ON @SCHEMA@.BPM_CTRB_PROPERTY(
    "CONTRIBUTION_ID",
    "VERSION_ID")
    
GO


CREATE INDEX @SCHEMA@.BPM_IDX_CPRP 
    ON @SCHEMA@.BPM_CTRB_PROPERTY(
    "NAME")
    
GO

CREATE TABLE @SCHEMA@.BPM_CTRB_DEPENDENCY (
"CTRB_DEPENDENCY_ID" CHAR(36) NOT NULL,
"LIBRARY_NAME" VARCHAR( 4096) NOT NULL,
"CONTRIBUTION_ID" CHAR(36) NOT NULL,
"CONTRIBUTION_REF" CHAR(36),
"DEPLOY_WITH" CHAR(1) DEFAULT 'T' NOT NULL,
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
GO


ALTER TABLE @SCHEMA@.BPM_CTRB_DEPENDENCY ADD CONSTRAINT "LIBRARY_NAME" CHECK (CHARACTER_LENGTH("LIBRARY_NAME",CODEUNITS16) <= 1024)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.BPM_CTRB_DEPENDENCY ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.BPM_CTRB_DEPENDENCY ADD CONSTRAINT BPM_CDEP_PK
    PRIMARY KEY("VERSION_ID")

GO


CREATE INDEX @SCHEMA@.BPM_CDEP_PK3
    ON @SCHEMA@.BPM_CTRB_DEPENDENCY("GUID")
    
GO


CREATE INDEX @SCHEMA@.BPM_CDEP_NUQ 
    ON @SCHEMA@.BPM_CTRB_DEPENDENCY(
    "CONTRIBUTION_ID",
    "VERSION_ID")
    
GO

CREATE TABLE @SCHEMA@.BPM_ARTIFACT (
"ARTIFACT_ID" CHAR(36) NOT NULL,
"ART_DATA_UUID" CHAR(36),
"CONTRIBUTION_ID" CHAR(36) NOT NULL,
"MEDIA_TYPE" VARCHAR( 400) DEFAULT 'application/octet-stream',
"CHAR_ENCODING" VARCHAR( 400) DEFAULT 'UTF-8',
"LENGTH" DECIMAL(19,0),
"FULL_PATH" VARCHAR( 4096) NOT NULL,
"DIGEST" VARCHAR( 180) NOT NULL,
"NAME" VARCHAR( 256) NOT NULL,
"DESCRIPTION" CLOB(2G),
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"CREATED_BY_USER_ID" DECIMAL(12,0) NOT NULL,
"CREATED_ON" TIMESTAMP NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
GO


ALTER TABLE @SCHEMA@.BPM_ARTIFACT ADD CONSTRAINT "MEDIA_TYPE" CHECK (CHARACTER_LENGTH("MEDIA_TYPE",CODEUNITS16) <= 100)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.BPM_ARTIFACT ADD CONSTRAINT "CHAR_ENCODING" CHECK (CHARACTER_LENGTH("CHAR_ENCODING",CODEUNITS16) <= 100)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.BPM_ARTIFACT ADD CONSTRAINT "FULL_PATH" CHECK (CHARACTER_LENGTH("FULL_PATH",CODEUNITS16) <= 1024)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.BPM_ARTIFACT ADD CONSTRAINT "DIGEST" CHECK (CHARACTER_LENGTH("DIGEST",CODEUNITS16) <= 45)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.BPM_ARTIFACT ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.BPM_ARTIFACT ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.BPM_ARTIFACT ADD CONSTRAINT BPM_NPRP_PK
    PRIMARY KEY("VERSION_ID")

GO


CREATE INDEX @SCHEMA@.BPM_NPRP_PK3
    ON @SCHEMA@.BPM_ARTIFACT("GUID")
    
GO


CREATE INDEX @SCHEMA@.BPM_IDX_ART 
    ON @SCHEMA@.BPM_ARTIFACT(
    "ARTIFACT_ID")
    
GO


CREATE INDEX @SCHEMA@.BPM_IDX2_ART 
    ON @SCHEMA@.BPM_ARTIFACT(
    "NAME")
    
GO


CREATE INDEX @SCHEMA@.BPM_IDX3_ART 
    ON @SCHEMA@.BPM_ARTIFACT(
    "FULL_PATH")
    
GO

CREATE TABLE @SCHEMA@.BPM_ARTIFACT_DATA (
"ART_DATA_ID" CHAR(36) NOT NULL,
"ART_DATA" BLOB(2G)
)
GO


ALTER TABLE @SCHEMA@.BPM_ARTIFACT_DATA ADD CONSTRAINT BPM_ART_DATA_PK
    PRIMARY KEY("ART_DATA_ID")

GO

CREATE TABLE @SCHEMA@.BPM_PROC_ARTIFACT_REF (
"PROC_ARTIFACT_REF_ID" CHAR(36) NOT NULL,
"PROCESS_ID" CHAR(36) NOT NULL,
"ARTIFACT_REF" CHAR(36) NOT NULL,
"ARTIFACT_ID" CHAR(36) NOT NULL,
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
GO


ALTER TABLE @SCHEMA@.BPM_PROC_ARTIFACT_REF ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.BPM_PROC_ARTIFACT_REF ADD CONSTRAINT BPM_PAREF_PK
    PRIMARY KEY("VERSION_ID")

GO


CREATE INDEX @SCHEMA@.BPM_PAREF_PK3
    ON @SCHEMA@.BPM_PROC_ARTIFACT_REF("GUID")
    
GO


CREATE INDEX @SCHEMA@.BPM_PAREF_NUQ 
    ON @SCHEMA@.BPM_PROC_ARTIFACT_REF(
    "PROCESS_ID",
    "ARTIFACT_ID",
    "VERSION_ID")
    
GO


ALTER  TABLE @SCHEMA@.LSW_SNAPSHOT 
ADD 
"IS_STARTED" CHAR(1) DEFAULT 'F' NOT NULL 
ADD 
"IS_BLA_ACTIVE" CHAR(1) DEFAULT 'F' NOT NULL 
ADD 
"IS_BLA_INSTALLED" CHAR(1) DEFAULT 'F' NOT NULL 
ADD 
"IS_TIP_DEPLOYED" CHAR(1) DEFAULT 'F' NOT NULL 
ADD 
"ACRONYM" VARCHAR( 256)
GO


ALTER TABLE @SCHEMA@.LSW_SNAPSHOT ADD CONSTRAINT "ACRONYM" CHECK (CHARACTER_LENGTH("ACRONYM",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

GO

CREATE TABLE @SCHEMA@.BPM_CLS_ARTIFACT_REF (
"CLS_ARTIFACT_REF_ID" CHAR(36) NOT NULL,
"CLASS_ID" CHAR(36) NOT NULL,
"ARTIFACT_REF" CHAR(36) NOT NULL,
"ARTIFACT_ID" CHAR(36) NOT NULL,
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
GO


ALTER TABLE @SCHEMA@.BPM_CLS_ARTIFACT_REF ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.BPM_CLS_ARTIFACT_REF ADD CONSTRAINT BPM_CAREF_PK
    PRIMARY KEY("VERSION_ID")

GO


CREATE INDEX @SCHEMA@.BPM_CAREF_PK3
    ON @SCHEMA@.BPM_CLS_ARTIFACT_REF("GUID")
    
GO


CREATE INDEX @SCHEMA@.BPM_CAREF_NUQ 
    ON @SCHEMA@.BPM_CLS_ARTIFACT_REF(
    "CLASS_ID",
    "ARTIFACT_ID",
    "VERSION_ID")
    
GO

CREATE TABLE @SCHEMA@.BPM_BPD_ARTIFACT_REF (
"BPD_ARTIFACT_REF_ID" CHAR(36) NOT NULL,
"BPD_ID" CHAR(36) NOT NULL,
"ARTIFACT_REF" CHAR(36) NOT NULL,
"ARTIFACT_ID" CHAR(36) NOT NULL,
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
GO


ALTER TABLE @SCHEMA@.BPM_BPD_ARTIFACT_REF ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.BPM_BPD_ARTIFACT_REF ADD CONSTRAINT BPM_BAREF_PK
    PRIMARY KEY("VERSION_ID")

GO


CREATE INDEX @SCHEMA@.BPM_BAREF_PK3
    ON @SCHEMA@.BPM_BPD_ARTIFACT_REF("GUID")
    
GO


CREATE INDEX @SCHEMA@.BPM_BAREF_NUQ 
    ON @SCHEMA@.BPM_BPD_ARTIFACT_REF(
    "BPD_ID",
    "ARTIFACT_ID",
    "VERSION_ID")
    
GO

CREATE TABLE @SCHEMA@.BPM_MON_MODEL_DATA (
"MM_ID" CHAR(36) NOT NULL,
"NAME" VARCHAR( 512) NOT NULL,
"DATA" BLOB(2G)
)
GO


ALTER TABLE @SCHEMA@.BPM_MON_MODEL_DATA ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.BPM_MON_MODEL_DATA ADD CONSTRAINT BPM_MMDATA_PK
    PRIMARY KEY("MM_ID")

GO


CREATE UNIQUE INDEX @SCHEMA@.BPM_MMDATA_UQ
    ON @SCHEMA@.BPM_MON_MODEL_DATA(
        "NAME")
    
GO

CREATE TABLE @SCHEMA@.LSW_SERVER_CAPABILITY (
"SERVER_CAPABILITY_ID" CHAR(36) NOT NULL,
"SERVER_ID" CHAR(36) NOT NULL,
"CAPABILITY_TYPE" VARCHAR( 256) NOT NULL,
"CAPABILITY_VERSION" VARCHAR( 256) NOT NULL
)
GO


ALTER TABLE @SCHEMA@.LSW_SERVER_CAPABILITY ADD CONSTRAINT "CAPABILITY_TYPE" CHECK (CHARACTER_LENGTH("CAPABILITY_TYPE",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.LSW_SERVER_CAPABILITY ADD CONSTRAINT "CAPABILITY_VERSION" CHECK (CHARACTER_LENGTH("CAPABILITY_VERSION",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

GO

CREATE TABLE @SCHEMA@.LSW_CAPABILITY_TYPE (
"CAPABILITY_TYPE_ID" DECIMAL(2,0) NOT NULL,
"CAPABILITY_CONFIG_ID" VARCHAR( 256) NOT NULL,
"NAME" VARCHAR( 256) NOT NULL,
"DESCRIPTION" CLOB(2G),
"IS_OPTIONAL" CHAR(1) DEFAULT '0'
)
GO


ALTER TABLE @SCHEMA@.LSW_CAPABILITY_TYPE ADD CONSTRAINT "CAPABILITY_CONFIG_ID" CHECK (CHARACTER_LENGTH("CAPABILITY_CONFIG_ID",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.LSW_CAPABILITY_TYPE ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.LSW_SERVER_CAPABILITY ADD CONSTRAINT LSWC_SVRCAP_PK
    PRIMARY KEY("SERVER_CAPABILITY_ID")

GO


ALTER TABLE @SCHEMA@.LSW_CAPABILITY_TYPE ADD CONSTRAINT LSWC_CAP_TYPE_PK
    PRIMARY KEY("CAPABILITY_TYPE_ID")

GO


ALTER TABLE @SCHEMA@.LSW_SERVER_CAPABILITY
    ADD CONSTRAINT LSWC_SVRCAP_FK1
	FOREIGN KEY("SERVER_ID")
	REFERENCES @SCHEMA@.LSW_SERVER("SERVER_ID")
	
GO


CREATE INDEX @SCHEMA@.LSWC_CAP_TYPE_PK4
    ON @SCHEMA@.LSW_CAPABILITY_TYPE("NAME")
    
GO


CREATE INDEX @SCHEMA@.IDX_CAPCFG_ID 
    ON @SCHEMA@.LSW_CAPABILITY_TYPE(
    "CAPABILITY_CONFIG_ID")
    
GO


CREATE INDEX @SCHEMA@.IDX8_LSW_TASK 
    ON @SCHEMA@.LSW_TASK(
    "BPD_INSTANCE_ID",
    "STATUS",
    "PRIORITY_ID",
    "GROUP_ID",
    "USER_ID")
    
GO


ALTER  TABLE @SCHEMA@.LSW_BRANCH 
ADD 
"ACRONYM" VARCHAR( 256)
GO


ALTER TABLE @SCHEMA@.LSW_BRANCH ADD CONSTRAINT "ACRONYM" CHECK (CHARACTER_LENGTH("ACRONYM",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


							BEGIN ATOMIC
							INSERT INTO @SCHEMA@.LSW_SAVED_SEARCHES (SEARCH_ID, SEARCH_NAME, QUERY) VALUES(
							COALESCE( ((SELECT MAX(SEARCH_ID) FROM @SCHEMA@.LSW_SAVED_SEARCHES)+1), 1
							), 'IBM.DEFAULTALLTASKSLIST_75', '<?xml version="1.0" encoding="UTF-8"?><query organization="byTask" first-sort="" second-sort=""> <constraints /> <results> <column name="taskSubject" column-type="task"/> <column name="taskNarrative" column-type="task"/> <column name="taskDueDate" column-type="task"/> <column name="taskReceivedDate" column-type="task"/> <column name="taskPriority" column-type="task"/> <column name="taskStatus" column-type="task"/> <column name="taskReceivedFrom" column-type="task"/> <column name="assignedToUser" column-type="task"/> <column name="taskActivityName" column-type="task"/> <column name="taskId" column-type="task"/> <column name="instanceId" column-type="instance"/> <column name="instanceName" column-type="instance"/> <column name="bpdId" column-type="instance"/> <column name="instanceProcessApp" column-type="instance"/> <column name="instanceSnapshot" column-type="instance"/> <column name="instanceSnapshotId" column-type="instance"/> </results> </query>');
							INSERT INTO @SCHEMA@.LSW_SAVED_SEARCHES (SEARCH_ID, SEARCH_NAME, QUERY)
							VALUES( COALESCE( ((SELECT MAX(SEARCH_ID) FROM
							LSW_SAVED_SEARCHES)+1), 2 ), 'IBM.DEFAULTALLPROCESSLIST_75', '<?xml version="1.0" encoding="UTF-8"?><query organization="byInstance" first-sort="" second-sort=""> <constraints /> <results> <column name="instanceName" column-type="instance"/> <column name="instanceStatus" column-type="instance"/> <column name="bpdName" column-type="instance"/> <column name="instanceId" column-type="instance"/> <column name="bpdId" column-type="instance"/> <column name="instanceProcessApp" column-type="instance"/> <column name="instanceSnapshot" column-type="instance"/> <column name="instanceSnapshotId" column-type="instance"/> </results> </query>');
							END
						
GO

CREATE TABLE @SCHEMA@.LSW_ILOG_DECISION (
"ILOG_DECISION_ID" CHAR(36) NOT NULL,
"DEFINITION" BLOB(2G) NOT NULL,
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
GO


ALTER TABLE @SCHEMA@.LSW_ILOG_DECISION ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.LSW_ILOG_DECISION ADD CONSTRAINT LSWC_ILDT_PK
    PRIMARY KEY("VERSION_ID")

GO


CREATE INDEX @SCHEMA@.LSWC_ILDT_PK3
    ON @SCHEMA@.LSW_ILOG_DECISION("GUID")
    
GO


ALTER  TABLE @SCHEMA@.LSW_SNAPSHOT 
ADD 
"ACTIVATED_ON" TIMESTAMP
GO


ALTER TABLE @SCHEMA@.LSW_TIMING_INTERVAL DROP CHECK "INTERVAL_START"

GO


ALTER TABLE @SCHEMA@.LSW_TIMING_INTERVAL ALTER "INTERVAL_START" SET DATA TYPE VARCHAR( 32)
GO

 
ALTER TABLE @SCHEMA@.LSW_TIMING_INTERVAL ADD CONSTRAINT "INTERVAL_START" CHECK (CHARACTER_LENGTH("INTERVAL_START",CODEUNITS16) <= 8)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.LSW_TIMING_INTERVAL DROP CHECK "INTERVAL_END"

GO


ALTER TABLE @SCHEMA@.LSW_TIMING_INTERVAL ALTER "INTERVAL_END" SET DATA TYPE VARCHAR( 32)
GO

 
ALTER TABLE @SCHEMA@.LSW_TIMING_INTERVAL ADD CONSTRAINT "INTERVAL_END" CHECK (CHARACTER_LENGTH("INTERVAL_END",CODEUNITS16) <= 8)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.LSW_TIMING_INTERVAL_BOUND DROP CHECK "BOUND"

GO


ALTER TABLE @SCHEMA@.LSW_TIMING_INTERVAL_BOUND ALTER "BOUND" SET DATA TYPE VARCHAR( 32)
GO

 
ALTER TABLE @SCHEMA@.LSW_TIMING_INTERVAL_BOUND ADD CONSTRAINT "BOUND" CHECK (CHARACTER_LENGTH("BOUND",CODEUNITS16) <= 8)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.LSW_TRACKED_VARIABLE DROP CHECK "TYPE"

GO


ALTER TABLE @SCHEMA@.LSW_TRACKED_VARIABLE ALTER "TYPE" SET DATA TYPE VARCHAR( 32)
GO

 
ALTER TABLE @SCHEMA@.LSW_TRACKED_VARIABLE ADD CONSTRAINT "TYPE" CHECK (CHARACTER_LENGTH("TYPE",CODEUNITS16) <= 8)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


							BEGIN ATOMIC
							INSERT INTO @SCHEMA@.LSW_CAPABILITY_TYPE (CAPABILITY_TYPE_ID,
							CAPABILITY_CONFIG_ID, NAME, DESCRIPTION, IS_OPTIONAL) VALUES(0,
							'Extended', 'BPM Extended', 'Description of BPM Extended
							Capability', 'F');
							INSERT INTO @SCHEMA@.LSW_PRI_KEY(TABLE_ID, HIGH_KEY)
							VALUES('LSW_CAPABILITY_TYPE', 1000);
							END
                        
GO


ALTER TABLE @SCHEMA@.LSW_DYNAMIC_GROUP DROP CHECK "NAME"

GO


ALTER TABLE @SCHEMA@.LSW_DYNAMIC_GROUP ALTER "NAME" SET DATA TYPE VARCHAR( 512)
GO

 
ALTER TABLE @SCHEMA@.LSW_DYNAMIC_GROUP ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.LSW_USR_GRP_XREF DROP CHECK "DISPLAY_NAME"

GO


ALTER TABLE @SCHEMA@.LSW_USR_GRP_XREF ALTER "DISPLAY_NAME" SET DATA TYPE VARCHAR( 512)
GO

 
ALTER TABLE @SCHEMA@.LSW_USR_GRP_XREF ADD CONSTRAINT "DISPLAY_NAME" CHECK (CHARACTER_LENGTH("DISPLAY_NAME",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


							INSERT INTO @SCHEMA@.LSW_USR_GRP_MEM_XREF("GROUP_ID", "USER_ID") VALUES(11, 1)							      						      
						
GO


		
/* END of phase ProcUpgradeTo750 */
        
		
/* START of phase ProcUpgradeTo750Phase2 */
        
			
GO


ALTER TABLE @SCHEMA@.LSW_BRANCH DROP CHECK "NAME"

GO


ALTER TABLE @SCHEMA@.LSW_BRANCH ALTER "NAME" SET DATA TYPE VARCHAR( 256)
GO

 
ALTER TABLE @SCHEMA@.LSW_BRANCH ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.LSW_BRANCH ALTER "NAME" SET NOT NULL
GO


ALTER TABLE @SCHEMA@.LSW_BRANCH DROP CHECK "ACRONYM"

GO


ALTER TABLE @SCHEMA@.LSW_BRANCH ALTER "ACRONYM" SET DATA TYPE VARCHAR( 256)
GO

 
ALTER TABLE @SCHEMA@.LSW_BRANCH ADD CONSTRAINT "ACRONYM" CHECK (CHARACTER_LENGTH("ACRONYM",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.LSW_BRANCH ALTER "ACRONYM" SET NOT NULL
GO


GO


							call sysproc.admin_cmd('reorg table @SCHEMA@.LSW_BRANCH')
                        
GO


ALTER TABLE @SCHEMA@.LSW_SNAPSHOT DROP CHECK "ACRONYM"

GO


ALTER TABLE @SCHEMA@.LSW_SNAPSHOT ALTER "ACRONYM" SET DATA TYPE VARCHAR( 256)
GO

 
ALTER TABLE @SCHEMA@.LSW_SNAPSHOT ADD CONSTRAINT "ACRONYM" CHECK (CHARACTER_LENGTH("ACRONYM",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.LSW_SNAPSHOT ALTER "ACRONYM" SET NOT NULL
GO


							call sysproc.admin_cmd('reorg table @SCHEMA@.LSW_SNAPSHOT')
                        
GO


                            DROP INDEX @SCHEMA@.IDX_SHORT_NAME
                        
GO


CREATE UNIQUE INDEX @SCHEMA@.IDX3_BRANCH
    ON @SCHEMA@.LSW_BRANCH(
        "PROJECT_ID",
        "ACRONYM")
    
GO


CREATE UNIQUE INDEX @SCHEMA@.IDX5_SNAPSHOT
    ON @SCHEMA@.LSW_SNAPSHOT(
        "PROJECT_ID",
        "ACRONYM")
    
GO


CREATE INDEX @SCHEMA@.IDX_SHORT_NAME 
    ON @SCHEMA@.LSW_PROJECT(
    "SHORT_NAME")
    
GO

CREATE TABLE @SCHEMA@.LSW_ICMCASE_CONNECTOR (
"ICMCASE_CONNECTOR_ID" CHAR(36) NOT NULL,
"DEFINITION" BLOB(2G) NOT NULL,
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
GO


ALTER TABLE @SCHEMA@.LSW_ICMCASE_CONNECTOR ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.LSW_ICMCASE_CONNECTOR ADD CONSTRAINT LSWC_ICNTR_PK
    PRIMARY KEY("VERSION_ID")

GO


CREATE INDEX @SCHEMA@.LSWC_ICNTR_PK3
    ON @SCHEMA@.LSW_ICMCASE_CONNECTOR("GUID")
    
GO


		
/* END of phase ProcUpgradeTo750Phase2 */
        
	
    

		
/* START of phase ProcUpgradeTo751 */
        
			
ALTER  TABLE @SCHEMA@.LSW_BPD 
ADD 
"TYPE" DECIMAL(2,0)
GO


ALTER  TABLE @SCHEMA@.LSW_BPD 
ADD 
"ROOT_BPD_ID" CHAR(36)
GO


ALTER  TABLE @SCHEMA@.LSW_BPD 
ADD 
"PARENT_BPD_ID" CHAR(36)
GO


ALTER  TABLE @SCHEMA@.LSW_BPD 
ADD 
"PARENT_FLOW_OBJECT_ID" VARCHAR( 512)
GO


ALTER TABLE @SCHEMA@.LSW_BPD ADD CONSTRAINT "PARENT_FLOW_OBJECT_ID" CHECK (CHARACTER_LENGTH("PARENT_FLOW_OBJECT_ID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER  TABLE @SCHEMA@.LSW_PROCESS 
ADD 
"XML_DATA" BLOB(2G)
GO


ALTER  TABLE @SCHEMA@.LSW_BPD 
ADD 
"XML_DATA" BLOB(2G)
GO


ALTER  TABLE @SCHEMA@.LSW_SCA_CONNECTOR 
ADD 
"LAST_SYNCHRONIZED" VARCHAR( 512)
GO


ALTER TABLE @SCHEMA@.LSW_SCA_CONNECTOR ADD CONSTRAINT "LAST_SYNCHRONIZED" CHECK (CHARACTER_LENGTH("LAST_SYNCHRONIZED",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.LSW_DYNAMIC_GROUP_CONSTRAINT DROP CONSTRAINT LSW_DGRPC_FK
GO


ALTER TABLE @SCHEMA@.LSW_DEPLOYMENT_PACKAGE DROP CONSTRAINT LSWC_DPLPKG_FK1
GO


ALTER TABLE @SCHEMA@.LSW_DYNAMIC_GROUP_DEPENDENCY ALTER "PARENT_GROUP_ID" SET DATA TYPE DECIMAL(12,0)
GO
ALTER TABLE @SCHEMA@.LSW_DYNAMIC_GROUP_DEPENDENCY ALTER "PARENT_GROUP_ID" SET NOT NULL
GO
call sysproc.admin_cmd('reorg table @SCHEMA@.LSW_DYNAMIC_GROUP_DEPENDENCY')				  
GO
ALTER TABLE @SCHEMA@.LSW_DYNAMIC_GROUP_DEPENDENCY ALTER "CHILD_GROUP_ID" SET DATA TYPE DECIMAL(12,0)
GO
ALTER TABLE @SCHEMA@.LSW_DYNAMIC_GROUP_DEPENDENCY ALTER "CHILD_GROUP_ID" SET NOT NULL
GO
call sysproc.admin_cmd('reorg table @SCHEMA@.LSW_DYNAMIC_GROUP_DEPENDENCY')
					  
GO


ALTER TABLE @SCHEMA@.LSW_DYNAMIC_GROUP_CONSTRAINT
    ADD CONSTRAINT LSW_DGRPC_FK
	FOREIGN KEY("DYNAMIC_GROUP_ID")
	REFERENCES @SCHEMA@.LSW_DYNAMIC_GROUP("DYNAMIC_GROUP_ID")
	ON DELETE CASCADE
GO


ALTER TABLE @SCHEMA@.LSW_DEPLOYMENT_PACKAGE
    ADD CONSTRAINT LSWC_DPLPKG_FK1
	FOREIGN KEY("SNAPSHOT_ID")
	REFERENCES @SCHEMA@.LSW_SNAPSHOT("SNAPSHOT_ID")
	ON DELETE CASCADE
GO


ALTER TABLE @SCHEMA@.LSW_RT_USER_ATTRIBUTE_DEF
    ADD CONSTRAINT LSWC_RT_UAD_FK
	FOREIGN KEY("SNAPSHOT_ID")
	REFERENCES @SCHEMA@.LSW_SNAPSHOT("SNAPSHOT_ID")
	ON DELETE CASCADE
GO


ALTER TABLE @SCHEMA@.LSW_FAVORITE
    ADD CONSTRAINT LSWC_FAV_TRK_FK
	FOREIGN KEY("BRANCH_ID")
	REFERENCES @SCHEMA@.LSW_BRANCH("BRANCH_ID")
	ON DELETE CASCADE
GO


ALTER TABLE @SCHEMA@.LSW_DYNAMIC_GROUP
    ADD CONSTRAINT LSWC_DGRP_TRK_FK
	FOREIGN KEY("BRANCH_ID")
	REFERENCES @SCHEMA@.LSW_BRANCH("BRANCH_ID")
	ON DELETE CASCADE
GO


ALTER TABLE @SCHEMA@.LSW_DYNAMIC_GROUP_DEPENDENCY
    ADD CONSTRAINT LSWC_DGRP_DEP_FK
	FOREIGN KEY("PARENT_GROUP_ID")
	REFERENCES @SCHEMA@.LSW_DYNAMIC_GROUP("DYNAMIC_GROUP_ID")
	ON DELETE CASCADE
GO


ALTER TABLE @SCHEMA@.LSW_DEPLOYMENT
    ADD CONSTRAINT LSWC_DEP_SS_FK
	FOREIGN KEY("SNAPSHOT_ID")
	REFERENCES @SCHEMA@.LSW_SNAPSHOT("SNAPSHOT_ID")
	ON DELETE CASCADE
GO


ALTER TABLE @SCHEMA@.LSW_ENV_VAR_VAL
    ADD CONSTRAINT LSWC_E_VAR_VAL_FK
	FOREIGN KEY("SNAPSHOT_ID")
	REFERENCES @SCHEMA@.LSW_SNAPSHOT("SNAPSHOT_ID")
	ON DELETE CASCADE
GO


ALTER TABLE @SCHEMA@.LSW_SMART_FOLDER
    ADD CONSTRAINT LSWC_SF_SS_FK
	FOREIGN KEY("SNAPSHOT_ID")
	REFERENCES @SCHEMA@.LSW_SNAPSHOT("SNAPSHOT_ID")
	ON DELETE CASCADE
GO


ALTER  TABLE @SCHEMA@.LSW_PROJECT_DEFAULTS 
ADD 
"PARTICIPANT_REF" CHAR(36)
GO


ALTER  TABLE @SCHEMA@.LSW_INST_MSG_EXCL 
ADD 
"WAIT_ID" DECIMAL(20,0)
GO


ALTER  TABLE @SCHEMA@.LSW_PARTICIPANT 
ADD 
"CURRENCY_CODE" VARCHAR( 12)
GO


ALTER TABLE @SCHEMA@.LSW_PARTICIPANT ADD CONSTRAINT "CURRENCY_CODE" CHECK (CHARACTER_LENGTH("CURRENCY_CODE",CODEUNITS16) <= 3)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


GO


GO


ALTER  TABLE @SCHEMA@.LSW_USR_GRP_XREF 
ADD 
"GROUP_STATE" DECIMAL(2,0) DEFAULT 0 NOT NULL
GO


INSERT INTO @SCHEMA@.LSW_TASK_STATUS_CODES("STATUS_ID", "NAME", "STATUS_VALUE")
    VALUES(15, 'Followed', '70')
						
GO


							BEGIN ATOMIC
							INSERT INTO @SCHEMA@.LSW_ENV_VAR_TYPE (ENV_VAR_TYPE_ID,NAME,DESCRIPTION) VALUES(4, 4, 'ICM Server');
							INSERT INTO @SCHEMA@.LSW_ENV_VAR_TYPE (ENV_VAR_TYPE_ID,NAME,DESCRIPTION) VALUES(5, 5, 'Server Property');
							END
						
GO


		
/* END of phase ProcUpgradeTo751 */
        
	
    

	    
/* START of phase ProcUpgradeTo800 */
        
			
INSERT INTO @SCHEMA@.LSW_ENV_VAR_TYPE (ENV_VAR_TYPE_ID,NAME,DESCRIPTION)
    VALUES(7, '7', 'Sametime Server')
                        
GO

CREATE TABLE @SCHEMA@.BPM_REGISTRATION (
"REG_ID" CHAR(36) NOT NULL,
"PC_URL" VARCHAR( 1024) NOT NULL,
"PC_ID" CHAR(36) NOT NULL,
"PC_NAME" VARCHAR( 512) NOT NULL,
"PC_VER" VARCHAR( 64) NOT NULL,
"REG_USER" VARCHAR( 1024) NOT NULL,
"REGISTERED_ON" TIMESTAMP,
"ACTIVE" CHAR(1) DEFAULT 'T' NOT NULL,
"IS_INITIATOR" CHAR(1) DEFAULT 'T' NOT NULL
)
GO


ALTER TABLE @SCHEMA@.BPM_REGISTRATION ADD CONSTRAINT "PC_URL" CHECK (CHARACTER_LENGTH("PC_URL",CODEUNITS16) <= 256)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.BPM_REGISTRATION ADD CONSTRAINT "PC_NAME" CHECK (CHARACTER_LENGTH("PC_NAME",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.BPM_REGISTRATION ADD CONSTRAINT "PC_VER" CHECK (CHARACTER_LENGTH("PC_VER",CODEUNITS16) <= 16)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.BPM_REGISTRATION ADD CONSTRAINT "REG_USER" CHECK (CHARACTER_LENGTH("REG_USER",CODEUNITS16) <= 256)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.BPM_REGISTRATION ADD CONSTRAINT BPM_REGISTRATION_PK
    PRIMARY KEY("REG_ID")

GO

CREATE TABLE @SCHEMA@.BPM_REPOSITORY_LOG (
"REPOSITORY_LOG_ID" CHAR(36) NOT NULL,
"PROJECT_ID" CHAR(36),
"ACTION_TYPE" DECIMAL(8,0) NOT NULL,
"TARGET_ITEM_NAME" VARCHAR( 792),
"REPOSITORY_UUID" CHAR(36),
"CREATED_BY_USER" VARCHAR( 1024),
"CREATED" TIMESTAMP,
"PROPERTIES" CLOB(2G)
)
GO


ALTER TABLE @SCHEMA@.BPM_REPOSITORY_LOG ADD CONSTRAINT "TARGET_ITEM_NAME" CHECK (CHARACTER_LENGTH("TARGET_ITEM_NAME",CODEUNITS16) <= 198)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.BPM_REPOSITORY_LOG ADD CONSTRAINT "CREATED_BY_USER" CHECK (CHARACTER_LENGTH("CREATED_BY_USER",CODEUNITS16) <= 256)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.BPM_REPOSITORY_LOG ADD CONSTRAINT BPM_REPOSITORY_LOG_PK
    PRIMARY KEY("REPOSITORY_LOG_ID")

GO

CREATE TABLE @SCHEMA@.BPM_SHARED_TK_USAGES (
"SHARED_TK_USAGE_ID" CHAR(36) NOT NULL,
"PROJECT_ID" CHAR(36) NOT NULL,
"SNAPSHOT_ID" CHAR(36) NOT NULL,
"REGISTRATION_ID" CHAR(36) NOT NULL,
"DEPENDENT_PROJECT_NAME" VARCHAR( 512) NOT NULL,
"IS_TOOLKIT" CHAR(1) DEFAULT 'F' NOT NULL
)
GO


ALTER TABLE @SCHEMA@.BPM_SHARED_TK_USAGES ADD CONSTRAINT "DEPENDENT_PROJECT_NAME" CHECK (CHARACTER_LENGTH("DEPENDENT_PROJECT_NAME",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.BPM_SHARED_TK_USAGES ADD CONSTRAINT BPM_SHARED_TK_USAGES_PK
    PRIMARY KEY("SHARED_TK_USAGE_ID")

GO


ALTER  TABLE @SCHEMA@.LSW_PROJECT 
ADD 
"IS_SHARED" CHAR(1) DEFAULT 'F' NOT NULL
GO


ALTER  TABLE @SCHEMA@.LSW_PROJECT 
ADD 
"SHARED_BY_USER_ID" DECIMAL(12,0)
GO


ALTER  TABLE @SCHEMA@.LSW_PROJECT 
ADD 
"SHARED_ON" TIMESTAMP
GO

CREATE TABLE @SCHEMA@.BPM_SHARED_OBJECT (
"DEFINITION_VERSION_ID" CHAR(36) NOT NULL,
"OBJECT_ID" CHAR(36) NOT NULL,
"DEFINITION_VERSION" DECIMAL(12,0) NOT NULL,
"CLASS_VERSION_ID" CHAR(36) NOT NULL,
"BPD_INSTANCE_ID" DECIMAL(12,0),
"TASK_ID" DECIMAL(12,0),
"CREATED_BY_USER_ID" DECIMAL(12,0) NOT NULL,
"CREATED_ON" TIMESTAMP NOT NULL
)
GO

CREATE TABLE @SCHEMA@.BPM_SHARED_OBJECT_INSTANCE (
"INSTANCE_VERSION_ID" CHAR(36) NOT NULL,
"INSTANCE_VERSION" DECIMAL(12,0) NOT NULL,
"DEFINITION_VERSION_ID" CHAR(36) NOT NULL,
"JDATA" BLOB(2G),
"CREATED_BY_USER_ID" DECIMAL(12,0) NOT NULL,
"CREATED_ON" TIMESTAMP NOT NULL
)
GO

CREATE TABLE @SCHEMA@.BPM_SHARED_OBJECT_VALUE (
"VALUE_ID" CHAR(36) NOT NULL,
"INSTANCE_VERSION_ID" CHAR(36) NOT NULL,
"FIELD_PATH" VARCHAR( 4096) NOT NULL,
"VALUE" BLOB(2G),
"PRIOR_VALUE" BLOB(2G)
)
GO


ALTER TABLE @SCHEMA@.BPM_SHARED_OBJECT_VALUE ADD CONSTRAINT "FIELD_PATH" CHECK (CHARACTER_LENGTH("FIELD_PATH",CODEUNITS16) <= 1024)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.BPM_SHARED_OBJECT ADD CONSTRAINT BPM_SHARED_OBJECT_PK
    PRIMARY KEY("DEFINITION_VERSION_ID")

GO


ALTER TABLE @SCHEMA@.BPM_SHARED_OBJECT_INSTANCE ADD CONSTRAINT BPM_SHARED_OBJECT_INSTANCE_PK
    PRIMARY KEY("INSTANCE_VERSION_ID")

GO


ALTER TABLE @SCHEMA@.BPM_SHARED_OBJECT_VALUE ADD CONSTRAINT BPM_SHARED_OBJECT_VALUE_PK
    PRIMARY KEY("VALUE_ID")

GO


ALTER TABLE @SCHEMA@.BPM_SHARED_OBJECT
    ADD CONSTRAINT BPM_SHARED_OBJECT_FK
	FOREIGN KEY("CLASS_VERSION_ID")
	REFERENCES @SCHEMA@.LSW_CLASS("VERSION_ID")
	
GO


ALTER TABLE @SCHEMA@.BPM_SHARED_OBJECT
    ADD CONSTRAINT BPM_SHARED_OBJ_TO_INSTANCE
	FOREIGN KEY("BPD_INSTANCE_ID")
	REFERENCES @SCHEMA@.LSW_BPD_INSTANCE("BPD_INSTANCE_ID")
	ON DELETE CASCADE
GO


ALTER TABLE @SCHEMA@.BPM_SHARED_OBJECT
    ADD CONSTRAINT BPM_SHARED_OBJ_TO_TASK
	FOREIGN KEY("TASK_ID")
	REFERENCES @SCHEMA@.LSW_TASK("TASK_ID")
	ON DELETE CASCADE
GO


CREATE UNIQUE INDEX @SCHEMA@.BPM_SHARED_OBJECT_UQ
    ON @SCHEMA@.BPM_SHARED_OBJECT(
        "OBJECT_ID",
        "DEFINITION_VERSION")
    
GO


ALTER TABLE @SCHEMA@.BPM_SHARED_OBJECT_INSTANCE
    ADD CONSTRAINT BPM_SHARED_OBJECT_INSTANCE_FK
	FOREIGN KEY("DEFINITION_VERSION_ID")
	REFERENCES @SCHEMA@.BPM_SHARED_OBJECT("DEFINITION_VERSION_ID")
	ON DELETE CASCADE
GO


CREATE UNIQUE INDEX @SCHEMA@.BPM_SHARED_OBJECT_INSTANCE_UQ
    ON @SCHEMA@.BPM_SHARED_OBJECT_INSTANCE(
        "DEFINITION_VERSION_ID",
        "INSTANCE_VERSION")
    
GO


ALTER TABLE @SCHEMA@.BPM_SHARED_OBJECT_VALUE
    ADD CONSTRAINT BPM_SHARED_OBJECT_VALUE_FK
	FOREIGN KEY("INSTANCE_VERSION_ID")
	REFERENCES @SCHEMA@.BPM_SHARED_OBJECT_INSTANCE("INSTANCE_VERSION_ID")
	ON DELETE CASCADE
GO


ALTER  TABLE @SCHEMA@.LSW_PROJECT 
ADD 
"IS_GOVERNED" CHAR(1) DEFAULT 'F' NOT NULL
GO


ALTER  TABLE @SCHEMA@.LSW_PO_VERSIONS 
ADD 
"PO_ORIG_VERSION_ID" CHAR(36)
GO


ALTER  TABLE @SCHEMA@.LSW_PO_VERSIONS 
ADD 
"ORIG_LAST_MODIFIED_BY_USER" VARCHAR( 200)
GO


ALTER TABLE @SCHEMA@.LSW_PO_VERSIONS ADD CONSTRAINT "ORIG_LAST_MODIFIED_BY_USER" CHECK (CHARACTER_LENGTH("ORIG_LAST_MODIFIED_BY_USER",CODEUNITS16) <= 50)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER  TABLE @SCHEMA@.LSW_PO_VERSIONS 
ADD 
"ORIG_LAST_MODIFIED" TIMESTAMP
GO


ALTER  TABLE @SCHEMA@.LSW_SNAPSHOT 
ADD 
"STATUS" VARCHAR( 256) DEFAULT 'New' NOT NULL
GO


ALTER TABLE @SCHEMA@.LSW_SNAPSHOT ADD CONSTRAINT "STATUS" CHECK (CHARACTER_LENGTH("STATUS",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER  TABLE @SCHEMA@.LSW_TASK 
ADD 
"COLLABORATION" CHAR(1) DEFAULT 'F' NOT NULL
GO


ALTER  TABLE @SCHEMA@.LSW_DEPLOYMENT 
ADD 
"STATUS" VARCHAR( 256)
GO


ALTER TABLE @SCHEMA@.LSW_DEPLOYMENT ADD CONSTRAINT "STATUS" CHECK (CHARACTER_LENGTH("STATUS",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER  TABLE @SCHEMA@.LSW_DEPLOYMENT 
ADD 
"STATE" DECIMAL(2,0) DEFAULT 0 NOT NULL
GO


ALTER  TABLE @SCHEMA@.LSW_DEPLOYMENT 
ADD 
"STATUS_DESCRIPTION" VARCHAR( 1000)
GO


ALTER TABLE @SCHEMA@.LSW_DEPLOYMENT ADD CONSTRAINT "STATUS_DESCRIPTION" CHECK (CHARACTER_LENGTH("STATUS_DESCRIPTION",CODEUNITS16) <= 250)  ENFORCED ENABLE QUERY OPTIMIZATION

GO

CREATE TABLE @SCHEMA@.BPM_SNAPSHOT_STATUS (
"STATUS_ID" CHAR(36) NOT NULL,
"STATUS" VARCHAR( 256) NOT NULL,
"IS_SYSTEM" CHAR(1) DEFAULT 'F' NOT NULL
)
GO


ALTER TABLE @SCHEMA@.BPM_SNAPSHOT_STATUS ADD CONSTRAINT "STATUS" CHECK (CHARACTER_LENGTH("STATUS",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.BPM_SNAPSHOT_STATUS ADD CONSTRAINT BPM_SNAPSHOT_STATUS_PK
    PRIMARY KEY("STATUS_ID")

GO


							BEGIN ATOMIC
								INSERT INTO @SCHEMA@.BPM_SNAPSHOT_STATUS(STATUS_ID, STATUS, IS_SYSTEM) VALUES('1b351583-e5cb-43b7-baee-340a63130ea1', 'New', 'T');
								INSERT INTO @SCHEMA@.BPM_SNAPSHOT_STATUS(STATUS_ID, STATUS, IS_SYSTEM) VALUES('1b351583-e5cb-43b7-baee-340a63130ea2', 'Rejected', 'T');
								INSERT INTO @SCHEMA@.BPM_SNAPSHOT_STATUS(STATUS_ID, STATUS, IS_SYSTEM) VALUES('1b351583-e5cb-43b7-baee-340a63130ea3', 'Validated', 'T');
								INSERT INTO @SCHEMA@.BPM_SNAPSHOT_STATUS(STATUS_ID, STATUS, IS_SYSTEM) VALUES('1b351583-e5cb-43b7-baee-340a63130ea7', 'Released', 'T');
							END
						
GO

CREATE TABLE @SCHEMA@.BPM_COACH_VIEW (
"COACH_VIEW_ID" CHAR(36) NOT NULL,
"IS_TEMPLATE" CHAR(1),
"LAYOUT" BLOB(2G),
"PALETTE_ICON" CHAR(36),
"PREVIEW_IMAGE" CHAR(36),
"HAS_LABEL" CHAR(1),
"LABEL_POSITION" DECIMAL(2,0),
"NINE_SLICE_X1_COORD" DECIMAL(5,0),
"NINE_SLICE_X2_COORD" DECIMAL(5,0),
"NINE_SLICE_Y1_COORD" DECIMAL(5,0),
"NINE_SLICE_Y2_COORD" DECIMAL(5,0),
"EMIT_BOUNDARY" CHAR(1),
"LOAD_JS_FUNCTION" CLOB(2G),
"UNLOAD_JS_FUNCTION" CLOB(2G),
"VIEW_JS_FUNCTION" CLOB(2G),
"CHANGE_JS_FUNCTION" CLOB(2G),
"COLLABORATION_JS_FUNCTION" CLOB(2G),
"NAME" VARCHAR( 256) NOT NULL,
"DESCRIPTION" CLOB(2G),
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
GO


ALTER TABLE @SCHEMA@.BPM_COACH_VIEW ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.BPM_COACH_VIEW ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.BPM_COACH_VIEW ADD CONSTRAINT BPM_CH_VIEW_PK
    PRIMARY KEY("VERSION_ID")

GO


CREATE INDEX @SCHEMA@.BPM_CH_VIEW_PK3
    ON @SCHEMA@.BPM_COACH_VIEW("GUID")
    
GO


CREATE INDEX @SCHEMA@.BPM_CH_VIEW_PK4
    ON @SCHEMA@.BPM_COACH_VIEW("NAME")
    
GO

CREATE TABLE @SCHEMA@.BPM_COACH_VIEW_BINDING_TYPE (
"COACH_VIEW_BINDING_TYPE_ID" CHAR(36) NOT NULL,
"COACH_VIEW_ID" CHAR(36) NOT NULL,
"IS_LIST" CHAR(1),
"CLASS_ID" CHAR(36),
"SEQ" DECIMAL(12,0),
"NAME" VARCHAR( 256) NOT NULL,
"DESCRIPTION" CLOB(2G),
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
GO


ALTER TABLE @SCHEMA@.BPM_COACH_VIEW_BINDING_TYPE ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.BPM_COACH_VIEW_BINDING_TYPE ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.BPM_COACH_VIEW_BINDING_TYPE ADD CONSTRAINT BPM_VIEW_BIND_PK
    PRIMARY KEY("VERSION_ID")

GO


CREATE INDEX @SCHEMA@.BPM_VIEW_BIND_PK3
    ON @SCHEMA@.BPM_COACH_VIEW_BINDING_TYPE("GUID")
    
GO


CREATE INDEX @SCHEMA@.BPM_VIEW_BIND_PK4
    ON @SCHEMA@.BPM_COACH_VIEW_BINDING_TYPE("NAME")
    
GO


CREATE INDEX @SCHEMA@.IDX_VIEW_BIND 
    ON @SCHEMA@.BPM_COACH_VIEW_BINDING_TYPE(
    "SEQ")
    
GO

CREATE TABLE @SCHEMA@.BPM_COACH_VIEW_CONFIG_OPTION (
"COACH_VIEW_CONFIG_OPTION_ID" CHAR(36) NOT NULL,
"COACH_VIEW_ID" CHAR(36) NOT NULL,
"IS_LIST" CHAR(1),
"PROPERTY_TYPE" VARCHAR( 256),
"LABEL" VARCHAR( 256),
"CLASS_ID" CHAR(36),
"PROCESS_ID" CHAR(36),
"SEQ" DECIMAL(12,0),
"NAME" VARCHAR( 256) NOT NULL,
"DESCRIPTION" CLOB(2G),
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
GO


ALTER TABLE @SCHEMA@.BPM_COACH_VIEW_CONFIG_OPTION ADD CONSTRAINT "PROPERTY_TYPE" CHECK (CHARACTER_LENGTH("PROPERTY_TYPE",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.BPM_COACH_VIEW_CONFIG_OPTION ADD CONSTRAINT "LABEL" CHECK (CHARACTER_LENGTH("LABEL",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.BPM_COACH_VIEW_CONFIG_OPTION ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.BPM_COACH_VIEW_CONFIG_OPTION ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.BPM_COACH_VIEW_CONFIG_OPTION ADD CONSTRAINT BPM_VIEW_CONFIG_PK
    PRIMARY KEY("VERSION_ID")

GO


CREATE INDEX @SCHEMA@.BPM_VIEW_CONFIG_PK3
    ON @SCHEMA@.BPM_COACH_VIEW_CONFIG_OPTION("GUID")
    
GO


CREATE INDEX @SCHEMA@.BPM_VIEW_CONFIG_PK4
    ON @SCHEMA@.BPM_COACH_VIEW_CONFIG_OPTION("NAME")
    
GO


CREATE INDEX @SCHEMA@.IDX_VIEW_CONFIG 
    ON @SCHEMA@.BPM_COACH_VIEW_CONFIG_OPTION(
    "SEQ")
    
GO

CREATE TABLE @SCHEMA@.BPM_COACH_VIEW_RESOURCE (
"COACH_VIEW_RESOURCE_ID" CHAR(36) NOT NULL,
"COACH_VIEW_ID" CHAR(36) NOT NULL,
"FILE_PATH" VARCHAR( 1020),
"IE_CONDITION" VARCHAR( 4096),
"MEDIA_QUERY" VARCHAR( 4096),
"ASSET_UUID" CHAR(36),
"SEQ" DECIMAL(12,0),
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
GO


ALTER TABLE @SCHEMA@.BPM_COACH_VIEW_RESOURCE ADD CONSTRAINT "FILE_PATH" CHECK (CHARACTER_LENGTH("FILE_PATH",CODEUNITS16) <= 255)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.BPM_COACH_VIEW_RESOURCE ADD CONSTRAINT "IE_CONDITION" CHECK (CHARACTER_LENGTH("IE_CONDITION",CODEUNITS16) <= 1024)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.BPM_COACH_VIEW_RESOURCE ADD CONSTRAINT "MEDIA_QUERY" CHECK (CHARACTER_LENGTH("MEDIA_QUERY",CODEUNITS16) <= 1024)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.BPM_COACH_VIEW_RESOURCE ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.BPM_COACH_VIEW_RESOURCE ADD CONSTRAINT BPM_VIEW_RES_PK
    PRIMARY KEY("VERSION_ID")

GO


CREATE INDEX @SCHEMA@.BPM_VIEW_RES_PK3
    ON @SCHEMA@.BPM_COACH_VIEW_RESOURCE("GUID")
    
GO


CREATE INDEX @SCHEMA@.IDX_VIEW_RES 
    ON @SCHEMA@.BPM_COACH_VIEW_RESOURCE(
    "SEQ")
    
GO

CREATE TABLE @SCHEMA@.BPM_COACH_VIEW_INLINE_SCRIPT (
"COACH_VIEW_INLINE_SCRIPT_ID" CHAR(36) NOT NULL,
"COACH_VIEW_ID" CHAR(36) NOT NULL,
"SCRIPT_TYPE" VARCHAR( 256),
"SCRIPT_BLOCK" CLOB(2G),
"SEQ" DECIMAL(12,0),
"NAME" VARCHAR( 256) NOT NULL,
"DESCRIPTION" CLOB(2G),
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
GO


ALTER TABLE @SCHEMA@.BPM_COACH_VIEW_INLINE_SCRIPT ADD CONSTRAINT "SCRIPT_TYPE" CHECK (CHARACTER_LENGTH("SCRIPT_TYPE",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.BPM_COACH_VIEW_INLINE_SCRIPT ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.BPM_COACH_VIEW_INLINE_SCRIPT ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.BPM_COACH_VIEW_INLINE_SCRIPT ADD CONSTRAINT BPM_VIEW_SCRIPT_PK
    PRIMARY KEY("VERSION_ID")

GO


CREATE INDEX @SCHEMA@.BPM_VIEW_SCRIPT_PK3
    ON @SCHEMA@.BPM_COACH_VIEW_INLINE_SCRIPT("GUID")
    
GO


CREATE INDEX @SCHEMA@.BPM_VIEW_SCRIPT_PK4
    ON @SCHEMA@.BPM_COACH_VIEW_INLINE_SCRIPT("NAME")
    
GO


CREATE INDEX @SCHEMA@.IDX_VIEW_SCRIPT 
    ON @SCHEMA@.BPM_COACH_VIEW_INLINE_SCRIPT(
    "SEQ")
    
GO

CREATE TABLE @SCHEMA@.BPM_COACHNG (
"COACHNG_ID" CHAR(36) NOT NULL,
"TITLE" VARCHAR( 256),
"LAYOUT_DATA" BLOB(2G),
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
GO


ALTER TABLE @SCHEMA@.BPM_COACHNG ADD CONSTRAINT "TITLE" CHECK (CHARACTER_LENGTH("TITLE",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.BPM_COACHNG ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.BPM_COACHNG ADD CONSTRAINT BPM_COACHNG_PK
    PRIMARY KEY("VERSION_ID")

GO


CREATE INDEX @SCHEMA@.BPM_COACHNG_PK3
    ON @SCHEMA@.BPM_COACHNG("GUID")
    
GO

CREATE TABLE @SCHEMA@.BPM_COACHNG_BOUNDARY_EVENT (
"COACHNG_BOUNDARY_EVENT_ID" CHAR(36) NOT NULL,
"COACHNG_ID" CHAR(36) NOT NULL,
"SEQ" DECIMAL(12,0) NOT NULL,
"END_STATE_ID" VARCHAR( 512) NOT NULL,
"EVENT_LABEL" CLOB(2G),
"VIEW_PATH" CLOB(2G),
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
GO


ALTER TABLE @SCHEMA@.BPM_COACHNG_BOUNDARY_EVENT ADD CONSTRAINT "END_STATE_ID" CHECK (CHARACTER_LENGTH("END_STATE_ID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.BPM_COACHNG_BOUNDARY_EVENT ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.BPM_COACHNG_BOUNDARY_EVENT ADD CONSTRAINT BPM_COACHNG_BE_PK
    PRIMARY KEY("VERSION_ID")

GO


CREATE INDEX @SCHEMA@.BPM_COACHNG_BE_PK3
    ON @SCHEMA@.BPM_COACHNG_BOUNDARY_EVENT("GUID")
    
GO


CREATE INDEX @SCHEMA@.IDX_COACHNG_BE 
    ON @SCHEMA@.BPM_COACHNG_BOUNDARY_EVENT(
    "COACHNG_ID",
    "SEQ")
    
GO

CREATE TABLE @SCHEMA@.BPM_COACH_VIEW_LOCAL_RES (
"COACH_VIEW_LOCAL_RES_ID" CHAR(36) NOT NULL,
"COACH_VIEW_ID" CHAR(36) NOT NULL,
"RESOURCE_BUNDLE_GROUP_ID" CHAR(36) NOT NULL,
"SEQ" DECIMAL(12,0),
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
GO


ALTER TABLE @SCHEMA@.BPM_COACH_VIEW_LOCAL_RES ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.BPM_COACH_VIEW_LOCAL_RES ADD CONSTRAINT BPM_VIEW_LOC_PK
    PRIMARY KEY("VERSION_ID")

GO


CREATE INDEX @SCHEMA@.BPM_VIEW_LOC_PK3
    ON @SCHEMA@.BPM_COACH_VIEW_LOCAL_RES("GUID")
    
GO

CREATE TABLE @SCHEMA@.BPM_COACH_VIEW_AMD_DEP (
"COACH_VIEW_AMD_DEP_ID" CHAR(36) NOT NULL,
"COACH_VIEW_ID" CHAR(36) NOT NULL,
"MODULE_ID" VARCHAR( 4096),
"FUNCTION_ARGUMENT" VARCHAR( 1020),
"SEQ" DECIMAL(12,0),
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
GO


ALTER TABLE @SCHEMA@.BPM_COACH_VIEW_AMD_DEP ADD CONSTRAINT "MODULE_ID" CHECK (CHARACTER_LENGTH("MODULE_ID",CODEUNITS16) <= 1024)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.BPM_COACH_VIEW_AMD_DEP ADD CONSTRAINT "FUNCTION_ARGUMENT" CHECK (CHARACTER_LENGTH("FUNCTION_ARGUMENT",CODEUNITS16) <= 255)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.BPM_COACH_VIEW_AMD_DEP ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.BPM_COACH_VIEW_AMD_DEP ADD CONSTRAINT BPM_VIEW_AMD_PK
    PRIMARY KEY("VERSION_ID")

GO


CREATE INDEX @SCHEMA@.BPM_VIEW_AMD_PK3
    ON @SCHEMA@.BPM_COACH_VIEW_AMD_DEP("GUID")
    
GO


CREATE INDEX @SCHEMA@.IDX_VIEW_AMD 
    ON @SCHEMA@.BPM_COACH_VIEW_AMD_DEP(
    "SEQ")
    
GO


							BEGIN ATOMIC
								INSERT INTO @SCHEMA@.LSW_TASK_STATUS_CODES("STATUS_ID", "NAME", "STATUS_VALUE") VALUES(16, 'Tagged', 71);
								INSERT INTO @SCHEMA@.LSW_TASK_STATUS_CODES("STATUS_ID", "NAME", "STATUS_VALUE") VALUES(17, 'Collaboration', 72);
							END
						
GO

CREATE TABLE @SCHEMA@.BPM_PROJECT_SUBSCRIPTION (
"PROJECT_SUBSCRIPTION_ID" CHAR(36) NOT NULL,
"REGISTRATION_ID" CHAR(36) NOT NULL,
"PROJECT_ID" CHAR(36) NOT NULL,
"SUBSCRIBED_BY" DECIMAL(12,0) NOT NULL,
"SUBSCRIBED_ON" TIMESTAMP NOT NULL,
"STATUS" VARCHAR( 256),
"ACTIVE" CHAR(1) DEFAULT 'F' NOT NULL,
"SHARED_BY_USER_ID" VARCHAR( 1024),
"SHARED_ON" TIMESTAMP,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
GO


ALTER TABLE @SCHEMA@.BPM_PROJECT_SUBSCRIPTION ADD CONSTRAINT "STATUS" CHECK (CHARACTER_LENGTH("STATUS",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.BPM_PROJECT_SUBSCRIPTION ADD CONSTRAINT "SHARED_BY_USER_ID" CHECK (CHARACTER_LENGTH("SHARED_BY_USER_ID",CODEUNITS16) <= 256)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.BPM_PROJECT_SUBSCRIPTION ADD CONSTRAINT BPM_PROJECT_SUBSCRIPTION_PK
    PRIMARY KEY("PROJECT_SUBSCRIPTION_ID")

GO


CREATE UNIQUE INDEX @SCHEMA@.PROJECT_ID_UQ
    ON @SCHEMA@.BPM_PROJECT_SUBSCRIPTION(
        "PROJECT_ID")
    
GO

CREATE TABLE @SCHEMA@.BPM_PROJECT_SUBSCRIBED (
"PROJECT_SUBSCRIBED_ID" CHAR(36) NOT NULL,
"REGISTRATION_ID" CHAR(36) NOT NULL,
"PROJECT_ID" CHAR(36) NOT NULL,
"SUBSCRIBED_BY" VARCHAR( 1024) NOT NULL,
"SUBSCRIBED_ON" TIMESTAMP NOT NULL,
"LAST_MODIFICATION" TIMESTAMP
)
GO


ALTER TABLE @SCHEMA@.BPM_PROJECT_SUBSCRIBED ADD CONSTRAINT "SUBSCRIBED_BY" CHECK (CHARACTER_LENGTH("SUBSCRIBED_BY",CODEUNITS16) <= 256)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.BPM_PROJECT_SUBSCRIBED ADD CONSTRAINT BPM_PROJECT_SUBSCRIBED_PK
    PRIMARY KEY("PROJECT_SUBSCRIBED_ID")

GO


ALTER  TABLE @SCHEMA@.LSW_TASK 
ADD 
"EXPERT_PARTICIPANT_REF" DECIMAL(19,0)
GO


ALTER  TABLE @SCHEMA@.LSW_SNAPSHOT 
ADD 
"LAST_MODIFIED" TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL
GO


GO


ALTER  TABLE @SCHEMA@.LSW_SNAPSHOT 
ADD 
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) DEFAULT 1 NOT NULL
GO


ALTER  TABLE @SCHEMA@.LSW_TASK 
ADD 
"AT_RISK_DATE" TIMESTAMP
GO


ALTER  TABLE @SCHEMA@.LSW_CLASS 
ADD 
"SHARED" CHAR(1)
GO

CREATE TABLE @SCHEMA@.BPM_USR_AVATAR (
"USER_ID" DECIMAL(12,0) NOT NULL,
"USER_AVATAR_IMAGE" BLOB(2G)
)
GO


ALTER TABLE @SCHEMA@.BPM_USR_AVATAR ADD CONSTRAINT LSWC_USR_AVATAR_PK
    PRIMARY KEY("USER_ID")

GO


ALTER TABLE @SCHEMA@.BPM_USR_AVATAR
    ADD CONSTRAINT LSWC_USR_AVATAR_FK
	FOREIGN KEY("USER_ID")
	REFERENCES @SCHEMA@.LSW_USR_XREF("USER_ID")
	
GO

CREATE TABLE @SCHEMA@.BPM_TASK_ACTIVITY_MEASURES (
"TASK_MEASURES_ID" DECIMAL(15,0) NOT NULL,
"CREATED_BY_BPD_FLOW_OBJECT_ID" VARCHAR( 512) NOT NULL,
"USER_ID" DECIMAL(12,0),
"COMPLETION_COUNT" DECIMAL(8,0) NOT NULL,
"AVG_COMPLETION_TIME" DECIMAL(12,0) NOT NULL
)
GO


ALTER TABLE @SCHEMA@.BPM_TASK_ACTIVITY_MEASURES ADD CONSTRAINT "CREATED_BY_BPD_FLOW_OBJECT_ID" CHECK (CHARACTER_LENGTH("CREATED_BY_BPD_FLOW_OBJECT_ID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.BPM_TASK_ACTIVITY_MEASURES ADD CONSTRAINT TASK_MEASURES_PK
    PRIMARY KEY("TASK_MEASURES_ID")

GO


CREATE UNIQUE INDEX @SCHEMA@.TASK_MEASURES_UC
    ON @SCHEMA@.BPM_TASK_ACTIVITY_MEASURES(
        "CREATED_BY_BPD_FLOW_OBJECT_ID",
        "USER_ID")
    
GO


ALTER  TABLE @SCHEMA@.LSW_SERVER 
ADD 
"IS_ENCRYPTED" CHAR(1) DEFAULT '0'
GO


ALTER TABLE @SCHEMA@.LSW_SERVER DROP CHECK "PASSWORD"

GO


ALTER TABLE @SCHEMA@.LSW_SERVER ALTER "PASSWORD" SET DATA TYPE VARCHAR( 1000)
GO

 
ALTER TABLE @SCHEMA@.LSW_SERVER ADD CONSTRAINT "PASSWORD" CHECK (CHARACTER_LENGTH("PASSWORD",CODEUNITS16) <= 250)  ENFORCED ENABLE QUERY OPTIMIZATION

GO

CREATE TABLE @SCHEMA@.BPM_OSLC_PROVIDER (
"PROVIDER_ID" CHAR(36) NOT NULL,
"NAME" VARCHAR( 1024),
"URL" VARCHAR( 4096) NOT NULL,
"DATA" CLOB(2G),
"CREATED_BY_USER_ID" DECIMAL(12,0) NOT NULL,
"CREATED_ON" TIMESTAMP NOT NULL
)
GO


ALTER TABLE @SCHEMA@.BPM_OSLC_PROVIDER ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 256)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.BPM_OSLC_PROVIDER ADD CONSTRAINT "URL" CHECK (CHARACTER_LENGTH("URL",CODEUNITS16) <= 1024)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.BPM_OSLC_PROVIDER ADD CONSTRAINT LSWC_OSLC_PROVIDER
    PRIMARY KEY("PROVIDER_ID")

GO


CREATE INDEX @SCHEMA@.LSWC_OSLC_PROVIDER4
    ON @SCHEMA@.BPM_OSLC_PROVIDER("NAME")
    
GO

CREATE TABLE @SCHEMA@.BPM_PC_IDX_ACTION (
"ACTION_ID" CHAR(36) NOT NULL,
"PO_ID" CHAR(36) NOT NULL,
"PO_TYPE" DECIMAL(8,0) NOT NULL,
"USER_ACTION" DECIMAL(8,0) NOT NULL,
"CREATED_BY_USER_ID" DECIMAL(12,0) NOT NULL,
"CREATED_ON" TIMESTAMP NOT NULL
)
GO


ALTER TABLE @SCHEMA@.BPM_PC_IDX_ACTION ADD CONSTRAINT BPM_PC_IDX_ACTION_PK
    PRIMARY KEY("ACTION_ID")

GO

CREATE TABLE @SCHEMA@.BPM_TASK_MARKERS (
"MARKER_ID" DECIMAL(12,0) NOT NULL,
"TASK_ID" DECIMAL(12,0),
"MARKER_TYPE" DECIMAL(12,0) NOT NULL,
"CREATOR" DECIMAL(12,0) NOT NULL,
"TARGET_USER" DECIMAL(12,0) NOT NULL,
"MARKER_COMMENT" BLOB(2G),
"CREATED_DATE" TIMESTAMP NOT NULL,
"BPD_INSTANCE_ID" DECIMAL(12,0)
)
GO


ALTER TABLE @SCHEMA@.BPM_TASK_MARKERS ADD CONSTRAINT BPMC_TASK_MARKERS
    PRIMARY KEY("MARKER_ID")

GO


ALTER TABLE @SCHEMA@.BPM_TASK_MARKERS
    ADD CONSTRAINT BPMC_MARKER_TO_TASK_ID_FK
	FOREIGN KEY("TASK_ID")
	REFERENCES @SCHEMA@.LSW_TASK("TASK_ID")
	ON DELETE CASCADE
GO


ALTER TABLE @SCHEMA@.BPM_TASK_MARKERS
    ADD CONSTRAINT BPMC_MARKER_TO_BPD_ID_FK
	FOREIGN KEY("BPD_INSTANCE_ID")
	REFERENCES @SCHEMA@.LSW_BPD_INSTANCE("BPD_INSTANCE_ID")
	ON DELETE CASCADE
GO


							CREATE TABLE @SCHEMA@."BPM_PCS_TASK" ("TASKID" BIGINT NOT NULL ,
							              "VERSION" VARCHAR(5) NOT NULL ,
							              "ROW_VERSION" INTEGER NOT NULL ,
							              "TASKTYPE" INTEGER NOT NULL ,
							              "TASKSUSPENDED" SMALLINT NOT NULL ,
							              "CANCELLED" SMALLINT NOT NULL ,
							              "NEXTFIRETIME" BIGINT NOT NULL ,
							              "STARTBYINTERVAL" VARCHAR(254) ,
							              "STARTBYTIME" BIGINT ,
							              "VALIDFROMTIME" BIGINT ,
							              "VALIDTOTIME" BIGINT ,
							              "REPEATINTERVAL" VARCHAR(254) ,
							              "MAXREPEATS" INTEGER NOT NULL ,
							              "REPEATSLEFT" INTEGER NOT NULL ,
							              "TASKINFO" BLOB(102400) LOGGED NOT COMPACT ,
							              "NAME" VARCHAR(254) NOT NULL ,
							              "AUTOPURGE" INTEGER NOT NULL ,
							              "FAILUREACTION" INTEGER ,
							              "MAXATTEMPTS" INTEGER ,
							              "QOS" INTEGER ,
							              "PARTITIONID" INTEGER ,
							              "OWNERTOKEN" VARCHAR(200) NOT NULL ,
							              "CREATETIME" BIGINT NOT NULL )
							GO              
							
							ALTER TABLE @SCHEMA@."BPM_PCS_TASK" ADD PRIMARY KEY ("TASKID")
							GO
							
							CREATE INDEX @SCHEMA@."BPM_PCS_TASK_IDX1" ON @SCHEMA@."BPM_PCS_TASK" ("TASKID",
							              "OWNERTOKEN")
							GO              
							
							CREATE INDEX @SCHEMA@."BPM_PCS_TASK_IDX2" ON @SCHEMA@."BPM_PCS_TASK" ("NEXTFIRETIME" ASC,
							               "REPEATSLEFT",
							               "PARTITIONID") CLUSTER
							GO
							
							CREATE TABLE @SCHEMA@."BPM_PCS_TREG" ("REGKEY" VARCHAR(254) NOT NULL ,
							              "REGVALUE" VARCHAR(254) )
							GO              
							
							ALTER TABLE @SCHEMA@."BPM_PCS_TREG" ADD PRIMARY KEY ("REGKEY")
							GO
							
							CREATE TABLE @SCHEMA@."BPM_PCS_LMGR" (LEASENAME VARCHAR(254) NOT NULL,
							               LEASEOWNER VARCHAR(254) NOT NULL,
							               LEASE_EXPIRE_TIME  BIGINT,
							              DISABLED VARCHAR(5))
							GO
							
							ALTER TABLE @SCHEMA@."BPM_PCS_LMGR" ADD PRIMARY KEY ("LEASENAME")
							GO
							
							CREATE TABLE @SCHEMA@."BPM_PCS_LMPR" (LEASENAME VARCHAR(254) NOT NULL,
							              NAME VARCHAR(254) NOT NULL,
							              VALUE VARCHAR(254) NOT NULL)
							GO
							
							CREATE INDEX @SCHEMA@."BPM_PCS_LMPR_IDX1" ON @SCHEMA@."BPM_PCS_LMPR" (LEASENAME,
							               NAME)
							GO

             			
GO

CREATE TABLE @SCHEMA@.BPM_PC_INDEXER (
"INDEXER_ID" CHAR(36) NOT NULL,
"NAME" VARCHAR( 256) NOT NULL,
"DESCRIPTION" CLOB(2G),
"LAST_INDEXED_ON" TIMESTAMP NOT NULL
)
GO


ALTER TABLE @SCHEMA@.BPM_PC_INDEXER ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.BPM_PC_INDEXER ADD CONSTRAINT BPM_PC_IDEXER_PK
    PRIMARY KEY("INDEXER_ID")

GO


CREATE UNIQUE INDEX @SCHEMA@.BPM_PC_IDEXER_UQ
    ON @SCHEMA@.BPM_PC_INDEXER(
        "NAME")
    
GO


ALTER  TABLE @SCHEMA@.LSW_EXCEPTION 
ADD 
"ATTACHED_PROCESS_REF" CHAR(36)
GO


ALTER  TABLE @SCHEMA@.LSW_EXCEPTION 
ADD 
"FAULT_STYLE" DECIMAL(2,0)
GO


ALTER  TABLE @SCHEMA@.LSW_RUNTIME_ERROR 
ADD 
"ERROR_CODE" VARCHAR( 880)
GO


ALTER TABLE @SCHEMA@.LSW_RUNTIME_ERROR ADD CONSTRAINT "ERROR_CODE" CHECK (CHARACTER_LENGTH("ERROR_CODE",CODEUNITS16) <= 220)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER  TABLE @SCHEMA@.LSW_RUNTIME_ERROR 
ADD 
"ERROR_DATA" BLOB(2G)
GO


ALTER  TABLE @SCHEMA@.LSW_RUNTIME_ERROR 
ADD 
"FAULT_STYLE" DECIMAL(2,0) DEFAULT 0 NOT NULL
GO

CREATE TABLE @SCHEMA@.LSW_STORED_SYMBOL_TABLE (
"SYMBOL_TABLE_ID" CHAR(36) NOT NULL,
"TASK_ID" DECIMAL(12,0) NOT NULL,
"STORED_SYMBOL_TABLE" BLOB(2G)
)
GO


ALTER TABLE @SCHEMA@.LSW_STORED_SYMBOL_TABLE ADD CONSTRAINT LSWC_STORED_SYMBOL_PK
    PRIMARY KEY("SYMBOL_TABLE_ID")

GO


ALTER TABLE @SCHEMA@.LSW_STORED_SYMBOL_TABLE
    ADD CONSTRAINT LSWC_T_SYM_FK
	FOREIGN KEY("TASK_ID")
	REFERENCES @SCHEMA@.LSW_TASK("TASK_ID")
	ON DELETE CASCADE
GO


CREATE UNIQUE INDEX @SCHEMA@.LSWC_T_SYM_TASK
    ON @SCHEMA@.LSW_STORED_SYMBOL_TABLE(
        "TASK_ID")
    
GO

CREATE TABLE @SCHEMA@.BPM_ECM_CONNECTOR (
"ECM_CONNECTOR_ID" CHAR(36) NOT NULL,
"DEFINITION" BLOB(2G) NOT NULL,
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
GO


ALTER TABLE @SCHEMA@.BPM_ECM_CONNECTOR ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.BPM_ECM_CONNECTOR ADD CONSTRAINT BPMC_ECNTR_PK
    PRIMARY KEY("VERSION_ID")

GO


CREATE INDEX @SCHEMA@.BPMC_ECNTR_PK3
    ON @SCHEMA@.BPM_ECM_CONNECTOR("GUID")
    
GO


ALTER  TABLE @SCHEMA@.LSW_CLASS 
ADD 
"LIFETIME" CHAR(1)
GO

CREATE TABLE @SCHEMA@.BPM_BPD_SOAPHEADER (
"BPD_INSTANCE_ID" DECIMAL(12,0) NOT NULL,
"DATA" BLOB(2G)
)
GO


ALTER TABLE @SCHEMA@.BPM_BPD_SOAPHEADER
    ADD CONSTRAINT BPMC_BPD_SOAP_FK0
	FOREIGN KEY("BPD_INSTANCE_ID")
	REFERENCES @SCHEMA@.LSW_BPD_INSTANCE("BPD_INSTANCE_ID")
	ON DELETE CASCADE
GO


CREATE UNIQUE INDEX @SCHEMA@.BPMC_BPD_SOAP_UQ
    ON @SCHEMA@.BPM_BPD_SOAPHEADER(
        "BPD_INSTANCE_ID")
    
GO

						
INSERT INTO @SCHEMA@.LSW_LOCK("LOCK_ID", "DESCRIPTION")
    VALUES('LOG_ADD_LOCK_KEY', 
    'Lock required for adding logs to bpm_repository_log 
and updating timestamp in bpm_project_subscription ')
						
GO


ALTER TABLE @SCHEMA@.LSW_USR_GRP_XREF DROP CHECK "GROUP_NAME"

GO


ALTER TABLE @SCHEMA@.LSW_USR_GRP_XREF ALTER "GROUP_NAME" SET DATA TYPE VARCHAR( 1024)
GO

 
ALTER TABLE @SCHEMA@.LSW_USR_GRP_XREF ADD CONSTRAINT "GROUP_NAME" CHECK (CHARACTER_LENGTH("GROUP_NAME",CODEUNITS16) <= 256)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.LSW_USR_GRP_XREF DROP CHECK "DISPLAY_NAME"

GO


ALTER TABLE @SCHEMA@.LSW_USR_GRP_XREF ALTER "DISPLAY_NAME" SET DATA TYPE VARCHAR( 1024)
GO

 
ALTER TABLE @SCHEMA@.LSW_USR_GRP_XREF ADD CONSTRAINT "DISPLAY_NAME" CHECK (CHARACTER_LENGTH("DISPLAY_NAME",CODEUNITS16) <= 256)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


GO


ALTER  TABLE @SCHEMA@.LSW_TASK_NARR 
ADD 
"NARRATIVE_RAW" BLOB(2G)
GO


							UPDATE @SCHEMA@.LSW_SAVED_SEARCHES SET QUERY='<?xml version="1.0" encoding="UTF-8"?><query organization="byTask"  first-sort="" second-sort=""> <constraints /> <results> <column name="taskSubject" column-type="task"/> <column name="taskNarrative" column-type="task"/> <column name="taskDueDate" column-type="task"/> <column name="taskReceivedDate" column-type="task"/> <column name="taskPriority" column-type="task"/> <column name="taskStatus" column-type="task"/> <column name="taskReceivedFrom" column-type="task"/> <column name="taskClosedDate" column-type="task"/> <column name="assignedToUser" column-type="task"/> <column name="assignedToRoleDisplayName" column-type="task"/> <column name="taskActivityName" column-type="task"/> <column name="taskId" column-type="task"/> <column name="taskAtRiskTime" column-type="task"/> <column name="taskIsAtRisk" column-type="task"/> <column name="instanceId" column-type="instance"/> <column name="instanceName" column-type="instance"/> <column name="bpdId" column-type="instance"/> <column name="instanceProcessApp" column-type="instance"/> <column name="instanceSnapshot" column-type="instance"/> <column name="instanceSnapshotId" column-type="instance"/> </results> </query>' WHERE SEARCH_NAME='IBM.DEFAULTALLTASKSLIST_75'
						
GO


							CREATE PROCEDURE  @SCHEMA@.BPM_SET_LOB_INLINE_LENGTH(IN tableName char(50), IN columnName char(50), IN inlineLength DECIMAL(12,0))
							    LANGUAGE SQL
							BEGIN
							        DECLARE txt VARCHAR(32000);
							        DECLARE EXIT HANDLER FOR SQLSTATE '42837'
							        BEGIN
							                --do nothing
							        END;
							        SET txt = 'ALTER TABLE ' || tableName || 'ALTER COLUMN ' || columnName || 'SET INLINE LENGTH ' || digits(inlineLength);
							        EXECUTE IMMEDIATE txt;
							END
							GO
							
							CALL  @SCHEMA@.BPM_SET_LOB_INLINE_LENGTH('@SCHEMA@.BPM_BPD_SOAPHEADER', 'DATA', 16384)
							GO
							CALL  @SCHEMA@.BPM_SET_LOB_INLINE_LENGTH('@SCHEMA@.LSW_PERF_DATA_TRANSFER', 'DATA', 16384)
							GO
							CALL  @SCHEMA@.BPM_SET_LOB_INLINE_LENGTH('@SCHEMA@.LSW_TASK_EXECUTION_CONTEXT', 'EXECUTION_CONTEXT', 30720)
							GO
							CALL  @SCHEMA@.BPM_SET_LOB_INLINE_LENGTH('@SCHEMA@.LSW_SAVED_SEARCHES', 'QUERY', 4096)
							GO
							CALL  @SCHEMA@.BPM_SET_LOB_INLINE_LENGTH('@SCHEMA@.LSW_BPD_INSTANCE_DATA', 'DATA', 30720)
							GO
							CALL  @SCHEMA@.BPM_SET_LOB_INLINE_LENGTH('@SCHEMA@.LSW_BPD_NOTIFICATION', 'DATA', 16384)
							GO
							CALL  @SCHEMA@.BPM_SET_LOB_INLINE_LENGTH('@SCHEMA@.LSW_BPD_NOTIFICATION', 'ERROR', 4096)
							GO
							CALL  @SCHEMA@.BPM_SET_LOB_INLINE_LENGTH('@SCHEMA@.LSW_BPD_NOTIFICATION', 'ERROR_STACK_TRACE', 4096)
							GO
							CALL  @SCHEMA@.BPM_SET_LOB_INLINE_LENGTH('@SCHEMA@.LSW_SNAPSHOT', 'CHANGE_DATA', 16384)
							GO
							CALL  @SCHEMA@.BPM_SET_LOB_INLINE_LENGTH('@SCHEMA@.LSW_SNAPSHOT', 'DESCRIPTION', 4096)
							GO
							CALL  @SCHEMA@.BPM_SET_LOB_INLINE_LENGTH('@SCHEMA@.LSW_EM_TASK', 'TASK_ARGUMENTS', 16384)
							GO
							CALL  @SCHEMA@.BPM_SET_LOB_INLINE_LENGTH('@SCHEMA@.LSW_DUR_MSG_RECEIVED', 'VALUES_DATA', 4096)
							GO
							CALL  @SCHEMA@.BPM_SET_LOB_INLINE_LENGTH('@SCHEMA@.LSW_DUR_MSG_RECEIVED', 'CORRELATION_BLOB', 4096)
							GO
							CALL  @SCHEMA@.BPM_SET_LOB_INLINE_LENGTH('@SCHEMA@.LSW_TASK_NARR', 'NARRATIVE', 1024)
							GO
							CALL  @SCHEMA@.BPM_SET_LOB_INLINE_LENGTH('@SCHEMA@.LSW_TASK_NARR', 'NARRATIVE_RAW', 1024)
							GO							
							
							DROP PROCEDURE @SCHEMA@.BPM_SET_LOB_INLINE_LENGTH
							GO
						
GO


							ALTER TABLE @SCHEMA@.LSW_SYSTEM DROP PRIMARY KEY
							GO
							ALTER TABLE @SCHEMA@.LSW_SYSTEM ADD PROPKEY VARCHAR(1024)
							GO
							ALTER TABLE @SCHEMA@.LSW_SYSTEM ADD PROPVALUE VARCHAR(1024)
							GO
							ALTER TABLE @SCHEMA@.LSW_SYSTEM ADD CONSTRAINT "PROPKEY" CHECK (CHARACTER_LENGTH("PROPKEY",CODEUNITS16) <= 256) ENFORCED ENABLE QUERY OPTIMIZATION
							GO
							ALTER TABLE @SCHEMA@.LSW_SYSTEM ADD CONSTRAINT "PROPVALUE" CHECK (CHARACTER_LENGTH("PROPVALUE",CODEUNITS16) <= 256)  ENFORCED ENABLE QUERY OPTIMIZATION
							GO
							UPDATE @SCHEMA@.LSW_SYSTEM SET PROPKEY = KEY
							GO
							UPDATE @SCHEMA@.LSW_SYSTEM SET PROPVALUE = VALUE
							GO
							ALTER TABLE @SCHEMA@.LSW_SYSTEM ALTER COLUMN PROPKEY SET NOT NULL
							GO
							ALTER TABLE @SCHEMA@.LSW_SYSTEM ALTER COLUMN PROPVALUE SET NOT NULL
							GO
							ALTER TABLE @SCHEMA@.LSW_SYSTEM DROP COLUMN KEY CASCADE
							GO
							call sysproc.admin_cmd('reorg table @SCHEMA@.LSW_SYSTEM')
							GO
							ALTER TABLE @SCHEMA@.LSW_SYSTEM DROP COLUMN VALUE CASCADE
							GO
							call sysproc.admin_cmd('reorg table @SCHEMA@.LSW_SYSTEM')
							GO
							ALTER TABLE @SCHEMA@.LSW_SYSTEM ADD PRIMARY KEY (PROPKEY)
							GO
						
GO


CREATE INDEX @SCHEMA@.IDX9_LSW_TASK 
    ON @SCHEMA@.LSW_TASK(
    "BPD_INSTANCE_ID",
    "TASK_ID",
    "CREATED_BY_BPD_FLOW_OBJECT_ID",
    "STATUS")
    
GO

CREATE TABLE @SCHEMA@.BPM_TASK_INDEX (
"TASK_ID" DECIMAL(12,0) NOT NULL,
"MAJOR_EVENT_DATETIME" TIMESTAMP,
"MINOR_EVENT_DATETIME" TIMESTAMP,
"TASK_DATA" BLOB(2G)
)
GO


ALTER TABLE @SCHEMA@.BPM_TASK_INDEX ADD CONSTRAINT BPM_TASK_INDEX_PK
    PRIMARY KEY("TASK_ID")

GO


ALTER TABLE @SCHEMA@.BPM_TASK_INDEX
    ADD CONSTRAINT BPM_TASK_INDEX_FK
	FOREIGN KEY("TASK_ID")
	REFERENCES @SCHEMA@.LSW_TASK("TASK_ID")
	ON DELETE CASCADE
GO


CREATE INDEX @SCHEMA@.BPM_TASK_INDEX_IDX 
    ON @SCHEMA@.BPM_TASK_INDEX(
    "MAJOR_EVENT_DATETIME",
    "TASK_ID")
    
GO

CREATE TABLE @SCHEMA@.BPM_TASK_INDEX_JOB (
"INDEX_ID" CHAR(36) NOT NULL,
"INDEX_START_TIME" TIMESTAMP NOT NULL,
"INDEX_END_TIME" TIMESTAMP,
"RECORDS_INDEXED" DECIMAL(12,0),
"RESULT_VALUE" VARCHAR( 1024)
)
GO


ALTER TABLE @SCHEMA@.BPM_TASK_INDEX_JOB ADD CONSTRAINT "RESULT_VALUE" CHECK (CHARACTER_LENGTH("RESULT_VALUE",CODEUNITS16) <= 256)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.BPM_TASK_INDEX_JOB ADD CONSTRAINT BPM_TASK_INDEX_JOB_PK
    PRIMARY KEY("INDEX_ID","INDEX_START_TIME")

GO


CREATE INDEX @SCHEMA@.IDX1_BPM_TASK_MARKERS 
    ON @SCHEMA@.BPM_TASK_MARKERS(
    "TARGET_USER",
    "MARKER_TYPE")
    
GO


CREATE INDEX @SCHEMA@.IDX2_BPM_TASK_MARKERS 
    ON @SCHEMA@.BPM_TASK_MARKERS(
    "TASK_ID")
    
GO


CREATE INDEX @SCHEMA@.BPM_IDX3_NODE 
    ON @SCHEMA@.BPM_CONTRIBUTION(
    "FILENAME")
    
GO


							DROP INDEX @SCHEMA@.IDX_PO_VERSIONS
                        	GO
						
                        	DROP INDEX @SCHEMA@.IDX2_PO_VERSIONS
                        	GO
                        	
                        	DROP INDEX @SCHEMA@.IDX3_PO_VERSIONS
                        	GO
                        	
                        	DROP INDEX @SCHEMA@.IDX4_PO_VERSIONS
                        	GO
                        	
                        	DROP INDEX @SCHEMA@.IDX5_PO_VERSIONS
                        	GO
                        	
                        	DROP INDEX @SCHEMA@.IDX6_PO_VERSIONS
                        	GO
                        	
                        	DROP INDEX @SCHEMA@.IDX7_PO_VERSIONS
                    	
GO


GO


CREATE INDEX @SCHEMA@.IDX_PO_VERSIONS 
    ON @SCHEMA@.LSW_PO_VERSIONS(
    "PO_TYPE",
    "BRANCH_ID",
    "START_SEQ_NUM",
    "END_SEQ_NUM",
    "PO_VERSION_ID")
    
GO


CREATE INDEX @SCHEMA@.IDX2_PO_VERSIONS 
    ON @SCHEMA@.LSW_PO_VERSIONS(
    "BRANCH_ID",
    "END_SEQ_NUM")
    
GO


CREATE UNIQUE INDEX @SCHEMA@.LSWC_UXREF_UQ2
    ON @SCHEMA@.LSW_USR_XREF(
        "USER_ID",
        "USER_NAME")
    
GO


CREATE INDEX @SCHEMA@.LSWC_TASK_STATUS_INDEX1 
    ON @SCHEMA@.LSW_TASK_STATUS_CODES(
    "NAME")
    
GO


CREATE INDEX @SCHEMA@.LSWC_TASK_STATUS_INDEX2 
    ON @SCHEMA@.LSW_TASK_STATUS_CODES(
    "STATUS_VALUE")
    
GO


                        	DROP INDEX @SCHEMA@.LSWC_SNPSHT_ID_NUQ
                    	
GO


CREATE INDEX @SCHEMA@.INDEX1_LSW_BPD_INST 
    ON @SCHEMA@.LSW_BPD_INSTANCE(
    "SNAPSHOT_ID",
    "BPD_INSTANCE_ID")
    
GO


CREATE INDEX @SCHEMA@.INDEX2_LSW_BPD_INST 
    ON @SCHEMA@.LSW_BPD_INSTANCE(
    "EXECUTION_STATUS",
    "BPD_INSTANCE_ID")
    
GO


CREATE INDEX @SCHEMA@.INDEX3_LSW_BPD_INST 
    ON @SCHEMA@.LSW_BPD_INSTANCE(
    "BPD_INSTANCE_ID",
    "EXECUTION_STATUS",
    "CACHED_BPD_VERSION_ID")
    
GO


							DROP PROCEDURE @SCHEMA@.LSW_HOUSE_KEEPING
						
GO


							CREATE PROCEDURE @SCHEMA@.LSW_HOUSE_KEEPING(IN modeHK DECIMAL(12,0))
								LANGUAGE SQL
							MAIN:
							BEGIN
								DECLARE statuses VARCHAR(64);
								DECLARE sqlCmd VARCHAR(4000);
								DECLARE flgStatusNotExist CHAR(1);
								DECLARE flgDelete CHAR(1);
								DECLARE rootTaskId DECIMAL(12,0);
								DECLARE taskId DECIMAL(12,0);
								DECLARE taskStatus VARCHAR(2);
								DECLARE at_end DECIMAL(1,0);
								DECLARE not_found CONDITION for SQLSTATE '02000';
								DECLARE CONTINUE HANDLER for not_found SET at_end = 1;
								IF (modeHK = 1) THEN
									DELETE FROM @SCHEMA@.LSW_TASK_FILE WHERE TASK_ID IN (SELECT TASK_ID FROM @SCHEMA@.LSW_TASK WHERE STATUS IN ('91','92'));
									DELETE FROM @SCHEMA@.LSW_FILE WHERE FILE_ID NOT IN (SELECT FILE_ID FROM @SCHEMA@.LSW_TASK_FILE) OR FILE_ID NOT IN (SELECT FILE_ID FROM @SCHEMA@.LSW_TASK,@SCHEMA@.LSW_TASK_FILE WHERE @SCHEMA@.LSW_TASK.TASK_ID = @SCHEMA@.LSW_TASK_FILE.TASK_ID);
									DELETE FROM @SCHEMA@.LSW_TASK_FILE WHERE FILE_ID NOT IN (SELECT FILE_ID FROM @SCHEMA@.LSW_FILE) OR TASK_ID NOT IN (SELECT @SCHEMA@.LSW_TASK.TASK_ID FROM @SCHEMA@.LSW_TASK,@SCHEMA@.LSW_TASK_FILE WHERE @SCHEMA@.LSW_TASK.TASK_ID = @SCHEMA@.LSW_TASK_FILE.TASK_ID);
									DELETE FROM @SCHEMA@.LSW_USR_GRP_MEM_XREF WHERE GROUP_ID IN (
										SELECT g.GROUP_ID FROM @SCHEMA@.LSW_USR_GRP_XREF g WHERE NOT EXISTS (SELECT 1 FROM @SCHEMA@.LSW_TASK t WHERE g.GROUP_ID = ABS(t.GROUP_ID)) AND g.GROUP_TYPE = 2);
									DELETE FROM @SCHEMA@.LSW_USR_GRP_XREF WHERE GROUP_ID IN (
										SELECT g.GROUP_ID FROM @SCHEMA@.LSW_USR_GRP_XREF g WHERE NOT EXISTS (SELECT 1 FROM @SCHEMA@.LSW_TASK t WHERE g.GROUP_ID = ABS(t.GROUP_ID)) AND g.GROUP_TYPE = 2);
								ELSEIF (modeHK > 1) THEN
									SET statuses = '';
									IF (modeHK >= 2) THEN
										SET statuses = '''91'',''92''';
									END IF;
									IF (modeHK >= 3) THEN
										SET statuses = statuses || ',''21''';
									END IF;
									IF (modeHK >= 4) THEN
										SET statuses = statuses || ',''31'',''32''';
									END IF;
									DECLARE GLOBAL TEMPORARY TABLE TEMP_DELETE_TASK (
										TASK_ID DECIMAL(12,0) NOT NULL
										) NOT LOGGED WITH REPLACE;
									BEGIN
										DECLARE curAllRootTasks CURSOR FOR stmt1;
										SET sqlCmd = 'SELECT DISTINCT ORIG_TASK_ID FROM @SCHEMA@.LSW_TASK';
										PREPARE stmt1 FROM sqlCmd;
										OPEN curAllRootTasks;
										MAIN_LOOP:
											LOOP
											SET at_end = 0;
											FETCH curAllRootTasks INTO rootTaskId;
											IF (at_end = 1) THEN
												LEAVE MAIN_LOOP;
											END IF;
											SET flgDelete = 'T';
											BEGIN
												DECLARE curRootTask CURSOR FOR stmt2;
												SET sqlCmd = 'SELECT TASK_ID, STATUS FROM @SCHEMA@.LSW_TASK WHERE ORIG_TASK_ID = ?';
												PREPARE stmt2 FROM sqlCmd;
												OPEN curRootTask USING rootTaskId;
												ROOT_TASK_LOOP:
												LOOP
													SET at_end = 0;
													FETCH curRootTask INTO taskId, taskStatus;
													IF (at_end = 1) THEN
														LEAVE ROOT_TASK_LOOP;
													END IF;
													SET flgStatusNotExist = 'F';
													BEGIN
														DECLARE curStatusNotExist CURSOR FOR stmt3;
														SET sqlCmd = 'SELECT ''T'' FROM SYSIBM.SYSDUMMY1 WHERE ? NOT IN (' || statuses || ')';
														PREPARE stmt3 FROM sqlCmd;
														OPEN curStatusNotExist USING taskStatus;
														FETCH curStatusNotExist INTO flgStatusNotExist;
														CLOSE curStatusNotExist;
													END;
													IF (flgStatusNotExist = 'T') THEN
														SET flgDelete = 'F';
														LEAVE ROOT_TASK_LOOP;
													END IF;
													INSERT INTO SESSION.TEMP_DELETE_TASK VALUES (taskId);
												END LOOP;
												CLOSE curRootTask;
												IF (flgDelete = 'T') THEN
												BEGIN
													DECLARE curDeleteTask CURSOR FOR stmt4;
													SET sqlCmd = 'SELECT TASK_ID FROM SESSION.TEMP_DELETE_TASK';
													PREPARE stmt4 FROM sqlCmd;
													OPEN curDeleteTask;
													SET at_end = 0;
													DELETE_TASK_LOOP:
													LOOP
														SET at_end = 0;
														FETCH curDeleteTask INTO taskId;
														IF (at_end = 1) THEN
															LEAVE DELETE_TASK_LOOP;
														END IF;
														DELETE FROM @SCHEMA@.LSW_TASK_NARR WHERE TASK_ID = taskId;
														DELETE FROM @SCHEMA@.LSW_TASK_FILE WHERE TASK_ID = taskId;
														DELETE FROM @SCHEMA@.LSW_TASK_ADDR WHERE TASK_ID = taskId;
														DELETE FROM @SCHEMA@.LSW_TASK_EXECUTION_CONTEXT WHERE TASK_ID = taskId;
														DELETE FROM @SCHEMA@.LSW_TASK WHERE TASK_ID = taskId;
													END LOOP;
													CLOSE curDeleteTask;
												END;
												END IF;
												DELETE FROM SESSION.TEMP_DELETE_TASK;
											END;
											END LOOP;
											CLOSE curAllRootTasks;
									END;
									DROP TABLE SESSION.TEMP_DELETE_TASK;
									DELETE FROM @SCHEMA@.LSW_FILE WHERE FILE_ID NOT IN (SELECT FILE_ID FROM @SCHEMA@.LSW_TASK_FILE);
									DELETE FROM @SCHEMA@.LSW_USR_GRP_MEM_XREF WHERE GROUP_ID IN (
										SELECT g.GROUP_ID FROM @SCHEMA@.LSW_USR_GRP_XREF g WHERE NOT EXISTS (SELECT 1 FROM @SCHEMA@.LSW_TASK t WHERE g.GROUP_ID = ABS(t.GROUP_ID)) AND g.GROUP_TYPE = 2);
									DELETE FROM @SCHEMA@.LSW_USR_GRP_XREF WHERE GROUP_ID IN (
										SELECT g.GROUP_ID FROM @SCHEMA@.LSW_USR_GRP_XREF g WHERE NOT EXISTS (SELECT 1 FROM @SCHEMA@.LSW_TASK t WHERE g.GROUP_ID = ABS(t.GROUP_ID)) AND g.GROUP_TYPE = 2);
								END IF;
								END
							GO
						
GO


							BEGIN ATOMIC
							INSERT INTO @SCHEMA@.LSW_PROJECT (PROJECT_ID, CREATED_BY_USER_ID, CREATED_ON, LAST_MODIFIED, LAST_MODIFIED_BY_USER_ID, NAME, DESCRIPTION, SHORT_NAME, IS_TOOLKIT, IS_BRANCHING_ENABLED, IS_HIDDEN)
   							VALUES ('dbecd816-afed-47b0-ba92-c13256fcb566', 1, '1969-01-01 17:00:00.000000', '1969-01-01 17:00:00.000000', 1, 'System Governance', 'IBM BPM Governance Data and Services', 'TWSYSG', 'T', 'F', 'F');
							INSERT INTO @SCHEMA@.LSW_BRANCH(BRANCH_ID, CREATED_BY_USER_ID, CREATED_ON, LAST_MODIFIED, LAST_MODIFIED_BY_USER_ID, NAME, ACRONYM, DESCRIPTION, TIP_SNAPSHOT_ID, TIP_SEQ_NUM, PROJECT_ID, IS_DEFAULT)
							VALUES ('f757be35-ebca-4e58-a85c-6b34f3c15149', 1, '1969-01-01 17:00:00.000000', '1969-01-01 17:00:00.000000', 1, 'Main', 'Main', 'The main branch of the TWSYSG project', '8b0bdb20-6dd1-4357-945a-4cdf0cbd020d', 256, 'dbecd816-afed-47b0-ba92-c13256fcb566', 'T');
   							END
						
GO


							BEGIN ATOMIC
							INSERT INTO @SCHEMA@.LSW_ACL_ENTRY (ACL_ENTRY_ID,GROUP_ID,PO_TYPE,PO_ID,MASK)
							VALUES(7, 3, 2066, 'dbecd816-afed-47b0-ba92-c13256fcb566', 127);
							INSERT INTO @SCHEMA@.LSW_ACL_ENTRY (ACL_ENTRY_ID,GROUP_ID,PO_TYPE,PO_ID,MASK)
							VALUES(8, 3, 2066, 'b691179d-e7a4-4a27-b89b-f2263d0280e7', 63);
							INSERT INTO @SCHEMA@.LSW_ACL_ENTRY (ACL_ENTRY_ID,GROUP_ID,PO_TYPE,PO_ID,MASK)
							VALUES(9, 4, 2066, 'b691179d-e7a4-4a27-b89b-f2263d0280e7', 63);
							INSERT INTO @SCHEMA@.LSW_ACL_ENTRY (ACL_ENTRY_ID,GROUP_ID,PO_TYPE,PO_ID,MASK)
							VALUES(10, 3, 2066, '4b3882d9-e886-4f08-9d0c-078ebda719b9', 63);
							INSERT INTO @SCHEMA@.LSW_ACL_ENTRY (ACL_ENTRY_ID,GROUP_ID,PO_TYPE,PO_ID,MASK)
							VALUES(11, 4, 2066, '4b3882d9-e886-4f08-9d0c-078ebda719b9', 63);
							END
						
GO


							BEGIN ATOMIC
							INSERT INTO @SCHEMA@.LSW_PROJECT (PROJECT_ID, CREATED_BY_USER_ID, CREATED_ON, LAST_MODIFIED, LAST_MODIFIED_BY_USER_ID, NAME, DESCRIPTION, SHORT_NAME, IS_TOOLKIT, IS_BRANCHING_ENABLED, IS_HIDDEN)
							VALUES ('4b3882d9-e886-4f08-9d0c-078ebda719b9', 1, '1969-01-01 17:00:00.000000', '1969-01-01 17:00:00.000000', 1, 'Content Management', 'IBM BPM Content Management Data, Services and Coach views.', 'SYSCM', 'T', 'F', 'F');
							INSERT INTO @SCHEMA@.LSW_BRANCH (BRANCH_ID, CREATED_BY_USER_ID, CREATED_ON, LAST_MODIFIED, LAST_MODIFIED_BY_USER_ID, NAME, ACRONYM, DESCRIPTION, TIP_SNAPSHOT_ID, TIP_SEQ_NUM, PROJECT_ID, IS_DEFAULT)
							VALUES ('4961c615-3524-4196-90da-93c49d237009', 1, '1969-01-01 17:00:00.000000', '1969-01-01 17:00:00.000000', 1, 'Main', 'Main', 'The main branch of the SYSCM project', '29dbc7ff-aace-481a-ba72-be56c0180448', 256, '4b3882d9-e886-4f08-9d0c-078ebda719b9', 'T');
   							END
						
GO


							BEGIN ATOMIC
							INSERT INTO @SCHEMA@.LSW_PROJECT (PROJECT_ID, CREATED_BY_USER_ID, CREATED_ON, LAST_MODIFIED, LAST_MODIFIED_BY_USER_ID, NAME, DESCRIPTION, SHORT_NAME, IS_TOOLKIT, IS_BRANCHING_ENABLED, IS_HIDDEN)
							VALUES ('b691179d-e7a4-4a27-b89b-f2263d0280e7', 1, '1969-01-01 17:00:00.000000', '1969-01-01 17:00:00.000000', 1, 'Coaches', 'IBM BPM System Coaches', 'SYSC', 'T', 'F', 'F');
							INSERT INTO @SCHEMA@.LSW_BRANCH (BRANCH_ID, CREATED_BY_USER_ID, CREATED_ON, LAST_MODIFIED, LAST_MODIFIED_BY_USER_ID, NAME, ACRONYM, DESCRIPTION, TIP_SNAPSHOT_ID, TIP_SEQ_NUM, PROJECT_ID, IS_DEFAULT)
							VALUES ('50f91713-f1c4-4859-897f-89720db5dc3e', 1, '1969-01-01 17:00:00.000000', '1969-01-01 17:00:00.000000', 1, 'Main', 'Main', 'The main branch of the SYSC project', 'b10f8fa8-75a6-47e4-899c-b5e876169c68', 256, 'b691179d-e7a4-4a27-b89b-f2263d0280e7', 'T');
   							END
						
GO


							BEGIN ATOMIC
							INSERT INTO @SCHEMA@.LSW_ENV_VAR_TYPE (ENV_VAR_TYPE_ID,NAME,DESCRIPTION) VALUES(6, 6, 'ECM Server');
							END
						
GO


		
/* END of phase ProcUpgradeTo800 */
        
	
    

		
/* START of phase ProcUpgradeTo801 */
        
			
ALTER  TABLE @SCHEMA@.LSW_UCA 
ADD 
"UCA_EVENT_TYPE_REF" DECIMAL(2,0)
GO


ALTER  TABLE @SCHEMA@.LSW_UCA 
ADD 
"VARIABLE_REF" CHAR(36)
GO


ALTER  TABLE @SCHEMA@.LSW_UCA 
ADD 
"IMPLEMENTATION_TYPE" VARCHAR( 320)
GO


ALTER TABLE @SCHEMA@.LSW_UCA ADD CONSTRAINT "IMPLEMENTATION_TYPE" CHECK (CHARACTER_LENGTH("IMPLEMENTATION_TYPE",CODEUNITS16) <= 80)  ENFORCED ENABLE QUERY OPTIMIZATION

GO

CREATE TABLE @SCHEMA@.BPM_UCA_EVENT_TYPE (
"UCA_EVENT_TYPE_ID" DECIMAL(2,0) NOT NULL,
"NAME" VARCHAR( 256) NOT NULL,
"DESCRIPTION" CLOB(2G)
)
GO


ALTER TABLE @SCHEMA@.BPM_UCA_EVENT_TYPE ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.BPM_UCA_EVENT_TYPE ADD CONSTRAINT LSWC_UCA_EVENT_TYPE_PK
    PRIMARY KEY("UCA_EVENT_TYPE_ID")

GO


CREATE INDEX @SCHEMA@.LSWC_UCA_EVENT_TYPE_PK4
    ON @SCHEMA@.BPM_UCA_EVENT_TYPE("NAME")
    
GO


							BEGIN ATOMIC
							INSERT INTO @SCHEMA@.BPM_UCA_EVENT_TYPE (UCA_EVENT_TYPE_ID,NAME,DESCRIPTION)
							VALUES(0, 0, 'Timer');
							INSERT INTO @SCHEMA@.BPM_UCA_EVENT_TYPE (UCA_EVENT_TYPE_ID,NAME,DESCRIPTION)
							VALUES(1, 1, 'Message');
							INSERT INTO @SCHEMA@.BPM_UCA_EVENT_TYPE (UCA_EVENT_TYPE_ID,NAME,DESCRIPTION)
							VALUES(2, 2, 'Content');
							END
						
GO


ALTER  TABLE @SCHEMA@.LSW_MANAGED_ASSET 
ADD 
"IS_DOCUMENTATION_FILE" CHAR(1) DEFAULT 'F' NOT NULL
GO


INSERT INTO @SCHEMA@.LSW_ENV_VAR_TYPE (ENV_VAR_TYPE_ID,NAME,DESCRIPTION)
    VALUES(8, '8', 'Connections Server')
                        
GO


ALTER  TABLE @SCHEMA@.BPM_COACHNG_BOUNDARY_EVENT 
ADD 
"IS_VALIDATE_BOUNDARY_EVENT" CHAR(1) DEFAULT 'F'
GO


ALTER  TABLE @SCHEMA@.BPM_COACHNG_BOUNDARY_EVENT 
ADD 
"FIRE_VALIDATION" DECIMAL(1,0) DEFAULT 0
GO

CREATE TABLE @SCHEMA@.BPM_GOVERNANCE_EVENT (
"EVENT_TYPE_ID" CHAR(36) NOT NULL,
"EVENT_TYPE" DECIMAL(8,0) NOT NULL,
"EVENT_TYPE_NAME" VARCHAR( 792) NOT NULL,
"GOV_DEFAULT_SNAPSHOT_ID" CHAR(36) NOT NULL,
"GOV_DEFAULT_PROCESS_ID" CHAR(36) NOT NULL,
"GOV_DEFAULT_PROCESS_TYPE" DECIMAL(8,0) NOT NULL
)
GO


ALTER TABLE @SCHEMA@.BPM_GOVERNANCE_EVENT ADD CONSTRAINT "EVENT_TYPE_NAME" CHECK (CHARACTER_LENGTH("EVENT_TYPE_NAME",CODEUNITS16) <= 198)  ENFORCED ENABLE QUERY OPTIMIZATION

GO

CREATE TABLE @SCHEMA@.BPM_GOVERNANCE_ASSIGNMENT (
"ASSIGNMENT_ID" CHAR(36) NOT NULL,
"PROJECT_ID" CHAR(36) NOT NULL,
"EVENT_TYPE_ID" CHAR(36) NOT NULL,
"GOV_SNAPSHOT_ID" CHAR(36) NOT NULL,
"GOV_PROCESS_ID" CHAR(36) NOT NULL,
"GOV_PROCESS_TYPE" DECIMAL(8,0) NOT NULL,
"ACTIVE" CHAR(1) DEFAULT 'T' NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
GO


ALTER TABLE @SCHEMA@.BPM_GOVERNANCE_EVENT ADD CONSTRAINT BPM_GOV_DEFAULTS_PK
    PRIMARY KEY("EVENT_TYPE_ID")

GO


ALTER TABLE @SCHEMA@.BPM_GOVERNANCE_ASSIGNMENT ADD CONSTRAINT BPM_GOVERNANCE_ASSIGNMENT_PK
    PRIMARY KEY("ASSIGNMENT_ID")

GO


ALTER TABLE @SCHEMA@.BPM_GOVERNANCE_ASSIGNMENT
    ADD CONSTRAINT BPM_GOVERNANCE_ASSIGNMENT_FK1
	FOREIGN KEY("PROJECT_ID")
	REFERENCES @SCHEMA@.LSW_PROJECT("PROJECT_ID")
	ON DELETE CASCADE
GO


							BEGIN ATOMIC
								INSERT INTO @SCHEMA@.BPM_GOVERNANCE_EVENT(EVENT_TYPE_ID, EVENT_TYPE, EVENT_TYPE_NAME, GOV_DEFAULT_SNAPSHOT_ID, GOV_DEFAULT_PROCESS_ID, GOV_DEFAULT_PROCESS_TYPE) VALUES('dbecd816-afed-47b0-ba92-c13256fcb568', 0, 'Installation Requested', '8b0bdb20-6dd1-4357-945a-4cdf0cbd020d', 'b0d87b96-5044-4390-b0f5-4ba05d63bc28', 25);
								INSERT INTO @SCHEMA@.BPM_GOVERNANCE_EVENT(EVENT_TYPE_ID, EVENT_TYPE, EVENT_TYPE_NAME, GOV_DEFAULT_SNAPSHOT_ID, GOV_DEFAULT_PROCESS_ID, GOV_DEFAULT_PROCESS_TYPE) VALUES('dbecd816-afed-47b0-ba92-c13256fcb569', 1, 'Snapshot Status Change', '8b0bdb20-6dd1-4357-945a-4cdf0cbd020d', '291536f1-aa21-4650-8ac9-c62eaa3fa110', 25);
							END
						
GO


DROP TABLE @SCHEMA@.LSW_ORG_CHART
GO

CREATE TABLE @SCHEMA@.BPM_EVENT_SUBSCRIPTION (
"EVENT_SUBSCRIPTION_ID" CHAR(36) NOT NULL,
"EVENT_SUBSCRIPTION_TYPE_ID" DECIMAL(2,0) NOT NULL,
"SERVER_NAME" VARCHAR( 1024),
"EVENT_CLASS" VARCHAR( 1024),
"OBJECT_TYPE_ID" VARCHAR( 1024),
"OBJECT_TYPE_ID_DISPLAY_NAME" VARCHAR( 1024),
"EVENT_TYPE" VARCHAR( 1024),
"INCLUDE_SUB_TYPE" CHAR(1) DEFAULT 'F',
"PROCESS_REF" CHAR(36),
"PARTICIPANT_REF" CHAR(36),
"NAME" VARCHAR( 256) NOT NULL,
"DESCRIPTION" CLOB(2G),
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
GO


ALTER TABLE @SCHEMA@.BPM_EVENT_SUBSCRIPTION ADD CONSTRAINT "SERVER_NAME" CHECK (CHARACTER_LENGTH("SERVER_NAME",CODEUNITS16) <= 256)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.BPM_EVENT_SUBSCRIPTION ADD CONSTRAINT "EVENT_CLASS" CHECK (CHARACTER_LENGTH("EVENT_CLASS",CODEUNITS16) <= 256)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.BPM_EVENT_SUBSCRIPTION ADD CONSTRAINT "OBJECT_TYPE_ID" CHECK (CHARACTER_LENGTH("OBJECT_TYPE_ID",CODEUNITS16) <= 256)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.BPM_EVENT_SUBSCRIPTION ADD CONSTRAINT "OBJECT_TYPE_ID_DISPLAY_NAME" CHECK (CHARACTER_LENGTH("OBJECT_TYPE_ID_DISPLAY_NAME",CODEUNITS16) <= 256)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.BPM_EVENT_SUBSCRIPTION ADD CONSTRAINT "EVENT_TYPE" CHECK (CHARACTER_LENGTH("EVENT_TYPE",CODEUNITS16) <= 256)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.BPM_EVENT_SUBSCRIPTION ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.BPM_EVENT_SUBSCRIPTION ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

GO

CREATE TABLE @SCHEMA@.BPM_EVENT_SUBSCRIPTION_TYPE (
"EVENT_SUBSCRIPTION_TYPE_ID" DECIMAL(2,0) NOT NULL,
"NAME" VARCHAR( 256) NOT NULL,
"DESCRIPTION" CLOB(2G)
)
GO


ALTER TABLE @SCHEMA@.BPM_EVENT_SUBSCRIPTION_TYPE ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.BPM_EVENT_SUBSCRIPTION ADD CONSTRAINT BPM_EVENT_SUBSCRIPTION_PK
    PRIMARY KEY("VERSION_ID")

GO


ALTER TABLE @SCHEMA@.BPM_EVENT_SUBSCRIPTION_TYPE ADD CONSTRAINT LSWC_BPM_EVT_SUBN_TYPE_PK
    PRIMARY KEY("EVENT_SUBSCRIPTION_TYPE_ID")

GO


CREATE INDEX @SCHEMA@.BPM_EVENT_SUBSCRIPTION_PK3
    ON @SCHEMA@.BPM_EVENT_SUBSCRIPTION("GUID")
    
GO


CREATE INDEX @SCHEMA@.BPM_EVENT_SUBSCRIPTION_PK4
    ON @SCHEMA@.BPM_EVENT_SUBSCRIPTION("NAME")
    
GO


CREATE INDEX @SCHEMA@.BPM_EVENT_SUBSCRIPTION_IDX1 
    ON @SCHEMA@.BPM_EVENT_SUBSCRIPTION(
    "EVENT_SUBSCRIPTION_TYPE_ID",
    "EVENT_TYPE",
    "OBJECT_TYPE_ID",
    "INCLUDE_SUB_TYPE")
    
GO


CREATE INDEX @SCHEMA@.LSWC_BPM_EVT_SUBN_TYPE_PK4
    ON @SCHEMA@.BPM_EVENT_SUBSCRIPTION_TYPE("NAME")
    
GO


INSERT INTO @SCHEMA@.BPM_EVENT_SUBSCRIPTION_TYPE
  (EVENT_SUBSCRIPTION_TYPE_ID,NAME,DESCRIPTION)
  VALUES(0, '0', 'ECM')
GO
						
GO

CREATE TABLE @SCHEMA@.LSW_STAY_ON_PAGE (
"STAY_ON_PAGE_ID" CHAR(36) NOT NULL,
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
GO


ALTER TABLE @SCHEMA@.LSW_STAY_ON_PAGE ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.LSW_STAY_ON_PAGE ADD CONSTRAINT BPM_STAY_ON_PAGE_PK
    PRIMARY KEY("VERSION_ID")

GO


CREATE INDEX @SCHEMA@.BPM_STAY_ON_PAGE_PK3
    ON @SCHEMA@.LSW_STAY_ON_PAGE("GUID")
    
GO


ALTER  TABLE @SCHEMA@.LSW_BPD 
ADD 
"TEMPLATE_ID" CHAR(36)
GO


ALTER  TABLE @SCHEMA@.LSW_BPD_PARAMETER 
ADD 
"IS_READ_ONLY" CHAR(1) DEFAULT 'F'
GO


ALTER  TABLE @SCHEMA@.BPM_COACH_VIEW 
ADD 
"VALIDATE_JS_FUNCTION" CLOB(2G)
GO


ALTER  TABLE @SCHEMA@.LSW_FAVORITE 
ADD 
"CACHED_EVENT_SUB_VERSION_ID" CHAR(36)
GO


ALTER  TABLE @SCHEMA@.LSW_FAVORITE 
ADD 
"EVENT_SOURCE_ID" VARCHAR( 512)
GO


ALTER TABLE @SCHEMA@.LSW_FAVORITE ADD CONSTRAINT "EVENT_SOURCE_ID" CHECK (CHARACTER_LENGTH("EVENT_SOURCE_ID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


							BEGIN ATOMIC
							INSERT INTO @SCHEMA@.LSW_ACL_ENTRY (ACL_ENTRY_ID,GROUP_ID,PO_TYPE,PO_ID,MASK)
							VALUES(12, 4, 2066, 'dbecd816-afed-47b0-ba92-c13256fcb566', 5);
							END
						
GO


ALTER  TABLE @SCHEMA@.BPM_COACH_VIEW 
ADD 
"USE_URL_BINDING" CHAR(1) DEFAULT 'F'
GO


ALTER  TABLE @SCHEMA@.LSW_BLUEPRINT_SUBSCRIPTION 
ADD 
"LAST_MODIFIED" TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL
GO


GO


ALTER  TABLE @SCHEMA@.LSW_BLUEPRINT_SUBSCRIPTION 
ADD 
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) DEFAULT 1 NOT NULL
GO


ALTER  TABLE @SCHEMA@.LSW_WEB_SERVICE 
ADD 
"TARGET_NAMESPACE" VARCHAR( 2048)
GO


ALTER TABLE @SCHEMA@.LSW_WEB_SERVICE ADD CONSTRAINT "TARGET_NAMESPACE" CHECK (CHARACTER_LENGTH("TARGET_NAMESPACE",CODEUNITS16) <= 512)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER  TABLE @SCHEMA@.LSW_WEB_SERVICE 
ADD 
"TARGET_NAMESPACE_SCHEME" VARCHAR( 256)
GO


ALTER TABLE @SCHEMA@.LSW_WEB_SERVICE ADD CONSTRAINT "TARGET_NAMESPACE_SCHEME" CHECK (CHARACTER_LENGTH("TARGET_NAMESPACE_SCHEME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER  TABLE @SCHEMA@.LSW_SNAPSHOT 
ADD 
"TIP_DEPLOYMENT_IN_PROGRESS" CHAR(1) DEFAULT 'F'
GO


ALTER  TABLE @SCHEMA@.BPM_TASK_INDEX_JOB 
ADD 
"INDEX_LAST_PURGE_TIME" TIMESTAMP
GO


ALTER  TABLE @SCHEMA@.BPM_COACH_VIEW_CONFIG_OPTION 
ADD 
"GROUP_NAME" VARCHAR( 256)
GO


ALTER TABLE @SCHEMA@.BPM_COACH_VIEW_CONFIG_OPTION ADD CONSTRAINT "GROUP_NAME" CHECK (CHARACTER_LENGTH("GROUP_NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


							BEGIN ATOMIC
							INSERT INTO @SCHEMA@.LSW_SNAPSHOT (SNAPSHOT_ID, CREATED_BY_USER_ID, CREATED_ON, ACRONYM, BRANCH_ID, PROJECT_ID, SEQ_NUM, ORIG_CREATED_ON, LAST_MODIFIED, LAST_MODIFIED_BY_USER_ID)
							VALUES ('29dbc7ff-aace-481a-ba72-be56c0180448', 1, '1969-01-01 17:00:00.000000', '29dbc7ff-aace-481a-ba72-be56c0180448', '4961c615-3524-4196-90da-93c49d237009', '4b3882d9-e886-4f08-9d0c-078ebda719b9', 256, '1969-01-01 17:00:00.000000', '1969-01-01 17:00:00.000000', 1);
   							END
						
GO


CREATE INDEX @SCHEMA@.BPM_SHARED_OBJECT_IDX1 
    ON @SCHEMA@.BPM_SHARED_OBJECT(
    "TASK_ID")
    
GO


							BEGIN ATOMIC
							INSERT INTO @SCHEMA@.LSW_SNAPSHOT (SNAPSHOT_ID, CREATED_BY_USER_ID, CREATED_ON, ACRONYM, BRANCH_ID, PROJECT_ID, SEQ_NUM, ORIG_CREATED_ON, LAST_MODIFIED, LAST_MODIFIED_BY_USER_ID)
							VALUES ('e01d46a5-6dc9-4545-9940-7e843777321d', 1, '1969-01-01 17:00:00.000000', 'e01d46a5-6dc9-4545-9940-7e843777321d', '50f91713-f1c4-4859-897f-89720db5dc3e', 'b691179d-e7a4-4a27-b89b-f2263d0280e7', 256, '1969-01-01 17:00:00.000000', '1969-01-01 17:00:00.000000', 1);
   							UPDATE @SCHEMA@.LSW_BRANCH SET TIP_SNAPSHOT_ID='e01d46a5-6dc9-4545-9940-7e843777321d' WHERE BRANCH_ID='50f91713-f1c4-4859-897f-89720db5dc3e';
   							END
						
GO


CREATE INDEX @SCHEMA@.IDX6_SNAPSHOT 
    ON @SCHEMA@.LSW_SNAPSHOT(
    "BRANCH_ID",
    "IS_ARCHIVED",
    "CREATED_ON")
    
GO


ALTER  TABLE @SCHEMA@.BPM_TASK_INDEX 
ADD 
"DELETED_DATETIME" TIMESTAMP
GO


ALTER TABLE @SCHEMA@.BPM_TASK_INDEX DROP CONSTRAINT BPM_TASK_INDEX_FK
                        
GO


GO


CREATE INDEX @SCHEMA@.IDX3_PO_VERSIONS 
    ON @SCHEMA@.LSW_PO_VERSIONS(
    "START_SEQ_NUM",
    "PO_ROOT_ID",
    "PO_TYPE",
    "BRANCH_ID",
    "END_SEQ_NUM",
    "PO_VERSION_ID")
    
GO


		
/* END of phase ProcUpgradeTo801 */
        
	
    

		
/* START of phase ProcUpgradeTo850 */
        
			
ALTER  TABLE @SCHEMA@.LSW_PROJECT_DEFAULTS 
ADD 
"IS_QUEUE_BYPASS" DECIMAL(1,0)
GO


ALTER  TABLE @SCHEMA@.BPM_MON_MODEL_DATA 
ADD 
"IS_DIRTY" CHAR(1)
GO


ALTER  TABLE @SCHEMA@.LSW_BPD_INSTANCE 
ADD 
"AT_RISK_DATE" TIMESTAMP
GO


ALTER  TABLE @SCHEMA@.LSW_PARTICIPANT 
ADD 
"SPECIFY_TEAM_USING_SERVICE" CHAR(1) DEFAULT 'F'
GO


ALTER  TABLE @SCHEMA@.LSW_PARTICIPANT 
ADD 
"SERVICE_REF" CHAR(36)
GO


ALTER  TABLE @SCHEMA@.LSW_PARTICIPANT 
ADD 
"MANAGERS_REF" CHAR(36)
GO

CREATE TABLE @SCHEMA@.BPM_USR_RUNTIME_PROPS (
"USER_ID" DECIMAL(12,0) NOT NULL,
"USER_NAME" VARCHAR( 256) NOT NULL,
"ONLINE_STATUS" CHAR(1) DEFAULT 'F',
"ONLINE_SERVER_ID" VARCHAR( 1020)
)
GO


ALTER TABLE @SCHEMA@.BPM_USR_RUNTIME_PROPS ADD CONSTRAINT "USER_NAME" CHECK (CHARACTER_LENGTH("USER_NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.BPM_USR_RUNTIME_PROPS ADD CONSTRAINT "ONLINE_SERVER_ID" CHECK (CHARACTER_LENGTH("ONLINE_SERVER_ID",CODEUNITS16) <= 255)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.BPM_USR_RUNTIME_PROPS ADD CONSTRAINT BPM_USR_RT_PRPS_PK
    PRIMARY KEY("USER_ID")

GO


ALTER TABLE @SCHEMA@.BPM_USR_RUNTIME_PROPS
    ADD CONSTRAINT BPM_USR_RT_PRPS_FK
	FOREIGN KEY("USER_ID")
	REFERENCES @SCHEMA@.LSW_USR_XREF("USER_ID")
	ON DELETE CASCADE
GO


ALTER  TABLE @SCHEMA@.LSW_PROCESS_PARAMETER 
ADD 
"IS_LOCKED" CHAR(1) DEFAULT 'F'
GO


					BEGIN ATOMIC
					INSERT INTO @SCHEMA@.LSW_ENV_VAR_TYPE (ENV_VAR_TYPE_ID,NAME,DESCRIPTION)
					VALUES(9, '9', 'Web Service');
					END
				
GO


ALTER  TABLE @SCHEMA@.LSW_BPD_INSTANCE 
ADD 
"ATTACHMENT_STORE" DECIMAL(4,0) DEFAULT 0 NOT NULL
GO


ALTER  TABLE @SCHEMA@.LSW_BPD_INSTANCE_DOCUMENTS 
ADD 
"MIGRATION_STATE" DECIMAL(4,0) DEFAULT 1 NOT NULL
GO


ALTER  TABLE @SCHEMA@.LSW_BPD_INSTANCE_DOCUMENTS 
ADD 
"MIGRATION_ERROR" VARCHAR( 1024)
GO


ALTER TABLE @SCHEMA@.LSW_BPD_INSTANCE_DOCUMENTS ADD CONSTRAINT "MIGRATION_ERROR" CHECK (CHARACTER_LENGTH("MIGRATION_ERROR",CODEUNITS16) <= 256)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


GO

						
UPDATE @SCHEMA@.LSW_BPD_INSTANCE SET ATTACHMENT_STORE = 3 
 WHERE BPD_INSTANCE_ID IN (SELECT DISTINCT 
 PID.BPD_INSTANCE_ID FROM @SCHEMA@.LSW_BPD_INSTANCE_DOCUMENTS PID)
                
GO

CREATE TABLE @SCHEMA@.BPM_MIGRATION_STATUS (
"EVENT" DECIMAL(4,0) NOT NULL,
"STATUS" DECIMAL(4,0) NOT NULL,
"EVENT_COUNT" DECIMAL(8,0) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"DETAILS" VARCHAR( 1024)
)
GO


ALTER TABLE @SCHEMA@.BPM_MIGRATION_STATUS ADD CONSTRAINT "DETAILS" CHECK (CHARACTER_LENGTH("DETAILS",CODEUNITS16) <= 256)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.BPM_MIGRATION_STATUS ADD CONSTRAINT LSWC_MIGRATION_STATUS_PK
    PRIMARY KEY("EVENT")

GO

						
                    DROP INDEX @SCHEMA@.LSW_IDX_PRIORITY
                
GO


ALTER TABLE @SCHEMA@.LSW_PRIORITY ADD CONSTRAINT LSW_PRIORITY_PK
    PRIMARY KEY("PRIORITY_ID")

GO


ALTER  TABLE @SCHEMA@.LSW_INVOKE_UCA 
ADD 
"TRIG_IN_SS_CTX" CHAR(1) DEFAULT 'F'
GO


ALTER TABLE @SCHEMA@.LSW_DEPLOYMENT DROP CHECK "STATUS_DESCRIPTION"

GO


ALTER TABLE @SCHEMA@.LSW_DEPLOYMENT ALTER "STATUS_DESCRIPTION" SET DATA TYPE VARCHAR( 4000)
GO

 
ALTER TABLE @SCHEMA@.LSW_DEPLOYMENT ADD CONSTRAINT "STATUS_DESCRIPTION" CHECK (CHARACTER_LENGTH("STATUS_DESCRIPTION",CODEUNITS16) <= 1000)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


GO


ALTER  TABLE @SCHEMA@.LSW_PARAMETER_MAPPING 
ADD 
"TEAM_TYPE" DECIMAL(12,0)
GO


ALTER  TABLE @SCHEMA@.LSW_SNAPSHOT 
ADD 
"CAPABILITY" CHAR(1)
GO

CREATE TABLE @SCHEMA@.BPM_SRCH_INDEX_SCHEMA (
"BPDID" VARCHAR( 144) NOT NULL,
"FIELD_NAME" VARCHAR( 2048) NOT NULL,
"FIELD_NAME_EXTERNAL" VARCHAR( 2048),
"FIELD_TYPE" VARCHAR( 80),
"FIELD_TYPE_EXTERNAL" VARCHAR( 80),
"PUBLIC_FLAG" DECIMAL(2,0),
"BUSINESS_DATA" DECIMAL(2,0),
"LAST_UPDATED" TIMESTAMP NOT NULL
)
GO


ALTER TABLE @SCHEMA@.BPM_SRCH_INDEX_SCHEMA ADD CONSTRAINT "BPDID" CHECK (CHARACTER_LENGTH("BPDID",CODEUNITS16) <= 36)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.BPM_SRCH_INDEX_SCHEMA ADD CONSTRAINT "FIELD_NAME" CHECK (CHARACTER_LENGTH("FIELD_NAME",CODEUNITS16) <= 512)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.BPM_SRCH_INDEX_SCHEMA ADD CONSTRAINT "FIELD_NAME_EXTERNAL" CHECK (CHARACTER_LENGTH("FIELD_NAME_EXTERNAL",CODEUNITS16) <= 512)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.BPM_SRCH_INDEX_SCHEMA ADD CONSTRAINT "FIELD_TYPE" CHECK (CHARACTER_LENGTH("FIELD_TYPE",CODEUNITS16) <= 20)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.BPM_SRCH_INDEX_SCHEMA ADD CONSTRAINT "FIELD_TYPE_EXTERNAL" CHECK (CHARACTER_LENGTH("FIELD_TYPE_EXTERNAL",CODEUNITS16) <= 20)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.BPM_SRCH_INDEX_SCHEMA ADD CONSTRAINT BPM_SRCH_INDEX_SCHEMA_PK
    PRIMARY KEY("BPDID","FIELD_NAME")

GO


CREATE INDEX @SCHEMA@.BPM_SRCH_INDEX_SCHEMA_IDX 
    ON @SCHEMA@.BPM_SRCH_INDEX_SCHEMA(
    "LAST_UPDATED")
    
GO


ALTER  TABLE @SCHEMA@.LSW_WEB_SERVICE 
ADD 
"POLICY_SET" VARCHAR( 2048)
GO


ALTER TABLE @SCHEMA@.LSW_WEB_SERVICE ADD CONSTRAINT "POLICY_SET" CHECK (CHARACTER_LENGTH("POLICY_SET",CODEUNITS16) <= 512)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER  TABLE @SCHEMA@.LSW_WEB_SERVICE 
ADD 
"POLICY_BINDING" VARCHAR( 2048)
GO


ALTER TABLE @SCHEMA@.LSW_WEB_SERVICE ADD CONSTRAINT "POLICY_BINDING" CHECK (CHARACTER_LENGTH("POLICY_BINDING",CODEUNITS16) <= 512)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.LSW_SNAPSHOT DROP CHECK "NAME"

GO


ALTER TABLE @SCHEMA@.LSW_SNAPSHOT ALTER "NAME" SET DATA TYPE VARCHAR( 512)
GO

 
ALTER TABLE @SCHEMA@.LSW_SNAPSHOT ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


                    DROP INDEX @SCHEMA@.IDX3_PO_VERSIONS
                
GO


					UPDATE @SCHEMA@.LSW_PO_VERSIONS SET END_SEQ_NUM=999999999999 WHERE END_SEQ_NUM IS NULL
					GO
					ALTER TABLE @SCHEMA@.LSW_PO_VERSIONS ALTER COLUMN END_SEQ_NUM SET NOT NULL
				
GO


					UPDATE @SCHEMA@.LSW_PO_METADATA SET END_SEQ_NUM=999999999999 WHERE END_SEQ_NUM IS NULL
					GO
					ALTER TABLE @SCHEMA@.LSW_PO_METADATA ALTER COLUMN END_SEQ_NUM SET NOT NULL
				
GO


					UPDATE @SCHEMA@.LSW_PO_REFERENCE SET END_SEQ_NUM=999999999999 WHERE END_SEQ_NUM IS NULL
					GO
					ALTER TABLE @SCHEMA@.LSW_PO_REFERENCE ALTER COLUMN END_SEQ_NUM SET NOT NULL
				
GO


					UPDATE @SCHEMA@.LSW_PO_DEPENDENCY SET END_SEQ_NUM=999999999999 WHERE END_SEQ_NUM IS NULL
					GO
					ALTER TABLE @SCHEMA@.LSW_PO_DEPENDENCY ALTER COLUMN END_SEQ_NUM SET NOT NULL
				
GO


                    call sysproc.admin_cmd('reorg table @SCHEMA@.LSW_PO_VERSIONS')
                    GO
                    call sysproc.admin_cmd('reorg table @SCHEMA@.LSW_PO_METADATA')
                    GO
                    call sysproc.admin_cmd('reorg table @SCHEMA@.LSW_PO_REFERENCE')
                    GO
                    call sysproc.admin_cmd('reorg table @SCHEMA@.LSW_PO_DEPENDENCY')
                
GO


ALTER  TABLE @SCHEMA@.LSW_SERVER 
ADD 
"IS_COMPATIBLE" CHAR(1) DEFAULT 'T'
GO


ALTER  TABLE @SCHEMA@.LSW_PROCESS 
ADD 
"CACHING_TYPE" CHAR(1) DEFAULT 'F'
GO


ALTER  TABLE @SCHEMA@.BPM_TASK_INDEX 
ADD 
"INSTANCE_ID" DECIMAL(12,0)
GO

CREATE TABLE @SCHEMA@.BPM_INSTANCE_INDEX (
"INSTANCE_ID" DECIMAL(12,0) NOT NULL,
"MAJOR_EVENT_DATETIME" TIMESTAMP,
"MINOR_EVENT_DATETIME" TIMESTAMP,
"INSTANCE_DATA" BLOB(2G),
"DELETED_DATETIME" TIMESTAMP
)
GO


ALTER TABLE @SCHEMA@.BPM_INSTANCE_INDEX ADD CONSTRAINT BPM_INSTANCE_INDEX_PK
    PRIMARY KEY("INSTANCE_ID")

GO


CREATE INDEX @SCHEMA@.BPM_INSTANCE_INDEX_IDX 
    ON @SCHEMA@.BPM_INSTANCE_INDEX(
    "MAJOR_EVENT_DATETIME",
    "INSTANCE_ID")
    
GO


ALTER  TABLE @SCHEMA@.LSW_PARTICIPANT_GROUP 
ADD 
"ENABLE_AUTOMATIC_REFRESH" CHAR(1) DEFAULT 'T'
GO


ALTER  TABLE @SCHEMA@.LSW_PARTICIPANT_GROUP 
ADD 
"MANAGERS_NAME" VARCHAR( 256)
GO


ALTER TABLE @SCHEMA@.LSW_PARTICIPANT_GROUP ADD CONSTRAINT "MANAGERS_NAME" CHECK (CHARACTER_LENGTH("MANAGERS_NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.LSW_DYNAMIC_GROUP
    ADD CONSTRAINT LSWC_DGRP_SS_FK
	FOREIGN KEY("SNAPSHOT_ID")
	REFERENCES @SCHEMA@.LSW_SNAPSHOT("SNAPSHOT_ID")
	ON DELETE CASCADE
GO


ALTER  TABLE @SCHEMA@.LSW_PROJECT 
ADD 
"IS_GOVERNANCE" CHAR(1) DEFAULT 'F' NOT NULL
GO

CREATE TABLE @SCHEMA@.BPM_BPD_INSTANCE_MEASURES (
"MEASURES_ID" CHAR(36) NOT NULL,
"SNAPSHOT_ID" CHAR(36) NOT NULL,
"BPD_REF" DECIMAL(19,0) NOT NULL,
"BPD_FLOW_OBJECT_ID" VARCHAR( 512),
"AVG_TIME_TO_COMPLETION" DECIMAL(12,0) NOT NULL,
"COMPLETION_COUNT" DECIMAL(8,0) NOT NULL,
"IS_POTENTIALLY_IN_LOOP" CHAR(1) DEFAULT 'F'
)
GO


ALTER TABLE @SCHEMA@.BPM_BPD_INSTANCE_MEASURES ADD CONSTRAINT "BPD_FLOW_OBJECT_ID" CHECK (CHARACTER_LENGTH("BPD_FLOW_OBJECT_ID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.BPM_BPD_INSTANCE_MEASURES ADD CONSTRAINT BPMC_BPD_INSTANCE_MEASURES_PK
    PRIMARY KEY("MEASURES_ID")

GO


CREATE UNIQUE INDEX @SCHEMA@.BPMC_BPD_INSTANCE_MEASURES_UK
    ON @SCHEMA@.BPM_BPD_INSTANCE_MEASURES(
        "SNAPSHOT_ID",
        "BPD_REF",
        "BPD_FLOW_OBJECT_ID")
    
GO

CREATE TABLE @SCHEMA@.BPM_ASSET_CACHE_STATUS (
"ASSET_ID" VARCHAR(60) NOT NULL,
"CONTAINER_ID" CHAR(36) NOT NULL,
"SESSION_ID" VARCHAR(36),
"CLIENT_ID" VARCHAR(36),
"LATEST_SNAPSHOT_ID" VARCHAR(100),
"LATEST_BATCH_NO_IN_SNAPSHOT" DECIMAL(19,0),
"LATEST_BATCH_NO" DECIMAL(19,0) NOT NULL,
"CORRUPTED_BATCH_NO" DECIMAL(19,0),
"USER_ID" VARCHAR( 400) NOT NULL,
"LOCK_STATUS" CHAR(1) DEFAULT 'F',
"LOCKED_ON" TIMESTAMP,
"LAST_MODIFIED_ON" TIMESTAMP NOT NULL,
"FIELD1" VARCHAR(128),
"FIELD2" VARCHAR(128),
"FIELD3" DECIMAL(19,0)
)
GO

CREATE TABLE @SCHEMA@.BPM_ASSET_CACHE_SAVE_INSTR (
"ASSET_ID" VARCHAR(60) NOT NULL,
"ROOT_ID" VARCHAR(60) NOT NULL,
"CONTAINER_ID" CHAR(36) NOT NULL,
"BATCH_NO" DECIMAL(19,0) NOT NULL,
"DATA_SEQ" DECIMAL(3,0) NOT NULL,
"DATA" VARCHAR( 16000),
"SNAPSHOT_ID" VARCHAR(100),
"SNAPSHOT_SEQ" DECIMAL(19,0) DEFAULT 0,
"USER_ID" VARCHAR( 400) NOT NULL,
"PENDING_SUMMARY" CHAR(1) DEFAULT 'F',
"BAD_BATCH" CHAR(1) DEFAULT 'F',
"MODIFIED_ON" TIMESTAMP NOT NULL,
"BASE_BATCH_NO" DECIMAL(19,0),
"CLIENT_ID" VARCHAR(36),
"FIELD1" VARCHAR(128),
"FIELD2" VARCHAR(128),
"FIELD3" DECIMAL(19,0)
)
GO

CREATE TABLE @SCHEMA@.BPM_ASSET_CACHE_SAVE_INSTR_BK (
"ASSET_ID" VARCHAR(60) NOT NULL,
"ROOT_ID" VARCHAR(60) NOT NULL,
"CONTAINER_ID" CHAR(36) NOT NULL,
"BATCH_NO" DECIMAL(19,0) NOT NULL,
"DATA_SEQ" DECIMAL(3,0) NOT NULL,
"DATA" VARCHAR( 16000),
"SNAPSHOT_ID" VARCHAR(100),
"SNAPSHOT_SEQ" DECIMAL(19,0) DEFAULT 0,
"USER_ID" VARCHAR( 400) NOT NULL,
"PENDING_SUMMARY" CHAR(1) DEFAULT 'F',
"BAD_BATCH" CHAR(1) DEFAULT 'F',
"MODIFIED_ON" TIMESTAMP NOT NULL,
"BASE_BATCH_NO" DECIMAL(19,0),
"CLIENT_ID" VARCHAR(36),
"FIELD1" VARCHAR(128),
"FIELD2" VARCHAR(128),
"FIELD3" DECIMAL(19,0)
)
GO

CREATE TABLE @SCHEMA@.BPM_ASSET_CACHE_SAVE_LOCK (
"ASSET_ID" VARCHAR(60) NOT NULL,
"CONTAINER_ID" CHAR(36) NOT NULL,
"FIELD1" VARCHAR(128),
"FIELD2" VARCHAR(128),
"FIELD3" DECIMAL(19,0)
)
GO

CREATE TABLE @SCHEMA@.BPM_ASSET_CACHE_REPO_LOCK (
"ASSET_ID" VARCHAR(60) NOT NULL,
"CONTAINER_ID" CHAR(36) NOT NULL,
"USER_ID" VARCHAR( 400) NOT NULL,
"LOCK_STATUS" CHAR(1) DEFAULT 'F',
"LOCKED_ON" TIMESTAMP NOT NULL,
"FIELD1" VARCHAR(128),
"FIELD2" VARCHAR(128),
"FIELD3" DECIMAL(19,0)
)
GO

CREATE TABLE @SCHEMA@.BPM_ASSET (
"ASSET_ID" CHAR(36) NOT NULL,
"ASSET_TYPE" DECIMAL(3,0) NOT NULL,
"ASSET_SUB_TYPE" DECIMAL(3,0) DEFAULT 0,
"NAMESPACE" VARCHAR(1024),
"IS_READ_ONLY" CHAR(1) DEFAULT 'F' NOT NULL,
"VISIBILITY_LEVEL" DECIMAL(2,0) DEFAULT 99 NOT NULL,
"DATA" BLOB(2G) NOT NULL,
"DESCRIPTION" CLOB(2G),
"NAME" VARCHAR( 256) NOT NULL,
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"FIELD1" VARCHAR(128),
"FIELD2" VARCHAR(128),
"FIELD3" DECIMAL(19,0),
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
GO

CREATE TABLE @SCHEMA@.BPM_ASSET_CACHE_CONTENT (
"VERSION_CONTEXT" VARCHAR(100) NOT NULL,
"ASSET_ID" CHAR(36) NOT NULL,
"CACHE_KEY" CHAR(36) NOT NULL,
"CONTAINER_ID" CHAR(36) NOT NULL,
"DATA_TYPE" CHAR(1) DEFAULT 'X' NOT NULL,
"DATA" BLOB(2G) NOT NULL,
"CACHED_ON" TIMESTAMP NOT NULL,
"FIELD1" VARCHAR(128),
"FIELD2" VARCHAR(128),
"FIELD3" DECIMAL(19,0)
)
GO


ALTER TABLE @SCHEMA@.BPM_ASSET_CACHE_STATUS ADD CONSTRAINT BPM_ASSET_CACHE_STS_PK
    PRIMARY KEY("CONTAINER_ID","ASSET_ID")

GO


ALTER TABLE @SCHEMA@.BPM_ASSET_CACHE_SAVE_INSTR ADD CONSTRAINT BPM_ASSET_SAVE_INSTR_PK
    PRIMARY KEY("CONTAINER_ID","ASSET_ID","BATCH_NO","DATA_SEQ")

GO


ALTER TABLE @SCHEMA@.BPM_ASSET_CACHE_SAVE_LOCK ADD CONSTRAINT BPM_ASSET_SAVE_LOCK_PK
    PRIMARY KEY("CONTAINER_ID","ASSET_ID")

GO


ALTER TABLE @SCHEMA@.BPM_ASSET_CACHE_REPO_LOCK ADD CONSTRAINT BPM_ASSET_REPO_LOCK_PK
    PRIMARY KEY("CONTAINER_ID","ASSET_ID")

GO


ALTER TABLE @SCHEMA@.BPM_ASSET ADD CONSTRAINT BPM_ASSET_PK
    PRIMARY KEY("VERSION_ID")

GO


ALTER TABLE @SCHEMA@.BPM_ASSET_CACHE_CONTENT ADD CONSTRAINT BPM_ASSET_CONTENT_PK
    PRIMARY KEY("VERSION_CONTEXT","CACHE_KEY","DATA_TYPE")

GO


CREATE INDEX @SCHEMA@.BPM_ASSET_CACHE_STS_IDX1 
    ON @SCHEMA@.BPM_ASSET_CACHE_STATUS(
    "CLIENT_ID")
    
GO


CREATE INDEX @SCHEMA@.BPM_ASSET_SAVE_INSTR_IDX1 
    ON @SCHEMA@.BPM_ASSET_CACHE_SAVE_INSTR(
    "CONTAINER_ID",
    "ROOT_ID",
    "BATCH_NO",
    "DATA_SEQ")
    
GO


CREATE INDEX @SCHEMA@.BPM_ASSET_SAVE_INSTR_IDX2 
    ON @SCHEMA@.BPM_ASSET_CACHE_SAVE_INSTR(
    "MODIFIED_ON")
    
GO


CREATE INDEX @SCHEMA@.BPM_ASSET_SAVE_INSTR_IDX3 
    ON @SCHEMA@.BPM_ASSET_CACHE_SAVE_INSTR(
    "CONTAINER_ID",
    "PENDING_SUMMARY",
    "BAD_BATCH",
    "ASSET_ID",
    "BATCH_NO",
    "DATA_SEQ")
    
GO


CREATE INDEX @SCHEMA@.BPM_ASSET_SAVE_INSTR_IDX4 
    ON @SCHEMA@.BPM_ASSET_CACHE_SAVE_INSTR(
    "CONTAINER_ID",
    "ROOT_ID",
    "CLIENT_ID",
    "BASE_BATCH_NO")
    
GO


CREATE INDEX @SCHEMA@.BPM_ASSET_SAVE_IN_BK_IDX1 
    ON @SCHEMA@.BPM_ASSET_CACHE_SAVE_INSTR_BK(
    "MODIFIED_ON")
    
GO


CREATE INDEX @SCHEMA@.BPM_ASSET_REPO_LOCK_IDX1 
    ON @SCHEMA@.BPM_ASSET_CACHE_REPO_LOCK(
    "LOCK_STATUS",
    "LOCKED_ON")
    
GO


CREATE INDEX @SCHEMA@.BPM_ASSET_PK3
    ON @SCHEMA@.BPM_ASSET("GUID")
    
GO


CREATE INDEX @SCHEMA@.BPM_ASSET_PK4
    ON @SCHEMA@.BPM_ASSET("NAME")
    
GO


CREATE INDEX @SCHEMA@.BPM_ASSET_IDX1 
    ON @SCHEMA@.BPM_ASSET(
    "ASSET_TYPE")
    
GO


ALTER  TABLE @SCHEMA@.BPM_TASK_ACTIVITY_MEASURES 
ADD 
"MIN_COMPLETION_TIME" DECIMAL(12,0) DEFAULT 0 NOT NULL
GO


ALTER  TABLE @SCHEMA@.BPM_TASK_ACTIVITY_MEASURES 
ADD 
"MAX_COMPLETION_TIME" DECIMAL(12,0) DEFAULT 0 NOT NULL
GO


ALTER  TABLE @SCHEMA@.LSW_PROCESS 
ADD 
"CACHE_LENGTH" DECIMAL(12,0)
GO


ALTER  TABLE @SCHEMA@.LSW_TASK 
ADD 
"PARTICIPANT_ID" CHAR(36)
GO


ALTER  TABLE @SCHEMA@.LSW_TASK 
ADD 
"MANAGERS_GROUP_ID" DECIMAL(12,0)
GO


ALTER  TABLE @SCHEMA@.LSW_PARTICIPANT_GROUP 
ADD 
"MANAGERS_GROUP_ID" DECIMAL(12,0)
GO


							BEGIN ATOMIC
							INSERT INTO @SCHEMA@.LSW_SNAPSHOT (SNAPSHOT_ID, CREATED_BY_USER_ID, CREATED_ON, ACRONYM, BRANCH_ID, PROJECT_ID, SEQ_NUM, ORIG_CREATED_ON, LAST_MODIFIED, LAST_MODIFIED_BY_USER_ID)
							VALUES ('2b73dd6a-31dc-4b32-b1af-a858743e1370', 1, '1969-01-01 17:00:00.000000', '2b73dd6a-31dc-4b32-b1af-a858743e1370', 'f757be35-ebca-4e58-a85c-6b34f3c15149', 'dbecd816-afed-47b0-ba92-c13256fcb566', 256, '1969-01-01 17:00:00.000000', '1969-01-01 17:00:00.000000', 1);
   							UPDATE @SCHEMA@.LSW_BRANCH SET TIP_SNAPSHOT_ID='2b73dd6a-31dc-4b32-b1af-a858743e1370' WHERE BRANCH_ID='f757be35-ebca-4e58-a85c-6b34f3c15149';
   							END
					
GO


							BEGIN ATOMIC
   							UPDATE @SCHEMA@.BPM_GOVERNANCE_EVENT SET GOV_DEFAULT_SNAPSHOT_ID='9b0bdb20-6dd1-4357-945a-4cdf0cbd021e' WHERE EVENT_TYPE_ID='dbecd816-afed-47b0-ba92-c13256fcb568';
   							UPDATE @SCHEMA@.BPM_GOVERNANCE_EVENT SET GOV_DEFAULT_SNAPSHOT_ID='9b0bdb20-6dd1-4357-945a-4cdf0cbd021e' WHERE EVENT_TYPE_ID='dbecd816-afed-47b0-ba92-c13256fcb569';
   							END
					
GO

CREATE TABLE @SCHEMA@.BPM_SYNCHRONIZE (
"IDENTIFIER" VARCHAR( 1024) NOT NULL
)
GO


ALTER TABLE @SCHEMA@.BPM_SYNCHRONIZE ADD CONSTRAINT "IDENTIFIER" CHECK (CHARACTER_LENGTH("IDENTIFIER",CODEUNITS16) <= 256)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.BPM_SYNCHRONIZE ADD CONSTRAINT LSWC_BPM_SYNCHRONIZE_PK
    PRIMARY KEY("IDENTIFIER")

GO


ALTER  TABLE @SCHEMA@.LSW_PROCESS 
ADD 
"ITEM_LABEL" VARCHAR( 1020)
GO


ALTER TABLE @SCHEMA@.LSW_PROCESS ADD CONSTRAINT "ITEM_LABEL" CHECK (CHARACTER_LENGTH("ITEM_LABEL",CODEUNITS16) <= 255)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER  TABLE @SCHEMA@.LSW_FAVORITE 
ADD 
"ITEM_LABEL" VARCHAR( 1020)
GO


ALTER TABLE @SCHEMA@.LSW_FAVORITE ADD CONSTRAINT "ITEM_LABEL" CHECK (CHARACTER_LENGTH("ITEM_LABEL",CODEUNITS16) <= 255)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER  TABLE @SCHEMA@.LSW_BLUEPRINT_SUBSCRIPTION 
ADD 
"PROCESS_REVISION_ID" VARCHAR( 100)
GO


ALTER TABLE @SCHEMA@.LSW_BLUEPRINT_SUBSCRIPTION ADD CONSTRAINT "PROCESS_REVISION_ID" CHECK (CHARACTER_LENGTH("PROCESS_REVISION_ID",CODEUNITS16) <= 25)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER  TABLE @SCHEMA@.LSW_BLUEPRINT_SUBSCRIPTION 
ADD 
"LAST_SUBSCRIBED" TIMESTAMP
GO


ALTER  TABLE @SCHEMA@.LSW_BLUEPRINT_SUBSCRIPTION 
ADD 
"LAST_IMPORTED" TIMESTAMP
GO


GO


ALTER  TABLE @SCHEMA@.BPM_GOVERNANCE_EVENT 
ADD 
"GOV_CUSTOM_DEFAULT_SNAPSHOT_ID" CHAR(36)
GO


ALTER  TABLE @SCHEMA@.BPM_GOVERNANCE_EVENT 
ADD 
"GOV_CUSTOM_DEFAULT_PROCESS_ID" CHAR(36)
GO


ALTER  TABLE @SCHEMA@.BPM_GOVERNANCE_EVENT 
ADD 
"GOV_CUSTOM_DEFAULT_PROCESS_TYP" DECIMAL(8,0)
GO


ALTER  TABLE @SCHEMA@.BPM_TASK_INDEX_JOB 
ADD 
"LAST_RETENTION_DAYS" DECIMAL(12,0)
GO


ALTER  TABLE @SCHEMA@.LSW_TASK 
ADD 
"ACTIVITY_TASK_TYPE" DECIMAL(12,0)
GO


GO


CREATE INDEX @SCHEMA@.IDX3_PO_VERSIONS 
    ON @SCHEMA@.LSW_PO_VERSIONS(
    "PO_ROOT_ID",
    "PO_TYPE",
    "BRANCH_ID",
    "START_SEQ_NUM",
    "END_SEQ_NUM",
    "PO_VERSION_ID")
    
GO


CREATE INDEX @SCHEMA@.IDX4_PO_VERSIONS 
    ON @SCHEMA@.LSW_PO_VERSIONS(
    "BRANCH_ID",
    "START_SEQ_NUM",
    "END_SEQ_NUM")
    
GO


CREATE UNIQUE INDEX @SCHEMA@.LSWC_BPD_INST_STORE_UQ
    ON @SCHEMA@.LSW_BPD_INSTANCE(
        "BPD_INSTANCE_ID",
        "ATTACHMENT_STORE")
    
GO


CREATE UNIQUE INDEX @SCHEMA@.LSWC_BPD_DOC_MIG_UQ
    ON @SCHEMA@.LSW_BPD_INSTANCE_DOCUMENTS(
        "BPD_INSTANCE_ID",
        "MIGRATION_STATE",
        "DOC_ID")
    
GO


ALTER  TABLE @SCHEMA@.LSW_BPD_INSTANCE 
ADD 
"CLOSE_DATETIME" TIMESTAMP
GO


ALTER  TABLE @SCHEMA@.BPM_COACH_VIEW 
ADD 
"IS_PROTOTYPE_FUNC" CHAR(1) DEFAULT 'F'
GO

CREATE TABLE @SCHEMA@.LSW_EXTENDED_PROPERTY_SET (
"EXTENDED_PROPERTY_SET_ID" CHAR(36) NOT NULL,
"NAME" VARCHAR( 256) NOT NULL,
"DESCRIPTION" CLOB(2G),
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
GO


ALTER TABLE @SCHEMA@.LSW_EXTENDED_PROPERTY_SET ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.LSW_EXTENDED_PROPERTY_SET ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

GO

CREATE TABLE @SCHEMA@.LSW_EXTENDED_PROPERTY (
"EXTENDED_PROPERTY_ID" CHAR(36) NOT NULL,
"EXTENDED_PROPERTY_SET_ID" CHAR(36) NOT NULL,
"NAME" VARCHAR( 256) NOT NULL,
"DESCRIPTION" CLOB(2G),
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
GO


ALTER TABLE @SCHEMA@.LSW_EXTENDED_PROPERTY ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.LSW_EXTENDED_PROPERTY ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


ALTER TABLE @SCHEMA@.LSW_EXTENDED_PROPERTY_SET ADD CONSTRAINT LSWC_EXTENDED_PROPERTYS_PK
    PRIMARY KEY("VERSION_ID")

GO


ALTER TABLE @SCHEMA@.LSW_EXTENDED_PROPERTY ADD CONSTRAINT LSWC_EXTENDED_PROPERTY_PK
    PRIMARY KEY("VERSION_ID")

GO


CREATE INDEX @SCHEMA@.LSWC_EXTENDED_PROPERTYS_PK3
    ON @SCHEMA@.LSW_EXTENDED_PROPERTY_SET("GUID")
    
GO


CREATE INDEX @SCHEMA@.IDX_EXTENDED_PROPERTYS 
    ON @SCHEMA@.LSW_EXTENDED_PROPERTY_SET(
    "EXTENDED_PROPERTY_SET_ID")
    
GO


CREATE INDEX @SCHEMA@.IDX2_EXTENDED_PROPERTYS 
    ON @SCHEMA@.LSW_EXTENDED_PROPERTY_SET(
    "NAME")
    
GO


CREATE INDEX @SCHEMA@.LSWC_EXTENDED_PROPERTY_PK3
    ON @SCHEMA@.LSW_EXTENDED_PROPERTY("GUID")
    
GO


CREATE INDEX @SCHEMA@.LSWC_EXTENDED_PROPERTY_PK4
    ON @SCHEMA@.LSW_EXTENDED_PROPERTY("NAME")
    
GO


CREATE INDEX @SCHEMA@.IDX_EXTENDED_PROPERTY 
    ON @SCHEMA@.LSW_EXTENDED_PROPERTY(
    "EXTENDED_PROPERTY_ID")
    
GO


ALTER  TABLE @SCHEMA@.LSW_BPD_INSTANCE 
ADD 
"GROUP_ID" DECIMAL(12,0)
GO


CREATE INDEX @SCHEMA@.BPM_TASK_INDEX_JOB_IDX 
    ON @SCHEMA@.BPM_TASK_INDEX_JOB(
    "INDEX_ID",
    "INDEX_END_TIME")
    
GO


CREATE INDEX @SCHEMA@.IDX5_PO_VERSIONS 
    ON @SCHEMA@.LSW_PO_VERSIONS(
    "BRANCH_ID",
    "END_SEQ_NUM",
    "PO_TYPE",
    "PO_ID")
    
GO


                    BEGIN ATOMIC
                    
                    INSERT INTO @SCHEMA@.LSW_USR_GRP_XREF (GROUP_ID,GROUP_NAME,DISPLAY_NAME,GROUP_TYPE,DESCRIPTION,GROUP_STATE)
                    VALUES(17, 'tw_managers', 'tw_managers', 3, 'Group for people considered managers with full access to the team performance dashboard',0);
                    
                    INSERT INTO @SCHEMA@.LSW_GRP_GRP_MEM_XREF (GROUP_ID,CONTAINER_GROUP_ID)
                    VALUES(16,17);
                    
                    INSERT INTO @SCHEMA@.LSW_GRP_GRP_MEM_EXPLODED_XREF (GROUP_ID,CONTAINER_GROUP_ID,MEM_PATH)
                    VALUES(16,17,'#17#16#');
                    
                    END
				
GO


ALTER TABLE @SCHEMA@.BPM_BPD_SOAPHEADER DROP CONSTRAINT BPMC_BPD_SOAP_FK0
                  
GO


ALTER TABLE @SCHEMA@.BPM_BPD_SOAPHEADER
    ADD CONSTRAINT BPMC_BPD_SOAP_FK0
	FOREIGN KEY("BPD_INSTANCE_ID")
	REFERENCES @SCHEMA@.LSW_BPD_INSTANCE("BPD_INSTANCE_ID")
	ON DELETE CASCADE
GO


GO


ALTER  TABLE @SCHEMA@.LSW_USR_GRP_XREF 
ADD 
"PARTICIPANT_ID" CHAR(36)
GO


CREATE INDEX @SCHEMA@.LSWC_DOC_PROP_NUQ1 
    ON @SCHEMA@.LSW_BPD_INSTANCE_DOC_PROPS(
    "DOC_ID")
    
GO


DROP PROCEDURE @SCHEMA@.LSW_BPD_INSTANCE_DELETE
GO
DROP PROCEDURE @SCHEMA@.LSW_ERASE_BPD_INSTANCE
GO
DROP PROCEDURE @SCHEMA@.LSW_ERASE_TASK
                
GO


CREATE PROCEDURE @SCHEMA@.LSW_ERASE_TEMP_GROUPS()
    LANGUAGE SQL

  BEGIN
  
    DECLARE groupId DECIMAL(12,0);
    DECLARE sqlCmd VARCHAR(500);
    DECLARE at_end DECIMAL(1,0);
    DECLARE not_found CONDITION for SQLSTATE '02000';
    DECLARE CONTINUE HANDLER for not_found SET at_end = 1;

    BEGIN
        DECLARE groupsToDelete CURSOR FOR stmt1;
        SET sqlCmd = 'SELECT DISTINCT g.GROUP_ID FROM @SCHEMA@.LSW_USR_GRP_XREF g WHERE NOT EXISTS (SELECT 1 FROM @SCHEMA@.LSW_TASK t WHERE g.GROUP_ID = ABS(t.GROUP_ID)) AND g.GROUP_TYPE = 2';
        PREPARE stmt1 FROM sqlCmd;

        OPEN groupsToDelete;
        DELETE_GROUP_LOOP:
        LOOP
            SET at_end = 0;
            FETCH groupsToDelete INTO groupId;
            IF (at_end = 1) THEN
                LEAVE DELETE_GROUP_LOOP;
            END IF;
            
            DELETE FROM @SCHEMA@.LSW_USR_GRP_MEM_XREF WHERE GROUP_ID = groupId;
            DELETE FROM @SCHEMA@.LSW_USR_GRP_XREF WHERE GROUP_ID = groupId;
            
        END LOOP;
        CLOSE groupsToDelete;
    END;
  
  END

GO

CREATE PROCEDURE @SCHEMA@.LSW_ERASE_BPD_INST_NO_GROUP(IN bpdInstanceId DECIMAL(12,0))
    LANGUAGE SQL

MAIN:
  BEGIN
    DELETE FROM @SCHEMA@.LSW_BPD_INSTANCE_DOC_PROPS WHERE DOC_ID IN (SELECT DOC_ID FROM @SCHEMA@.LSW_BPD_INSTANCE_DOCUMENTS WHERE BPD_INSTANCE_ID = bpdInstanceId);

    DELETE FROM @SCHEMA@.LSW_BPD_INSTANCE_DOCUMENTS WHERE BPD_INSTANCE_ID = bpdInstanceId;
    
    DELETE FROM @SCHEMA@.LSW_BPD_INSTANCE_VARIABLES WHERE BPD_INSTANCE_ID = bpdInstanceId;

    DELETE FROM @SCHEMA@.LSW_BPD_INSTANCE_DATA WHERE BPD_INSTANCE_ID = bpdInstanceId;

    DELETE FROM @SCHEMA@.LSW_BPD_NOTIFICATION WHERE BPD_INSTANCE_ID = bpdInstanceId;

    DELETE FROM @SCHEMA@.LSW_RUNTIME_ERROR WHERE BPD_INSTANCE_ID = bpdInstanceId;

    DELETE FROM @SCHEMA@.LSW_BPD_INSTANCE WHERE BPD_INSTANCE_ID = bpdInstanceId;

    DELETE FROM @SCHEMA@.LSW_INST_MSG_INCL WHERE BPD_INSTANCE_ID = bpdInstanceId;

    DELETE FROM @SCHEMA@.LSW_INST_MSG_EXCL WHERE BPD_INSTANCE_ID = bpdInstanceId;
    
  END

GO

CREATE PROCEDURE @SCHEMA@.LSW_ERASE_BPD_INSTANCE(IN bpdInstanceId DECIMAL(12,0))
    LANGUAGE SQL
    
MAIN:
  BEGIN
    
    CALL @SCHEMA@.LSW_ERASE_BPD_INST_NO_GROUP(bpdInstanceId);
    
    CALL @SCHEMA@.LSW_ERASE_TEMP_GROUPS();
    
  END

GO

CREATE PROCEDURE @SCHEMA@.LSW_ERASE_TASK_NO_GROUP(IN taskId DECIMAL(12,0))
    LANGUAGE SQL

  BEGIN

    DELETE FROM @SCHEMA@.LSW_TASK_ADDR WHERE TASK_ID = taskId;

    DELETE FROM @SCHEMA@.LSW_TASK_EXECUTION_CONTEXT WHERE TASK_ID = taskId;

    DELETE FROM @SCHEMA@.LSW_TASK_NARR WHERE TASK_ID = taskId;

    DELETE FROM @SCHEMA@.LSW_TASK_FILE WHERE TASK_ID = taskId;

    DELETE FROM @SCHEMA@.LSW_TASK_IPF_DATA WHERE TASK_ID = taskId;
    
    DELETE FROM @SCHEMA@.LSW_TASK_EXTACT_DATA WHERE TASK_ID = taskId;
    
    DELETE FROM @SCHEMA@.LSW_TASK WHERE TASK_ID = taskId;

  END

GO

CREATE PROCEDURE @SCHEMA@.LSW_ERASE_TASK(IN taskId DECIMAL(12,0))
    LANGUAGE SQL

  BEGIN

    CALL @SCHEMA@.LSW_ERASE_TASK_NO_GROUP(taskId);

    CALL @SCHEMA@.LSW_ERASE_TEMP_GROUPS();

  END

GO

CREATE PROCEDURE @SCHEMA@.LSW_BPD_INST_DELETE_NO_GROUP(IN bpdInstanceId DECIMAL(12,0))

MAIN:
  BEGIN

    DECLARE taskId DECIMAL(12,0);
    DECLARE sqlCmd VARCHAR(4000);
    DECLARE at_end DECIMAL(1,0);
    DECLARE not_found CONDITION for SQLSTATE '02000';
    DECLARE CONTINUE HANDLER for not_found SET at_end = 1;

    BEGIN
        DECLARE tasksToDelete CURSOR FOR stmt1;
        SET sqlCmd = 'SELECT TASK_ID FROM @SCHEMA@.LSW_TASK WHERE BPD_INSTANCE_ID = ?';
        PREPARE stmt1 FROM sqlCmd;

        OPEN tasksToDelete USING bpdInstanceId;
        DELETE_TASK_LOOP:
        LOOP
            SET at_end = 0;
            FETCH tasksToDelete INTO taskId;
            IF (at_end = 1) THEN
                LEAVE DELETE_TASK_LOOP;
            END IF;
            CALL @SCHEMA@.LSW_ERASE_TASK_NO_GROUP(taskId);
        END LOOP;
        CLOSE tasksToDelete;
    END;
    CALL @SCHEMA@.LSW_ERASE_BPD_INST_NO_GROUP(bpdInstanceId);
  END
GO

CREATE PROCEDURE @SCHEMA@.LSW_BPD_INSTANCE_DELETE(IN bpdInstanceId DECIMAL(12,0))

MAIN:
  BEGIN

    CALL @SCHEMA@.LSW_BPD_INST_DELETE_NO_GROUP(bpdInstanceId);
    
    CALL @SCHEMA@.LSW_ERASE_TEMP_GROUPS();
    
  END
                
GO


                    BEGIN ATOMIC
                    
                    INSERT INTO @SCHEMA@.LSW_USR_GRP_XREF (GROUP_ID,GROUP_NAME,DISPLAY_NAME,GROUP_TYPE,DESCRIPTION,GROUP_STATE)
                    VALUES(18, 'tw_allusers_managers', 'tw_allusers_managers', 3, 'Group for people considered managers of all users',0);
                    
                    INSERT INTO @SCHEMA@.LSW_GRP_GRP_MEM_XREF (GROUP_ID,CONTAINER_GROUP_ID)
                    VALUES(3,18);
                    
                    INSERT INTO @SCHEMA@.LSW_GRP_GRP_MEM_EXPLODED_XREF (GROUP_ID,CONTAINER_GROUP_ID,MEM_PATH)
                    VALUES(3,18,'#18#3#');
                    
                    END
                
GO


CREATE INDEX @SCHEMA@.IDX11_LSW_TASK_CC 
    ON @SCHEMA@.LSW_TASK(
    "CLOSE_BY",
    "CLOSE_DATETIME")
    
GO


CREATE INDEX @SCHEMA@.IDX12_LSW_TASK_OC 
    ON @SCHEMA@.LSW_TASK(
    "USER_ID",
    "STATUS",
    "BPD_INSTANCE_ID")
    
GO


CREATE INDEX @SCHEMA@.LSWC_GXREF_NU1 
    ON @SCHEMA@.LSW_USR_GRP_XREF(
    "PARENT_GROUP_ID",
    "PARTICIPANT_ID",
    "GROUP_ID")
    
GO


ALTER TABLE @SCHEMA@.LSW_EM_INSTANCE DROP CHECK "NAME"

GO


ALTER TABLE @SCHEMA@.LSW_EM_INSTANCE ALTER "NAME" SET DATA TYPE VARCHAR( 2048)
GO

 
ALTER TABLE @SCHEMA@.LSW_EM_INSTANCE ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 512)  ENFORCED ENABLE QUERY OPTIMIZATION

GO


      
/* END of phase ProcUpgradeTo850 */
        
     