-- BEGIN COPYRIGHT
-- *************************************************************************
-- 
--  Licensed Materials - Property of IBM
--  5725-C94, 5725-C95, 5725-C96
--  (C) Copyright IBM Corporation 2010, 2013. All Rights Reserved.
--  US Government Users Restricted Rights- Use, duplication or disclosure
--  restricted by GSA ADP Schedule Contract with IBM Corp.
-- 
-- *************************************************************************
-- END COPYRIGHT


SET CURRENT SCHEMA = '@SCHEMA@';
        
	
    

		
-- START of phase ProcUpgradeTo801 --
        
			
ALTER  TABLE @SCHEMA@.LSW_UCA 
ADD 
    "UCA_EVENT_TYPE_REF" DECIMAL(2,0)
;

ALTER  TABLE @SCHEMA@.LSW_UCA 
ADD 
    "VARIABLE_REF" CHAR(36)
;

ALTER  TABLE @SCHEMA@.LSW_UCA 
ADD 
    "IMPLEMENTATION_TYPE" VARCHAR(160)
;




CREATE TABLESPACE WLPZ6001
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE @SCHEMA@.BPM_UCA_EVENT_TYPE (
    "UCA_EVENT_TYPE_ID" DECIMAL(2,0) NOT NULL,
    "NAME" VARCHAR(128) NOT NULL,
    "DESCRIPTION" CLOB(2G)
)
IN @DB_NAME@.WLPZ6001
;

CREATE LOB TABLESPACE WLPZ6002
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE @SCHEMA@.BPM_UCA_EVENT_TYPE3_LOB
    IN @DB_NAME@.WLPZ6002
    STORES @SCHEMA@.BPM_UCA_EVENT_TYPE COLUMN DESCRIPTION
;
CREATE UNIQUE INDEX @SCHEMA@.BPM_UCA_EVENT_TYPE3_I
    ON @SCHEMA@.BPM_UCA_EVENT_TYPE3_LOB
    USING STOGROUP @STOGRP@
;
        

CREATE UNIQUE INDEX @SCHEMA@.LSWC_UCA_EVENT_TYPE_PK
    ON @SCHEMA@.BPM_UCA_EVENT_TYPE
    ("UCA_EVENT_TYPE_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE @SCHEMA@.BPM_UCA_EVENT_TYPE
    ADD CONSTRAINT LSWC_UCA_EVENT_TYPE_PK
    PRIMARY KEY(
       "UCA_EVENT_TYPE_ID")

;

CREATE INDEX @SCHEMA@.LSWC_UCA_EVENT_TYPE_PK4
    ON @SCHEMA@.BPM_UCA_EVENT_TYPE("NAME")
    USING STOGROUP @STOGRP@

;

INSERT INTO @SCHEMA@.BPM_UCA_EVENT_TYPE (UCA_EVENT_TYPE_ID,NAME,DESCRIPTION)
    VALUES(0, '0', 'Timer')
;
INSERT INTO @SCHEMA@.BPM_UCA_EVENT_TYPE (UCA_EVENT_TYPE_ID,NAME,DESCRIPTION)
    VALUES(1, '1', 'Message')
;
INSERT INTO @SCHEMA@.BPM_UCA_EVENT_TYPE (UCA_EVENT_TYPE_ID,NAME,DESCRIPTION)
    VALUES(2, '2', 'Content')
;
						
ALTER  TABLE @SCHEMA@.LSW_MANAGED_ASSET 
ADD 
    "IS_DOCUMENTATION_FILE" CHAR(1)
        DEFAULT 'F' NOT NULL
;


INSERT INTO @SCHEMA@.LSW_ENV_VAR_TYPE (ENV_VAR_TYPE_ID,NAME,DESCRIPTION)
    VALUES(8, '8', 'Connections Server')
                        
;

ALTER  TABLE @SCHEMA@.BPM_COACHNG_BOUNDARY_EVENT 
ADD 
    "IS_VALIDATE_BOUNDARY_EVENT" CHAR(1)
        DEFAULT 'F'
;

ALTER  TABLE @SCHEMA@.BPM_COACHNG_BOUNDARY_EVENT 
ADD 
    "FIRE_VALIDATION" DECIMAL(1,0)
        DEFAULT 0
;



CREATE TABLESPACE WLPZ3902
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE @SCHEMA@.BPM_GOVERNANCE_EVENT (
    "EVENT_TYPE_ID" CHAR(36) NOT NULL,
    "EVENT_TYPE" DECIMAL(8,0) NOT NULL,
    "EVENT_TYPE_NAME" VARCHAR(396) NOT NULL,
    "GOV_DEFAULT_SNAPSHOT_ID" CHAR(36) NOT NULL,
    "GOV_DEFAULT_PROCESS_ID" CHAR(36) NOT NULL,
    "GOV_DEFAULT_PROCESS_TYPE" DECIMAL(8,0) NOT NULL
)
IN @DB_NAME@.WLPZ3902
;

CREATE TABLESPACE WLPZ3901
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE @SCHEMA@.BPM_GOVERNANCE_ASSIGNMENT (
    "ASSIGNMENT_ID" CHAR(36) NOT NULL,
    "PROJECT_ID" CHAR(36) NOT NULL,
    "EVENT_TYPE_ID" CHAR(36) NOT NULL,
    "GOV_SNAPSHOT_ID" CHAR(36) NOT NULL,
    "GOV_PROCESS_ID" CHAR(36) NOT NULL,
    "GOV_PROCESS_TYPE" DECIMAL(8,0) NOT NULL,
    "ACTIVE" CHAR(1)
        DEFAULT 'T' NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPZ3901
;


CREATE UNIQUE INDEX @SCHEMA@.BPM_GOV_DEFAULTS_PK
    ON @SCHEMA@.BPM_GOVERNANCE_EVENT
    ("EVENT_TYPE_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE @SCHEMA@.BPM_GOVERNANCE_EVENT
    ADD CONSTRAINT BPM_GOV_DEFAULTS_PK
    PRIMARY KEY(
       "EVENT_TYPE_ID")

;


CREATE UNIQUE INDEX @SCHEMA@.BPM_GOVERNANCE_ASSIGNMENT_PK
    ON @SCHEMA@.BPM_GOVERNANCE_ASSIGNMENT
    ("ASSIGNMENT_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE @SCHEMA@.BPM_GOVERNANCE_ASSIGNMENT
    ADD CONSTRAINT BPM_GOVERNANCE_ASSIGNMENT_PK
    PRIMARY KEY(
       "ASSIGNMENT_ID")

;

ALTER TABLE @SCHEMA@.BPM_GOVERNANCE_ASSIGNMENT
    ADD CONSTRAINT BPM_GOVERNANCE_ASSIGNMENT_FK1
	FOREIGN KEY("PROJECT_ID")
	REFERENCES @SCHEMA@.LSW_PROJECT("PROJECT_ID")
	ON DELETE CASCADE
;

INSERT INTO @SCHEMA@.BPM_GOVERNANCE_EVENT(EVENT_TYPE_ID, EVENT_TYPE,
    EVENT_TYPE_NAME, GOV_DEFAULT_SNAPSHOT_ID, GOV_DEFAULT_PROCESS_ID,
    GOV_DEFAULT_PROCESS_TYPE)
	VALUES('dbecd816-afed-47b0-ba92-c13256fcb568',
	0, 'Installation Requested',
	'8b0bdb20-6dd1-4357-945a-4cdf0cbd020d',
	'b0d87b96-5044-4390-b0f5-4ba05d63bc28', 25)
;
INSERT INTO @SCHEMA@.BPM_GOVERNANCE_EVENT(EVENT_TYPE_ID, EVENT_TYPE,
    EVENT_TYPE_NAME, GOV_DEFAULT_SNAPSHOT_ID, GOV_DEFAULT_PROCESS_ID,
    GOV_DEFAULT_PROCESS_TYPE)
	VALUES('dbecd816-afed-47b0-ba92-c13256fcb569', 1,
	'Snapshot Status Change', '8b0bdb20-6dd1-4357-945a-4cdf0cbd020d',
	'291536f1-aa21-4650-8ac9-c62eaa3fa110', 25)
;
						
DROP TABLE @SCHEMA@.LSW_ORG_CHART
;

CREATE TABLESPACE WLPZ7501
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE @SCHEMA@.BPM_EVENT_SUBSCRIPTION (
    "EVENT_SUBSCRIPTION_ID" CHAR(36) NOT NULL,
    "EVENT_SUBSCRIPTION_TYPE_ID" DECIMAL(2,0) NOT NULL,
    "SERVER_NAME" VARCHAR(512),
    "EVENT_CLASS" VARCHAR(512),
    "OBJECT_TYPE_ID" VARCHAR(512),
    "OBJECT_TYPE_ID_DISPLAY_NAME" VARCHAR(512),
    "EVENT_TYPE" VARCHAR(512),
    "INCLUDE_SUB_TYPE" CHAR(1)
        DEFAULT 'F',
    "PROCESS_REF" CHAR(36),
    "PARTICIPANT_REF" CHAR(36),
    "NAME" VARCHAR(128) NOT NULL,
    "DESCRIPTION" CLOB(2G),
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPZ7501
;

CREATE LOB TABLESPACE WLPZ7504
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE @SCHEMA@.BPM_EVENT_SUBSCRIPTION12_LOB
    IN @DB_NAME@.WLPZ7504
    STORES @SCHEMA@.BPM_EVENT_SUBSCRIPTION COLUMN DESCRIPTION
;
CREATE UNIQUE INDEX @SCHEMA@.BPM_EVENT_SUBSCRIPTION12_I
    ON @SCHEMA@.BPM_EVENT_SUBSCRIPTION12_LOB
    USING STOGROUP @STOGRP@
;
        
CREATE TABLESPACE WLPZ7502
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE @SCHEMA@.BPM_EVENT_SUBSCRIPTION_TYPE (
    "EVENT_SUBSCRIPTION_TYPE_ID" DECIMAL(2,0) NOT NULL,
    "NAME" VARCHAR(128) NOT NULL,
    "DESCRIPTION" CLOB(2G)
)
IN @DB_NAME@.WLPZ7502
;

CREATE LOB TABLESPACE WLPZ7503
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE @SCHEMA@.BPM_EVENT_SUBSCRIPTION_TYPE3_LOB
    IN @DB_NAME@.WLPZ7503
    STORES @SCHEMA@.BPM_EVENT_SUBSCRIPTION_TYPE COLUMN DESCRIPTION
;
CREATE UNIQUE INDEX @SCHEMA@.BPM_EVENT_SUBSCRIPTION_TYPE3_I
    ON @SCHEMA@.BPM_EVENT_SUBSCRIPTION_TYPE3_LOB
    USING STOGROUP @STOGRP@
;
        

CREATE UNIQUE INDEX @SCHEMA@.BPM_EVENT_SUBSCRIPTION_PK
    ON @SCHEMA@.BPM_EVENT_SUBSCRIPTION
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE @SCHEMA@.BPM_EVENT_SUBSCRIPTION
    ADD CONSTRAINT BPM_EVENT_SUBSCRIPTION_PK
    PRIMARY KEY(
       "VERSION_ID")

;


CREATE UNIQUE INDEX @SCHEMA@.LSWC_BPM_EVT_SUBN_TYPE_PK
    ON @SCHEMA@.BPM_EVENT_SUBSCRIPTION_TYPE
    ("EVENT_SUBSCRIPTION_TYPE_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE @SCHEMA@.BPM_EVENT_SUBSCRIPTION_TYPE
    ADD CONSTRAINT LSWC_BPM_EVT_SUBN_TYPE_PK
    PRIMARY KEY(
       "EVENT_SUBSCRIPTION_TYPE_ID")

;

CREATE INDEX @SCHEMA@.BPM_EVENT_SUBSCRIPTION_PK3
    ON @SCHEMA@.BPM_EVENT_SUBSCRIPTION("GUID")
    USING STOGROUP @STOGRP@

;

CREATE INDEX @SCHEMA@.BPM_EVENT_SUBSCRIPTION_PK4
    ON @SCHEMA@.BPM_EVENT_SUBSCRIPTION("NAME")
    USING STOGROUP @STOGRP@

;

CREATE INDEX @SCHEMA@.BPM_EVENT_SUBSCRIPTION_IDX1 
    ON @SCHEMA@.BPM_EVENT_SUBSCRIPTION(
    "EVENT_SUBSCRIPTION_TYPE_ID",
    "EVENT_TYPE",
    "OBJECT_TYPE_ID",
    "INCLUDE_SUB_TYPE")
    USING STOGROUP @STOGRP@

;

CREATE INDEX @SCHEMA@.LSWC_BPM_EVT_SUBN_TYPE_PK4
    ON @SCHEMA@.BPM_EVENT_SUBSCRIPTION_TYPE("NAME")
    USING STOGROUP @STOGRP@

;

INSERT INTO @SCHEMA@.BPM_EVENT_SUBSCRIPTION_TYPE
  (EVENT_SUBSCRIPTION_TYPE_ID,NAME,DESCRIPTION)
  VALUES(0, '0', 'ECM');
						
CREATE TABLESPACE WLPZ7505
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE @SCHEMA@.LSW_STAY_ON_PAGE (
    "STAY_ON_PAGE_ID" CHAR(36) NOT NULL,
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPZ7505
;


CREATE UNIQUE INDEX @SCHEMA@.BPM_STAY_ON_PAGE_PK
    ON @SCHEMA@.LSW_STAY_ON_PAGE
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE @SCHEMA@.LSW_STAY_ON_PAGE
    ADD CONSTRAINT BPM_STAY_ON_PAGE_PK
    PRIMARY KEY(
       "VERSION_ID")

;

CREATE INDEX @SCHEMA@.BPM_STAY_ON_PAGE_PK3
    ON @SCHEMA@.LSW_STAY_ON_PAGE("GUID")
    USING STOGROUP @STOGRP@

;

ALTER  TABLE @SCHEMA@.LSW_BPD 
ADD 
    "TEMPLATE_ID" CHAR(36)
;


ALTER  TABLE @SCHEMA@.LSW_BPD_PARAMETER 
ADD 
    "IS_READ_ONLY" CHAR(1)
        DEFAULT 'F'
;


ALTER  TABLE @SCHEMA@.BPM_COACH_VIEW 
ADD 
    "VALIDATE_JS_FUNCTION" CLOB(2G)
;

CREATE LOB TABLESPACE WLPZ901
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE @SCHEMA@.BPM_COACH_VIEW20_LOB
    IN @DB_NAME@.WLPZ901
    STORES @SCHEMA@.BPM_COACH_VIEW COLUMN VALIDATE_JS_FUNCTION
;
CREATE UNIQUE INDEX @SCHEMA@.BPM_COACH_VIEW20_I
    ON @SCHEMA@.BPM_COACH_VIEW20_LOB
    USING STOGROUP @STOGRP@
;
        

ALTER  TABLE @SCHEMA@.LSW_FAVORITE 
ADD 
    "CACHED_EVENT_SUB_VERSION_ID" CHAR(36)
;

ALTER  TABLE @SCHEMA@.LSW_FAVORITE 
ADD 
    "EVENT_SOURCE_ID" VARCHAR(256)
;



INSERT INTO @SCHEMA@.LSW_ACL_ENTRY (ACL_ENTRY_ID,GROUP_ID,PO_TYPE,PO_ID,MASK)
    VALUES(12, 4, 2066, 'dbecd816-afed-47b0-ba92-c13256fcb566', 5)
;
						
ALTER  TABLE @SCHEMA@.BPM_COACH_VIEW 
ADD 
    "USE_URL_BINDING" CHAR(1)
        DEFAULT 'F'
;


ALTER TABLE @SCHEMA@.LSW_BLUEPRINT_SUBSCRIPTION ADD "LAST_MODIFIED"
TIMESTAMP NOT NULL WITH DEFAULT
;
						
ALTER  TABLE @SCHEMA@.LSW_BLUEPRINT_SUBSCRIPTION 
ADD 
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0)
        DEFAULT 1 NOT NULL
;



ALTER  TABLE @SCHEMA@.LSW_WEB_SERVICE 
ADD 
    "TARGET_NAMESPACE" VARCHAR(1024)
;


ALTER  TABLE @SCHEMA@.LSW_WEB_SERVICE 
ADD 
    "TARGET_NAMESPACE_SCHEME" VARCHAR(128)
;


ALTER  TABLE @SCHEMA@.LSW_SNAPSHOT 
ADD 
    "TIP_DEPLOYMENT_IN_PROGRESS" CHAR(1)
        DEFAULT 'F'
;


ALTER  TABLE @SCHEMA@.BPM_TASK_INDEX_JOB 
ADD 
    "INDEX_LAST_PURGE_TIME" TIMESTAMP
;


ALTER  TABLE @SCHEMA@.BPM_COACH_VIEW_CONFIG_OPTION 
ADD 
    "GROUP_NAME" VARCHAR(128)
;


							COMMIT
							;
INSERT INTO @SCHEMA@.LSW_SNAPSHOT (SNAPSHOT_ID, CREATED_BY_USER_ID, CREATED_ON,
   ACRONYM, BRANCH_ID, PROJECT_ID, SEQ_NUM, ORIG_CREATED_ON,
   LAST_MODIFIED, LAST_MODIFIED_BY_USER_ID)
   VALUES ('29dbc7ff-aace-481a-ba72-be56c0180448', 1,
   TIMESTAMP_FORMAT('1969/01/01 17:00:00','YYYY/MM/DD HH24:MI:SS'),
   '29dbc7ff-aace-481a-ba72-be56c0180448',
   '4961c615-3524-4196-90da-93c49d237009',
   '4b3882d9-e886-4f08-9d0c-078ebda719b9', 256,
   TIMESTAMP_FORMAT('1969/01/01 17:00:00','YYYY/MM/DD HH24:MI:SS'),
   TIMESTAMP_FORMAT('1969/01/01 17:00:00','YYYY/MM/DD HH24:MI:SS'), 1)
;
						

CREATE INDEX @SCHEMA@.BPM_SHARED_OBJECT_IDX1 
    ON @SCHEMA@.BPM_SHARED_OBJECT(
    "TASK_ID")
    USING STOGROUP @STOGRP@

;

INSERT INTO @SCHEMA@.LSW_SNAPSHOT (SNAPSHOT_ID, CREATED_BY_USER_ID, CREATED_ON,
  ACRONYM, BRANCH_ID, PROJECT_ID, SEQ_NUM, ORIG_CREATED_ON,
  LAST_MODIFIED, LAST_MODIFIED_BY_USER_ID)
  VALUES ('e01d46a5-6dc9-4545-9940-7e843777321d', 1,
  TIMESTAMP_FORMAT('1969/01/01 17:00:00','YYYY/MM/DD HH24:MI:SS'),
  'e01d46a5-6dc9-4545-9940-7e843777321d',
  '50f91713-f1c4-4859-897f-89720db5dc3e',
  'b691179d-e7a4-4a27-b89b-f2263d0280e7', 256,
  TIMESTAMP_FORMAT('1969/01/01 17:00:00','YYYY/MM/DD HH24:MI:SS'),
  TIMESTAMP_FORMAT('1969/01/01 17:00:00','YYYY/MM/DD HH24:MI:SS'), 1)
;
UPDATE @SCHEMA@.LSW_BRANCH SET
 TIP_SNAPSHOT_ID='e01d46a5-6dc9-4545-9940-7e843777321d'
  WHERE BRANCH_ID='50f91713-f1c4-4859-897f-89720db5dc3e'
;
						

CREATE INDEX @SCHEMA@.IDX6_SNAPSHOT 
    ON @SCHEMA@.LSW_SNAPSHOT(
    "BRANCH_ID",
    "IS_ARCHIVED",
    "CREATED_ON")
    USING STOGROUP @STOGRP@

;

ALTER  TABLE @SCHEMA@.BPM_TASK_INDEX 
ADD 
    "DELETED_DATETIME" TIMESTAMP
;

ALTER TABLE @SCHEMA@.BPM_TASK_INDEX DROP CONSTRAINT BPM_TASK_INDEX_FK
                        
;


ALTER TABLE @SCHEMA@.LSW_TASK ALTER COLUMN SHAREPOINT_DISCUSSION_URL
  SET DATA TYPE VARCHAR(1024);
ALTER TABLE @SCHEMA@.LSW_FAVORITE ALTER COLUMN NAME
  SET DATA TYPE VARCHAR(1990);
ALTER TABLE @SCHEMA@.LSW_SWITCH_CONDITION ALTER COLUMN CONDITION
  SET DATA TYPE VARCHAR(2000);
ALTER TABLE @SCHEMA@.BPM_COACH_VIEW_RESOURCE ALTER COLUMN IE_CONDITION
  SET DATA TYPE VARCHAR(2048);
ALTER TABLE @SCHEMA@.BPM_COACH_VIEW_RESOURCE ALTER COLUMN MEDIA_QUERY
  SET DATA TYPE VARCHAR(2048);
ALTER TABLE @SCHEMA@.BPM_COACH_VIEW_AMD_DEP ALTER COLUMN MODULE_ID
  SET DATA TYPE VARCHAR(2048);
ALTER TABLE @SCHEMA@.LSW_IC_INPUT_PROPERTY ALTER COLUMN KEY_VAL
  SET DATA TYPE VARCHAR(2000);
ALTER TABLE @SCHEMA@.LSW_IC_INPUT_PROPERTY ALTER COLUMN NAME
  SET DATA TYPE VARCHAR(1990);
ALTER TABLE @SCHEMA@.LSW_IC_INPUT_PROPERTY ALTER COLUMN CLASS_TYPE
  SET DATA TYPE VARCHAR(1024);
ALTER TABLE @SCHEMA@.LSW_UCA_PARM ALTER COLUMN PARM_VALUE
  SET DATA TYPE VARCHAR(2000);
ALTER TABLE @SCHEMA@.LSW_IC_OUTPUT_PROPERTY ALTER COLUMN KEY_VAL
  SET DATA TYPE VARCHAR(2000);
ALTER TABLE @SCHEMA@.LSW_IC_OUTPUT_PROPERTY ALTER COLUMN NAME
  SET DATA TYPE VARCHAR(1990);
ALTER TABLE @SCHEMA@.LSW_IC_OUTPUT_PROPERTY ALTER COLUMN CLASS_TYPE
  SET DATA TYPE VARCHAR(1024);
ALTER TABLE @SCHEMA@.LSW_LAUNCHER ALTER COLUMN CMD
  SET DATA TYPE VARCHAR(2000); 
ALTER TABLE @SCHEMA@.LSW_BREAKPOINT ALTER COLUMN CONDITION
  SET DATA TYPE VARCHAR(2000);
ALTER TABLE @SCHEMA@.LSW_REPORT_VARIABLES ALTER COLUMN VALUE
  SET DATA TYPE VARCHAR(2000);
ALTER TABLE @SCHEMA@.LSW_REPORT_DS_LAYOUT_LINK ALTER COLUMN DEFAULT_VALUE
  SET DATA TYPE VARCHAR(2000);
ALTER TABLE @SCHEMA@.LSW_UCA_SYNC_QUEUE ALTER COLUMN DESCRIPTION
  SET DATA TYPE VARCHAR(900);
ALTER TABLE @SCHEMA@.LSW_BPD_INSTANCE ALTER COLUMN INSTANCE_NAME
  SET DATA TYPE VARCHAR(1024);
ALTER TABLE @SCHEMA@.LSW_BPD_INSTANCE ALTER COLUMN SHAREPOINT_SITE_URL
  SET DATA TYPE VARCHAR(1024);
ALTER TABLE @SCHEMA@.LSW_EM_TASK ALTER COLUMN TASK_ARGUMENTS_STR
  SET DATA TYPE VARCHAR(2000);
ALTER TABLE @SCHEMA@.LSW_EM_TASK ALTER COLUMN REPEAT_STRING
 SET DATA TYPE VARCHAR(1024);
ALTER TABLE @SCHEMA@.LSW_PARTICIPANT ALTER COLUMN PARTICIPANT_DEFINITION
  SET DATA TYPE VARCHAR(2000);
ALTER TABLE @SCHEMA@.LSW_PARTICIPANT ALTER COLUMN IMAGE
  SET DATA TYPE VARCHAR(1024);
ALTER TABLE @SCHEMA@.LSW_HOLIDAY_SCHEDULE ALTER COLUMN HOLIDAY_LIST
  SET DATA TYPE VARCHAR(2000);
ALTER TABLE @SCHEMA@.LSW_TIME_PERIOD ALTER COLUMN EFFECTIVE_DAYS
  SET DATA TYPE VARCHAR(1024);
ALTER TABLE @SCHEMA@.LSW_GRP_GRP_MEM_EXPLODED_XREF ALTER COLUMN MEM_PATH
  SET DATA TYPE VARCHAR(1024);
ALTER TABLE @SCHEMA@.LSW_USR_ATTR ALTER COLUMN ATTR_VALUE
  SET DATA TYPE VARCHAR(2000);
ALTER TABLE @SCHEMA@.LSW_BPD_INSTANCE_DOCUMENTS ALTER COLUMN FILENAME
  SET DATA TYPE VARCHAR(2000);
ALTER TABLE @SCHEMA@.LSW_BPD_INSTANCE_DOC_PROPS ALTER COLUMN NAME
  SET DATA TYPE VARCHAR(2000);
ALTER TABLE @SCHEMA@.LSW_BPD_INSTANCE_DOC_PROPS ALTER COLUMN VALUE
  SET DATA TYPE VARCHAR(2000);
ALTER TABLE @SCHEMA@.LSW_INFOPATH_FORM ALTER COLUMN URL
  SET DATA TYPE VARCHAR(1024);
ALTER TABLE @SCHEMA@.LSW_BPD_DOCUMENTS ALTER COLUMN FILENAME
  SET DATA TYPE VARCHAR(2000);
ALTER TABLE @SCHEMA@.LSW_BPD_INSTANCE_VARIABLES ALTER COLUMN VARIABLE_NAME
  SET DATA TYPE VARCHAR(1024);
ALTER TABLE @SCHEMA@.LSW_BPD_INSTANCE_VARIABLES ALTER COLUMN ALIAS
  SET DATA TYPE VARCHAR(1024);
ALTER TABLE @SCHEMA@.LSW_BPD_INSTANCE_VARIABLES ALTER COLUMN STRING_VALUE
  SET DATA TYPE VARCHAR(1024);
ALTER TABLE @SCHEMA@.LSW_DYNAMIC_GROUP_CONSTRAINT ALTER COLUMN VALUE
  SET DATA TYPE VARCHAR(2000);
ALTER TABLE @SCHEMA@.LSW_SERVER ALTER COLUMN PROVIDER_URL
  SET DATA TYPE VARCHAR(1000);
ALTER TABLE @SCHEMA@.LSW_PROJECT_DEFAULTS ALTER COLUMN DEFAULT_JS_REFS
  SET DATA TYPE VARCHAR(2000);
ALTER TABLE @SCHEMA@.LSW_PO_DEPENDENCY ALTER COLUMN SOURCE_LOCATION
  SET DATA TYPE VARCHAR(1024);
ALTER TABLE @SCHEMA@.BPM_CONTRIBUTION ALTER COLUMN FILENAME
  SET DATA TYPE VARCHAR(1990);
ALTER TABLE @SCHEMA@.BPM_CTRB_PROPERTY ALTER COLUMN PROP_VALUE
  SET DATA TYPE VARCHAR(2000);
ALTER TABLE @SCHEMA@.BPM_CTRB_DEPENDENCY ALTER COLUMN LIBRARY_NAME
  SET DATA TYPE VARCHAR(2048);
ALTER TABLE @SCHEMA@.BPM_ARTIFACT ALTER COLUMN FULL_PATH
  SET DATA TYPE VARCHAR(1990);
ALTER TABLE @SCHEMA@.BPM_SHARED_OBJECT_VALUE ALTER COLUMN FIELD_PATH
  SET DATA TYPE VARCHAR(2048);
ALTER TABLE @SCHEMA@.BPM_OSLC_PROVIDER ALTER COLUMN URL
  SET DATA TYPE VARCHAR(2048);
ALTER TABLE @SCHEMA@.BPM_TASK_ACTIVITY_MEASURES ALTER
  COLUMN CREATED_BY_BPD_FLOW_OBJECT_ID SET DATA TYPE VARCHAR(256);
						

CREATE INDEX @SCHEMA@.IDX3_PO_VERSIONS 
    ON @SCHEMA@.LSW_PO_VERSIONS(
    "START_SEQ_NUM",
    "PO_ROOT_ID",
    "PO_TYPE",
    "BRANCH_ID",
    "END_SEQ_NUM",
    "PO_VERSION_ID")
    USING STOGROUP @STOGRP@

;

		
-- END of phase ProcUpgradeTo801 --
        
	
    

		
-- START of phase ProcUpgradeTo850 --
        
			
ALTER  TABLE @SCHEMA@.LSW_PROJECT_DEFAULTS 
ADD 
    "IS_QUEUE_BYPASS" DECIMAL(1,0)
;


ALTER  TABLE @SCHEMA@.BPM_MON_MODEL_DATA 
ADD 
    "IS_DIRTY" CHAR(1)
;


ALTER  TABLE @SCHEMA@.LSW_BPD_INSTANCE 
ADD 
    "AT_RISK_DATE" TIMESTAMP
;


ALTER  TABLE @SCHEMA@.LSW_PARTICIPANT 
ADD 
    "SPECIFY_TEAM_USING_SERVICE" CHAR(1)
        DEFAULT 'F'
;

ALTER  TABLE @SCHEMA@.LSW_PARTICIPANT 
ADD 
    "SERVICE_REF" CHAR(36)
;

ALTER  TABLE @SCHEMA@.LSW_PARTICIPANT 
ADD 
    "MANAGERS_REF" CHAR(36)
;




CREATE TABLESPACE WLPZ6301
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE @SCHEMA@.BPM_USR_RUNTIME_PROPS (
    "USER_ID" DECIMAL(12,0) NOT NULL,
    "USER_NAME" VARCHAR(128) NOT NULL,
    "ONLINE_STATUS" CHAR(1)
        DEFAULT 'F',
    "ONLINE_SERVER_ID" VARCHAR(510)
)
IN @DB_NAME@.WLPZ6301
;


CREATE UNIQUE INDEX @SCHEMA@.BPM_USR_RT_PRPS_PK
    ON @SCHEMA@.BPM_USR_RUNTIME_PROPS
    ("USER_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE @SCHEMA@.BPM_USR_RUNTIME_PROPS
    ADD CONSTRAINT BPM_USR_RT_PRPS_PK
    PRIMARY KEY(
       "USER_ID")

;

ALTER TABLE @SCHEMA@.BPM_USR_RUNTIME_PROPS
    ADD CONSTRAINT BPM_USR_RT_PRPS_FK
	FOREIGN KEY("USER_ID")
	REFERENCES @SCHEMA@.LSW_USR_XREF("USER_ID")
	ON DELETE CASCADE
;

ALTER  TABLE @SCHEMA@.LSW_PROCESS_PARAMETER 
ADD 
    "IS_LOCKED" CHAR(1)
        DEFAULT 'F'
;


INSERT INTO @SCHEMA@.LSW_ENV_VAR_TYPE 
 (ENV_VAR_TYPE_ID,NAME,DESCRIPTION) 
 VALUES(9, 9, 'Web Service');
				
ALTER  TABLE @SCHEMA@.LSW_BPD_INSTANCE 
ADD 
    "ATTACHMENT_STORE" DECIMAL(4,0)
        DEFAULT 0 NOT NULL
;

ALTER  TABLE @SCHEMA@.LSW_BPD_INSTANCE_DOCUMENTS 
ADD 
    "MIGRATION_STATE" DECIMAL(4,0)
        DEFAULT 1 NOT NULL
;

ALTER  TABLE @SCHEMA@.LSW_BPD_INSTANCE_DOCUMENTS 
ADD 
    "MIGRATION_ERROR" VARCHAR(512)
;

COMMIT;
										
UPDATE @SCHEMA@.LSW_BPD_INSTANCE SET ATTACHMENT_STORE = 3 
 WHERE BPD_INSTANCE_ID IN (SELECT DISTINCT 
 PID.BPD_INSTANCE_ID FROM @SCHEMA@.LSW_BPD_INSTANCE_DOCUMENTS PID)
                
;

CREATE TABLESPACE WLPZ5101
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE @SCHEMA@.BPM_MIGRATION_STATUS (
    "EVENT" DECIMAL(4,0) NOT NULL,
    "STATUS" DECIMAL(4,0) NOT NULL,
    "EVENT_COUNT" DECIMAL(8,0) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "DETAILS" VARCHAR(512)
)
IN @DB_NAME@.WLPZ5101
;





CREATE UNIQUE INDEX @SCHEMA@.LSWC_MIGRATION_STATUS_PK
    ON @SCHEMA@.BPM_MIGRATION_STATUS
    ("EVENT")
    USING STOGROUP @STOGRP@

;

ALTER TABLE @SCHEMA@.BPM_MIGRATION_STATUS
    ADD CONSTRAINT LSWC_MIGRATION_STATUS_PK
    PRIMARY KEY(
       "EVENT")

;
						
                    DROP INDEX @SCHEMA@.LSW_IDX_PRIORITY
                
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_PRIORITY_PK
    ON @SCHEMA@.LSW_PRIORITY
    ("PRIORITY_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE @SCHEMA@.LSW_PRIORITY
    ADD CONSTRAINT LSW_PRIORITY_PK
    PRIMARY KEY(
       "PRIORITY_ID")

;

ALTER  TABLE @SCHEMA@.LSW_INVOKE_UCA 
ADD 
    "TRIG_IN_SS_CTX" CHAR(1)
        DEFAULT 'F'
;


ALTER TABLE @SCHEMA@.LSW_DEPLOYMENT ALTER 
 "STATUS_DESCRIPTION" SET DATA TYPE VARCHAR(2000)
;
               
ALTER  TABLE @SCHEMA@.LSW_PARAMETER_MAPPING 
ADD 
    "TEAM_TYPE" DECIMAL(12,0)
;


ALTER  TABLE @SCHEMA@.LSW_SNAPSHOT 
ADD 
    "CAPABILITY" CHAR(1)
;


CREATE TABLESPACE WLPZ5701
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE @SCHEMA@.BPM_SRCH_INDEX_SCHEMA (
    "BPDID" CHAR(36) NOT NULL,
    "FIELD_NAME" VARCHAR(1024) NOT NULL,
    "FIELD_NAME_EXTERNAL" VARCHAR(1024),
    "FIELD_TYPE" VARCHAR(40),
    "FIELD_TYPE_EXTERNAL" VARCHAR(40),
    "PUBLIC_FLAG" DECIMAL(2,0),
    "BUSINESS_DATA" DECIMAL(2,0),
    "LAST_UPDATED" TIMESTAMP NOT NULL
)
IN @DB_NAME@.WLPZ5701
;


CREATE UNIQUE INDEX @SCHEMA@.BPM_SRCH_INDEX_SCHEMA_PK
    ON @SCHEMA@.BPM_SRCH_INDEX_SCHEMA
    ("BPDID","FIELD_NAME")
    USING STOGROUP @STOGRP@

;

ALTER TABLE @SCHEMA@.BPM_SRCH_INDEX_SCHEMA
    ADD CONSTRAINT BPM_SRCH_INDEX_SCHEMA_PK
    PRIMARY KEY(
       "BPDID",
       "FIELD_NAME")

;

CREATE INDEX @SCHEMA@.BPM_SRCH_INDEX_SCHEMA_IDX 
    ON @SCHEMA@.BPM_SRCH_INDEX_SCHEMA(
    "LAST_UPDATED")
    USING STOGROUP @STOGRP@

;

ALTER  TABLE @SCHEMA@.LSW_WEB_SERVICE 
ADD 
    "POLICY_SET" VARCHAR(1024)
;


ALTER  TABLE @SCHEMA@.LSW_WEB_SERVICE 
ADD 
    "POLICY_BINDING" VARCHAR(1024)
;


ALTER TABLE @SCHEMA@.LSW_SNAPSHOT ALTER "NAME" SET DATA TYPE VARCHAR(256)
;

                    DROP INDEX @SCHEMA@.IDX3_PO_VERSIONS
                
;

UPDATE @SCHEMA@.LSW_PO_VERSIONS SET END_SEQ_NUM=999999999999
 WHERE END_SEQ_NUM IS NULL;
					
				
UPDATE @SCHEMA@.LSW_PO_METADATA SET END_SEQ_NUM=999999999999
 WHERE END_SEQ_NUM IS NULL;
					
				
UPDATE @SCHEMA@.LSW_PO_REFERENCE SET END_SEQ_NUM=999999999999
 WHERE END_SEQ_NUM IS NULL;
					
				
UPDATE @SCHEMA@.LSW_PO_DEPENDENCY SET END_SEQ_NUM=999999999999
 WHERE END_SEQ_NUM IS NULL;
					
				
                
ALTER  TABLE @SCHEMA@.LSW_SERVER 
ADD 
    "IS_COMPATIBLE" CHAR(1)
        DEFAULT 'T'
;


ALTER  TABLE @SCHEMA@.LSW_PROCESS 
ADD 
    "CACHING_TYPE" CHAR(1)
        DEFAULT 'F'
;


ALTER  TABLE @SCHEMA@.BPM_TASK_INDEX 
ADD 
    "INSTANCE_ID" DECIMAL(12,0)
;


CREATE TABLESPACE WLPZ5702
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE @SCHEMA@.BPM_INSTANCE_INDEX (
    "INSTANCE_ID" DECIMAL(12,0) NOT NULL,
    "MAJOR_EVENT_DATETIME" TIMESTAMP,
    "MINOR_EVENT_DATETIME" TIMESTAMP,
    "INSTANCE_DATA" BLOB(2G),
    "DELETED_DATETIME" TIMESTAMP
)
IN @DB_NAME@.WLPZ5702
;

CREATE LOB TABLESPACE WLPZ5703
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE @SCHEMA@.BPM_INSTANCE_INDEX4_LOB
    IN @DB_NAME@.WLPZ5703
    STORES @SCHEMA@.BPM_INSTANCE_INDEX COLUMN INSTANCE_DATA
;
CREATE UNIQUE INDEX @SCHEMA@.BPM_INSTANCE_INDEX4_I
    ON @SCHEMA@.BPM_INSTANCE_INDEX4_LOB
    USING STOGROUP @STOGRP@
;
        

CREATE UNIQUE INDEX @SCHEMA@.BPM_INSTANCE_INDEX_PK
    ON @SCHEMA@.BPM_INSTANCE_INDEX
    ("INSTANCE_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE @SCHEMA@.BPM_INSTANCE_INDEX
    ADD CONSTRAINT BPM_INSTANCE_INDEX_PK
    PRIMARY KEY(
       "INSTANCE_ID")

;

CREATE INDEX @SCHEMA@.BPM_INSTANCE_INDEX_IDX 
    ON @SCHEMA@.BPM_INSTANCE_INDEX(
    "MAJOR_EVENT_DATETIME",
    "INSTANCE_ID")
    USING STOGROUP @STOGRP@

;

ALTER  TABLE @SCHEMA@.LSW_PARTICIPANT_GROUP 
ADD 
    "ENABLE_AUTOMATIC_REFRESH" CHAR(1)
        DEFAULT 'T'
;

ALTER  TABLE @SCHEMA@.LSW_PARTICIPANT_GROUP 
ADD 
    "MANAGERS_NAME" VARCHAR(128)
;




ALTER TABLE @SCHEMA@.LSW_DYNAMIC_GROUP
    ADD CONSTRAINT LSWC_DGRP_SS_FK
	FOREIGN KEY("SNAPSHOT_ID")
	REFERENCES @SCHEMA@.LSW_SNAPSHOT("SNAPSHOT_ID")
	ON DELETE CASCADE
;

ALTER  TABLE @SCHEMA@.LSW_PROJECT 
ADD 
    "IS_GOVERNANCE" CHAR(1)
        DEFAULT 'F' NOT NULL
;


CREATE TABLESPACE WLPZ5102
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE @SCHEMA@.BPM_BPD_INSTANCE_MEASURES (
    "MEASURES_ID" CHAR(36) NOT NULL,
    "SNAPSHOT_ID" CHAR(36) NOT NULL,
    "BPD_REF" DECIMAL(19,0) NOT NULL,
    "BPD_FLOW_OBJECT_ID" VARCHAR(256),
    "AVG_TIME_TO_COMPLETION" DECIMAL(12,0) NOT NULL,
    "COMPLETION_COUNT" DECIMAL(8,0) NOT NULL,
    "IS_POTENTIALLY_IN_LOOP" CHAR(1)
        DEFAULT 'F'
)
IN @DB_NAME@.WLPZ5102
;


CREATE UNIQUE INDEX @SCHEMA@.BPMC_BPD_INSTANCE_MEASURES_PK
    ON @SCHEMA@.BPM_BPD_INSTANCE_MEASURES
    ("MEASURES_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE @SCHEMA@.BPM_BPD_INSTANCE_MEASURES
    ADD CONSTRAINT BPMC_BPD_INSTANCE_MEASURES_PK
    PRIMARY KEY(
       "MEASURES_ID")

;

CREATE UNIQUE INDEX @SCHEMA@.BPMC_BPD_INSTANCE_MEASURES_UK
    ON @SCHEMA@.BPM_BPD_INSTANCE_MEASURES(
        "SNAPSHOT_ID",
        "BPD_REF",
        "BPD_FLOW_OBJECT_ID")
    USING STOGROUP @STOGRP@

;

CREATE TABLESPACE WLPZ7801
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE @SCHEMA@.BPM_ASSET_CACHE_STATUS (
    "ASSET_ID" VARCHAR(60) NOT NULL,
    "CONTAINER_ID" CHAR(36) NOT NULL,
    "SESSION_ID" VARCHAR(36),
    "CLIENT_ID" VARCHAR(36),
    "LATEST_SNAPSHOT_ID" VARCHAR(100),
    "LATEST_BATCH_NO_IN_SNAPSHOT" DECIMAL(19,0),
    "LATEST_BATCH_NO" DECIMAL(19,0) NOT NULL,
    "CORRUPTED_BATCH_NO" DECIMAL(19,0),
    "USER_ID" VARCHAR(200) NOT NULL,
    "LOCK_STATUS" CHAR(1)
        DEFAULT 'F',
    "LOCKED_ON" TIMESTAMP,
    "LAST_MODIFIED_ON" TIMESTAMP NOT NULL,
    "FIELD1" VARCHAR(128),
    "FIELD2" VARCHAR(128),
    "FIELD3" DECIMAL(19,0)
)
IN @DB_NAME@.WLPZ7801
;

CREATE TABLESPACE WLPZ7802
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE16K@
;
CREATE TABLE @SCHEMA@.BPM_ASSET_CACHE_SAVE_INSTR (
    "ASSET_ID" VARCHAR(60) NOT NULL,
    "ROOT_ID" VARCHAR(60) NOT NULL,
    "CONTAINER_ID" CHAR(36) NOT NULL,
    "BATCH_NO" DECIMAL(19,0) NOT NULL,
    "DATA_SEQ" DECIMAL(3,0) NOT NULL,
    "DATA" VARCHAR(8000),
    "SNAPSHOT_ID" VARCHAR(100),
    "SNAPSHOT_SEQ" DECIMAL(19,0)
        DEFAULT 0,
    "USER_ID" VARCHAR(200) NOT NULL,
    "PENDING_SUMMARY" CHAR(1)
        DEFAULT 'F',
    "BAD_BATCH" CHAR(1)
        DEFAULT 'F',
    "MODIFIED_ON" TIMESTAMP NOT NULL,
    "BASE_BATCH_NO" DECIMAL(19,0),
    "CLIENT_ID" VARCHAR(36),
    "FIELD1" VARCHAR(128),
    "FIELD2" VARCHAR(128),
    "FIELD3" DECIMAL(19,0)
)
IN @DB_NAME@.WLPZ7802
;

CREATE TABLESPACE WLPZ7803
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE16K@
;
CREATE TABLE @SCHEMA@.BPM_ASSET_CACHE_SAVE_INSTR_BK (
    "ASSET_ID" VARCHAR(60) NOT NULL,
    "ROOT_ID" VARCHAR(60) NOT NULL,
    "CONTAINER_ID" CHAR(36) NOT NULL,
    "BATCH_NO" DECIMAL(19,0) NOT NULL,
    "DATA_SEQ" DECIMAL(3,0) NOT NULL,
    "DATA" VARCHAR(8000),
    "SNAPSHOT_ID" VARCHAR(100),
    "SNAPSHOT_SEQ" DECIMAL(19,0)
        DEFAULT 0,
    "USER_ID" VARCHAR(200) NOT NULL,
    "PENDING_SUMMARY" CHAR(1)
        DEFAULT 'F',
    "BAD_BATCH" CHAR(1)
        DEFAULT 'F',
    "MODIFIED_ON" TIMESTAMP NOT NULL,
    "BASE_BATCH_NO" DECIMAL(19,0),
    "CLIENT_ID" VARCHAR(36),
    "FIELD1" VARCHAR(128),
    "FIELD2" VARCHAR(128),
    "FIELD3" DECIMAL(19,0)
)
IN @DB_NAME@.WLPZ7803
;

CREATE TABLESPACE WLPZ7804
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE @SCHEMA@.BPM_ASSET_CACHE_SAVE_LOCK (
    "ASSET_ID" VARCHAR(60) NOT NULL,
    "CONTAINER_ID" CHAR(36) NOT NULL,
    "FIELD1" VARCHAR(128),
    "FIELD2" VARCHAR(128),
    "FIELD3" DECIMAL(19,0)
)
IN @DB_NAME@.WLPZ7804
;

CREATE TABLESPACE WLPZ7805
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE @SCHEMA@.BPM_ASSET_CACHE_REPO_LOCK (
    "ASSET_ID" VARCHAR(60) NOT NULL,
    "CONTAINER_ID" CHAR(36) NOT NULL,
    "USER_ID" VARCHAR(200) NOT NULL,
    "LOCK_STATUS" CHAR(1)
        DEFAULT 'F',
    "LOCKED_ON" TIMESTAMP NOT NULL,
    "FIELD1" VARCHAR(128),
    "FIELD2" VARCHAR(128),
    "FIELD3" DECIMAL(19,0)
)
IN @DB_NAME@.WLPZ7805
;

CREATE TABLESPACE WLPZ7806
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE @SCHEMA@.BPM_ASSET (
    "ASSET_ID" CHAR(36) NOT NULL,
    "ASSET_TYPE" DECIMAL(3,0) NOT NULL,
    "ASSET_SUB_TYPE" DECIMAL(3,0)
        DEFAULT 0,
    "NAMESPACE" VARCHAR(1024),
    "IS_READ_ONLY" CHAR(1)
        DEFAULT 'F' NOT NULL,
    "VISIBILITY_LEVEL" DECIMAL(2,0)
        DEFAULT 99 NOT NULL,
    "DATA" BLOB(2G) NOT NULL,
    "DESCRIPTION" CLOB(2G),
    "NAME" VARCHAR(128) NOT NULL,
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "FIELD1" VARCHAR(128),
    "FIELD2" VARCHAR(128),
    "FIELD3" DECIMAL(19,0),
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPZ7806
;

CREATE LOB TABLESPACE WLPZ7807
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE @SCHEMA@.BPM_ASSET7_LOB
    IN @DB_NAME@.WLPZ7807
    STORES @SCHEMA@.BPM_ASSET COLUMN DATA
;
CREATE UNIQUE INDEX @SCHEMA@.BPM_ASSET7_I
    ON @SCHEMA@.BPM_ASSET7_LOB
    USING STOGROUP @STOGRP@
;
        
CREATE LOB TABLESPACE WLPZ7808
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE @SCHEMA@.BPM_ASSET8_LOB
    IN @DB_NAME@.WLPZ7808
    STORES @SCHEMA@.BPM_ASSET COLUMN DESCRIPTION
;
CREATE UNIQUE INDEX @SCHEMA@.BPM_ASSET8_I
    ON @SCHEMA@.BPM_ASSET8_LOB
    USING STOGROUP @STOGRP@
;
        
CREATE TABLESPACE WLPZ7809
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE @SCHEMA@.BPM_ASSET_CACHE_CONTENT (
    "VERSION_CONTEXT" VARCHAR(100) NOT NULL,
    "ASSET_ID" CHAR(36) NOT NULL,
    "CACHE_KEY" CHAR(36) NOT NULL,
    "CONTAINER_ID" CHAR(36) NOT NULL,
    "DATA_TYPE" CHAR(1)
        DEFAULT 'X' NOT NULL,
    "DATA" BLOB(2G) NOT NULL,
    "CACHED_ON" TIMESTAMP NOT NULL,
    "FIELD1" VARCHAR(128),
    "FIELD2" VARCHAR(128),
    "FIELD3" DECIMAL(19,0)
)
IN @DB_NAME@.WLPZ7809
;

CREATE LOB TABLESPACE WLPZ7810
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE @SCHEMA@.BPM_ASSET_CACHE_CONTENT6_LOB
    IN @DB_NAME@.WLPZ7810
    STORES @SCHEMA@.BPM_ASSET_CACHE_CONTENT COLUMN DATA
;
CREATE UNIQUE INDEX @SCHEMA@.BPM_ASSET_CACHE_CONTENT6_I
    ON @SCHEMA@.BPM_ASSET_CACHE_CONTENT6_LOB
    USING STOGROUP @STOGRP@
;
        

CREATE UNIQUE INDEX @SCHEMA@.BPM_ASSET_CACHE_STS_PK
    ON @SCHEMA@.BPM_ASSET_CACHE_STATUS
    ("CONTAINER_ID","ASSET_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE @SCHEMA@.BPM_ASSET_CACHE_STATUS
    ADD CONSTRAINT BPM_ASSET_CACHE_STS_PK
    PRIMARY KEY(
       "CONTAINER_ID",
       "ASSET_ID")

;


CREATE UNIQUE INDEX @SCHEMA@.BPM_ASSET_SAVE_INSTR_PK
    ON @SCHEMA@.BPM_ASSET_CACHE_SAVE_INSTR
    ("CONTAINER_ID","ASSET_ID","BATCH_NO","DATA_SEQ")
    USING STOGROUP @STOGRP@

;

ALTER TABLE @SCHEMA@.BPM_ASSET_CACHE_SAVE_INSTR
    ADD CONSTRAINT BPM_ASSET_SAVE_INSTR_PK
    PRIMARY KEY(
       "CONTAINER_ID",
       "ASSET_ID",
       "BATCH_NO",
       "DATA_SEQ")

;



CREATE UNIQUE INDEX @SCHEMA@.BPM_ASSET_SAVE_LOCK_PK
    ON @SCHEMA@.BPM_ASSET_CACHE_SAVE_LOCK
    ("CONTAINER_ID","ASSET_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE @SCHEMA@.BPM_ASSET_CACHE_SAVE_LOCK
    ADD CONSTRAINT BPM_ASSET_SAVE_LOCK_PK
    PRIMARY KEY(
       "CONTAINER_ID",
       "ASSET_ID")

;


CREATE UNIQUE INDEX @SCHEMA@.BPM_ASSET_REPO_LOCK_PK
    ON @SCHEMA@.BPM_ASSET_CACHE_REPO_LOCK
    ("CONTAINER_ID","ASSET_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE @SCHEMA@.BPM_ASSET_CACHE_REPO_LOCK
    ADD CONSTRAINT BPM_ASSET_REPO_LOCK_PK
    PRIMARY KEY(
       "CONTAINER_ID",
       "ASSET_ID")

;


CREATE UNIQUE INDEX @SCHEMA@.BPM_ASSET_PK
    ON @SCHEMA@.BPM_ASSET
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE @SCHEMA@.BPM_ASSET
    ADD CONSTRAINT BPM_ASSET_PK
    PRIMARY KEY(
       "VERSION_ID")

;


CREATE UNIQUE INDEX @SCHEMA@.BPM_ASSET_CONTENT_PK
    ON @SCHEMA@.BPM_ASSET_CACHE_CONTENT
    ("VERSION_CONTEXT","CACHE_KEY","DATA_TYPE")
    USING STOGROUP @STOGRP@

;

ALTER TABLE @SCHEMA@.BPM_ASSET_CACHE_CONTENT
    ADD CONSTRAINT BPM_ASSET_CONTENT_PK
    PRIMARY KEY(
       "VERSION_CONTEXT",
       "CACHE_KEY",
       "DATA_TYPE")

;

CREATE INDEX @SCHEMA@.BPM_ASSET_CACHE_STS_IDX1 
    ON @SCHEMA@.BPM_ASSET_CACHE_STATUS(
    "CLIENT_ID")
    USING STOGROUP @STOGRP@

;

CREATE INDEX @SCHEMA@.BPM_ASSET_SAVE_INSTR_IDX1 
    ON @SCHEMA@.BPM_ASSET_CACHE_SAVE_INSTR(
    "CONTAINER_ID",
    "ROOT_ID",
    "BATCH_NO",
    "DATA_SEQ")
    USING STOGROUP @STOGRP@

;

CREATE INDEX @SCHEMA@.BPM_ASSET_SAVE_INSTR_IDX2 
    ON @SCHEMA@.BPM_ASSET_CACHE_SAVE_INSTR(
    "MODIFIED_ON")
    USING STOGROUP @STOGRP@

;

CREATE INDEX @SCHEMA@.BPM_ASSET_SAVE_INSTR_IDX3 
    ON @SCHEMA@.BPM_ASSET_CACHE_SAVE_INSTR(
    "CONTAINER_ID",
    "PENDING_SUMMARY",
    "BAD_BATCH",
    "ASSET_ID",
    "BATCH_NO",
    "DATA_SEQ")
    USING STOGROUP @STOGRP@

;

CREATE INDEX @SCHEMA@.BPM_ASSET_SAVE_INSTR_IDX4 
    ON @SCHEMA@.BPM_ASSET_CACHE_SAVE_INSTR(
    "CONTAINER_ID",
    "ROOT_ID",
    "CLIENT_ID",
    "BASE_BATCH_NO")
    USING STOGROUP @STOGRP@

;

CREATE INDEX @SCHEMA@.BPM_ASSET_SAVE_IN_BK_IDX1 
    ON @SCHEMA@.BPM_ASSET_CACHE_SAVE_INSTR_BK(
    "MODIFIED_ON")
    USING STOGROUP @STOGRP@

;

CREATE INDEX @SCHEMA@.BPM_ASSET_REPO_LOCK_IDX1 
    ON @SCHEMA@.BPM_ASSET_CACHE_REPO_LOCK(
    "LOCK_STATUS",
    "LOCKED_ON")
    USING STOGROUP @STOGRP@

;

CREATE INDEX @SCHEMA@.BPM_ASSET_PK3
    ON @SCHEMA@.BPM_ASSET("GUID")
    USING STOGROUP @STOGRP@

;

CREATE INDEX @SCHEMA@.BPM_ASSET_PK4
    ON @SCHEMA@.BPM_ASSET("NAME")
    USING STOGROUP @STOGRP@

;

CREATE INDEX @SCHEMA@.BPM_ASSET_IDX1 
    ON @SCHEMA@.BPM_ASSET(
    "ASSET_TYPE")
    USING STOGROUP @STOGRP@

;

ALTER  TABLE @SCHEMA@.BPM_TASK_ACTIVITY_MEASURES 
ADD 
    "MIN_COMPLETION_TIME" DECIMAL(12,0)
        DEFAULT 0 NOT NULL
;

ALTER  TABLE @SCHEMA@.BPM_TASK_ACTIVITY_MEASURES 
ADD 
    "MAX_COMPLETION_TIME" DECIMAL(12,0)
        DEFAULT 0 NOT NULL
;



ALTER  TABLE @SCHEMA@.LSW_PROCESS 
ADD 
    "CACHE_LENGTH" DECIMAL(12,0)
;


ALTER  TABLE @SCHEMA@.LSW_TASK 
ADD 
    "PARTICIPANT_ID" CHAR(36)
;

ALTER  TABLE @SCHEMA@.LSW_TASK 
ADD 
    "MANAGERS_GROUP_ID" DECIMAL(12,0)
;



ALTER  TABLE @SCHEMA@.LSW_PARTICIPANT_GROUP 
ADD 
    "MANAGERS_GROUP_ID" DECIMAL(12,0)
;


COMMIT;
INSERT INTO @SCHEMA@.LSW_SNAPSHOT
 (SNAPSHOT_ID, CREATED_BY_USER_ID, CREATED_ON,
  ACRONYM, BRANCH_ID, PROJECT_ID, SEQ_NUM, ORIG_CREATED_ON,
  LAST_MODIFIED, LAST_MODIFIED_BY_USER_ID)
  VALUES ('2b73dd6a-31dc-4b32-b1af-a858743e1370', 1,
  TIMESTAMP_FORMAT('1969/01/01 17:00:00','YYYY/MM/DD HH24:MI:SS'),
  '2b73dd6a-31dc-4b32-b1af-a858743e1370',
  'f757be35-ebca-4e58-a85c-6b34f3c15149',
  'dbecd816-afed-47b0-ba92-c13256fcb566', 256,
  TIMESTAMP_FORMAT('1969/01/01 17:00:00','YYYY/MM/DD HH24:MI:SS'),
  TIMESTAMP_FORMAT('1969/01/01 17:00:00','YYYY/MM/DD HH24:MI:SS'), 1)
;
UPDATE @SCHEMA@.LSW_BRANCH SET
 TIP_SNAPSHOT_ID='2b73dd6a-31dc-4b32-b1af-a858743e1370'
  WHERE BRANCH_ID='f757be35-ebca-4e58-a85c-6b34f3c15149'
;
					
UPDATE @SCHEMA@.BPM_GOVERNANCE_EVENT SET
 GOV_DEFAULT_SNAPSHOT_ID='9b0bdb20-6dd1-4357-945a-4cdf0cbd021e'
  WHERE EVENT_TYPE_ID='dbecd816-afed-47b0-ba92-c13256fcb568'
;
UPDATE @SCHEMA@.BPM_GOVERNANCE_EVENT SET
 GOV_DEFAULT_SNAPSHOT_ID='9b0bdb20-6dd1-4357-945a-4cdf0cbd021e'
  WHERE EVENT_TYPE_ID='dbecd816-afed-47b0-ba92-c13256fcb569'
;
					
CREATE TABLESPACE WLPZ5103
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE @SCHEMA@.BPM_SYNCHRONIZE (
    "IDENTIFIER" VARCHAR(512) NOT NULL
)
IN @DB_NAME@.WLPZ5103
;


CREATE UNIQUE INDEX @SCHEMA@.LSWC_BPM_SYNCHRONIZE_PK
    ON @SCHEMA@.BPM_SYNCHRONIZE
    ("IDENTIFIER")
    USING STOGROUP @STOGRP@

;

ALTER TABLE @SCHEMA@.BPM_SYNCHRONIZE
    ADD CONSTRAINT LSWC_BPM_SYNCHRONIZE_PK
    PRIMARY KEY(
       "IDENTIFIER")

;

ALTER  TABLE @SCHEMA@.LSW_PROCESS 
ADD 
    "ITEM_LABEL" VARCHAR(510)
;


ALTER  TABLE @SCHEMA@.LSW_FAVORITE 
ADD 
    "ITEM_LABEL" VARCHAR(510)
;


ALTER  TABLE @SCHEMA@.LSW_BLUEPRINT_SUBSCRIPTION 
ADD 
    "PROCESS_REVISION_ID" VARCHAR(50)
;

ALTER  TABLE @SCHEMA@.LSW_BLUEPRINT_SUBSCRIPTION 
ADD 
    "LAST_SUBSCRIBED" TIMESTAMP
;

ALTER  TABLE @SCHEMA@.LSW_BLUEPRINT_SUBSCRIPTION 
ADD 
    "LAST_IMPORTED" TIMESTAMP
;




COMMIT;
				
ALTER  TABLE @SCHEMA@.BPM_GOVERNANCE_EVENT 
ADD 
    "GOV_CUSTOM_DEFAULT_SNAPSHOT_ID" CHAR(36)
;

ALTER  TABLE @SCHEMA@.BPM_GOVERNANCE_EVENT 
ADD 
    "GOV_CUSTOM_DEFAULT_PROCESS_ID" CHAR(36)
;

ALTER  TABLE @SCHEMA@.BPM_GOVERNANCE_EVENT 
ADD 
    "GOV_CUSTOM_DEFAULT_PROCESS_TYP" DECIMAL(8,0)
;




ALTER  TABLE @SCHEMA@.BPM_TASK_INDEX_JOB 
ADD 
    "LAST_RETENTION_DAYS" DECIMAL(12,0)
;


ALTER  TABLE @SCHEMA@.LSW_TASK 
ADD 
    "ACTIVITY_TASK_TYPE" DECIMAL(12,0)
;


COMMIT;
				

CREATE INDEX @SCHEMA@.IDX3_PO_VERSIONS 
    ON @SCHEMA@.LSW_PO_VERSIONS(
    "PO_ROOT_ID",
    "PO_TYPE",
    "BRANCH_ID",
    "START_SEQ_NUM",
    "END_SEQ_NUM",
    "PO_VERSION_ID")
    USING STOGROUP @STOGRP@

;

CREATE INDEX @SCHEMA@.IDX4_PO_VERSIONS 
    ON @SCHEMA@.LSW_PO_VERSIONS(
    "BRANCH_ID",
    "START_SEQ_NUM",
    "END_SEQ_NUM")
    USING STOGROUP @STOGRP@

;



CREATE UNIQUE INDEX @SCHEMA@.LSWC_BPD_INST_STORE_UQ
    ON @SCHEMA@.LSW_BPD_INSTANCE(
        "BPD_INSTANCE_ID",
        "ATTACHMENT_STORE")
    USING STOGROUP @STOGRP@

;

CREATE UNIQUE INDEX @SCHEMA@.LSWC_BPD_DOC_MIG_UQ
    ON @SCHEMA@.LSW_BPD_INSTANCE_DOCUMENTS(
        "BPD_INSTANCE_ID",
        "MIGRATION_STATE",
        "DOC_ID")
    USING STOGROUP @STOGRP@

;

ALTER  TABLE @SCHEMA@.LSW_BPD_INSTANCE 
ADD 
    "CLOSE_DATETIME" TIMESTAMP
;


ALTER  TABLE @SCHEMA@.BPM_COACH_VIEW 
ADD 
    "IS_PROTOTYPE_FUNC" CHAR(1)
        DEFAULT 'F'
;


CREATE TABLESPACE WLPZ8101
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE @SCHEMA@.LSW_EXTENDED_PROPERTY_SET (
    "EXTENDED_PROPERTY_SET_ID" CHAR(36) NOT NULL,
    "NAME" VARCHAR(128) NOT NULL,
    "DESCRIPTION" CLOB(2G),
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPZ8101
;

CREATE LOB TABLESPACE WLPZ8102
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE @SCHEMA@.LSW_EXTENDED_PROPERTY_SET_LOB
    IN @DB_NAME@.WLPZ8102
    STORES @SCHEMA@.LSW_EXTENDED_PROPERTY_SET COLUMN DESCRIPTION
;
CREATE UNIQUE INDEX @SCHEMA@.LSW_EXTENDED_PROPERTY_SET_I
    ON @SCHEMA@.LSW_EXTENDED_PROPERTY_SET_LOB
    USING STOGROUP @STOGRP@
;
        
CREATE TABLESPACE WLPZ8103
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE YES
  CCSID UNICODE
  BUFFERPOOL @BPTABLE4K@    
;
CREATE TABLE @SCHEMA@.LSW_EXTENDED_PROPERTY (
    "EXTENDED_PROPERTY_ID" CHAR(36) NOT NULL,
    "EXTENDED_PROPERTY_SET_ID" CHAR(36) NOT NULL,
    "NAME" VARCHAR(128) NOT NULL,
    "DESCRIPTION" CLOB(2G),
    "GUID" VARCHAR(256) NOT NULL,
    "VERSION_ID" CHAR(36) NOT NULL,
    "LAST_MODIFIED" TIMESTAMP NOT NULL,
    "LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
IN @DB_NAME@.WLPZ8103
;

CREATE LOB TABLESPACE WLPZ8104
   IN @DB_NAME@ USING STOGROUP @STOGRP@
   NOT LOGGED BUFFERPOOL @BPLOB4K@
;
CREATE AUX TABLE @SCHEMA@.LSW_EXTENDED_PROPERTY_LOB
    IN @DB_NAME@.WLPZ8104
    STORES @SCHEMA@.LSW_EXTENDED_PROPERTY COLUMN DESCRIPTION
;
CREATE UNIQUE INDEX @SCHEMA@.LSW_EXTENDED_PROPERTY_I
    ON @SCHEMA@.LSW_EXTENDED_PROPERTY_LOB
    USING STOGROUP @STOGRP@
;
        

CREATE UNIQUE INDEX @SCHEMA@.LSWC_EXTENDED_PROPERTYS_PK
    ON @SCHEMA@.LSW_EXTENDED_PROPERTY_SET
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE @SCHEMA@.LSW_EXTENDED_PROPERTY_SET
    ADD CONSTRAINT LSWC_EXTENDED_PROPERTYS_PK
    PRIMARY KEY(
       "VERSION_ID")

;


CREATE UNIQUE INDEX @SCHEMA@.LSWC_EXTENDED_PROPERTY_PK
    ON @SCHEMA@.LSW_EXTENDED_PROPERTY
    ("VERSION_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE @SCHEMA@.LSW_EXTENDED_PROPERTY
    ADD CONSTRAINT LSWC_EXTENDED_PROPERTY_PK
    PRIMARY KEY(
       "VERSION_ID")

;

CREATE INDEX @SCHEMA@.LSWC_EXTENDED_PROPERTYS_PK3
    ON @SCHEMA@.LSW_EXTENDED_PROPERTY_SET("GUID")
    USING STOGROUP @STOGRP@

;

CREATE INDEX @SCHEMA@.IDX_EXTENDED_PROPERTYS 
    ON @SCHEMA@.LSW_EXTENDED_PROPERTY_SET(
    "EXTENDED_PROPERTY_SET_ID")
    USING STOGROUP @STOGRP@

;

CREATE INDEX @SCHEMA@.IDX2_EXTENDED_PROPERTYS 
    ON @SCHEMA@.LSW_EXTENDED_PROPERTY_SET(
    "NAME")
    USING STOGROUP @STOGRP@

;

CREATE INDEX @SCHEMA@.LSWC_EXTENDED_PROPERTY_PK3
    ON @SCHEMA@.LSW_EXTENDED_PROPERTY("GUID")
    USING STOGROUP @STOGRP@

;

CREATE INDEX @SCHEMA@.LSWC_EXTENDED_PROPERTY_PK4
    ON @SCHEMA@.LSW_EXTENDED_PROPERTY("NAME")
    USING STOGROUP @STOGRP@

;

CREATE INDEX @SCHEMA@.IDX_EXTENDED_PROPERTY 
    ON @SCHEMA@.LSW_EXTENDED_PROPERTY(
    "EXTENDED_PROPERTY_ID")
    USING STOGROUP @STOGRP@

;

ALTER  TABLE @SCHEMA@.LSW_BPD_INSTANCE 
ADD 
    "GROUP_ID" DECIMAL(12,0)
;



CREATE INDEX @SCHEMA@.BPM_TASK_INDEX_JOB_IDX 
    ON @SCHEMA@.BPM_TASK_INDEX_JOB(
    "INDEX_ID",
    "INDEX_END_TIME")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.IDX5_PO_VERSIONS 
    ON @SCHEMA@.LSW_PO_VERSIONS(
    "BRANCH_ID",
    "END_SEQ_NUM",
    "PO_TYPE",
    "PO_ID")
    USING STOGROUP @STOGRP@

;

INSERT INTO @SCHEMA@.LSW_USR_GRP_XREF 
 (GROUP_ID,GROUP_NAME,DISPLAY_NAME,GROUP_TYPE,DESCRIPTION,GROUP_STATE)
 VALUES(17, 'tw_managers', 'tw_managers', 3,
  'Group for people considered managers with' ||
  ' full access to the team performance dashboard',0);

INSERT INTO @SCHEMA@.LSW_GRP_GRP_MEM_XREF (GROUP_ID,CONTAINER_GROUP_ID)
VALUES(16,17);

INSERT INTO @SCHEMA@.LSW_GRP_GRP_MEM_EXPLODED_XREF
 (GROUP_ID,CONTAINER_GROUP_ID,MEM_PATH) VALUES(16,17,'#17#16#');
				
ALTER TABLE @SCHEMA@.BPM_BPD_SOAPHEADER DROP CONSTRAINT BPMC_BPD_SOAP_FK0
                  
;


ALTER TABLE @SCHEMA@.BPM_BPD_SOAPHEADER
    ADD CONSTRAINT BPMC_BPD_SOAP_FK0
	FOREIGN KEY("BPD_INSTANCE_ID")
	REFERENCES @SCHEMA@.LSW_BPD_INSTANCE("BPD_INSTANCE_ID")
	ON DELETE CASCADE
;

COMMIT;
				
ALTER  TABLE @SCHEMA@.LSW_USR_GRP_XREF 
ADD 
    "PARTICIPANT_ID" CHAR(36)
;



CREATE INDEX @SCHEMA@.LSWC_DOC_PROP_NUQ1 
    ON @SCHEMA@.LSW_BPD_INSTANCE_DOC_PROPS(
    "DOC_ID")
    USING STOGROUP @STOGRP@

;

DROP PROCEDURE @SCHEMA@.LSW_BPD_INSTANCE_DELETE;
DROP PROCEDURE @SCHEMA@.LSW_ERASE_BPD_INSTANCE;
DROP PROCEDURE @SCHEMA@.LSW_ERASE_TASK;
                
CREATE PROCEDURE @SCHEMA@.LSW_ERASE_TEMP_GROUPS()

MAIN:
  BEGIN

    DECLARE groupId DECIMAL(12,0);
    DECLARE sqlCmd VARCHAR(500);
    DECLARE at_end DECIMAL(1,0);
    DECLARE not_found CONDITION for SQLSTATE '02000';
    DECLARE CONTINUE HANDLER for not_found SET at_end = 1;

    BEGIN
        DECLARE groupsToDelete CURSOR FOR stmt1;
        
        SET sqlCmd = 'SELECT DISTINCT g.GROUP_ID ' ||
                     'FROM @SCHEMA@.LSW_USR_GRP_XREF g ' ||
                     'WHERE NOT EXISTS (SELECT 1 FROM @SCHEMA@.LSW_TASK t ' ||
                     '                  WHERE g.GROUP_ID = ABS(t.GROUP_ID)) ' ||
                     'AND g.GROUP_TYPE = 2';
        PREPARE stmt1 FROM sqlCmd;
        
        OPEN groupsToDelete;
        DELETE_GROUP_LOOP:
        LOOP
            SET at_end = 0;
            FETCH groupsToDelete INTO groupId;
            IF (at_end = 1) THEN
                LEAVE DELETE_GROUP_LOOP;
            END IF;
            
            DELETE FROM @SCHEMA@.LSW_USR_GRP_MEM_XREF WHERE GROUP_ID = groupId;
            DELETE FROM @SCHEMA@.LSW_USR_GRP_XREF WHERE GROUP_ID = groupId;
            
        END LOOP;
        CLOSE groupsToDelete;
    END;
    
  END@
  
  
  
CREATE PROCEDURE @SCHEMA@.LSW_ERASE_BPD_INST_NO_GROUP(
    IN bpdInstanceId DECIMAL(12,0))
    LANGUAGE SQL

MAIN:
  BEGIN

    DELETE FROM @SCHEMA@.LSW_BPD_INSTANCE_DOC_PROPS
     WHERE DOC_ID IN (SELECT DOC_ID FROM @SCHEMA@.LSW_BPD_INSTANCE_DOCUMENTS
                       WHERE BPD_INSTANCE_ID = bpdInstanceId);

    DELETE FROM @SCHEMA@.LSW_BPD_INSTANCE_DOCUMENTS
     WHERE BPD_INSTANCE_ID = bpdInstanceId;
   
    DELETE FROM @SCHEMA@.LSW_BPD_INSTANCE_VARIABLES
     WHERE BPD_INSTANCE_ID = bpdInstanceId;

    DELETE FROM @SCHEMA@.LSW_BPD_INSTANCE_DATA
     WHERE BPD_INSTANCE_ID = bpdInstanceId;

    DELETE FROM @SCHEMA@.LSW_BPD_NOTIFICATION
     WHERE BPD_INSTANCE_ID = bpdInstanceId;

    DELETE FROM @SCHEMA@.LSW_RUNTIME_ERROR
     WHERE BPD_INSTANCE_ID = bpdInstanceId;

    DELETE FROM @SCHEMA@.LSW_BPD_INSTANCE
     WHERE BPD_INSTANCE_ID = bpdInstanceId;

    DELETE FROM @SCHEMA@.LSW_INST_MSG_INCL
     WHERE BPD_INSTANCE_ID = bpdInstanceId;

    DELETE FROM @SCHEMA@.LSW_INST_MSG_EXCL
     WHERE BPD_INSTANCE_ID = bpdInstanceId;

  END@



CREATE PROCEDURE @SCHEMA@.LSW_ERASE_BPD_INSTANCE(
    IN bpdInstanceId DECIMAL(12,0))
    LANGUAGE SQL

MAIN:
  BEGIN

    CALL @SCHEMA@.LSW_ERASE_BPD_INST_NO_GROUP(bpdInstanceId);

    CALL @SCHEMA@.LSW_ERASE_TEMP_GROUPS();

  END@



CREATE PROCEDURE @SCHEMA@.LSW_ERASE_TASK_NO_GROUP(IN taskId DECIMAL(12,0))
    LANGUAGE SQL

  BEGIN

    DELETE FROM @SCHEMA@.LSW_TASK_ADDR WHERE TASK_ID = taskId;

    DELETE FROM @SCHEMA@.LSW_TASK_EXECUTION_CONTEXT WHERE TASK_ID = taskId;

    DELETE FROM @SCHEMA@.LSW_TASK_NARR WHERE TASK_ID = taskId;

    DELETE FROM @SCHEMA@.LSW_TASK_FILE WHERE TASK_ID = taskId;

    DELETE FROM @SCHEMA@.LSW_TASK_IPF_DATA WHERE TASK_ID = taskId;
   
    DELETE FROM @SCHEMA@.LSW_TASK_EXTACT_DATA WHERE TASK_ID = taskId;
   
    DELETE FROM @SCHEMA@.LSW_TASK WHERE TASK_ID = taskId;

  END@



CREATE PROCEDURE @SCHEMA@.LSW_ERASE_TASK(IN taskId DECIMAL(12,0))
    LANGUAGE SQL

  BEGIN

    CALL @SCHEMA@.LSW_ERASE_TASK_NO_GROUP(taskId);

    CALL @SCHEMA@.LSW_ERASE_TEMP_GROUPS();

  END@



CREATE PROCEDURE @SCHEMA@.LSW_BPD_INST_DELETE_NO_GROUP(
   IN bpdInstanceId DECIMAL(12,0))

MAIN:
  BEGIN

    DECLARE taskId DECIMAL(12,0);
    DECLARE sqlCmd VARCHAR(4000);
    DECLARE at_end DECIMAL(1,0);
    DECLARE not_found CONDITION for SQLSTATE '02000';
    DECLARE CONTINUE HANDLER for not_found SET at_end = 1;

    BEGIN
        DECLARE tasksToDelete CURSOR FOR stmt1;
        SET sqlCmd = 'SELECT TASK_ID FROM @SCHEMA@.LSW_TASK ' ||
                     'WHERE BPD_INSTANCE_ID = ?';
        PREPARE stmt1 FROM sqlCmd;

        OPEN tasksToDelete USING bpdInstanceId;
        DELETE_TASK_LOOP:
        LOOP
            SET at_end = 0;
            FETCH tasksToDelete INTO taskId;
            IF (at_end = 1) THEN
                LEAVE DELETE_TASK_LOOP;
            END IF;
            CALL @SCHEMA@.LSW_ERASE_TASK_NO_GROUP(taskId);
        END LOOP;
        CLOSE tasksToDelete;
    END;
    CALL @SCHEMA@.LSW_ERASE_BPD_INST_NO_GROUP(bpdInstanceId);
  END@



CREATE PROCEDURE @SCHEMA@.LSW_BPD_INSTANCE_DELETE(
   IN bpdInstanceId DECIMAL(12,0))

MAIN:
  BEGIN

    CALL @SCHEMA@.LSW_BPD_INST_DELETE_NO_GROUP(bpdInstanceId);
    
    CALL @SCHEMA@.LSW_ERASE_TEMP_GROUPS();
    
  END@
                
INSERT INTO @SCHEMA@.LSW_USR_GRP_XREF 
 (GROUP_ID,GROUP_NAME,DISPLAY_NAME,GROUP_TYPE,DESCRIPTION,GROUP_STATE)
 VALUES(18, 'tw_allusers_managers', 'tw_allusers_managers', 3,
  'Group for people considered managers' ||
  ' of all users',0);

INSERT INTO @SCHEMA@.LSW_GRP_GRP_MEM_XREF (GROUP_ID,CONTAINER_GROUP_ID)
VALUES(3,18);

INSERT INTO @SCHEMA@.LSW_GRP_GRP_MEM_EXPLODED_XREF
 (GROUP_ID,CONTAINER_GROUP_ID,MEM_PATH) VALUES(3,18,'#18#3#');
                


CREATE INDEX @SCHEMA@.IDX11_LSW_TASK_CC 
    ON @SCHEMA@.LSW_TASK(
    "CLOSE_BY",
    "CLOSE_DATETIME")
    USING STOGROUP @STOGRP@

;

CREATE INDEX @SCHEMA@.IDX12_LSW_TASK_OC 
    ON @SCHEMA@.LSW_TASK(
    "USER_ID",
    "STATUS",
    "BPD_INSTANCE_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX @SCHEMA@.LSWC_GXREF_NU1 
    ON @SCHEMA@.LSW_USR_GRP_XREF(
    "PARENT_GROUP_ID",
    "PARTICIPANT_ID",
    "GROUP_ID")
    USING STOGROUP @STOGRP@

;

ALTER TABLE @SCHEMA@.LSW_EM_INSTANCE ALTER "NAME" SET DATA TYPE VARCHAR(1024)
;

      
-- END of phase ProcUpgradeTo850 --
        
     