-- BEGIN COPYRIGHT
-- *************************************************************************
-- 
--  Licensed Materials - Property of IBM
--  5725-C94, 5725-C95, 5725-C96
--  (C) Copyright IBM Corporation 2010, 2013. All Rights Reserved.
--  US Government Users Restricted Rights- Use, duplication or disclosure
--  restricted by GSA ADP Schedule Contract with IBM Corp.
-- 
-- *************************************************************************
-- END COPYRIGHT


CREATE TABLE @SCHEMA@.LSW_METRIC (
"METRIC_ID" CHAR(36) NOT NULL,
"UNIT" DECIMAL(12,0) NOT NULL,
"ROLLUP_METRIC_REF" CHAR(36),
"ROLLUP_MULTIPLIER" DECIMAL(20,8),
"XML_DATA" BLOB(2G),
"NAME" VARCHAR( 256) NOT NULL,
"DESCRIPTION" CLOB(2G),
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_METRIC ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_METRIC ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_SLA (
"SLA_ID" CHAR(36) NOT NULL,
"ITEM_TYPES" DECIMAL(12,0) NOT NULL,
"XML_DATA" BLOB(2G) NOT NULL,
"PARTICIPANT_REF" CHAR(36),
"NAME" VARCHAR( 256) NOT NULL,
"DESCRIPTION" CLOB(2G),
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_SLA ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_SLA ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_SIM_SCENARIO (
"SCENARIO_ID" CHAR(36) NOT NULL,
"XML_DATA" BLOB(2G) NOT NULL,
"NAME" VARCHAR( 256) NOT NULL,
"DESCRIPTION" CLOB(2G),
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_SIM_SCENARIO ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_SIM_SCENARIO ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_HIST_SCENARIO (
"SCENARIO_ID" CHAR(36) NOT NULL,
"XML_DATA" BLOB(2G) NOT NULL,
"NAME" VARCHAR( 256) NOT NULL,
"DESCRIPTION" CLOB(2G),
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_HIST_SCENARIO ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_HIST_SCENARIO ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.BPM_EVENT_SUBSCRIPTION (
"EVENT_SUBSCRIPTION_ID" CHAR(36) NOT NULL,
"EVENT_SUBSCRIPTION_TYPE_ID" DECIMAL(2,0) NOT NULL,
"SERVER_NAME" VARCHAR( 1024),
"EVENT_CLASS" VARCHAR( 1024),
"OBJECT_TYPE_ID" VARCHAR( 1024),
"OBJECT_TYPE_ID_DISPLAY_NAME" VARCHAR( 1024),
"EVENT_TYPE" VARCHAR( 1024),
"INCLUDE_SUB_TYPE" CHAR(1) DEFAULT 'F',
"PROCESS_REF" CHAR(36),
"PARTICIPANT_REF" CHAR(36),
"NAME" VARCHAR( 256) NOT NULL,
"DESCRIPTION" CLOB(2G),
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.BPM_EVENT_SUBSCRIPTION ADD CONSTRAINT "SERVER_NAME" CHECK (CHARACTER_LENGTH("SERVER_NAME",CODEUNITS16) <= 256)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.BPM_EVENT_SUBSCRIPTION ADD CONSTRAINT "EVENT_CLASS" CHECK (CHARACTER_LENGTH("EVENT_CLASS",CODEUNITS16) <= 256)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.BPM_EVENT_SUBSCRIPTION ADD CONSTRAINT "OBJECT_TYPE_ID" CHECK (CHARACTER_LENGTH("OBJECT_TYPE_ID",CODEUNITS16) <= 256)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.BPM_EVENT_SUBSCRIPTION ADD CONSTRAINT "OBJECT_TYPE_ID_DISPLAY_NAME" CHECK (CHARACTER_LENGTH("OBJECT_TYPE_ID_DISPLAY_NAME",CODEUNITS16) <= 256)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.BPM_EVENT_SUBSCRIPTION ADD CONSTRAINT "EVENT_TYPE" CHECK (CHARACTER_LENGTH("EVENT_TYPE",CODEUNITS16) <= 256)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.BPM_EVENT_SUBSCRIPTION ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.BPM_EVENT_SUBSCRIPTION ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.BPM_EVENT_SUBSCRIPTION_TYPE (
"EVENT_SUBSCRIPTION_TYPE_ID" DECIMAL(2,0) NOT NULL,
"NAME" VARCHAR( 256) NOT NULL,
"DESCRIPTION" CLOB(2G)
)
;


ALTER TABLE @SCHEMA@.BPM_EVENT_SUBSCRIPTION_TYPE ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_STAY_ON_PAGE (
"STAY_ON_PAGE_ID" CHAR(36) NOT NULL,
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_STAY_ON_PAGE ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.BPM_PROC_ARTIFACT_REF (
"PROC_ARTIFACT_REF_ID" CHAR(36) NOT NULL,
"PROCESS_ID" CHAR(36) NOT NULL,
"ARTIFACT_REF" CHAR(36) NOT NULL,
"ARTIFACT_ID" CHAR(36) NOT NULL,
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.BPM_PROC_ARTIFACT_REF ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.BPM_CLS_ARTIFACT_REF (
"CLS_ARTIFACT_REF_ID" CHAR(36) NOT NULL,
"CLASS_ID" CHAR(36) NOT NULL,
"ARTIFACT_REF" CHAR(36) NOT NULL,
"ARTIFACT_ID" CHAR(36) NOT NULL,
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.BPM_CLS_ARTIFACT_REF ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.BPM_BPD_ARTIFACT_REF (
"BPD_ARTIFACT_REF_ID" CHAR(36) NOT NULL,
"BPD_ID" CHAR(36) NOT NULL,
"ARTIFACT_REF" CHAR(36) NOT NULL,
"ARTIFACT_ID" CHAR(36) NOT NULL,
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.BPM_BPD_ARTIFACT_REF ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_BPD (
"BPD_ID" CHAR(36) NOT NULL,
"DATA" BLOB(2G) NOT NULL,
"IS_TRACKING_ENABLED" CHAR(1) NOT NULL,
"IS_SPC_ENABLED" CHAR(1) NOT NULL,
"RESTRICTED_NAME" VARCHAR( 256),
"IS_CRITICAL_PATH_ENABLED" CHAR(1) DEFAULT 'T' NOT NULL,
"PARTICIPANT_REF" CHAR(36),
"BUSINESS_DATA_PARTICIPANT_REF" CHAR(36),
"PERF_METRIC_PARTICIPANT_REF" CHAR(36),
"TIME_SCHEDULE_TYPE" DECIMAL(2,0) DEFAULT 0,
"TIME_SCHEDULE_NAME" VARCHAR( 256),
"TIME_SCHEDULE_EXPRESSION" VARCHAR( 256),
"HOLIDAY_SCHEDULE_TYPE" DECIMAL(2,0) DEFAULT 0,
"HOLIDAY_SCHEDULE_NAME" VARCHAR( 256),
"HOLIDAY_SCHEDULE_EXPRESSION" VARCHAR( 256),
"TIMEZONE_TYPE" DECIMAL(2,0) DEFAULT 0,
"TIMEZONE" VARCHAR( 256),
"TIMEZONE_EXPRESSION" VARCHAR( 256),
"NAME" VARCHAR( 256) NOT NULL,
"DESCRIPTION" CLOB(2G),
"TYPE" DECIMAL(2,0),
"ROOT_BPD_ID" CHAR(36),
"PARENT_BPD_ID" CHAR(36),
"PARENT_FLOW_OBJECT_ID" VARCHAR( 512),
"XML_DATA" BLOB(2G),
"TEMPLATE_ID" CHAR(36),
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_BPD ADD CONSTRAINT "RESTRICTED_NAME" CHECK (CHARACTER_LENGTH("RESTRICTED_NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_BPD ADD CONSTRAINT "TIME_SCHEDULE_NAME" CHECK (CHARACTER_LENGTH("TIME_SCHEDULE_NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_BPD ADD CONSTRAINT "TIME_SCHEDULE_EXPRESSION" CHECK (CHARACTER_LENGTH("TIME_SCHEDULE_EXPRESSION",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_BPD ADD CONSTRAINT "HOLIDAY_SCHEDULE_NAME" CHECK (CHARACTER_LENGTH("HOLIDAY_SCHEDULE_NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_BPD ADD CONSTRAINT "HOLIDAY_SCHEDULE_EXPRESSION" CHECK (CHARACTER_LENGTH("HOLIDAY_SCHEDULE_EXPRESSION",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_BPD ADD CONSTRAINT "TIMEZONE" CHECK (CHARACTER_LENGTH("TIMEZONE",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_BPD ADD CONSTRAINT "TIMEZONE_EXPRESSION" CHECK (CHARACTER_LENGTH("TIMEZONE_EXPRESSION",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_BPD ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_BPD ADD CONSTRAINT "PARENT_FLOW_OBJECT_ID" CHECK (CHARACTER_LENGTH("PARENT_FLOW_OBJECT_ID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_BPD ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_BPD_EVENT (
"BPD_EVENT_ID" CHAR(36) NOT NULL,
"UCA_REF" CHAR(36) NOT NULL,
"UCA_ID" CHAR(36) NOT NULL,
"BPD_ID" CHAR(36) NOT NULL,
"BPD_FLOW_OBJECT_ID" VARCHAR( 512) NOT NULL,
"BPD_OBJECT_ID" VARCHAR( 512) NOT NULL,
"EVENT_TYPE" DECIMAL(2,0) NOT NULL,
"CORRELATION_PARAMETER_ID" CHAR(36) NOT NULL,
"DURABLE_SUBSCRIPTION" CHAR(1) DEFAULT 'T' NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_BPD_EVENT ADD CONSTRAINT "BPD_FLOW_OBJECT_ID" CHECK (CHARACTER_LENGTH("BPD_FLOW_OBJECT_ID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_BPD_EVENT ADD CONSTRAINT "BPD_OBJECT_ID" CHECK (CHARACTER_LENGTH("BPD_OBJECT_ID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_BPD_PARAMETER (
"BPD_PARAMETER_ID" CHAR(36) NOT NULL,
"BPD_ID" CHAR(36) NOT NULL,
"PARAMETER_TYPE" DECIMAL(2,0) NOT NULL,
"IS_ARRAY_OF" CHAR(1) NOT NULL,
"CLASS_ID" CHAR(36) NOT NULL,
"SEQ" DECIMAL(12,0) NOT NULL,
"NAME" VARCHAR( 256) NOT NULL,
"DOCUMENTATION" CLOB(2G),
"HAS_DEFAULT" CHAR(1),
"DEFAULT_VALUE" BLOB(2G),
"IS_READ_ONLY" CHAR(1) DEFAULT 'F' NOT NULL,
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_BPD_PARAMETER ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_BPD_PARAMETER ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.BPM_SHARED_OBJECT (
"DEFINITION_VERSION_ID" CHAR(36) NOT NULL,
"OBJECT_ID" CHAR(36) NOT NULL,
"DEFINITION_VERSION" DECIMAL(12,0) NOT NULL,
"CLASS_VERSION_ID" CHAR(36) NOT NULL,
"BPD_INSTANCE_ID" DECIMAL(12,0),
"TASK_ID" DECIMAL(12,0),
"CREATED_BY_USER_ID" DECIMAL(12,0) NOT NULL,
"CREATED_ON" TIMESTAMP NOT NULL
)
;

CREATE TABLE @SCHEMA@.BPM_SHARED_OBJECT_INSTANCE (
"INSTANCE_VERSION_ID" CHAR(36) NOT NULL,
"INSTANCE_VERSION" DECIMAL(12,0) NOT NULL,
"DEFINITION_VERSION_ID" CHAR(36) NOT NULL,
"JDATA" BLOB(2G),
"CREATED_BY_USER_ID" DECIMAL(12,0) NOT NULL,
"CREATED_ON" TIMESTAMP NOT NULL
)
;

CREATE TABLE @SCHEMA@.BPM_SHARED_OBJECT_VALUE (
"VALUE_ID" CHAR(36) NOT NULL,
"INSTANCE_VERSION_ID" CHAR(36) NOT NULL,
"FIELD_PATH" VARCHAR( 4096) NOT NULL,
"VALUE" BLOB(2G) NOT NULL,
"PRIOR_VALUE" BLOB(2G) NOT NULL
)
;


ALTER TABLE @SCHEMA@.BPM_SHARED_OBJECT_VALUE ADD CONSTRAINT "FIELD_PATH" CHECK (CHARACTER_LENGTH("FIELD_PATH",CODEUNITS16) <= 1024)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.BPM_COACH_VIEW (
"COACH_VIEW_ID" CHAR(36) NOT NULL,
"IS_TEMPLATE" CHAR(1),
"LAYOUT" BLOB(2G),
"PALETTE_ICON" CHAR(36),
"PREVIEW_IMAGE" CHAR(36),
"HAS_LABEL" CHAR(1),
"LABEL_POSITION" DECIMAL(2,0),
"NINE_SLICE_X1_COORD" DECIMAL(5,0),
"NINE_SLICE_X2_COORD" DECIMAL(5,0),
"NINE_SLICE_Y1_COORD" DECIMAL(5,0),
"NINE_SLICE_Y2_COORD" DECIMAL(5,0),
"EMIT_BOUNDARY" CHAR(1),
"IS_PROTOTYPE_FUNC" CHAR(1) DEFAULT 'F',
"LOAD_JS_FUNCTION" CLOB(2G),
"UNLOAD_JS_FUNCTION" CLOB(2G),
"VIEW_JS_FUNCTION" CLOB(2G),
"CHANGE_JS_FUNCTION" CLOB(2G),
"COLLABORATION_JS_FUNCTION" CLOB(2G),
"NAME" VARCHAR( 256) NOT NULL,
"DESCRIPTION" CLOB(2G),
"VALIDATE_JS_FUNCTION" CLOB(2G),
"USE_URL_BINDING" CHAR(1) DEFAULT 'F',
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.BPM_COACH_VIEW ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.BPM_COACH_VIEW ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.BPM_COACH_VIEW_LOCAL_RES (
"COACH_VIEW_LOCAL_RES_ID" CHAR(36) NOT NULL,
"COACH_VIEW_ID" CHAR(36) NOT NULL,
"RESOURCE_BUNDLE_GROUP_ID" CHAR(36) NOT NULL,
"SEQ" DECIMAL(12,0),
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.BPM_COACH_VIEW_LOCAL_RES ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.BPM_COACH_VIEW_BINDING_TYPE (
"COACH_VIEW_BINDING_TYPE_ID" CHAR(36) NOT NULL,
"COACH_VIEW_ID" CHAR(36) NOT NULL,
"IS_LIST" CHAR(1),
"CLASS_ID" CHAR(36),
"SEQ" DECIMAL(12,0),
"NAME" VARCHAR( 256) NOT NULL,
"DESCRIPTION" CLOB(2G),
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.BPM_COACH_VIEW_BINDING_TYPE ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.BPM_COACH_VIEW_BINDING_TYPE ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.BPM_COACH_VIEW_CONFIG_OPTION (
"COACH_VIEW_CONFIG_OPTION_ID" CHAR(36) NOT NULL,
"COACH_VIEW_ID" CHAR(36) NOT NULL,
"IS_LIST" CHAR(1),
"PROPERTY_TYPE" VARCHAR( 256),
"LABEL" VARCHAR( 256),
"CLASS_ID" CHAR(36),
"PROCESS_ID" CHAR(36),
"SEQ" DECIMAL(12,0),
"NAME" VARCHAR( 256) NOT NULL,
"DESCRIPTION" CLOB(2G),
"GROUP_NAME" VARCHAR( 256),
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.BPM_COACH_VIEW_CONFIG_OPTION ADD CONSTRAINT "PROPERTY_TYPE" CHECK (CHARACTER_LENGTH("PROPERTY_TYPE",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.BPM_COACH_VIEW_CONFIG_OPTION ADD CONSTRAINT "LABEL" CHECK (CHARACTER_LENGTH("LABEL",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.BPM_COACH_VIEW_CONFIG_OPTION ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.BPM_COACH_VIEW_CONFIG_OPTION ADD CONSTRAINT "GROUP_NAME" CHECK (CHARACTER_LENGTH("GROUP_NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.BPM_COACH_VIEW_CONFIG_OPTION ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.BPM_COACH_VIEW_RESOURCE (
"COACH_VIEW_RESOURCE_ID" CHAR(36) NOT NULL,
"COACH_VIEW_ID" CHAR(36) NOT NULL,
"FILE_PATH" VARCHAR( 1020),
"IE_CONDITION" VARCHAR( 4096),
"MEDIA_QUERY" VARCHAR( 4096),
"ASSET_UUID" CHAR(36),
"SEQ" DECIMAL(12,0),
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.BPM_COACH_VIEW_RESOURCE ADD CONSTRAINT "FILE_PATH" CHECK (CHARACTER_LENGTH("FILE_PATH",CODEUNITS16) <= 255)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.BPM_COACH_VIEW_RESOURCE ADD CONSTRAINT "IE_CONDITION" CHECK (CHARACTER_LENGTH("IE_CONDITION",CODEUNITS16) <= 1024)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.BPM_COACH_VIEW_RESOURCE ADD CONSTRAINT "MEDIA_QUERY" CHECK (CHARACTER_LENGTH("MEDIA_QUERY",CODEUNITS16) <= 1024)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.BPM_COACH_VIEW_RESOURCE ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.BPM_COACH_VIEW_INLINE_SCRIPT (
"COACH_VIEW_INLINE_SCRIPT_ID" CHAR(36) NOT NULL,
"COACH_VIEW_ID" CHAR(36) NOT NULL,
"SCRIPT_TYPE" VARCHAR( 256),
"SCRIPT_BLOCK" CLOB(2G),
"SEQ" DECIMAL(12,0),
"NAME" VARCHAR( 256) NOT NULL,
"DESCRIPTION" CLOB(2G),
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.BPM_COACH_VIEW_INLINE_SCRIPT ADD CONSTRAINT "SCRIPT_TYPE" CHECK (CHARACTER_LENGTH("SCRIPT_TYPE",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.BPM_COACH_VIEW_INLINE_SCRIPT ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.BPM_COACH_VIEW_INLINE_SCRIPT ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.BPM_COACH_VIEW_AMD_DEP (
"COACH_VIEW_AMD_DEP_ID" CHAR(36) NOT NULL,
"COACH_VIEW_ID" CHAR(36) NOT NULL,
"MODULE_ID" VARCHAR( 4096),
"FUNCTION_ARGUMENT" VARCHAR( 1020),
"SEQ" DECIMAL(12,0),
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.BPM_COACH_VIEW_AMD_DEP ADD CONSTRAINT "MODULE_ID" CHECK (CHARACTER_LENGTH("MODULE_ID",CODEUNITS16) <= 1024)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.BPM_COACH_VIEW_AMD_DEP ADD CONSTRAINT "FUNCTION_ARGUMENT" CHECK (CHARACTER_LENGTH("FUNCTION_ARGUMENT",CODEUNITS16) <= 255)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.BPM_COACH_VIEW_AMD_DEP ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.BPM_COACHNG (
"COACHNG_ID" CHAR(36) NOT NULL,
"TITLE" VARCHAR( 256),
"LAYOUT_DATA" BLOB(2G),
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.BPM_COACHNG ADD CONSTRAINT "TITLE" CHECK (CHARACTER_LENGTH("TITLE",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.BPM_COACHNG ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.BPM_COACHNG_BOUNDARY_EVENT (
"COACHNG_BOUNDARY_EVENT_ID" CHAR(36) NOT NULL,
"COACHNG_ID" CHAR(36) NOT NULL,
"SEQ" DECIMAL(12,0) NOT NULL,
"END_STATE_ID" VARCHAR( 512) NOT NULL,
"EVENT_LABEL" CLOB(2G),
"VIEW_PATH" CLOB(2G),
"IS_VALIDATE_BOUNDARY_EVENT" CHAR(1) DEFAULT 'F',
"FIRE_VALIDATION" DECIMAL(1,0) DEFAULT 0,
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.BPM_COACHNG_BOUNDARY_EVENT ADD CONSTRAINT "END_STATE_ID" CHECK (CHARACTER_LENGTH("END_STATE_ID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.BPM_COACHNG_BOUNDARY_EVENT ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_COACH (
"COACH_ID" CHAR(36) NOT NULL,
"TITLE" VARCHAR( 256),
"LAYOUT_REF" CHAR(36),
"LAYOUT_DATA" CLOB(2G),
"XSL_REF" CHAR(36),
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_COACH ADD CONSTRAINT "TITLE" CHECK (CHARACTER_LENGTH("TITLE",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_COACH ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_COACH_BUTTON (
"COACH_BUTTON_ID" CHAR(36) NOT NULL,
"COACH_ID" CHAR(36) NOT NULL,
"SEQ" DECIMAL(12,0) NOT NULL,
"END_STATE_ID" VARCHAR( 512) NOT NULL,
"IS_SPECIAL" CHAR(1),
"IS_DISPLAYED" CHAR(1),
"BUTTON_LABEL" VARCHAR( 256),
"BUTTON_HINT" VARCHAR( 1020),
"BUTTON_TEXT" CLOB(2G),
"BUTTON_EXPRESSION" VARCHAR( 256),
"IS_CHECK_BOX_VISIBLE" CHAR(1),
"IS_UNCHECK_ALLOWED" CHAR(1),
"META_DATA" BLOB(2G),
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_COACH_BUTTON ADD CONSTRAINT "END_STATE_ID" CHECK (CHARACTER_LENGTH("END_STATE_ID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_COACH_BUTTON ADD CONSTRAINT "BUTTON_LABEL" CHECK (CHARACTER_LENGTH("BUTTON_LABEL",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_COACH_BUTTON ADD CONSTRAINT "BUTTON_HINT" CHECK (CHARACTER_LENGTH("BUTTON_HINT",CODEUNITS16) <= 255)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_COACH_BUTTON ADD CONSTRAINT "BUTTON_EXPRESSION" CHECK (CHARACTER_LENGTH("BUTTON_EXPRESSION",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_COACH_BUTTON ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_COACH_RESOURCE (
"COACH_RESOURCE_ID" CHAR(36) NOT NULL,
"COACH_ID" CHAR(36) NOT NULL,
"VIRTUAL_NAME" VARCHAR( 400) NOT NULL,
"TYPE" VARCHAR( 256) NOT NULL,
"RESOURCE_DATA" BLOB(2G),
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_COACH_RESOURCE ADD CONSTRAINT "VIRTUAL_NAME" CHECK (CHARACTER_LENGTH("VIRTUAL_NAME",CODEUNITS16) <= 100)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_COACH_RESOURCE ADD CONSTRAINT "TYPE" CHECK (CHARACTER_LENGTH("TYPE",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_COACH_RESOURCE ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_INFOPATH_FORM (
"INFOPATH_FORM_ID" CHAR(36) NOT NULL,
"URL" VARCHAR( 4096),
"TEMPLATE_VERSION" VARCHAR( 128),
"DATA_SOURCE_CLASS_REF" CHAR(36),
"NAME" VARCHAR( 256) NOT NULL,
"DESCRIPTION" CLOB(2G),
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_INFOPATH_FORM ADD CONSTRAINT "URL" CHECK (CHARACTER_LENGTH("URL",CODEUNITS16) <= 1024)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_INFOPATH_FORM ADD CONSTRAINT "TEMPLATE_VERSION" CHECK (CHARACTER_LENGTH("TEMPLATE_VERSION",CODEUNITS16) <= 32)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_INFOPATH_FORM ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_INFOPATH_FORM ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_EM_TASK (
"TASK_ID" DECIMAL(12,0) NOT NULL,
"DESCRIPTION" VARCHAR( 480),
"QUEUE_ID" DECIMAL(12,0),
"SCHEDULED_TIME" TIMESTAMP NOT NULL,
"DISCRIMINATOR" DECIMAL(12, 0) GENERATED ALWAYS AS IDENTITY (START WITH 1, INCREMENT BY 1),
"TASK_STATUS" DECIMAL(12,0),
"TASK_OWNER" DECIMAL(12,0),
"BLACKOUT_CALENDAR_ID" DECIMAL(12,0),
"BLACKOUT_BEHAVIOR" DECIMAL(12,0),
"TASK_EXECUTION_CLASS" VARCHAR( 480) NOT NULL,
"TASK_ARGUMENTS_STR" VARCHAR( 4000),
"TASK_ARGUMENTS" BLOB(2G),
"REPEAT_STRING" VARCHAR( 2048),
"IN_CLOSING_TRANSACTION" DECIMAL(1,0),
"RE_EXECUTE_COUNT" DECIMAL(12,0),
"LAST_SCHEDULED_TIME" TIMESTAMP,
"LAST_EXECUTION_TIME" TIMESTAMP
)
;


ALTER TABLE @SCHEMA@.LSW_EM_TASK ADD CONSTRAINT "DESCRIPTION" CHECK (CHARACTER_LENGTH("DESCRIPTION",CODEUNITS16) <= 120)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_EM_TASK ADD CONSTRAINT "TASK_EXECUTION_CLASS" CHECK (CHARACTER_LENGTH("TASK_EXECUTION_CLASS",CODEUNITS16) <= 120)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_EM_TASK ADD CONSTRAINT "TASK_ARGUMENTS_STR" CHECK (CHARACTER_LENGTH("TASK_ARGUMENTS_STR",CODEUNITS16) <= 1000)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_EM_TASK ADD CONSTRAINT "REPEAT_STRING" CHECK (CHARACTER_LENGTH("REPEAT_STRING",CODEUNITS16) <= 512)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_EM_TASK_KEYWORDS (
"TASK_ID" DECIMAL(12,0) NOT NULL,
"KEYWORD" VARCHAR( 480) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_EM_TASK_KEYWORDS ADD CONSTRAINT "KEYWORD" CHECK (CHARACTER_LENGTH("KEYWORD",CODEUNITS16) <= 120)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_EM_INSTANCE (
"OWNER_ID" DECIMAL(12,0) NOT NULL,
"NAME" VARCHAR( 2048) NOT NULL,
"EXPIRATION" TIMESTAMP,
"STATUS" DECIMAL(12,0)
)
;


ALTER TABLE @SCHEMA@.LSW_EM_INSTANCE ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 512)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_EM_TASK_HISTORY (
"TASK_ID" DECIMAL(12,0) NOT NULL,
"EXECUTION_ATTEMPT" DECIMAL(12,0) NOT NULL,
"SUCCESS" DECIMAL(12,0),
"ERROR_MESSAGE" CLOB(2G),
"DESCRIPTION" VARCHAR( 480),
"QUEUE_ID" DECIMAL(12,0),
"SCHEDULED_TIME" TIMESTAMP NOT NULL,
"DISCRIMINATOR" DECIMAL(12,0),
"EM_NAME" VARCHAR( 256),
"BLACKOUT_CALENDAR_ID" DECIMAL(12,0),
"BLACKOUT_BEHAVIOR" DECIMAL(12,0),
"TASK_EXECUTION_CLASS" VARCHAR( 480) NOT NULL,
"TASK_ARGUMENTS" BLOB(2G),
"IN_CLOSING_TRANSACTION" DECIMAL(1,0),
"EXECUTION_TIME" TIMESTAMP,
"EXECUTION_DURATION" DECIMAL(12,3)
)
;


ALTER TABLE @SCHEMA@.LSW_EM_TASK_HISTORY ADD CONSTRAINT "DESCRIPTION" CHECK (CHARACTER_LENGTH("DESCRIPTION",CODEUNITS16) <= 120)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_EM_TASK_HISTORY ADD CONSTRAINT "EM_NAME" CHECK (CHARACTER_LENGTH("EM_NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_EM_TASK_HISTORY ADD CONSTRAINT "TASK_EXECUTION_CLASS" CHECK (CHARACTER_LENGTH("TASK_EXECUTION_CLASS",CODEUNITS16) <= 120)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_UCA_SYNC_QUEUE (
"SYNC_QUEUE_ID" DECIMAL(12,0) NOT NULL,
"DESCRIPTION" VARCHAR( 1800),
"QUEUE_OWNER" DECIMAL(12,0)
)
;


ALTER TABLE @SCHEMA@.LSW_UCA_SYNC_QUEUE ADD CONSTRAINT "DESCRIPTION" CHECK (CHARACTER_LENGTH("DESCRIPTION",CODEUNITS16) <= 450)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_ENV_VAR_SET (
"ENV_VAR_SET_ID" CHAR(36) NOT NULL,
"NAME" VARCHAR( 256) NOT NULL,
"DESCRIPTION" CLOB(2G),
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_ENV_VAR_SET ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_ENV_VAR_SET ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_ENV_VAR (
"ENV_VAR_ID" CHAR(36) NOT NULL,
"ENV_VAR_SET_ID" CHAR(36) NOT NULL,
"ENV_VAR_TYPE_ID" DECIMAL(2,0) NOT NULL,
"DEFAULT_VALUE" CLOB(2G),
"NAME" VARCHAR( 256) NOT NULL,
"DESCRIPTION" CLOB(2G),
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_ENV_VAR ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_ENV_VAR ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_ENV_VAR_VAL (
"ENV_VAR_VAL_ID" DECIMAL(12,0) NOT NULL,
"BRANCH_ID" CHAR(36),
"SNAPSHOT_ID" CHAR(36),
"TIP" CHAR(1),
"ENV_VAR_ID" CHAR(36) NOT NULL,
"VALUE" CLOB(2G),
"NAME" VARCHAR( 256) NOT NULL,
"DESCRIPTION" CLOB(2G),
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_ENV_VAR_VAL ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_ENV_TYPE (
"ENV_TYPE_ID" DECIMAL(2,0) NOT NULL,
"NAME" VARCHAR( 256) NOT NULL,
"DESCRIPTION" CLOB(2G)
)
;


ALTER TABLE @SCHEMA@.LSW_ENV_TYPE ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_ENV_VAR_TYPE (
"ENV_VAR_TYPE_ID" DECIMAL(2,0) NOT NULL,
"NAME" VARCHAR( 256) NOT NULL,
"DESCRIPTION" CLOB(2G)
)
;


ALTER TABLE @SCHEMA@.LSW_ENV_VAR_TYPE ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_ENV_VAR_DEFAULT (
"ENV_VAR_DEFAULT_ID" CHAR(36) NOT NULL,
"ENV_TYPE_ID" DECIMAL(2,0) NOT NULL,
"ENV_VAR_ID" CHAR(36) NOT NULL,
"VALUE" CLOB(2G) NOT NULL,
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_ENV_VAR_DEFAULT ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_EPV (
"EPV_ID" CHAR(36) NOT NULL,
"NAME" VARCHAR( 256) NOT NULL,
"DESCRIPTION" CLOB(2G),
"EXT_DESCRIPTION" CLOB(2G),
"FEEDBACK" VARCHAR( 1020),
"PARTICIPANT_REF" CHAR(36),
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_EPV ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_EPV ADD CONSTRAINT "FEEDBACK" CHECK (CHARACTER_LENGTH("FEEDBACK",CODEUNITS16) <= 255)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_EPV ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_EPV_VAR (
"EPV_VAR_ID" CHAR(36) NOT NULL,
"EPV_ID" CHAR(36) NOT NULL,
"NAME" VARCHAR( 256) NOT NULL,
"VAR_NAME" VARCHAR( 256) NOT NULL,
"EXT_DESCRIPTION" CLOB(2G),
"VARIABLE_TYPE_REF" CHAR(36) NOT NULL,
"DEFAULT_VALUE" VARCHAR( 1020),
"IS_CHG_ACTIVE_PROC" CHAR(1),
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_EPV_VAR ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_EPV_VAR ADD CONSTRAINT "VAR_NAME" CHECK (CHARACTER_LENGTH("VAR_NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_EPV_VAR ADD CONSTRAINT "DEFAULT_VALUE" CHECK (CHARACTER_LENGTH("DEFAULT_VALUE",CODEUNITS16) <= 255)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_EPV_VAR ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_EPV_VAR_VALUE (
"EPV_VAR_VALUE_ID" DECIMAL(12,0) NOT NULL,
"SNAPSHOT_ID" CHAR(36),
"TIP" CHAR(1),
"BRANCH_ID" CHAR(36),
"EPV_VAR_ID" CHAR(36) NOT NULL,
"EFFECTIVE_ON" TIMESTAMP NOT NULL,
"VALUE" CLOB(2G),
"REASON" CLOB(2G),
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;

CREATE TABLE @SCHEMA@.LSW_BLUEPRINT_SUBSCRIPTION (
"BLUEPRINT_SUBSCRIPTION_ID" CHAR(36) NOT NULL,
"PROCESS_ID" VARCHAR( 100) NOT NULL,
"BLUEPRINT_ID" VARCHAR( 100) NOT NULL,
"PROCESS_REVISION_ID" VARCHAR( 100),
"ROOT_BPD_ID" CHAR(36) NOT NULL,
"ACCOUNT" VARCHAR( 1020),
"LAST_SUBSCRIBED" TIMESTAMP,
"LAST_IMPORTED" TIMESTAMP,
"NAME" VARCHAR( 256) NOT NULL,
"DESCRIPTION" CLOB(2G),
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_BLUEPRINT_SUBSCRIPTION ADD CONSTRAINT "PROCESS_ID" CHECK (CHARACTER_LENGTH("PROCESS_ID",CODEUNITS16) <= 25)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_BLUEPRINT_SUBSCRIPTION ADD CONSTRAINT "BLUEPRINT_ID" CHECK (CHARACTER_LENGTH("BLUEPRINT_ID",CODEUNITS16) <= 25)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_BLUEPRINT_SUBSCRIPTION ADD CONSTRAINT "PROCESS_REVISION_ID" CHECK (CHARACTER_LENGTH("PROCESS_REVISION_ID",CODEUNITS16) <= 25)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_BLUEPRINT_SUBSCRIPTION ADD CONSTRAINT "ACCOUNT" CHECK (CHARACTER_LENGTH("ACCOUNT",CODEUNITS16) <= 255)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_BLUEPRINT_SUBSCRIPTION ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_BLUEPRINT_SUBSCRIPTION ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_EXTACT_PARAMETER (
"EA_PARAMETER_ID" CHAR(36) NOT NULL,
"EXTERNAL_ACTIVITY_ID" CHAR(36) NOT NULL,
"PARAMETER_TYPE" DECIMAL(2,0) NOT NULL,
"SEQ" DECIMAL(12,0) NOT NULL,
"NAME" VARCHAR( 1020) NOT NULL,
"DESCRIPTION" CLOB(2G),
"CLASS_REF" CHAR(36) NOT NULL,
"IS_ARRAY_OF" CHAR(1) NOT NULL,
"HAS_DEFAULT" CHAR(1) NOT NULL,
"DEFAULT_VALUE" BLOB(2G),
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_EXTACT_PARAMETER ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 255)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_EXTACT_PARAMETER ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_EXTACT_PROPERTY (
"EA_PROPERTY_ID" CHAR(36) NOT NULL,
"EXTERNAL_ACTIVITY_ID" CHAR(36) NOT NULL,
"SEQ" DECIMAL(12,0) NOT NULL,
"NAME" VARCHAR( 1020) NOT NULL,
"VALUE" VARCHAR( 1020) NOT NULL,
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_EXTACT_PROPERTY ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 255)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_EXTACT_PROPERTY ADD CONSTRAINT "VALUE" CHECK (CHARACTER_LENGTH("VALUE",CODEUNITS16) <= 255)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_EXTACT_PROPERTY ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_EXTERNAL_ACTIVITY (
"EXTERNAL_ACTIVITY_ID" CHAR(36) NOT NULL,
"NAME" VARCHAR( 256) NOT NULL,
"DESCRIPTION" CLOB(2G),
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_EXTERNAL_ACTIVITY ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_EXTERNAL_ACTIVITY ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_MANAGED_ASSET (
"MANAGED_ASSET_ID" CHAR(36) NOT NULL,
"ASSET_UUID" CHAR(36),
"MIME_TYPE" VARCHAR( 400) DEFAULT 'application/octet-stream',
"CHAR_ENCODING" VARCHAR( 400) DEFAULT 'UTF-8',
"ASSET_TYPE_CODE" VARCHAR(1) DEFAULT 'W' NOT NULL,
"LENGTH" DECIMAL(19,0),
"LOCAL_LAST_MODIFICATION" DECIMAL(19,0),
"NAME" VARCHAR( 256) NOT NULL,
"DESCRIPTION" CLOB(2G),
"IS_DOCUMENTATION_FILE" CHAR(1) DEFAULT 'F' NOT NULL,
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_MANAGED_ASSET ADD CONSTRAINT "MIME_TYPE" CHECK (CHARACTER_LENGTH("MIME_TYPE",CODEUNITS16) <= 100)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_MANAGED_ASSET ADD CONSTRAINT "CHAR_ENCODING" CHECK (CHARACTER_LENGTH("CHAR_ENCODING",CODEUNITS16) <= 100)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_MANAGED_ASSET ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_MANAGED_ASSET ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_MANAGED_ASSET_DATA (
"ASSET_DATA_ID" CHAR(36) NOT NULL,
"ASSET_DATA" BLOB(2G)
)
;

CREATE TABLE @SCHEMA@.BPM_CONTRIBUTION (
"CONTRIBUTION_ID" CHAR(36) NOT NULL,
"FILENAME" VARCHAR( 4096) NOT NULL,
"NAME" VARCHAR( 256) NOT NULL,
"DESCRIPTION" CLOB(2G),
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"CREATED_BY_USER_ID" DECIMAL(12,0) NOT NULL,
"CREATED_ON" TIMESTAMP NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.BPM_CONTRIBUTION ADD CONSTRAINT "FILENAME" CHECK (CHARACTER_LENGTH("FILENAME",CODEUNITS16) <= 1024)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.BPM_CONTRIBUTION ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.BPM_CONTRIBUTION ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.BPM_CTRB_PROPERTY (
"PROPERTY_ID" CHAR(36) NOT NULL,
"CONTRIBUTION_ID" CHAR(36) NOT NULL,
"PROP_VALUE" VARCHAR( 4000),
"PROP_TYPE_CODE" DECIMAL(8,0) NOT NULL,
"NAME" VARCHAR( 256) NOT NULL,
"DESCRIPTION" CLOB(2G),
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.BPM_CTRB_PROPERTY ADD CONSTRAINT "PROP_VALUE" CHECK (CHARACTER_LENGTH("PROP_VALUE",CODEUNITS16) <= 1000)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.BPM_CTRB_PROPERTY ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.BPM_CTRB_PROPERTY ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.BPM_CTRB_DEPENDENCY (
"CTRB_DEPENDENCY_ID" CHAR(36) NOT NULL,
"LIBRARY_NAME" VARCHAR( 4096) NOT NULL,
"CONTRIBUTION_ID" CHAR(36) NOT NULL,
"CONTRIBUTION_REF" CHAR(36),
"DEPLOY_WITH" CHAR(1) NOT NULL,
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.BPM_CTRB_DEPENDENCY ADD CONSTRAINT "LIBRARY_NAME" CHECK (CHARACTER_LENGTH("LIBRARY_NAME",CODEUNITS16) <= 1024)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.BPM_CTRB_DEPENDENCY ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.BPM_ARTIFACT (
"ARTIFACT_ID" CHAR(36) NOT NULL,
"ART_DATA_UUID" CHAR(36),
"CONTRIBUTION_ID" CHAR(36) NOT NULL,
"MEDIA_TYPE" VARCHAR( 400) DEFAULT 'application/octet-stream',
"CHAR_ENCODING" VARCHAR( 400) DEFAULT 'UTF-8',
"LENGTH" DECIMAL(19,0),
"FULL_PATH" VARCHAR( 4096) NOT NULL,
"DIGEST" VARCHAR( 180) NOT NULL,
"NAME" VARCHAR( 256) NOT NULL,
"DESCRIPTION" CLOB(2G),
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"CREATED_BY_USER_ID" DECIMAL(12,0) NOT NULL,
"CREATED_ON" TIMESTAMP NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.BPM_ARTIFACT ADD CONSTRAINT "MEDIA_TYPE" CHECK (CHARACTER_LENGTH("MEDIA_TYPE",CODEUNITS16) <= 100)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.BPM_ARTIFACT ADD CONSTRAINT "CHAR_ENCODING" CHECK (CHARACTER_LENGTH("CHAR_ENCODING",CODEUNITS16) <= 100)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.BPM_ARTIFACT ADD CONSTRAINT "FULL_PATH" CHECK (CHARACTER_LENGTH("FULL_PATH",CODEUNITS16) <= 1024)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.BPM_ARTIFACT ADD CONSTRAINT "DIGEST" CHECK (CHARACTER_LENGTH("DIGEST",CODEUNITS16) <= 45)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.BPM_ARTIFACT ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.BPM_ARTIFACT ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.BPM_ARTIFACT_DATA (
"ART_DATA_ID" CHAR(36) NOT NULL,
"ART_DATA" BLOB(2G)
)
;

CREATE TABLE @SCHEMA@.BPM_MON_MODEL_DATA (
"MM_ID" CHAR(36) NOT NULL,
"NAME" VARCHAR( 512) NOT NULL,
"DATA" BLOB(2G),
"IS_DIRTY" CHAR(1)
)
;


ALTER TABLE @SCHEMA@.BPM_MON_MODEL_DATA ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_SAVED_SEARCHES (
"SEARCH_ID" DECIMAL(18,0) NOT NULL,
"SEARCH_NAME" VARCHAR( 120) NOT NULL,
"QUERY" CLOB(2G) NOT NULL,
"USER_ID" DECIMAL(18,0)
)
;


ALTER TABLE @SCHEMA@.LSW_SAVED_SEARCHES ADD CONSTRAINT "SEARCH_NAME" CHECK (CHARACTER_LENGTH("SEARCH_NAME",CODEUNITS16) <= 30)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_INSTALLATION (
"INSTALLATION_ID" CHAR(36) NOT NULL,
"SNAPSHOT_ID" CHAR(36) NOT NULL,
"STATUS" DECIMAL(2,0) NOT NULL,
"DETAILS" BLOB(2G)
)
;

CREATE TABLE @SCHEMA@.LSW_RELEASE (
"RELEASE_ID" CHAR(36) NOT NULL,
"CREATED_BY_USER_ID" DECIMAL(12,0) NOT NULL,
"CREATED_ON" TIMESTAMP NOT NULL,
"SNAPSHOT_ID" CHAR(36) NOT NULL
)
;

CREATE TABLE @SCHEMA@.LSW_USER_FAVORITE (
"FAVORITE_ID" CHAR(36) NOT NULL,
"USER_ID" DECIMAL(12,0) NOT NULL,
"PO_TYPE" DECIMAL(8,0) NOT NULL,
"PO_ID" CHAR(36) NOT NULL
)
;

CREATE TABLE @SCHEMA@.LSW_SMART_FOLDER (
"SMART_FOLDER_ID" DECIMAL(12,0) NOT NULL,
"NAME" VARCHAR( 256) NOT NULL,
"SHARED" CHAR(1) DEFAULT 'F',
"LIVE" CHAR(1) DEFAULT 'F',
"INCLUDE_TK" CHAR(1) DEFAULT 'F',
"DATA" BLOB(2G),
"SNAPSHOT_ID" CHAR(36) NOT NULL,
"CREATED_BY_USER_ID" DECIMAL(12,0) NOT NULL,
"CREATED_ON" TIMESTAMP NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_SMART_FOLDER ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_CA_TEMPLATE (
"ID" DECIMAL(12,0) NOT NULL,
"NAME" VARCHAR( 512) NOT NULL,
"BPD_GUID" VARCHAR( 512) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_CA_TEMPLATE ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_CA_TEMPLATE ADD CONSTRAINT "BPD_GUID" CHECK (CHARACTER_LENGTH("BPD_GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_CA_TEMPLATE_DATA (
"ID" DECIMAL(12,0) NOT NULL,
"CA_GUID" VARCHAR( 512) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_CA_TEMPLATE_DATA ADD CONSTRAINT "CA_GUID" CHECK (CHARACTER_LENGTH("CA_GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_LAUNCHER (
"LAUNCHER_ID" CHAR(36) NOT NULL,
"SEQ" DECIMAL(12,0) NOT NULL,
"USER_ID" DECIMAL(12,0) NOT NULL,
"NAME" VARCHAR( 256) NOT NULL,
"DESCRIPTION" VARCHAR( 1020),
"CMD" VARCHAR( 4000) NOT NULL,
"CMD_TYPE" DECIMAL(12,0)
)
;


ALTER TABLE @SCHEMA@.LSW_LAUNCHER ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_LAUNCHER ADD CONSTRAINT "DESCRIPTION" CHECK (CHARACTER_LENGTH("DESCRIPTION",CODEUNITS16) <= 255)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_LAUNCHER ADD CONSTRAINT "CMD" CHECK (CHARACTER_LENGTH("CMD",CODEUNITS16) <= 1000)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_BREAKPOINT (
"BREAKPOINT_ID" CHAR(36) NOT NULL,
"USER_ID" DECIMAL(12,0) NOT NULL,
"PROCESS_ID" CHAR(36) NOT NULL,
"PROCESS_ITEM_ID" CHAR(36) NOT NULL,
"PROCESS_ITEM_NAME" VARCHAR( 256),
"IS_CONDITION_IN_USE" CHAR(1),
"CONDITION" VARCHAR( 4000)
)
;


ALTER TABLE @SCHEMA@.LSW_BREAKPOINT ADD CONSTRAINT "PROCESS_ITEM_NAME" CHECK (CHARACTER_LENGTH("PROCESS_ITEM_NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_BREAKPOINT ADD CONSTRAINT "CONDITION" CHECK (CHARACTER_LENGTH("CONDITION",CODEUNITS16) <= 1000)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.BPM_OSLC_PROVIDER (
"PROVIDER_ID" CHAR(36) NOT NULL,
"NAME" VARCHAR( 1024),
"URL" VARCHAR( 4096) NOT NULL,
"DATA" CLOB(2G),
"CREATED_BY_USER_ID" DECIMAL(12,0) NOT NULL,
"CREATED_ON" TIMESTAMP NOT NULL
)
;


ALTER TABLE @SCHEMA@.BPM_OSLC_PROVIDER ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 256)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.BPM_OSLC_PROVIDER ADD CONSTRAINT "URL" CHECK (CHARACTER_LENGTH("URL",CODEUNITS16) <= 1024)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_CLASS (
"CLASS_ID" CHAR(36) NOT NULL,
"IS_SYSTEM" CHAR(1),
"SHARED" CHAR(1),
"LIFETIME" CHAR(1),
"TYPE" DECIMAL(3,0) NOT NULL,
"XML_DATA" BLOB(2G),
"NAME" VARCHAR( 256) NOT NULL,
"DESCRIPTION" CLOB(2G),
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_CLASS ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_CLASS ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_LAYOUT (
"LAYOUT_ID" CHAR(36) NOT NULL,
"TYPE" VARCHAR( 256) NOT NULL,
"URL" VARCHAR( 1020),
"DOCUMENT_TYPE" VARCHAR( 256),
"IMAGE_URL" VARCHAR( 1020),
"META_DATA_LABEL" VARCHAR( 1020),
"META_DATA_UI" VARCHAR( 1020),
"LAYOUT_DATA" BLOB(2G),
"NAME" VARCHAR( 256) NOT NULL,
"DESCRIPTION" CLOB(2G),
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_LAYOUT ADD CONSTRAINT "TYPE" CHECK (CHARACTER_LENGTH("TYPE",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_LAYOUT ADD CONSTRAINT "URL" CHECK (CHARACTER_LENGTH("URL",CODEUNITS16) <= 255)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_LAYOUT ADD CONSTRAINT "DOCUMENT_TYPE" CHECK (CHARACTER_LENGTH("DOCUMENT_TYPE",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_LAYOUT ADD CONSTRAINT "IMAGE_URL" CHECK (CHARACTER_LENGTH("IMAGE_URL",CODEUNITS16) <= 255)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_LAYOUT ADD CONSTRAINT "META_DATA_LABEL" CHECK (CHARACTER_LENGTH("META_DATA_LABEL",CODEUNITS16) <= 255)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_LAYOUT ADD CONSTRAINT "META_DATA_UI" CHECK (CHARACTER_LENGTH("META_DATA_UI",CODEUNITS16) <= 255)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_LAYOUT ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_LAYOUT ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_LAYOUT_PARAM (
"LAYOUT_PARAM_ID" CHAR(36) NOT NULL,
"LAYOUT_ID" CHAR(36) NOT NULL,
"NAME" VARCHAR( 256) NOT NULL,
"TYPE" DECIMAL(12,0),
"SEQ" DECIMAL(12,0),
"VALUE" VARCHAR( 256),
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_LAYOUT_PARAM ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_LAYOUT_PARAM ADD CONSTRAINT "VALUE" CHECK (CHARACTER_LENGTH("VALUE",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_LAYOUT_PARAM ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_PROJECT_DEFAULTS (
"PROJECT_DEFAULTS_ID" CHAR(36) NOT NULL,
"NAME" VARCHAR( 256) NOT NULL,
"DESCRIPTION" CLOB(2G),
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL,
"PARTICIPANT_REF" CHAR(36),
"DEFAULT_XSL_REF" CHAR(36),
"DEFAULT_CSS_REF" CHAR(36),
"DEFAULT_JS_REFS" VARCHAR( 8000),
"IS_WBM_ENABLED" CHAR(1),
"NAMESPACE" VARCHAR( 1024),
"IS_IID_OPTIMIZED" CHAR(1),
"IS_QUEUE_BYPASS" DECIMAL(1,0)
)
;


ALTER TABLE @SCHEMA@.LSW_PROJECT_DEFAULTS ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_PROJECT_DEFAULTS ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_PROJECT_DEFAULTS ADD CONSTRAINT "DEFAULT_JS_REFS" CHECK (CHARACTER_LENGTH("DEFAULT_JS_REFS",CODEUNITS16) <= 2000)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_PROJECT_DEFAULTS ADD CONSTRAINT "NAMESPACE" CHECK (CHARACTER_LENGTH("NAMESPACE",CODEUNITS16) <= 256)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_RESOURCE_BUNDLE_GROUP (
"RESOURCE_BUNDLE_GROUP_ID" CHAR(36) NOT NULL,
"NAME" VARCHAR( 256) NOT NULL,
"DESCRIPTION" CLOB(2G),
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_RESOURCE_BUNDLE_GROUP ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_RESOURCE_BUNDLE_GROUP ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_RESOURCE_BUNDLE (
"RESOURCE_BUNDLE_ID" CHAR(36) NOT NULL,
"RESOURCE_BUNDLE_GROUP_ID" CHAR(36) NOT NULL,
"LOCALE_LANGUAGE" VARCHAR( 8),
"LOCALE_COUNTRY" VARCHAR( 8),
"LOCALE_VARIANT" VARCHAR( 128),
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_RESOURCE_BUNDLE ADD CONSTRAINT "LOCALE_LANGUAGE" CHECK (CHARACTER_LENGTH("LOCALE_LANGUAGE",CODEUNITS16) <= 2)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_RESOURCE_BUNDLE ADD CONSTRAINT "LOCALE_COUNTRY" CHECK (CHARACTER_LENGTH("LOCALE_COUNTRY",CODEUNITS16) <= 2)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_RESOURCE_BUNDLE ADD CONSTRAINT "LOCALE_VARIANT" CHECK (CHARACTER_LENGTH("LOCALE_VARIANT",CODEUNITS16) <= 32)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_RESOURCE_BUNDLE ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_RESOURCE_BUNDLE_KEY (
"RESOURCE_BUNDLE_KEY_ID" CHAR(36) NOT NULL,
"RESOURCE_BUNDLE_ID" CHAR(36),
"AKEY" VARCHAR( 256) NOT NULL,
"VALUE" CLOB(2G),
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_RESOURCE_BUNDLE_KEY ADD CONSTRAINT "AKEY" CHECK (CHARACTER_LENGTH("AKEY",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_RESOURCE_BUNDLE_KEY ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_SCRIPT (
"SCRIPT_ID" CHAR(36) NOT NULL,
"SCRIPT_TYPE_ID" DECIMAL(12,0),
"IS_ACTIVE" CHAR(1),
"IS_RULE" CHAR(1),
"SCRIPT" BLOB(2G),
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_SCRIPT ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_SERVER (
"CREATED_BY_USER_ID" DECIMAL(12,0) NOT NULL,
"CREATED_ON" TIMESTAMP NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL,
"SERVER_ID" CHAR(36) NOT NULL,
"NAME" VARCHAR( 256) NOT NULL,
"DESCRIPTION" CLOB(2G),
"ADDRESS" VARCHAR( 512),
"PROVIDER_URL" VARCHAR( 2000) NOT NULL,
"PORT" VARCHAR( 20) NOT NULL,
"IS_OFFLINE" CHAR(1) DEFAULT '0',
"LAST_HEARTBEAT" TIMESTAMP,
"IS_AVAILABLE" CHAR(1) DEFAULT '0',
"TYPE" DECIMAL(12,0) DEFAULT 0,
"USER_NAME" VARCHAR( 200),
"PASSWORD" VARCHAR( 1000),
"IS_ENCRYPTED" CHAR(1) DEFAULT '0',
"INSTALLER_GROUP_ID" DECIMAL(12,0),
"IS_COMPATIBLE" CHAR(1) DEFAULT 'T' NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_SERVER ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_SERVER ADD CONSTRAINT "ADDRESS" CHECK (CHARACTER_LENGTH("ADDRESS",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_SERVER ADD CONSTRAINT "PROVIDER_URL" CHECK (CHARACTER_LENGTH("PROVIDER_URL",CODEUNITS16) <= 500)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_SERVER ADD CONSTRAINT "PORT" CHECK (CHARACTER_LENGTH("PORT",CODEUNITS16) <= 5)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_SERVER ADD CONSTRAINT "USER_NAME" CHECK (CHARACTER_LENGTH("USER_NAME",CODEUNITS16) <= 50)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_SERVER ADD CONSTRAINT "PASSWORD" CHECK (CHARACTER_LENGTH("PASSWORD",CODEUNITS16) <= 250)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_DEPLOYMENT (
"DEPLOYMENT_ID" CHAR(36) NOT NULL,
"CREATED_BY_USER_ID" DECIMAL(12,0) NOT NULL,
"CREATED_ON" TIMESTAMP NOT NULL,
"SNAPSHOT_ID" CHAR(36) NOT NULL,
"SERVER_ID" CHAR(36) NOT NULL,
"INSTANCE_COUNT" DECIMAL(12,0) DEFAULT 0,
"STATUS" VARCHAR( 256),
"STATE" DECIMAL(2,0) DEFAULT 0 NOT NULL,
"STATUS_DESCRIPTION" VARCHAR( 4000)
)
;


ALTER TABLE @SCHEMA@.LSW_DEPLOYMENT ADD CONSTRAINT "STATUS" CHECK (CHARACTER_LENGTH("STATUS",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_DEPLOYMENT ADD CONSTRAINT "STATUS_DESCRIPTION" CHECK (CHARACTER_LENGTH("STATUS_DESCRIPTION",CODEUNITS16) <= 1000)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_SERVER_CAPABILITY (
"SERVER_CAPABILITY_ID" CHAR(36) NOT NULL,
"SERVER_ID" CHAR(36) NOT NULL,
"CAPABILITY_TYPE" VARCHAR( 256) NOT NULL,
"CAPABILITY_VERSION" VARCHAR( 256) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_SERVER_CAPABILITY ADD CONSTRAINT "CAPABILITY_TYPE" CHECK (CHARACTER_LENGTH("CAPABILITY_TYPE",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_SERVER_CAPABILITY ADD CONSTRAINT "CAPABILITY_VERSION" CHECK (CHARACTER_LENGTH("CAPABILITY_VERSION",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_CAPABILITY_TYPE (
"CAPABILITY_TYPE_ID" DECIMAL(2,0) NOT NULL,
"CAPABILITY_CONFIG_ID" VARCHAR( 256) NOT NULL,
"NAME" VARCHAR( 256) NOT NULL,
"DESCRIPTION" CLOB(2G),
"IS_OPTIONAL" CHAR(1) DEFAULT '0'
)
;


ALTER TABLE @SCHEMA@.LSW_CAPABILITY_TYPE ADD CONSTRAINT "CAPABILITY_CONFIG_ID" CHECK (CHARACTER_LENGTH("CAPABILITY_CONFIG_ID",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_CAPABILITY_TYPE ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_DEPLOYMENT_PACKAGE (
"SNAPSHOT_ID" CHAR(36),
"SERVER_ID" CHAR(36) NOT NULL,
"DEPLOYMENT_PACKAGE" BLOB(2G)
)
;

CREATE TABLE @SCHEMA@.BPM_REGISTRATION (
"REG_ID" CHAR(36) NOT NULL,
"PC_URL" VARCHAR( 1024) NOT NULL,
"PC_ID" CHAR(36) NOT NULL,
"PC_NAME" VARCHAR( 512) NOT NULL,
"PC_VER" VARCHAR( 64) NOT NULL,
"REG_USER" VARCHAR( 1024) NOT NULL,
"REGISTERED_ON" TIMESTAMP,
"ACTIVE" CHAR(1) DEFAULT 'T' NOT NULL,
"IS_INITIATOR" CHAR(1) DEFAULT 'T' NOT NULL
)
;


ALTER TABLE @SCHEMA@.BPM_REGISTRATION ADD CONSTRAINT "PC_URL" CHECK (CHARACTER_LENGTH("PC_URL",CODEUNITS16) <= 256)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.BPM_REGISTRATION ADD CONSTRAINT "PC_NAME" CHECK (CHARACTER_LENGTH("PC_NAME",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.BPM_REGISTRATION ADD CONSTRAINT "PC_VER" CHECK (CHARACTER_LENGTH("PC_VER",CODEUNITS16) <= 16)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.BPM_REGISTRATION ADD CONSTRAINT "REG_USER" CHECK (CHARACTER_LENGTH("REG_USER",CODEUNITS16) <= 256)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.BPM_REPOSITORY_LOG (
"REPOSITORY_LOG_ID" CHAR(36) NOT NULL,
"PROJECT_ID" CHAR(36),
"ACTION_TYPE" DECIMAL(8,0) NOT NULL,
"TARGET_ITEM_NAME" VARCHAR( 792),
"REPOSITORY_UUID" CHAR(36),
"CREATED_BY_USER" VARCHAR( 1024),
"CREATED" TIMESTAMP,
"PROPERTIES" CLOB(2G)
)
;


ALTER TABLE @SCHEMA@.BPM_REPOSITORY_LOG ADD CONSTRAINT "TARGET_ITEM_NAME" CHECK (CHARACTER_LENGTH("TARGET_ITEM_NAME",CODEUNITS16) <= 198)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.BPM_REPOSITORY_LOG ADD CONSTRAINT "CREATED_BY_USER" CHECK (CHARACTER_LENGTH("CREATED_BY_USER",CODEUNITS16) <= 256)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.BPM_SHARED_TK_USAGES (
"SHARED_TK_USAGE_ID" CHAR(36) NOT NULL,
"PROJECT_ID" CHAR(36) NOT NULL,
"SNAPSHOT_ID" CHAR(36) NOT NULL,
"REGISTRATION_ID" CHAR(36) NOT NULL,
"DEPENDENT_PROJECT_NAME" VARCHAR( 512) NOT NULL,
"IS_TOOLKIT" CHAR(1) DEFAULT 'F' NOT NULL
)
;


ALTER TABLE @SCHEMA@.BPM_SHARED_TK_USAGES ADD CONSTRAINT "DEPENDENT_PROJECT_NAME" CHECK (CHARACTER_LENGTH("DEPENDENT_PROJECT_NAME",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.BPM_SNAPSHOT_STATUS (
"STATUS_ID" CHAR(36) NOT NULL,
"STATUS" VARCHAR( 256) NOT NULL,
"IS_SYSTEM" CHAR(1) DEFAULT 'F' NOT NULL
)
;


ALTER TABLE @SCHEMA@.BPM_SNAPSHOT_STATUS ADD CONSTRAINT "STATUS" CHECK (CHARACTER_LENGTH("STATUS",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.BPM_PROJECT_SUBSCRIPTION (
"PROJECT_SUBSCRIPTION_ID" CHAR(36) NOT NULL,
"REGISTRATION_ID" CHAR(36) NOT NULL,
"PROJECT_ID" CHAR(36) NOT NULL,
"SUBSCRIBED_BY" DECIMAL(12,0) NOT NULL,
"SUBSCRIBED_ON" TIMESTAMP NOT NULL,
"STATUS" VARCHAR( 256),
"ACTIVE" CHAR(1) DEFAULT 'F' NOT NULL,
"SHARED_BY_USER_ID" VARCHAR( 1024),
"SHARED_ON" TIMESTAMP,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.BPM_PROJECT_SUBSCRIPTION ADD CONSTRAINT "STATUS" CHECK (CHARACTER_LENGTH("STATUS",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.BPM_PROJECT_SUBSCRIPTION ADD CONSTRAINT "SHARED_BY_USER_ID" CHECK (CHARACTER_LENGTH("SHARED_BY_USER_ID",CODEUNITS16) <= 256)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.BPM_PROJECT_SUBSCRIBED (
"PROJECT_SUBSCRIBED_ID" CHAR(36) NOT NULL,
"REGISTRATION_ID" CHAR(36) NOT NULL,
"PROJECT_ID" CHAR(36) NOT NULL,
"SUBSCRIBED_BY" VARCHAR( 1024) NOT NULL,
"SUBSCRIBED_ON" TIMESTAMP NOT NULL,
"LAST_MODIFICATION" TIMESTAMP
)
;


ALTER TABLE @SCHEMA@.BPM_PROJECT_SUBSCRIBED ADD CONSTRAINT "SUBSCRIBED_BY" CHECK (CHARACTER_LENGTH("SUBSCRIBED_BY",CODEUNITS16) <= 256)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.BPM_PC_IDX_ACTION (
"ACTION_ID" CHAR(36) NOT NULL,
"PO_ID" CHAR(36) NOT NULL,
"PO_TYPE" DECIMAL(8,0) NOT NULL,
"USER_ACTION" DECIMAL(8,0) NOT NULL,
"CREATED_BY_USER_ID" DECIMAL(12,0) NOT NULL,
"CREATED_ON" TIMESTAMP NOT NULL
)
;

CREATE TABLE @SCHEMA@.BPM_PC_INDEXER (
"INDEXER_ID" CHAR(36) NOT NULL,
"LAST_INDEXED_ON" TIMESTAMP NOT NULL,
"NAME" VARCHAR( 256) NOT NULL,
"DESCRIPTION" CLOB(2G)
)
;


ALTER TABLE @SCHEMA@.BPM_PC_INDEXER ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.BPM_GOVERNANCE_ASSIGNMENT (
"ASSIGNMENT_ID" CHAR(36) NOT NULL,
"PROJECT_ID" CHAR(36) NOT NULL,
"EVENT_TYPE_ID" CHAR(36) NOT NULL,
"GOV_SNAPSHOT_ID" CHAR(36) NOT NULL,
"GOV_PROCESS_ID" CHAR(36) NOT NULL,
"GOV_PROCESS_TYPE" DECIMAL(8,0) NOT NULL,
"ACTIVE" CHAR(1) DEFAULT 'T' NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;

CREATE TABLE @SCHEMA@.BPM_GOVERNANCE_EVENT (
"EVENT_TYPE_ID" CHAR(36) NOT NULL,
"EVENT_TYPE" DECIMAL(8,0) NOT NULL,
"EVENT_TYPE_NAME" VARCHAR( 792) NOT NULL,
"GOV_DEFAULT_SNAPSHOT_ID" CHAR(36) NOT NULL,
"GOV_DEFAULT_PROCESS_ID" CHAR(36) NOT NULL,
"GOV_DEFAULT_PROCESS_TYPE" DECIMAL(8,0) NOT NULL,
"GOV_CUSTOM_DEFAULT_SNAPSHOT_ID" CHAR(36),
"GOV_CUSTOM_DEFAULT_PROCESS_ID" CHAR(36),
"GOV_CUSTOM_DEFAULT_PROCESS_TYP" DECIMAL(8,0)
)
;


ALTER TABLE @SCHEMA@.BPM_GOVERNANCE_EVENT ADD CONSTRAINT "EVENT_TYPE_NAME" CHECK (CHARACTER_LENGTH("EVENT_TYPE_NAME",CODEUNITS16) <= 198)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_PERF_DATA_TRANSFER (
"PERF_DATA_TRANSFER_ID" VARCHAR( 256) NOT NULL,
"DATA" BLOB(2G) NOT NULL,
"TIME_CLAIMED" TIMESTAMP,
"CLAIMED_BY" VARCHAR( 256)
)
;


ALTER TABLE @SCHEMA@.LSW_PERF_DATA_TRANSFER ADD CONSTRAINT "PERF_DATA_TRANSFER_ID" CHECK (CHARACTER_LENGTH("PERF_DATA_TRANSFER_ID",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_PERF_DATA_TRANSFER ADD CONSTRAINT "CLAIMED_BY" CHECK (CHARACTER_LENGTH("CLAIMED_BY",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_TRACKING_GROUP (
"TRACKING_GROUP_ID" CHAR(36) NOT NULL,
"EXTERNAL_UNIQUE_ID" VARCHAR( 256) NOT NULL,
"IS_ENABLED" CHAR(1),
"NAME" VARCHAR( 256) NOT NULL,
"DESCRIPTION" CLOB(2G),
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_TRACKING_GROUP ADD CONSTRAINT "EXTERNAL_UNIQUE_ID" CHECK (CHARACTER_LENGTH("EXTERNAL_UNIQUE_ID",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_TRACKING_GROUP ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_TRACKING_GROUP ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_TRACKED_VARIABLE (
"TRACKED_VARIABLE_ID" CHAR(36) NOT NULL,
"TRACKING_GROUP_ID" CHAR(36) NOT NULL,
"EXTERNAL_UNIQUE_ID" VARCHAR( 256) NOT NULL,
"TYPE" VARCHAR( 32) NOT NULL,
"NAME" VARCHAR( 256) NOT NULL,
"DESCRIPTION" CLOB(2G),
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_TRACKED_VARIABLE ADD CONSTRAINT "EXTERNAL_UNIQUE_ID" CHECK (CHARACTER_LENGTH("EXTERNAL_UNIQUE_ID",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_TRACKED_VARIABLE ADD CONSTRAINT "TYPE" CHECK (CHARACTER_LENGTH("TYPE",CODEUNITS16) <= 8)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_TRACKED_VARIABLE ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_TRACKED_VARIABLE ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_TRACKING_POINT (
"TRACKING_POINT_ID" CHAR(36) NOT NULL,
"TRACKING_GROUP_REF" CHAR(36),
"EXTERNAL_UNIQUE_ID" VARCHAR( 256) NOT NULL,
"OTHER_TASK_ID" VARCHAR( 256),
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_TRACKING_POINT ADD CONSTRAINT "EXTERNAL_UNIQUE_ID" CHECK (CHARACTER_LENGTH("EXTERNAL_UNIQUE_ID",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_TRACKING_POINT ADD CONSTRAINT "OTHER_TASK_ID" CHECK (CHARACTER_LENGTH("OTHER_TASK_ID",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_TRACKING_POINT ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_TRACKED_VARIABLE_USE (
"TRACKING_VARIABLE_USE_ID" CHAR(36) NOT NULL,
"TRACKED_VARIABLE_ID" CHAR(36) NOT NULL,
"TRACKING_POINT_ID" CHAR(36) NOT NULL,
"VALUE_EXPRESSION" VARCHAR( 1020),
"IS_EXPRESSION_ENABLED" CHAR(1),
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_TRACKED_VARIABLE_USE ADD CONSTRAINT "VALUE_EXPRESSION" CHECK (CHARACTER_LENGTH("VALUE_EXPRESSION",CODEUNITS16) <= 255)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_TRACKED_VARIABLE_USE ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_TIMING_INTERVAL (
"TIMING_INTERVAL_ID" CHAR(36) NOT NULL,
"EXTERNAL_UNIQUE_ID" VARCHAR( 256) NOT NULL,
"INTERVAL_START" VARCHAR( 32) NOT NULL,
"INTERVAL_END" VARCHAR( 32) NOT NULL,
"XML_DATA" BLOB(2G),
"NAME" VARCHAR( 256) NOT NULL,
"DESCRIPTION" CLOB(2G),
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_TIMING_INTERVAL ADD CONSTRAINT "EXTERNAL_UNIQUE_ID" CHECK (CHARACTER_LENGTH("EXTERNAL_UNIQUE_ID",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_TIMING_INTERVAL ADD CONSTRAINT "INTERVAL_START" CHECK (CHARACTER_LENGTH("INTERVAL_START",CODEUNITS16) <= 8)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_TIMING_INTERVAL ADD CONSTRAINT "INTERVAL_END" CHECK (CHARACTER_LENGTH("INTERVAL_END",CODEUNITS16) <= 8)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_TIMING_INTERVAL ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_TIMING_INTERVAL ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_TIMING_INTERVAL_BOUND (
"TIMING_INTERVAL_BOUND_ID" CHAR(36) NOT NULL,
"TIMING_INTERVAL_ID" CHAR(36) NOT NULL,
"TRACKING_POINT_EUID" VARCHAR( 256) NOT NULL,
"BOUND" VARCHAR( 32) NOT NULL,
"BPD_REF" CHAR(36),
"PROCESS_REF" CHAR(36),
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_TIMING_INTERVAL_BOUND ADD CONSTRAINT "TRACKING_POINT_EUID" CHECK (CHARACTER_LENGTH("TRACKING_POINT_EUID",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_TIMING_INTERVAL_BOUND ADD CONSTRAINT "BOUND" CHECK (CHARACTER_LENGTH("BOUND",CODEUNITS16) <= 8)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_TIMING_INTERVAL_BOUND ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.BPM_ECM_CONNECTOR (
"ECM_CONNECTOR_ID" CHAR(36) NOT NULL,
"DEFINITION" BLOB(2G) NOT NULL,
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.BPM_ECM_CONNECTOR ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_ILOG_DECISION (
"ILOG_DECISION_ID" CHAR(36) NOT NULL,
"DEFINITION" BLOB(2G) NOT NULL,
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_ILOG_DECISION ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_SCA_CONNECTOR (
"SCA_CONNECTOR_ID" CHAR(36) NOT NULL,
"MODULE_NAME" VARCHAR( 1024),
"EXPORT_NAME" VARCHAR( 1024),
"MODULE_VERSION" VARCHAR( 128),
"OPERATION_NAME" VARCHAR( 1024),
"LAST_SYNCHRONIZED" VARCHAR( 512),
"IS_ASYNC_INVOCATION" CHAR(1),
"OPERATION_STYLE" DECIMAL(1,0),
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_SCA_CONNECTOR ADD CONSTRAINT "MODULE_NAME" CHECK (CHARACTER_LENGTH("MODULE_NAME",CODEUNITS16) <= 256)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_SCA_CONNECTOR ADD CONSTRAINT "EXPORT_NAME" CHECK (CHARACTER_LENGTH("EXPORT_NAME",CODEUNITS16) <= 256)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_SCA_CONNECTOR ADD CONSTRAINT "MODULE_VERSION" CHECK (CHARACTER_LENGTH("MODULE_VERSION",CODEUNITS16) <= 32)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_SCA_CONNECTOR ADD CONSTRAINT "OPERATION_NAME" CHECK (CHARACTER_LENGTH("OPERATION_NAME",CODEUNITS16) <= 256)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_SCA_CONNECTOR ADD CONSTRAINT "LAST_SYNCHRONIZED" CHECK (CHARACTER_LENGTH("LAST_SYNCHRONIZED",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_SCA_CONNECTOR ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_STEP (
"STEP_ID" CHAR(36) NOT NULL,
"IS_IC_ACTIVE" CHAR(1) NOT NULL,
"IC_REF" CHAR(36),
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_STEP ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_CONNECTOR (
"CONNECTOR_ID" CHAR(36) NOT NULL,
"IS_SYSTEM" CHAR(1) NOT NULL,
"DEFINITION" BLOB(2G) NOT NULL,
"CONNECTOR_TYPE" DECIMAL(2,0) NOT NULL,
"NAME" VARCHAR( 256) NOT NULL,
"DESCRIPTION" CLOB(2G),
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_CONNECTOR ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_CONNECTOR ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_IC (
"IC_ID" CHAR(36) NOT NULL,
"IS_TEMPLATE" CHAR(1),
"CONNECTOR_REF" CHAR(36) NOT NULL,
"NAME" VARCHAR( 256) NOT NULL,
"DESCRIPTION" CLOB(2G),
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_IC ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_IC ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_JAVA_CONNECTOR (
"JAVA_CONNECTOR_ID" CHAR(36) NOT NULL,
"DEFINITION" BLOB(2G) NOT NULL,
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_JAVA_CONNECTOR ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_WS_CONNECTOR (
"WS_CONNECTOR_ID" CHAR(36) NOT NULL,
"DEFINITION" BLOB(2G) NOT NULL,
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_WS_CONNECTOR ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_ILOG_CONNECTOR (
"ILOG_CONNECTOR_ID" CHAR(36) NOT NULL,
"DEFINITION" BLOB(2G) NOT NULL,
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_ILOG_CONNECTOR ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_ICMCASE_CONNECTOR (
"ICMCASE_CONNECTOR_ID" CHAR(36) NOT NULL,
"DEFINITION" BLOB(2G) NOT NULL,
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_ICMCASE_CONNECTOR ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_EPV_PROCESS_LINK (
"EPV_PROCESS_LINK_ID" CHAR(36) NOT NULL,
"EPV_ID" CHAR(36) NOT NULL,
"PROCESS_ID" CHAR(36) NOT NULL,
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_EPV_PROCESS_LINK ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_RESOURCE_PROCESS_LINK (
"RESOURCE_PROCESS_LINK_ID" CHAR(36) NOT NULL,
"RESOURCE_BUNDLE_GROUP_ID" CHAR(36) NOT NULL,
"PROCESS_ID" CHAR(36) NOT NULL,
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_RESOURCE_PROCESS_LINK ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_EXCEPTION (
"EXCEPTION_ID" CHAR(36) NOT NULL,
"MESSAGE" CLOB(2G),
"ATTACHED_PROCESS_REF" CHAR(36),
"FAULT_STYLE" DECIMAL(2,0),
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_EXCEPTION ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_EXIT_POINT (
"EXIT_POINT_ID" CHAR(36) NOT NULL,
"HALT_PROCESS" CHAR(1),
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL,
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_EXIT_POINT ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_TASK_SENDER_FILE (
"TASK_SENDER_FILE_ID" CHAR(36) NOT NULL,
"TASK_SENDER_ID" CHAR(36) NOT NULL,
"SEQ" DECIMAL(12,0) NOT NULL,
"FILE_NAME" VARCHAR( 1020),
"IS_LOCKED" CHAR(1),
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_TASK_SENDER_FILE ADD CONSTRAINT "FILE_NAME" CHECK (CHARACTER_LENGTH("FILE_NAME",CODEUNITS16) <= 255)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_TASK_SENDER_FILE ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_TASK_SENDER_ADDR (
"TASK_SENDER_ADDR_ID" CHAR(36) NOT NULL,
"TASK_SENDER_ID" CHAR(36) NOT NULL,
"SEQ" DECIMAL(12,0) NOT NULL,
"SEND_TO" VARCHAR( 1020),
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_TASK_SENDER_ADDR ADD CONSTRAINT "SEND_TO" CHECK (CHARACTER_LENGTH("SEND_TO",CODEUNITS16) <= 255)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_TASK_SENDER_ADDR ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_PROCESS_ITEM_PRE_POST (
"PROCESS_ITEM_PRE_POST_ID" CHAR(36) NOT NULL,
"PROCESS_ITEM_ID" CHAR(36) NOT NULL,
"LOCATION" DECIMAL(1,0) NOT NULL,
"SCRIPT" BLOB(2G),
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_PROCESS_ITEM_PRE_POST ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_PROCESS_LINK (
"PROCESS_LINK_ID" CHAR(36) NOT NULL,
"PROCESS_ID" CHAR(36) NOT NULL,
"NAME" VARCHAR( 256),
"DESCRIPTION" CLOB(2G),
"FROM_PROCESS_ITEM_ID" CHAR(36) NOT NULL,
"END_STATE_ID" VARCHAR( 512) NOT NULL,
"TO_PROCESS_ITEM_ID" CHAR(36) NOT NULL,
"DATA" BLOB(2G),
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_PROCESS_LINK ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_PROCESS_LINK ADD CONSTRAINT "END_STATE_ID" CHECK (CHARACTER_LENGTH("END_STATE_ID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_PROCESS_LINK ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_FILE (
"FILE_ID" DECIMAL(12,0) NOT NULL,
"FILE_NAME" VARCHAR( 512) NOT NULL,
"CONTENT_TYPE" VARCHAR( 512) NOT NULL,
"CREATED_BY" DECIMAL(12,0) NOT NULL,
"CREATED_DATE" TIMESTAMP,
"FILE_DETAIL" BLOB(2G) NOT NULL,
"IS_LOCKED" CHAR(1)
)
;


ALTER TABLE @SCHEMA@.LSW_FILE ADD CONSTRAINT "FILE_NAME" CHECK (CHARACTER_LENGTH("FILE_NAME",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_FILE ADD CONSTRAINT "CONTENT_TYPE" CHECK (CHARACTER_LENGTH("CONTENT_TYPE",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_IC_INPUT_PROPERTY (
"IC_INPUT_PROPERTY_ID" CHAR(36) NOT NULL,
"IC_ID" CHAR(36) NOT NULL,
"KEY_VAL" VARCHAR( 4000) NOT NULL,
"NAME" VARCHAR( 4000) NOT NULL,
"CLASS_TYPE" VARCHAR( 4096) NOT NULL,
"DESCRIPTION" VARCHAR( 1020) NOT NULL,
"VALUE" BLOB(2G),
"SEQ" DECIMAL(12,0) NOT NULL,
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_IC_INPUT_PROPERTY ADD CONSTRAINT "KEY_VAL" CHECK (CHARACTER_LENGTH("KEY_VAL",CODEUNITS16) <= 1000)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_IC_INPUT_PROPERTY ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 1000)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_IC_INPUT_PROPERTY ADD CONSTRAINT "CLASS_TYPE" CHECK (CHARACTER_LENGTH("CLASS_TYPE",CODEUNITS16) <= 1024)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_IC_INPUT_PROPERTY ADD CONSTRAINT "DESCRIPTION" CHECK (CHARACTER_LENGTH("DESCRIPTION",CODEUNITS16) <= 255)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_IC_INPUT_PROPERTY ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_IC_OUTPUT_PROPERTY (
"IC_OUTPUT_PROPERTY_ID" CHAR(36) NOT NULL,
"IC_ID" CHAR(36) NOT NULL,
"KEY_VAL" VARCHAR( 4000) NOT NULL,
"NAME" VARCHAR( 4000) NOT NULL,
"CLASS_TYPE" VARCHAR( 4096),
"DESCRIPTION" VARCHAR( 1020),
"VALUE" CLOB(2G),
"SEQ" DECIMAL(12,0) NOT NULL,
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_IC_OUTPUT_PROPERTY ADD CONSTRAINT "KEY_VAL" CHECK (CHARACTER_LENGTH("KEY_VAL",CODEUNITS16) <= 1000)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_IC_OUTPUT_PROPERTY ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 1000)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_IC_OUTPUT_PROPERTY ADD CONSTRAINT "CLASS_TYPE" CHECK (CHARACTER_LENGTH("CLASS_TYPE",CODEUNITS16) <= 1024)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_IC_OUTPUT_PROPERTY ADD CONSTRAINT "DESCRIPTION" CHECK (CHARACTER_LENGTH("DESCRIPTION",CODEUNITS16) <= 255)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_IC_OUTPUT_PROPERTY ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_PARAMETER_MAPPING (
"PARAMETER_MAPPING_ID" CHAR(36) NOT NULL,
"PROCESS_PARAMETER_ID" CHAR(36) NOT NULL,
"PARENT_TYPE" DECIMAL(12,0) NOT NULL,
"PARENT_ID" CHAR(36) NOT NULL,
"USE_DEFAULT" CHAR(1),
"VALUE" BLOB(2G),
"CLASS_REF" CHAR(36) NOT NULL,
"IS_LIST" CHAR(1),
"IS_INPUT" CHAR(1),
"NAME" VARCHAR( 256) NOT NULL,
"DESCRIPTION" CLOB(2G),
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_PARAMETER_MAPPING ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_PARAMETER_MAPPING ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_PRIORITY (
"PRIORITY_ID" DECIMAL(12,0) NOT NULL,
"RANKING" DECIMAL(12,0),
"IS_DEFAULT" CHAR(1) DEFAULT 'F',
"LEGACY_GUID" VARCHAR( 512),
"NAME" VARCHAR( 256) NOT NULL,
"DESCRIPTION" CLOB(2G)
)
;


ALTER TABLE @SCHEMA@.LSW_PRIORITY ADD CONSTRAINT "LEGACY_GUID" CHECK (CHARACTER_LENGTH("LEGACY_GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_PRIORITY ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_PROCESS (
"PROCESS_ID" CHAR(36) NOT NULL,
"IMAGE" VARCHAR( 1020),
"TAB_GROUP" VARCHAR( 1020),
"STARTING_PROCESS_ITEM_ID" CHAR(36),
"IS_ROOT_PROCESS" CHAR(1) NOT NULL,
"PROCESS_TYPE" DECIMAL(12,0) DEFAULT 0 NOT NULL,
"DATA" BLOB(2G),
"IS_ERROR_HANDLER_ENABLED" CHAR(1) NOT NULL,
"ERROR_HANDLER_ITEM_ID" CHAR(36),
"IS_LOGGING_VARIABLES" CHAR(1),
"IS_TRANSACTIONAL" CHAR(1),
"PROCESS_TIMING_LEVEL" CHAR(1),
"PARTICIPANT_REF" CHAR(36),
"EXPOSED_TYPE" DECIMAL(10,0),
"IS_TRACKING_ENABLED" CHAR(1) NOT NULL,
"XML_DATA" BLOB(2G),
"CACHING_TYPE" CHAR(1),
"ITEM_LABEL" VARCHAR( 1020),
"CACHE_LENGTH" DECIMAL(12,0) DEFAULT 0,
"NAME" VARCHAR( 256) NOT NULL,
"DESCRIPTION" CLOB(2G),
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_PROCESS ADD CONSTRAINT "IMAGE" CHECK (CHARACTER_LENGTH("IMAGE",CODEUNITS16) <= 255)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_PROCESS ADD CONSTRAINT "TAB_GROUP" CHECK (CHARACTER_LENGTH("TAB_GROUP",CODEUNITS16) <= 255)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_PROCESS ADD CONSTRAINT "ITEM_LABEL" CHECK (CHARACTER_LENGTH("ITEM_LABEL",CODEUNITS16) <= 255)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_PROCESS ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_PROCESS ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_PROCESS_ITEM (
"PROCESS_ITEM_ID" CHAR(36) NOT NULL,
"PROCESS_ID" CHAR(36) NOT NULL,
"NAME" VARCHAR( 256) NOT NULL,
"TWCOMPONENT_NAME" VARCHAR( 320) NOT NULL,
"TWCOMPONENT_ID" CHAR(36) NOT NULL,
"IS_LOG_ENABLED" CHAR(1),
"IS_TRACE_ENABLED" CHAR(1),
"TRACE_CATEGORY" VARCHAR( 1020),
"TRACE_LEVEL" DECIMAL(1,0),
"TRACE_MESSAGE" CLOB(2G),
"TRACE_SYMBOL_TABLE" VARCHAR( 16),
"IS_EXEC_CONTEXT_TRACED" CHAR(1),
"SAVE_EXEC_CONTEXT" CHAR(1) NOT NULL,
"DOCUMENTATION" CLOB(2G),
"DATA" BLOB(2G),
"IS_ERROR_HANDLER_ENABLED" CHAR(1) NOT NULL,
"ERROR_HANDLER_ITEM_ID" CHAR(36),
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_PROCESS_ITEM ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_PROCESS_ITEM ADD CONSTRAINT "TWCOMPONENT_NAME" CHECK (CHARACTER_LENGTH("TWCOMPONENT_NAME",CODEUNITS16) <= 80)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_PROCESS_ITEM ADD CONSTRAINT "TRACE_CATEGORY" CHECK (CHARACTER_LENGTH("TRACE_CATEGORY",CODEUNITS16) <= 255)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_PROCESS_ITEM ADD CONSTRAINT "TRACE_SYMBOL_TABLE" CHECK (CHARACTER_LENGTH("TRACE_SYMBOL_TABLE",CODEUNITS16) <= 4)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_PROCESS_ITEM ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_SUBPROCESS (
"SUBPROCESS_ID" CHAR(36) NOT NULL,
"ATTACHED_PROCESS_REF" CHAR(36),
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_SUBPROCESS ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_PROCESS_LABEL (
"PROCESS_LABEL_ID" CHAR(36) NOT NULL,
"PROCESS_ID" CHAR(36) NOT NULL,
"DESCRIPTION" CLOB(2G),
"DATA" BLOB(2G),
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_PROCESS_LABEL ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_PROCESS_VARIABLE (
"PROCESS_VARIABLE_ID" CHAR(36) NOT NULL,
"NAME" VARCHAR( 1020) NOT NULL,
"DESCRIPTION" CLOB(2G),
"PROCESS_ID" CHAR(36) NOT NULL,
"NAMESPACE" DECIMAL(2,0) NOT NULL,
"SEQ" DECIMAL(12,0) NOT NULL,
"IS_ARRAY_OF" CHAR(1) NOT NULL,
"CLASS_ID" CHAR(36) NOT NULL,
"HAS_DEFAULT" CHAR(1) NOT NULL,
"DEFAULT_VALUE" BLOB(2G),
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_PROCESS_VARIABLE ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 255)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_PROCESS_VARIABLE ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_PROCESS_PARAMETER (
"PROCESS_PARAMETER_ID" CHAR(36) NOT NULL,
"PROCESS_ID" CHAR(36) NOT NULL,
"PARAMETER_TYPE" DECIMAL(2,0) NOT NULL,
"IS_ARRAY_OF" CHAR(1) NOT NULL,
"CLASS_ID" CHAR(36) NOT NULL,
"SEQ" DECIMAL(12,0) NOT NULL,
"HAS_DEFAULT" CHAR(1),
"DEFAULT_VALUE" BLOB(2G),
"IS_LOCKED" CHAR(1) DEFAULT 'F' NOT NULL,
"NAME" VARCHAR( 256) NOT NULL,
"DESCRIPTION" CLOB(2G),
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_PROCESS_PARAMETER ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_PROCESS_PARAMETER ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_SWITCH (
"SWITCH_ID" CHAR(36) NOT NULL,
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_SWITCH ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_SWITCH_CONDITION (
"SWITCH_CONDITION_ID" CHAR(36) NOT NULL,
"SWITCH_ID" CHAR(36) NOT NULL,
"SEQ" DECIMAL(12,0) NOT NULL,
"END_STATE_ID" VARCHAR( 512) NOT NULL,
"CONDITION" VARCHAR( 4000),
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_SWITCH_CONDITION ADD CONSTRAINT "END_STATE_ID" CHECK (CHARACTER_LENGTH("END_STATE_ID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_SWITCH_CONDITION ADD CONSTRAINT "CONDITION" CHECK (CHARACTER_LENGTH("CONDITION",CODEUNITS16) <= 1000)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_SWITCH_CONDITION ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_TASK_SENDER (
"TASK_SENDER_ID" CHAR(36) NOT NULL,
"ACTION" DECIMAL(1,0) NOT NULL,
"SUBJECT" VARCHAR( 1020),
"PRIORITY" DECIMAL(12,0) NOT NULL,
"IS_ORIGINAL_DATE_KEPT" CHAR(1),
"DUE_IN_OPTION" DECIMAL(2,0) NOT NULL,
"DUE_DATE_INCR_DATA" VARCHAR( 1020),
"DUE_DATE_INCR_NUMBER" DECIMAL(3,0),
"DUE_DATE_FIXED_DATA" VARCHAR( 1020),
"DUE_DATE_FIXED_TIME" TIMESTAMP,
"DUE_DATE_SPECIFIC_DATE" VARCHAR( 1020),
"DUE_DATE_INCR_TYPE" DECIMAL(1,0),
"ATTACHED_PROCESS_REF" CHAR(36),
"IS_SEND_OTHER_TASK" CHAR(1),
"OTHER_TASK_ID" VARCHAR( 256),
"MESSAGE" BLOB(2G),
"IS_IGNORE_EXCEPTION" CHAR(1),
"IS_REPARENT_TASK" CHAR(1),
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_TASK_SENDER ADD CONSTRAINT "SUBJECT" CHECK (CHARACTER_LENGTH("SUBJECT",CODEUNITS16) <= 255)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_TASK_SENDER ADD CONSTRAINT "DUE_DATE_INCR_DATA" CHECK (CHARACTER_LENGTH("DUE_DATE_INCR_DATA",CODEUNITS16) <= 255)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_TASK_SENDER ADD CONSTRAINT "DUE_DATE_FIXED_DATA" CHECK (CHARACTER_LENGTH("DUE_DATE_FIXED_DATA",CODEUNITS16) <= 255)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_TASK_SENDER ADD CONSTRAINT "DUE_DATE_SPECIFIC_DATE" CHECK (CHARACTER_LENGTH("DUE_DATE_SPECIFIC_DATE",CODEUNITS16) <= 255)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_TASK_SENDER ADD CONSTRAINT "OTHER_TASK_ID" CHECK (CHARACTER_LENGTH("OTHER_TASK_ID",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_TASK_SENDER ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_TASK_SENDER_EXVAR (
"TASK_SENDER_EXVAR_ID" CHAR(36) NOT NULL,
"TASK_SENDER_ID" CHAR(36) NOT NULL,
"VARIABLE_NAME" VARCHAR( 1020),
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_TASK_SENDER_EXVAR ADD CONSTRAINT "VARIABLE_NAME" CHECK (CHARACTER_LENGTH("VARIABLE_NAME",CODEUNITS16) <= 255)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_TASK_SENDER_EXVAR ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_REPORT (
"REPORT_ID" CHAR(36) NOT NULL,
"DEFAULT_START_PAGE_ID" CHAR(36),
"PARTICIPANT_REF" CHAR(36),
"SECURITY_GROUP" VARCHAR( 256),
"NAME" VARCHAR( 256) NOT NULL,
"DESCRIPTION" CLOB(2G),
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_REPORT ADD CONSTRAINT "SECURITY_GROUP" CHECK (CHARACTER_LENGTH("SECURITY_GROUP",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_REPORT ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_REPORT ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_REPORT_EPV_LINK (
"REPORT_EPV_LINK_ID" CHAR(36) NOT NULL,
"REPORT_ID" CHAR(36) NOT NULL,
"EPV_REF" CHAR(36) NOT NULL,
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_REPORT_EPV_LINK ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_REPORT_RBG_LINK (
"REPORT_RBG_LINK_ID" CHAR(36) NOT NULL,
"REPORT_ID" CHAR(36) NOT NULL,
"RBG_REF" CHAR(36) NOT NULL,
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_REPORT_RBG_LINK ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_REPORT_DATASOURCE (
"REPORT_DATASOURCE_ID" CHAR(36) NOT NULL,
"REPORT_ID" CHAR(36) NOT NULL,
"LAYOUT_REF" CHAR(36) NOT NULL,
"SCRIPT" BLOB(2G),
"NAME" VARCHAR( 256) NOT NULL,
"DESCRIPTION" CLOB(2G),
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_REPORT_DATASOURCE ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_REPORT_DATASOURCE ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_REPORT_TG_LINK (
"REPORT_TG_LINK_ID" CHAR(36) NOT NULL,
"REPORT_ID" CHAR(36) NOT NULL,
"TRACKING_GROUP_REF" CHAR(36) NOT NULL,
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_REPORT_TG_LINK ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_REPORT_PAGE (
"REPORT_PAGE_ID" CHAR(36) NOT NULL,
"REPORT_ID" CHAR(36) NOT NULL,
"HEIGHT" DECIMAL(12,0) NOT NULL,
"WIDTH" DECIMAL(12,0) NOT NULL,
"DATA" BLOB(2G),
"NAME" VARCHAR( 256) NOT NULL,
"DESCRIPTION" CLOB(2G),
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_REPORT_PAGE ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_REPORT_PAGE ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_REPORT_CHART (
"REPORT_CHART_ID" CHAR(36) NOT NULL,
"REPORT_ID" CHAR(36) NOT NULL,
"LAYOUT_REF" CHAR(36),
"DATA" BLOB(2G),
"NAME" VARCHAR( 256) NOT NULL,
"DESCRIPTION" CLOB(2G),
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_REPORT_CHART ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_REPORT_CHART ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_REPORT_VARIABLES (
"REPORT_VARIABLES_ID" CHAR(36) NOT NULL,
"REPORT_ID" CHAR(36) NOT NULL,
"VALUE" VARCHAR( 4000),
"NAME" VARCHAR( 256) NOT NULL,
"DESCRIPTION" CLOB(2G),
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_REPORT_VARIABLES ADD CONSTRAINT "VALUE" CHECK (CHARACTER_LENGTH("VALUE",CODEUNITS16) <= 1000)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_REPORT_VARIABLES ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_REPORT_VARIABLES ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_REPORT_DATASOURCE_IC_LINK (
"REPORT_DATASOURCE_IC_LINK_ID" CHAR(36) NOT NULL,
"REPORT_DATASOURCE_ID" CHAR(36) NOT NULL,
"IC_REF" CHAR(36) NOT NULL,
"POS" DECIMAL(12,0) NOT NULL,
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_REPORT_DATASOURCE_IC_LINK ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_REPORT_DATASOURCE_SRV_LINK (
"REPORT_DATASOURCE_SRV_LINK_ID" CHAR(36) NOT NULL,
"REPORT_DATASOURCE_ID" CHAR(36) NOT NULL,
"SERVICE_REF" CHAR(36) NOT NULL,
"POS" DECIMAL(12,0) NOT NULL,
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_REPORT_DATASOURCE_SRV_LINK ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_REPORT_DS_LAYOUT_LINK (
"REPORT_DS_LAYOUT_LINK_ID" CHAR(36) NOT NULL,
"REPORT_DATASOURCE_ID" CHAR(36) NOT NULL,
"LAYOUT_REF" CHAR(36) NOT NULL,
"SEQ" DECIMAL(12,0) NOT NULL,
"NAME" VARCHAR( 256) NOT NULL,
"LABEL" VARCHAR( 1020) NOT NULL,
"DEFAULT_VALUE" VARCHAR( 4000),
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_REPORT_DS_LAYOUT_LINK ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_REPORT_DS_LAYOUT_LINK ADD CONSTRAINT "LABEL" CHECK (CHARACTER_LENGTH("LABEL",CODEUNITS16) <= 255)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_REPORT_DS_LAYOUT_LINK ADD CONSTRAINT "DEFAULT_VALUE" CHECK (CHARACTER_LENGTH("DEFAULT_VALUE",CODEUNITS16) <= 1000)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_REPORT_DS_LAYOUT_LINK ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_SCBD (
"SCBD_ID" CHAR(36) NOT NULL,
"TITLE" VARCHAR( 1020),
"REPORT_TITLE" VARCHAR( 1020),
"ALERT_TITLE" VARCHAR( 1020),
"LAYOUT_REF" CHAR(36) NOT NULL,
"PARTICIPANT_REF" CHAR(36),
"CSS_OVERRIDE" VARCHAR( 1020),
"ENABLED" CHAR(1),
"NAME" VARCHAR( 256) NOT NULL,
"DESCRIPTION" CLOB(2G),
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_SCBD ADD CONSTRAINT "TITLE" CHECK (CHARACTER_LENGTH("TITLE",CODEUNITS16) <= 255)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_SCBD ADD CONSTRAINT "REPORT_TITLE" CHECK (CHARACTER_LENGTH("REPORT_TITLE",CODEUNITS16) <= 255)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_SCBD ADD CONSTRAINT "ALERT_TITLE" CHECK (CHARACTER_LENGTH("ALERT_TITLE",CODEUNITS16) <= 255)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_SCBD ADD CONSTRAINT "CSS_OVERRIDE" CHECK (CHARACTER_LENGTH("CSS_OVERRIDE",CODEUNITS16) <= 255)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_SCBD ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_SCBD ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_SCBD_RPT_LINK (
"SCBD_RPT_LINK_ID" CHAR(36) NOT NULL,
"SCBD_ID" CHAR(36) NOT NULL,
"REPORT_REF" CHAR(36) NOT NULL,
"SEQ" DECIMAL(12,0) NOT NULL,
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_SCBD_RPT_LINK ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_BLACKOUT_CALENDAR (
"CALENDAR_ID" DECIMAL(12,0) NOT NULL,
"IS_BLACKED_OUT" DECIMAL(12,0),
"NEXT_START" TIMESTAMP,
"NEXT_END" TIMESTAMP
)
;

CREATE TABLE @SCHEMA@.LSW_HOLIDAY_SCHEDULE (
"HOLIDAY_ID" DECIMAL(12,0) NOT NULL,
"NAME" VARCHAR( 256) NOT NULL,
"HOLIDAY_LIST" VARCHAR( 8000)
)
;


ALTER TABLE @SCHEMA@.LSW_HOLIDAY_SCHEDULE ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_HOLIDAY_SCHEDULE ADD CONSTRAINT "HOLIDAY_LIST" CHECK (CHARACTER_LENGTH("HOLIDAY_LIST",CODEUNITS16) <= 2000)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_TIME_PERIOD (
"PERIOD_ID" DECIMAL(12,0) NOT NULL,
"NAME" VARCHAR( 256) NOT NULL,
"START_TIME" VARCHAR( 16),
"END_TIME" VARCHAR( 16),
"EFFECTIVE_DAYS" VARCHAR( 4096)
)
;


ALTER TABLE @SCHEMA@.LSW_TIME_PERIOD ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_TIME_PERIOD ADD CONSTRAINT "START_TIME" CHECK (CHARACTER_LENGTH("START_TIME",CODEUNITS16) <= 4)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_TIME_PERIOD ADD CONSTRAINT "END_TIME" CHECK (CHARACTER_LENGTH("END_TIME",CODEUNITS16) <= 4)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_TIME_PERIOD ADD CONSTRAINT "EFFECTIVE_DAYS" CHECK (CHARACTER_LENGTH("EFFECTIVE_DAYS",CODEUNITS16) <= 1024)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_TIME_SCHEDULE (
"SCHEDULE_ID" DECIMAL(12,0) NOT NULL,
"NAME" VARCHAR( 256) NOT NULL,
"EXCLUDE_HOLIDAY" CHAR(1) DEFAULT 'F' NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_TIME_SCHEDULE ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_TIME_SCHEDULE_PERIOD (
"SCHEDULE_ID" DECIMAL(12,0) NOT NULL,
"PERIOD_ID" DECIMAL(12,0) NOT NULL
)
;

CREATE TABLE @SCHEMA@.BPM_BPD_SOAPHEADER (
"BPD_INSTANCE_ID" DECIMAL(12,0) NOT NULL,
"DATA" BLOB(2G)
)
;

CREATE TABLE @SCHEMA@.BPM_TASK_ACTIVITY_MEASURES (
"TASK_MEASURES_ID" DECIMAL(15,0) NOT NULL,
"CREATED_BY_BPD_FLOW_OBJECT_ID" VARCHAR( 512) NOT NULL,
"USER_ID" DECIMAL(12,0),
"COMPLETION_COUNT" DECIMAL(8,0) NOT NULL,
"AVG_COMPLETION_TIME" DECIMAL(12,0) NOT NULL,
"MIN_COMPLETION_TIME" DECIMAL(12,0) NOT NULL,
"MAX_COMPLETION_TIME" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.BPM_TASK_ACTIVITY_MEASURES ADD CONSTRAINT "CREATED_BY_BPD_FLOW_OBJECT_ID" CHECK (CHARACTER_LENGTH("CREATED_BY_BPD_FLOW_OBJECT_ID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.BPM_TASK_MARKERS (
"MARKER_ID" DECIMAL(12,0) NOT NULL,
"TASK_ID" DECIMAL(12,0),
"MARKER_TYPE" DECIMAL(12,0) NOT NULL,
"CREATOR" DECIMAL(12,0) NOT NULL,
"TARGET_USER" DECIMAL(12,0) NOT NULL,
"MARKER_COMMENT" BLOB(2G),
"CREATED_DATE" TIMESTAMP NOT NULL,
"BPD_INSTANCE_ID" DECIMAL(12,0)
)
;

CREATE TABLE @SCHEMA@.LSW_BPD_DOCUMENTS (
"DOC_ID" DECIMAL(10,0) NOT NULL,
"BPD_ID" CHAR(36) NOT NULL,
"PARENT_DOC_ID" DECIMAL(18,0) NOT NULL,
"DOC_NAME" VARCHAR( 200) NOT NULL,
"FILENAME" VARCHAR( 4000) NOT NULL,
"DESCRIPTION" CLOB(2G),
"FILETYPE" DECIMAL(4,0) DEFAULT -1 NOT NULL,
"AUTHOR_ID" DECIMAL(18,0) NOT NULL,
"AUTHORED_DTG" TIMESTAMP NOT NULL,
"VERSION" DECIMAL(4,0) NOT NULL,
"CONTENT_TYPE" VARCHAR( 512),
"DOCUMENT" BLOB(2G)
)
;


ALTER TABLE @SCHEMA@.LSW_BPD_DOCUMENTS ADD CONSTRAINT "DOC_NAME" CHECK (CHARACTER_LENGTH("DOC_NAME",CODEUNITS16) <= 50)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_BPD_DOCUMENTS ADD CONSTRAINT "FILENAME" CHECK (CHARACTER_LENGTH("FILENAME",CODEUNITS16) <= 1000)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_BPD_DOCUMENTS ADD CONSTRAINT "CONTENT_TYPE" CHECK (CHARACTER_LENGTH("CONTENT_TYPE",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_BPD_INSTANCE_VARIABLES (
"BPD_INST_VARS_ID" DECIMAL(18,0) NOT NULL,
"BPD_INSTANCE_ID" DECIMAL(12,0) NOT NULL,
"VARIABLE_NAME" VARCHAR( 2048) NOT NULL,
"ALIAS" VARCHAR( 2048),
"BOOLEAN_VALUE" CHAR(1),
"STRING_VALUE" VARCHAR( 2048),
"INT_VALUE" DECIMAL(17,0),
"DEC_VALUE" DECIMAL(17,2),
"DATE_VALUE" TIMESTAMP,
"VARIABLE_TYPE" VARCHAR( 256) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_BPD_INSTANCE_VARIABLES ADD CONSTRAINT "VARIABLE_NAME" CHECK (CHARACTER_LENGTH("VARIABLE_NAME",CODEUNITS16) <= 512)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_BPD_INSTANCE_VARIABLES ADD CONSTRAINT "ALIAS" CHECK (CHARACTER_LENGTH("ALIAS",CODEUNITS16) <= 512)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_BPD_INSTANCE_VARIABLES ADD CONSTRAINT "STRING_VALUE" CHECK (CHARACTER_LENGTH("STRING_VALUE",CODEUNITS16) <= 512)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_BPD_INSTANCE_VARIABLES ADD CONSTRAINT "VARIABLE_TYPE" CHECK (CHARACTER_LENGTH("VARIABLE_TYPE",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_BPD_INSTANCE (
"BPD_INSTANCE_ID" DECIMAL(12,0) NOT NULL,
"INSTANCE_NAME" VARCHAR( 2048),
"BPD_REF" DECIMAL(19,0) NOT NULL,
"CACHED_BPD_VERSION_ID" CHAR(36) NOT NULL,
"CREATE_DATETIME" TIMESTAMP NOT NULL,
"DUE_DATE" TIMESTAMP,
"LAST_MODIFIED_DATETIME" TIMESTAMP NOT NULL,
"SAVE_SEQ" DECIMAL(12,0) NOT NULL,
"EXECUTION_STATUS" DECIMAL(12,0) NOT NULL,
"ERROR" CLOB(2G),
"ERROR_STACK_TRACE" CLOB(2G),
"SHAREPOINT_SITE_URL" VARCHAR( 2048),
"TIP" CHAR(1) NOT NULL,
"SNAPSHOT_ID" CHAR(36) NOT NULL,
"AT_RISK_DATE" TIMESTAMP,
"ATTACHMENT_STORE" DECIMAL(4,0) DEFAULT 0 NOT NULL,
"CLOSE_DATETIME" TIMESTAMP,
"GROUP_ID" DECIMAL(12,0)
)
;


ALTER TABLE @SCHEMA@.LSW_BPD_INSTANCE ADD CONSTRAINT "INSTANCE_NAME" CHECK (CHARACTER_LENGTH("INSTANCE_NAME",CODEUNITS16) <= 512)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_BPD_INSTANCE ADD CONSTRAINT "SHAREPOINT_SITE_URL" CHECK (CHARACTER_LENGTH("SHAREPOINT_SITE_URL",CODEUNITS16) <= 512)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_BPD_INSTANCE_DATA (
"BPD_INSTANCE_ID" DECIMAL(12,0) NOT NULL,
"DATA" BLOB(2G)
)
;

CREATE TABLE @SCHEMA@.LSW_BPD_NOTIFICATION (
"BPD_NOTIFICATION_ID" DECIMAL(12,0) NOT NULL,
"BPD_INSTANCE_ID" DECIMAL(12,0) NOT NULL,
"STATUS" DECIMAL(12,0) NOT NULL,
"ERROR" CLOB(2G),
"ERROR_STACK_TRACE" CLOB(2G),
"DATA" BLOB(2G)
)
;

CREATE TABLE @SCHEMA@.LSW_BPD_INSTANCE_COMMENT (
"COMMENT_ID" DECIMAL(4,0) NOT NULL,
"BPD_INSTANCE_ID" DECIMAL(18,0),
"USER_ID" DECIMAL(18,0),
"DATE_TIME" TIMESTAMP,
"SUBJECT" VARCHAR( 1020),
"COMMENT" CLOB(2G)
)
;


ALTER TABLE @SCHEMA@.LSW_BPD_INSTANCE_COMMENT ADD CONSTRAINT "SUBJECT" CHECK (CHARACTER_LENGTH("SUBJECT",CODEUNITS16) <= 255)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_BPD_INSTANCE_DOCUMENTS (
"DOC_ID" DECIMAL(10,0) NOT NULL,
"BPD_INSTANCE_ID" DECIMAL(10,0) NOT NULL,
"PARENT_DOC_ID" DECIMAL(18,0) NOT NULL,
"DOC_NAME" VARCHAR( 200) NOT NULL,
"FILENAME" VARCHAR( 4000) NOT NULL,
"FILETYPE" DECIMAL(4,0) DEFAULT -1 NOT NULL,
"AUTHOR_ID" DECIMAL(18,0) NOT NULL,
"AUTHORED_DTG" TIMESTAMP NOT NULL,
"VERSION" DECIMAL(4,0) NOT NULL,
"CONTENT_TYPE" VARCHAR( 512),
"DOCUMENT" BLOB(2G),
"HIDE_IN_PORTAL" CHAR(1),
"MIGRATION_STATE" DECIMAL(4,0) DEFAULT 1 NOT NULL,
"MIGRATION_ERROR" VARCHAR( 1024)
)
;


ALTER TABLE @SCHEMA@.LSW_BPD_INSTANCE_DOCUMENTS ADD CONSTRAINT "DOC_NAME" CHECK (CHARACTER_LENGTH("DOC_NAME",CODEUNITS16) <= 50)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_BPD_INSTANCE_DOCUMENTS ADD CONSTRAINT "FILENAME" CHECK (CHARACTER_LENGTH("FILENAME",CODEUNITS16) <= 1000)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_BPD_INSTANCE_DOCUMENTS ADD CONSTRAINT "CONTENT_TYPE" CHECK (CHARACTER_LENGTH("CONTENT_TYPE",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_BPD_INSTANCE_DOCUMENTS ADD CONSTRAINT "MIGRATION_ERROR" CHECK (CHARACTER_LENGTH("MIGRATION_ERROR",CODEUNITS16) <= 256)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_BPD_INSTANCE_DOC_PROPS (
"NAME" VARCHAR( 4000) NOT NULL,
"VALUE" VARCHAR( 4000),
"DOC_ID" DECIMAL(10,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_BPD_INSTANCE_DOC_PROPS ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 1000)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_BPD_INSTANCE_DOC_PROPS ADD CONSTRAINT "VALUE" CHECK (CHARACTER_LENGTH("VALUE",CODEUNITS16) <= 1000)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_BPD_STATUS_CODES (
"STATUS_ID" DECIMAL(4,0) NOT NULL,
"NAME" VARCHAR( 200),
"CONST_VALUE" VARCHAR( 200)
)
;


ALTER TABLE @SCHEMA@.LSW_BPD_STATUS_CODES ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 50)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_BPD_STATUS_CODES ADD CONSTRAINT "CONST_VALUE" CHECK (CHARACTER_LENGTH("CONST_VALUE",CODEUNITS16) <= 50)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_FILE_TYPES (
"FILETYPE_ID" DECIMAL(18,0) NOT NULL,
"EXT" VARCHAR( 40),
"FILETYPE" VARCHAR( 200)
)
;


ALTER TABLE @SCHEMA@.LSW_FILE_TYPES ADD CONSTRAINT "EXT" CHECK (CHARACTER_LENGTH("EXT",CODEUNITS16) <= 10)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_FILE_TYPES ADD CONSTRAINT "FILETYPE" CHECK (CHARACTER_LENGTH("FILETYPE",CODEUNITS16) <= 50)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_DUR_MSG_RECEIVED (
"MSG_ID" DECIMAL(20,0) NOT NULL,
"CREATED_ON" TIMESTAMP NOT NULL,
"UCA_ID" CHAR(36) NOT NULL,
"VALUES_DATA" BLOB(2G),
"CORRELATION_KEY" DECIMAL(12,0) NOT NULL,
"CORRELATION_TYPE" DECIMAL(2,0) NOT NULL,
"CORRELATION_STRING" VARCHAR( 1020),
"CORRELATION_BLOB" BLOB(2G)
)
;


ALTER TABLE @SCHEMA@.LSW_DUR_MSG_RECEIVED ADD CONSTRAINT "CORRELATION_STRING" CHECK (CHARACTER_LENGTH("CORRELATION_STRING",CODEUNITS16) <= 255)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_INST_MSG_INCL (
"ID" DECIMAL(20,0) NOT NULL,
"CREATED_ON" TIMESTAMP NOT NULL,
"BPD_INSTANCE_ID" DECIMAL(12,0) NOT NULL,
"DURABLE" CHAR(1) DEFAULT 'T' NOT NULL,
"EVENT_ID" CHAR(36),
"SUB_EVENT_ID" DECIMAL(12,0),
"UCA_ID" CHAR(36) NOT NULL,
"CORRELATION_KEY" DECIMAL(12,0) NOT NULL,
"CORRELATION_TYPE" DECIMAL(2,0) NOT NULL,
"CORRELATION_STRING" VARCHAR( 1020),
"CORRELATION_BLOB" BLOB(2G)
)
;


ALTER TABLE @SCHEMA@.LSW_INST_MSG_INCL ADD CONSTRAINT "CORRELATION_STRING" CHECK (CHARACTER_LENGTH("CORRELATION_STRING",CODEUNITS16) <= 255)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_INST_MSG_EXCL (
"ID" DECIMAL(20,0) NOT NULL,
"CREATED_ON" TIMESTAMP NOT NULL,
"BPD_INSTANCE_ID" DECIMAL(12,0) NOT NULL,
"EVENT_ID" CHAR(36),
"SUB_EVENT_ID" DECIMAL(12,0),
"MSG_ID" DECIMAL(20,0) NOT NULL,
"WAIT_ID" DECIMAL(20,0)
)
;

CREATE TABLE @SCHEMA@.LSW_RUNTIME_ERROR (
"ERROR_ID" DECIMAL(12,0) NOT NULL,
"TIP" CHAR(1) NOT NULL,
"SNAPSHOT_ID" CHAR(36),
"ERROR_MESSAGE" CLOB(2G),
"LOGGED" TIMESTAMP NOT NULL,
"BPD_INSTANCE_ID" DECIMAL(12,0),
"TASK_ID" DECIMAL(12,0),
"SOURCE_REF" DECIMAL(19,0) NOT NULL,
"SOURCE_GUID" VARCHAR( 512) NOT NULL,
"SOURCE_NAME" VARCHAR( 256),
"SOURCE_ITEM" VARCHAR( 256),
"SOURCE_SUBITEM" VARCHAR( 256),
"JAVA_TRACE" BLOB(2G),
"JS_TRACE" BLOB(2G),
"TW_TRACE" BLOB(2G),
"ERROR_CODE" VARCHAR( 880),
"ERROR_DATA" BLOB(2G),
"FAULT_STYLE" DECIMAL(2,0) DEFAULT 0 NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_RUNTIME_ERROR ADD CONSTRAINT "SOURCE_GUID" CHECK (CHARACTER_LENGTH("SOURCE_GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_RUNTIME_ERROR ADD CONSTRAINT "SOURCE_NAME" CHECK (CHARACTER_LENGTH("SOURCE_NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_RUNTIME_ERROR ADD CONSTRAINT "SOURCE_ITEM" CHECK (CHARACTER_LENGTH("SOURCE_ITEM",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_RUNTIME_ERROR ADD CONSTRAINT "SOURCE_SUBITEM" CHECK (CHARACTER_LENGTH("SOURCE_SUBITEM",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_RUNTIME_ERROR ADD CONSTRAINT "ERROR_CODE" CHECK (CHARACTER_LENGTH("ERROR_CODE",CODEUNITS16) <= 220)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_SLA_PROCESSING (
"SLA_GUID" VARCHAR( 512) NOT NULL,
"VIOLATION_LEVEL" DECIMAL(31,6) NOT NULL,
"VALUE" DECIMAL(30,10) NOT NULL,
"NI_VIOLATION_LEVEL" DECIMAL(31,6) NOT NULL,
"NI_VALUE" DECIMAL(30,10) NOT NULL,
"END_TIME" TIMESTAMP NOT NULL,
"TIME_LOWER_BOUND" TIMESTAMP
)
;


ALTER TABLE @SCHEMA@.LSW_SLA_PROCESSING ADD CONSTRAINT "SLA_GUID" CHECK (CHARACTER_LENGTH("SLA_GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_STORED_SYMBOL_TABLE (
"SYMBOL_TABLE_ID" CHAR(36) NOT NULL,
"TASK_ID" DECIMAL(12,0) NOT NULL,
"STORED_SYMBOL_TABLE" BLOB(2G)
)
;

CREATE TABLE @SCHEMA@.LSW_TASK_STATUS_CODES (
"STATUS_ID" DECIMAL(4,0) NOT NULL,
"NAME" VARCHAR( 200),
"STATUS_VALUE" VARCHAR( 8)
)
;


ALTER TABLE @SCHEMA@.LSW_TASK_STATUS_CODES ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 50)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_TASK_STATUS_CODES ADD CONSTRAINT "STATUS_VALUE" CHECK (CHARACTER_LENGTH("STATUS_VALUE",CODEUNITS16) <= 2)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_TASK_EXTACT_DATA (
"TASK_EXTACT_DATA_ID" DECIMAL(12,0) NOT NULL,
"TASK_ID" DECIMAL(12,0) NOT NULL,
"EXTERNAL_ACTIVITY_REF" DECIMAL(19,0),
"DATA" BLOB(2G)
)
;

CREATE TABLE @SCHEMA@.LSW_TASK (
"TASK_ID" DECIMAL(12,0) NOT NULL,
"TIP" CHAR(1) NOT NULL,
"SNAPSHOT_ID" CHAR(36),
"USER_ID" DECIMAL(12,0) NOT NULL,
"GROUP_ID" DECIMAL(12,0) NOT NULL,
"PARTICIPANT_ID" CHAR(36),
"MANAGERS_GROUP_ID" DECIMAL(12,0),
"EXPERT_PARTICIPANT_REF" DECIMAL(19,0),
"STATUS" VARCHAR( 8) NOT NULL,
"PRIORITY_ID" DECIMAL(12,0) NOT NULL,
"DUE_DATE" TIMESTAMP NOT NULL,
"DUE_TIME" TIMESTAMP,
"AT_RISK_DATE" TIMESTAMP,
"SUBJECT" VARCHAR( 1020) NOT NULL,
"RCVD_DATETIME" TIMESTAMP NOT NULL,
"RCVD_FROM" DECIMAL(12,0) NOT NULL,
"RCVD_TASK_ID" DECIMAL(12,0),
"COLLABORATION" CHAR(1) DEFAULT 'F' NOT NULL,
"SENT_DATETIME" TIMESTAMP,
"READ_DATETIME" TIMESTAMP,
"CLOSE_DATETIME" TIMESTAMP,
"CLOSE_BY" DECIMAL(12,0),
"ORIG_TASK_ID" DECIMAL(12,0),
"START_PROCESS_REF" DECIMAL(19,0),
"CACHED_PROCESS_VERSION_ID" CHAR(36),
"GROUP_ID_TYPE" DECIMAL(12,0),
"EXECUTION_STATUS" DECIMAL(12,0),
"BPD_INSTANCE_ID" DECIMAL(12,0),
"CREATED_BY_BPD_REF" DECIMAL(19,0),
"CACHED_CBB_VERSION_ID" CHAR(36),
"CREATED_BY_BPD_FLOW_OBJECT_ID" VARCHAR( 512),
"ASSUMER_ID" DECIMAL(12,0),
"ATTACHED_FORM_REF" DECIMAL(19,0),
"CACHED_FORM_VERSION_ID" CHAR(36),
"ATTACHED_EXT_ACTIVITY_REF" DECIMAL(19,0),
"CACHED_EXTACT_VERSION_ID" CHAR(36),
"SHAREPOINT_DISCUSSION_URL" VARCHAR( 2048),
"ACTIVITY_NAME" VARCHAR( 512),
"ACTIVITY_TASK_TYPE" DECIMAL(12,0)
)
;


ALTER TABLE @SCHEMA@.LSW_TASK ADD CONSTRAINT "STATUS" CHECK (CHARACTER_LENGTH("STATUS",CODEUNITS16) <= 2)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_TASK ADD CONSTRAINT "SUBJECT" CHECK (CHARACTER_LENGTH("SUBJECT",CODEUNITS16) <= 255)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_TASK ADD CONSTRAINT "CREATED_BY_BPD_FLOW_OBJECT_ID" CHECK (CHARACTER_LENGTH("CREATED_BY_BPD_FLOW_OBJECT_ID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_TASK ADD CONSTRAINT "SHAREPOINT_DISCUSSION_URL" CHECK (CHARACTER_LENGTH("SHAREPOINT_DISCUSSION_URL",CODEUNITS16) <= 512)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_TASK ADD CONSTRAINT "ACTIVITY_NAME" CHECK (CHARACTER_LENGTH("ACTIVITY_NAME",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_TASK_IPF_DATA (
"TASK_INFOPATHFORM_DATA_ID" DECIMAL(12,0) NOT NULL,
"TASK_ID" DECIMAL(12,0) NOT NULL,
"INFOPATH_FORM_REF" CHAR(36),
"DATA" BLOB(2G)
)
;

CREATE TABLE @SCHEMA@.LSW_TASK_FILE (
"TASK_ID" DECIMAL(12,0) NOT NULL,
"SEQ" DECIMAL(12,0) NOT NULL,
"FILE_ID" DECIMAL(12,0) NOT NULL
)
;

CREATE TABLE @SCHEMA@.LSW_TASK_ADDR (
"TASK_ADDR_ID" DECIMAL(12,0) NOT NULL,
"TASK_ID" DECIMAL(12,0) NOT NULL,
"SEQ" DECIMAL(12,0) NOT NULL,
"SEND_TO_ID" VARCHAR( 1020) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_TASK_ADDR ADD CONSTRAINT "SEND_TO_ID" CHECK (CHARACTER_LENGTH("SEND_TO_ID",CODEUNITS16) <= 255)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_TASK_NARR (
"TASK_NARR_ID" DECIMAL(12,0) NOT NULL,
"TASK_ID" DECIMAL(12,0) NOT NULL,
"SEQ" DECIMAL(12,0) NOT NULL,
"NARRATIVE" BLOB(2G),
"NARRATIVE_RAW" BLOB(2G)
)
;

CREATE TABLE @SCHEMA@.LSW_TASK_ACTION (
"TASK_ACTION_ID" CHAR(36) NOT NULL,
"CAN_CHANGE_DUEDATE" CHAR(1),
"DUE_IN_OPTION" DECIMAL(2,0) NOT NULL,
"DUE_DATE_INCR_DATA" VARCHAR( 1020),
"DUE_DATE_FIXED_DATA" VARCHAR( 1020),
"DUE_DATE_INCR_TYPE" DECIMAL(1,0) NOT NULL,
"DUE_DATE_SPECIFIC_DATE" VARCHAR( 1020),
"IS_CHANGE_STATUS_ACTIVE" CHAR(1),
"NEW_STATUS_OPTION" DECIMAL(2,0) NOT NULL,
"NEW_STATUS" VARCHAR( 8),
"IS_PRIORITY_ACTIVE" CHAR(1) NOT NULL,
"PRIORITY_OPTION" DECIMAL(2,0) NOT NULL,
"NEW_PRIORITY_ID" DECIMAL(12,0),
"NEW_PRIORITY_SCRIPT" VARCHAR( 1020),
"IS_SUBJECT_ACTIVE" CHAR(1) NOT NULL,
"SUBJECT_OPTION" DECIMAL(2,0) NOT NULL,
"SUBJECT_SCRIPT" VARCHAR( 1020),
"IS_NARRATIVE_ACTIVE" CHAR(1) NOT NULL,
"NARRATIVE_OPTION" DECIMAL(2,0) NOT NULL,
"NARRATIVE_SCRIPT" CLOB(2G),
"TIME_SCHEDULE_NAME" VARCHAR( 256) DEFAULT '24X7',
"HOLIDAY_SCHEDULE_NAME" VARCHAR( 256) DEFAULT 'default US holiday',
"TIMEZONE" VARCHAR( 256) DEFAULT 'America/Chicago',
"IS_IGNORE_EXCEPTION" CHAR(1) NOT NULL,
"SUSPEND_PROCESS" CHAR(1),
"IS_ACTION_OTHER_TASK" CHAR(1),
"OTHER_TASK_ID" VARCHAR( 256),
"IS_REASSIGN_ACTIVE" CHAR(1),
"REASSIGN_OPTION" DECIMAL(2,0) NOT NULL,
"REASSIGN_TO" VARCHAR( 1020),
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_TASK_ACTION ADD CONSTRAINT "DUE_DATE_INCR_DATA" CHECK (CHARACTER_LENGTH("DUE_DATE_INCR_DATA",CODEUNITS16) <= 255)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_TASK_ACTION ADD CONSTRAINT "DUE_DATE_FIXED_DATA" CHECK (CHARACTER_LENGTH("DUE_DATE_FIXED_DATA",CODEUNITS16) <= 255)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_TASK_ACTION ADD CONSTRAINT "DUE_DATE_SPECIFIC_DATE" CHECK (CHARACTER_LENGTH("DUE_DATE_SPECIFIC_DATE",CODEUNITS16) <= 255)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_TASK_ACTION ADD CONSTRAINT "NEW_STATUS" CHECK (CHARACTER_LENGTH("NEW_STATUS",CODEUNITS16) <= 2)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_TASK_ACTION ADD CONSTRAINT "NEW_PRIORITY_SCRIPT" CHECK (CHARACTER_LENGTH("NEW_PRIORITY_SCRIPT",CODEUNITS16) <= 255)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_TASK_ACTION ADD CONSTRAINT "SUBJECT_SCRIPT" CHECK (CHARACTER_LENGTH("SUBJECT_SCRIPT",CODEUNITS16) <= 255)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_TASK_ACTION ADD CONSTRAINT "TIME_SCHEDULE_NAME" CHECK (CHARACTER_LENGTH("TIME_SCHEDULE_NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_TASK_ACTION ADD CONSTRAINT "HOLIDAY_SCHEDULE_NAME" CHECK (CHARACTER_LENGTH("HOLIDAY_SCHEDULE_NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_TASK_ACTION ADD CONSTRAINT "TIMEZONE" CHECK (CHARACTER_LENGTH("TIMEZONE",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_TASK_ACTION ADD CONSTRAINT "OTHER_TASK_ID" CHECK (CHARACTER_LENGTH("OTHER_TASK_ID",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_TASK_ACTION ADD CONSTRAINT "REASSIGN_TO" CHECK (CHARACTER_LENGTH("REASSIGN_TO",CODEUNITS16) <= 255)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_TASK_ACTION ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_TASK_EXECUTION_CONTEXT (
"TASK_EXECUTION_CONTEXT_ID" DECIMAL(12,0) NOT NULL,
"TASK_ID" DECIMAL(12,0) NOT NULL,
"EXECUTION_CONTEXT" BLOB(2G)
)
;

CREATE TABLE @SCHEMA@.BPM_MIGRATION_STATUS (
"EVENT" DECIMAL(4,0) NOT NULL,
"STATUS" DECIMAL(4,0) NOT NULL,
"EVENT_COUNT" DECIMAL(8,0) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"DETAILS" VARCHAR( 1024)
)
;


ALTER TABLE @SCHEMA@.BPM_MIGRATION_STATUS ADD CONSTRAINT "DETAILS" CHECK (CHARACTER_LENGTH("DETAILS",CODEUNITS16) <= 256)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.BPM_BPD_INSTANCE_MEASURES (
"MEASURES_ID" CHAR(36) NOT NULL,
"SNAPSHOT_ID" CHAR(36) NOT NULL,
"BPD_REF" DECIMAL(19,0) NOT NULL,
"BPD_FLOW_OBJECT_ID" VARCHAR( 512),
"AVG_TIME_TO_COMPLETION" DECIMAL(12,0) NOT NULL,
"COMPLETION_COUNT" DECIMAL(8,0) NOT NULL,
"IS_POTENTIALLY_IN_LOOP" CHAR(1) DEFAULT 'F'
)
;


ALTER TABLE @SCHEMA@.BPM_BPD_INSTANCE_MEASURES ADD CONSTRAINT "BPD_FLOW_OBJECT_ID" CHECK (CHARACTER_LENGTH("BPD_FLOW_OBJECT_ID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.BPM_SYNCHRONIZE (
"IDENTIFIER" VARCHAR( 1024) NOT NULL
)
;


ALTER TABLE @SCHEMA@.BPM_SYNCHRONIZE ADD CONSTRAINT "IDENTIFIER" CHECK (CHARACTER_LENGTH("IDENTIFIER",CODEUNITS16) <= 256)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.WL_WLSTORE (
"ID" DECIMAL(30,0) NOT NULL,
"TYPE" DECIMAL(30,0),
"HANDLE" DECIMAL(30,0),
"RECORD" BLOB(2G)
)
;

CREATE TABLE @SCHEMA@.LSW_PRI_KEY (
"TABLE_ID" VARCHAR( 1020) NOT NULL,
"HIGH_KEY" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_PRI_KEY ADD CONSTRAINT "TABLE_ID" CHECK (CHARACTER_LENGTH("TABLE_ID",CODEUNITS16) <= 255)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_SYSTEM (
"PROPKEY" VARCHAR( 1024) NOT NULL,
"PROPVALUE" VARCHAR( 1024) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_SYSTEM ADD CONSTRAINT "PROPKEY" CHECK (CHARACTER_LENGTH("PROPKEY",CODEUNITS16) <= 256)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_SYSTEM ADD CONSTRAINT "PROPVALUE" CHECK (CHARACTER_LENGTH("PROPVALUE",CODEUNITS16) <= 256)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_SYSTEM_SCHEMA (
"PROPNAME" VARCHAR( 200) NOT NULL,
"PROPVALUE" VARCHAR( 200)
)
;


ALTER TABLE @SCHEMA@.LSW_SYSTEM_SCHEMA ADD CONSTRAINT "PROPNAME" CHECK (CHARACTER_LENGTH("PROPNAME",CODEUNITS16) <= 50)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_SYSTEM_SCHEMA ADD CONSTRAINT "PROPVALUE" CHECK (CHARACTER_LENGTH("PROPVALUE",CODEUNITS16) <= 50)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_LEGACY_ID (
"LEGACY_ID" DECIMAL(19,0) NOT NULL,
"UUID" CHAR(36) NOT NULL,
"PO_TYPE" DECIMAL(8,0) NOT NULL
)
;

CREATE TABLE @SCHEMA@.LSW_LOCK (
"LOCK_ID" VARCHAR( 512) NOT NULL,
"DESCRIPTION" VARCHAR( 1024)
)
;


ALTER TABLE @SCHEMA@.LSW_LOCK ADD CONSTRAINT "LOCK_ID" CHECK (CHARACTER_LENGTH("LOCK_ID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_LOCK ADD CONSTRAINT "DESCRIPTION" CHECK (CHARACTER_LENGTH("DESCRIPTION",CODEUNITS16) <= 256)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.BPM_TASK_INDEX (
"TASK_ID" DECIMAL(12,0) NOT NULL,
"INSTANCE_ID" DECIMAL(12,0),
"MAJOR_EVENT_DATETIME" TIMESTAMP,
"MINOR_EVENT_DATETIME" TIMESTAMP,
"TASK_DATA" BLOB(2G),
"DELETED_DATETIME" TIMESTAMP
)
;

CREATE TABLE @SCHEMA@.BPM_TASK_INDEX_JOB (
"INDEX_ID" CHAR(36) NOT NULL,
"INDEX_START_TIME" TIMESTAMP NOT NULL,
"INDEX_END_TIME" TIMESTAMP,
"INDEX_LAST_PURGE_TIME" TIMESTAMP,
"LAST_RETENTION_DAYS" DECIMAL(12,0),
"RECORDS_INDEXED" DECIMAL(12,0),
"RESULT_VALUE" VARCHAR( 1024)
)
;


ALTER TABLE @SCHEMA@.BPM_TASK_INDEX_JOB ADD CONSTRAINT "RESULT_VALUE" CHECK (CHARACTER_LENGTH("RESULT_VALUE",CODEUNITS16) <= 256)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.BPM_SRCH_INDEX_SCHEMA (
"BPDID" VARCHAR( 144) NOT NULL,
"FIELD_NAME" VARCHAR( 2048) NOT NULL,
"FIELD_NAME_EXTERNAL" VARCHAR( 2048),
"FIELD_TYPE" VARCHAR( 80),
"FIELD_TYPE_EXTERNAL" VARCHAR( 80),
"PUBLIC_FLAG" DECIMAL(2,0),
"BUSINESS_DATA" DECIMAL(2,0),
"LAST_UPDATED" TIMESTAMP NOT NULL
)
;


ALTER TABLE @SCHEMA@.BPM_SRCH_INDEX_SCHEMA ADD CONSTRAINT "BPDID" CHECK (CHARACTER_LENGTH("BPDID",CODEUNITS16) <= 36)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.BPM_SRCH_INDEX_SCHEMA ADD CONSTRAINT "FIELD_NAME" CHECK (CHARACTER_LENGTH("FIELD_NAME",CODEUNITS16) <= 512)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.BPM_SRCH_INDEX_SCHEMA ADD CONSTRAINT "FIELD_NAME_EXTERNAL" CHECK (CHARACTER_LENGTH("FIELD_NAME_EXTERNAL",CODEUNITS16) <= 512)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.BPM_SRCH_INDEX_SCHEMA ADD CONSTRAINT "FIELD_TYPE" CHECK (CHARACTER_LENGTH("FIELD_TYPE",CODEUNITS16) <= 20)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.BPM_SRCH_INDEX_SCHEMA ADD CONSTRAINT "FIELD_TYPE_EXTERNAL" CHECK (CHARACTER_LENGTH("FIELD_TYPE_EXTERNAL",CODEUNITS16) <= 20)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.BPM_INSTANCE_INDEX (
"INSTANCE_ID" DECIMAL(12,0) NOT NULL,
"MAJOR_EVENT_DATETIME" TIMESTAMP,
"MINOR_EVENT_DATETIME" TIMESTAMP,
"INSTANCE_DATA" BLOB(2G),
"DELETED_DATETIME" TIMESTAMP
)
;

CREATE TABLE @SCHEMA@.LSW_INVOKE_UCA (
"INVOKE_UCA_ID" CHAR(36) NOT NULL,
"IS_UCA_ACTIVE" CHAR(1),
"UCA_REF" CHAR(36),
"TRIG_IN_SS_CTX" CHAR(1) DEFAULT 'F',
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_INVOKE_UCA ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_UCA (
"UCA_ID" CHAR(36) NOT NULL,
"PROCESS_REF" CHAR(36) NOT NULL,
"SCHED_TYPE" DECIMAL(12,0),
"SCHED_EVENT_NAME" VARCHAR( 320),
"QUEUE" DECIMAL(12,0),
"IS_ENABLED" CHAR(1),
"SHARED_SYMBOL_TABLE_ID" DECIMAL(12,0),
"MONTH_LIST" VARCHAR( 96),
"FREQ_TYPE" DECIMAL(12,0),
"DAY_LIST" VARCHAR( 312),
"HOUR_LIST" VARCHAR( 192),
"MINUTE_LIST" VARCHAR( 480),
"NAME" VARCHAR( 256) NOT NULL,
"DESCRIPTION" CLOB(2G),
"UCA_EVENT_TYPE_REF" DECIMAL(2,0),
"VARIABLE_REF" CHAR(36),
"IMPLEMENTATION_TYPE" VARCHAR( 320),
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_UCA ADD CONSTRAINT "SCHED_EVENT_NAME" CHECK (CHARACTER_LENGTH("SCHED_EVENT_NAME",CODEUNITS16) <= 80)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_UCA ADD CONSTRAINT "MONTH_LIST" CHECK (CHARACTER_LENGTH("MONTH_LIST",CODEUNITS16) <= 24)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_UCA ADD CONSTRAINT "DAY_LIST" CHECK (CHARACTER_LENGTH("DAY_LIST",CODEUNITS16) <= 78)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_UCA ADD CONSTRAINT "HOUR_LIST" CHECK (CHARACTER_LENGTH("HOUR_LIST",CODEUNITS16) <= 48)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_UCA ADD CONSTRAINT "MINUTE_LIST" CHECK (CHARACTER_LENGTH("MINUTE_LIST",CODEUNITS16) <= 120)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_UCA ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_UCA ADD CONSTRAINT "IMPLEMENTATION_TYPE" CHECK (CHARACTER_LENGTH("IMPLEMENTATION_TYPE",CODEUNITS16) <= 80)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_UCA ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_UCA_PARM (
"UCA_PARM_ID" CHAR(36) NOT NULL,
"UCA_ID" CHAR(36) NOT NULL,
"SEQ" DECIMAL(12,0) NOT NULL,
"PARM_NAME" VARCHAR( 1020) NOT NULL,
"PARM_VALUE" VARCHAR( 4000),
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_UCA_PARM ADD CONSTRAINT "PARM_NAME" CHECK (CHARACTER_LENGTH("PARM_NAME",CODEUNITS16) <= 255)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_UCA_PARM ADD CONSTRAINT "PARM_VALUE" CHECK (CHARACTER_LENGTH("PARM_VALUE",CODEUNITS16) <= 1000)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_UCA_PARM ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_UCA_BLACKOUT (
"BLACKOUT_ID" CHAR(36) NOT NULL,
"FROM_DATETIME" TIMESTAMP NOT NULL,
"TO_DATETIME" TIMESTAMP NOT NULL,
"DATE_TYPE" CHAR(1) NOT NULL
)
;

CREATE TABLE @SCHEMA@.BPM_UCA_EVENT_TYPE (
"UCA_EVENT_TYPE_ID" DECIMAL(2,0) NOT NULL,
"NAME" VARCHAR( 256) NOT NULL,
"DESCRIPTION" CLOB(2G)
)
;


ALTER TABLE @SCHEMA@.BPM_UCA_EVENT_TYPE ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_USR (
"USER_ID" DECIMAL(12,0) NOT NULL,
"USER_NAME" VARCHAR( 200) NOT NULL,
"PASSWD" VARCHAR( 1000) NOT NULL,
"FULL_NAME" VARCHAR( 200) NOT NULL,
"IS_DISABLED" CHAR(1) DEFAULT 'F',
"LAST_LOGIN_DATETIME" TIMESTAMP,
"OLD_PASSWORDS" CLOB(2G)
)
;


ALTER TABLE @SCHEMA@.LSW_USR ADD CONSTRAINT "USER_NAME" CHECK (CHARACTER_LENGTH("USER_NAME",CODEUNITS16) <= 50)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_USR ADD CONSTRAINT "PASSWD" CHECK (CHARACTER_LENGTH("PASSWD",CODEUNITS16) <= 250)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_USR ADD CONSTRAINT "FULL_NAME" CHECK (CHARACTER_LENGTH("FULL_NAME",CODEUNITS16) <= 50)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_USR_XREF (
"USER_ID" DECIMAL(12,0) NOT NULL,
"USER_NAME" VARCHAR( 256) NOT NULL,
"FULL_NAME" VARCHAR( 1020),
"PROVIDER" VARCHAR( 512)
)
;


ALTER TABLE @SCHEMA@.LSW_USR_XREF ADD CONSTRAINT "USER_NAME" CHECK (CHARACTER_LENGTH("USER_NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_USR_XREF ADD CONSTRAINT "FULL_NAME" CHECK (CHARACTER_LENGTH("FULL_NAME",CODEUNITS16) <= 255)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_USR_XREF ADD CONSTRAINT "PROVIDER" CHECK (CHARACTER_LENGTH("PROVIDER",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_USR_GRP_XREF (
"GROUP_ID" DECIMAL(12,0) NOT NULL,
"GROUP_NAME" VARCHAR( 1024) NOT NULL,
"DISPLAY_NAME" VARCHAR( 1024) NOT NULL,
"PARENT_GROUP_ID" DECIMAL(12,0),
"GROUP_TYPE" DECIMAL(2,0) DEFAULT 0 NOT NULL,
"DESCRIPTION" VARCHAR( 1020),
"GROUP_STATE" DECIMAL(2,0) DEFAULT 0 NOT NULL,
"PARTICIPANT_ID" CHAR(36)
)
;


ALTER TABLE @SCHEMA@.LSW_USR_GRP_XREF ADD CONSTRAINT "GROUP_NAME" CHECK (CHARACTER_LENGTH("GROUP_NAME",CODEUNITS16) <= 256)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_USR_GRP_XREF ADD CONSTRAINT "DISPLAY_NAME" CHECK (CHARACTER_LENGTH("DISPLAY_NAME",CODEUNITS16) <= 256)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_USR_GRP_XREF ADD CONSTRAINT "DESCRIPTION" CHECK (CHARACTER_LENGTH("DESCRIPTION",CODEUNITS16) <= 255)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_USR_GRP_MEM_XREF (
"USER_ID" DECIMAL(12,0) NOT NULL,
"GROUP_ID" DECIMAL(12,0) NOT NULL
)
;

CREATE TABLE @SCHEMA@.LSW_GRP_GRP_MEM_XREF (
"GROUP_ID" DECIMAL(12,0) NOT NULL,
"CONTAINER_GROUP_ID" DECIMAL(12,0) NOT NULL
)
;

CREATE TABLE @SCHEMA@.LSW_GRP_GRP_MEM_EXPLODED_XREF (
"GROUP_ID" DECIMAL(12,0) NOT NULL,
"CONTAINER_GROUP_ID" DECIMAL(12,0) NOT NULL,
"MEM_PATH" VARCHAR( 4096) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_GRP_GRP_MEM_EXPLODED_XREF ADD CONSTRAINT "MEM_PATH" CHECK (CHARACTER_LENGTH("MEM_PATH",CODEUNITS16) <= 1024)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_USR_ASSUME (
"USR_ASSUME_ID" DECIMAL(12,0) NOT NULL,
"USER_ID" DECIMAL(12,0) NOT NULL,
"ASSUMED_USER_ID" DECIMAL(12,0) NOT NULL,
"START_DATETIME" TIMESTAMP,
"END_DATETIME" TIMESTAMP
)
;

CREATE TABLE @SCHEMA@.LSW_ACCESS (
"USER_ID" DECIMAL(12,0) NOT NULL,
"ASSUMED_USER_ID" DECIMAL(12,0) NOT NULL,
"START_DATETIME" TIMESTAMP,
"END_DATETIME" TIMESTAMP
)
;

CREATE TABLE @SCHEMA@.LSW_DYNAMIC_GROUP (
"DYNAMIC_GROUP_ID" DECIMAL(12,0) NOT NULL,
"NAME" VARCHAR( 512) NOT NULL,
"CONSTRAINTS_SET_OPERATOR" DECIMAL(12,0) NOT NULL,
"SNAPSHOT_ID" CHAR(36),
"BRANCH_ID" CHAR(36),
"TIP" CHAR(1) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_DYNAMIC_GROUP ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_DYNAMIC_GROUP_CONSTRAINT (
"DYNAMIC_GROUP_CONSTRAINT_ID" DECIMAL(18,0) NOT NULL,
"DYNAMIC_GROUP_ID" DECIMAL(12,0) NOT NULL,
"MATCH_TYPE" DECIMAL(12,0) NOT NULL,
"CONSTRAINT_TYPE" DECIMAL(12,0) NOT NULL,
"LIBRARY_ELEMENT_TYPE" DECIMAL(10,0),
"LIBRARY_ELEMENT_REF" DECIMAL(19,0),
"LIBRARY_ELEMENT_ID" CHAR(36),
"VALUE" VARCHAR( 4000)
)
;


ALTER TABLE @SCHEMA@.LSW_DYNAMIC_GROUP_CONSTRAINT ADD CONSTRAINT "VALUE" CHECK (CHARACTER_LENGTH("VALUE",CODEUNITS16) <= 1000)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_DYNAMIC_GROUP_DEPENDENCY (
"PARENT_GROUP_ID" DECIMAL(12,0) NOT NULL,
"CHILD_GROUP_ID" DECIMAL(12,0) NOT NULL
)
;

CREATE TABLE @SCHEMA@.LSW_USR_ATTR (
"USER_ATTR_ID" DECIMAL(12,0) NOT NULL,
"USER_ID" DECIMAL(12,0) NOT NULL,
"ATTR_VALUE" VARCHAR( 4000),
"ATTR_NUMBER_VALUE" DECIMAL(31,6),
"USER_ATTR_DEF_VALUE_ID" CHAR(36),
"USER_ATTR_DEF_ID" CHAR(36) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_USR_ATTR ADD CONSTRAINT "ATTR_VALUE" CHECK (CHARACTER_LENGTH("ATTR_VALUE",CODEUNITS16) <= 1000)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_USER_ATTR_DEF_VALUES (
"USER_ATTR_DEF_VALUE_ID" CHAR(36) NOT NULL,
"USER_ATTRIBUTE_DEF_ID" CHAR(36) NOT NULL,
"VALUE" VARCHAR( 400) NOT NULL,
"SEQ" DECIMAL(12,0) NOT NULL,
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_USER_ATTR_DEF_VALUES ADD CONSTRAINT "VALUE" CHECK (CHARACTER_LENGTH("VALUE",CODEUNITS16) <= 100)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_USER_ATTR_DEF_VALUES ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_USER_ATTRIBUTE_DEF (
"USER_ATTRIBUTE_ID" CHAR(36) NOT NULL,
"CLASS_REF" CHAR(36) NOT NULL,
"STORAGE_SOURCE" DECIMAL(12,0) DEFAULT 0 NOT NULL,
"STORAGE_PROVIDER" DECIMAL(12,0),
"STORAGE_PROVIDER_ATTRIBUTE" VARCHAR( 1020),
"STORAGE_SERVICE" DECIMAL(12,0),
"VALUES_SOURCE" DECIMAL(12,0),
"VALUES_SERVICE" DECIMAL(12,0),
"NAME" VARCHAR( 256) NOT NULL,
"DESCRIPTION" CLOB(2G),
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_USER_ATTRIBUTE_DEF ADD CONSTRAINT "STORAGE_PROVIDER_ATTRIBUTE" CHECK (CHARACTER_LENGTH("STORAGE_PROVIDER_ATTRIBUTE",CODEUNITS16) <= 255)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_USER_ATTRIBUTE_DEF ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_USER_ATTRIBUTE_DEF ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_RT_USER_ATTRIBUTE_DEF (
"USER_ATTRIBUTE_ID" CHAR(36) NOT NULL,
"SNAPSHOT_ID" CHAR(36) NOT NULL,
"NAME" VARCHAR( 256) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_RT_USER_ATTRIBUTE_DEF ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_PARTICIPANT_GROUP (
"SNAPSHOT_ID" CHAR(36),
"BRANCH_ID" CHAR(36),
"TIP" CHAR(1) NOT NULL,
"PARTICIPANT_ID" CHAR(36) NOT NULL,
"CACHED_PART_VERSION_ID" CHAR(36) NOT NULL,
"GROUP_ID" DECIMAL(12,0) NOT NULL,
"HIDDEN" CHAR(1) NOT NULL,
"ENABLE_AUTOMATIC_REFRESH" CHAR(1) DEFAULT 'T',
"MANAGERS_NAME" VARCHAR( 256),
"MANAGERS_GROUP_ID" DECIMAL(12,0)
)
;


ALTER TABLE @SCHEMA@.LSW_PARTICIPANT_GROUP ADD CONSTRAINT "MANAGERS_NAME" CHECK (CHARACTER_LENGTH("MANAGERS_NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_PARTICIPANT (
"PARTICIPANT_ID" CHAR(36) NOT NULL,
"COST" DECIMAL(12,2) DEFAULT 10.0 NOT NULL,
"CURRENCY_CODE" VARCHAR( 12),
"PARTICIPANT_DEFINITION" VARCHAR( 4000),
"SIMULATION_GROUP_SIZE" DECIMAL(12,0) NOT NULL,
"CAPACITY_TYPE" DECIMAL(12,0),
"DEFINITION_TYPE" DECIMAL(12,0),
"PERCENT_AVAILABLE" DECIMAL(12,2),
"PERCENT_EFFICIENCY" DECIMAL(12,2),
"IMAGE" VARCHAR( 4096),
"SERVICE_REF" CHAR(36),
"MANAGERS_REF" CHAR(36),
"DATA" BLOB(2G),
"NAME" VARCHAR( 256) NOT NULL,
"DESCRIPTION" CLOB(2G),
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_PARTICIPANT ADD CONSTRAINT "CURRENCY_CODE" CHECK (CHARACTER_LENGTH("CURRENCY_CODE",CODEUNITS16) <= 3)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_PARTICIPANT ADD CONSTRAINT "PARTICIPANT_DEFINITION" CHECK (CHARACTER_LENGTH("PARTICIPANT_DEFINITION",CODEUNITS16) <= 1000)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_PARTICIPANT ADD CONSTRAINT "IMAGE" CHECK (CHARACTER_LENGTH("IMAGE",CODEUNITS16) <= 1024)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_PARTICIPANT ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_PARTICIPANT ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_ACL_ENTRY (
"ACL_ENTRY_ID" DECIMAL(12,0) NOT NULL,
"USER_ID" DECIMAL(12,0),
"GROUP_ID" DECIMAL(12,0),
"PO_TYPE" DECIMAL(8,0) NOT NULL,
"PO_ID" CHAR(36) NOT NULL,
"MASK" DECIMAL(19,0) NOT NULL
)
;

CREATE TABLE @SCHEMA@.LSW_FAVORITE (
"FAVORITE_ID" DECIMAL(12,0) NOT NULL,
"GROUP_ID" DECIMAL(12,0),
"NAME" VARCHAR( 4000) NOT NULL,
"EFFECTIVE_DATE" TIMESTAMP,
"SNAPSHOT_ID" CHAR(36),
"TIP" CHAR(1),
"BRANCH_ID" CHAR(36),
"ITEM_TYPE" DECIMAL(10,0) NOT NULL,
"ITEM_REF" DECIMAL(19,0),
"ITEM_ID" CHAR(36),
"EXPOSED_SERVICE_TYPE" DECIMAL(10,0),
"EXPOSED_PROCESS_TYPE" DECIMAL(10,0),
"CACHED_PROCESS_VERSION_ID" CHAR(36),
"CACHED_BPD_VERSION_ID" CHAR(36),
"CACHED_REPORT_VERSION_ID" CHAR(36),
"CACHED_SCBD_VERSION_ID" CHAR(36),
"CACHED_EPV_VERSION_ID" CHAR(36),
"CACHED_UCA_VERSION_ID" CHAR(36),
"CACHED_WS_VERSION_ID" CHAR(36),
"CACHED_SLA_VERSION_ID" CHAR(36),
"CACHED_EVENT_SUB_VERSION_ID" CHAR(36),
"EVENT_SOURCE_ID" VARCHAR( 512),
"ITEM_LABEL" VARCHAR( 1020),
"ENABLED" CHAR(1) DEFAULT 'T' NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_FAVORITE ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 1000)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_FAVORITE ADD CONSTRAINT "EVENT_SOURCE_ID" CHECK (CHARACTER_LENGTH("EVENT_SOURCE_ID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_FAVORITE ADD CONSTRAINT "ITEM_LABEL" CHECK (CHARACTER_LENGTH("ITEM_LABEL",CODEUNITS16) <= 255)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.BPM_USR_AVATAR (
"USER_ID" DECIMAL(12,0) NOT NULL,
"USER_AVATAR_IMAGE" BLOB(2G)
)
;

CREATE TABLE @SCHEMA@.BPM_USR_RUNTIME_PROPS (
"USER_ID" DECIMAL(12,0) NOT NULL,
"USER_NAME" VARCHAR( 256) NOT NULL,
"ONLINE_STATUS" CHAR(1) DEFAULT 'F',
"ONLINE_SERVER_ID" VARCHAR( 1020)
)
;


ALTER TABLE @SCHEMA@.BPM_USR_RUNTIME_PROPS ADD CONSTRAINT "USER_NAME" CHECK (CHARACTER_LENGTH("USER_NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.BPM_USR_RUNTIME_PROPS ADD CONSTRAINT "ONLINE_SERVER_ID" CHECK (CHARACTER_LENGTH("ONLINE_SERVER_ID",CODEUNITS16) <= 255)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_SNAPSHOT (
"SNAPSHOT_ID" CHAR(36) NOT NULL,
"REPOSITORY_BRANCH_ID" CHAR(36),
"CREATED_BY_USER_ID" DECIMAL(12,0) NOT NULL,
"CREATED_ON" TIMESTAMP NOT NULL,
"NAME" VARCHAR( 512),
"ACRONYM" VARCHAR( 256) NOT NULL,
"DESCRIPTION" CLOB(2G),
"BRANCH_ID" CHAR(36) NOT NULL,
"PROJECT_ID" CHAR(36) NOT NULL,
"SEQ_NUM" DECIMAL(19,0) NOT NULL,
"IS_ACTIVE" CHAR(1) DEFAULT 'T' NOT NULL,
"IS_BLA_ACTIVE" CHAR(1) DEFAULT 'F' NOT NULL,
"IS_STARTED" CHAR(1) DEFAULT 'F' NOT NULL,
"IS_INSTALLED" CHAR(1) DEFAULT 'F' NOT NULL,
"IS_BLA_INSTALLED" CHAR(1) DEFAULT 'F' NOT NULL,
"IS_TIP_DEPLOYED" CHAR(1) DEFAULT 'F' NOT NULL,
"IS_DEFAULT" CHAR(1) DEFAULT 'F' NOT NULL,
"ERROR_COUNTER" DECIMAL(8,0),
"CHANGE_DATA" BLOB(2G),
"TIP_DEPLOYMENT_IN_PROGRESS" CHAR(1) DEFAULT 'F' NOT NULL,
"ORIG_CREATED_ON" TIMESTAMP NOT NULL,
"ACTIVATED_ON" TIMESTAMP,
"STATUS" VARCHAR( 256) DEFAULT 'New' NOT NULL,
"CAPABILITY" CHAR(1),
"IS_ARCHIVED" CHAR(1) DEFAULT 'F',
"ARCHIVED_ON" TIMESTAMP,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_SNAPSHOT ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_SNAPSHOT ADD CONSTRAINT "ACRONYM" CHECK (CHARACTER_LENGTH("ACRONYM",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_SNAPSHOT ADD CONSTRAINT "STATUS" CHECK (CHARACTER_LENGTH("STATUS",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_BRANCH (
"BRANCH_ID" CHAR(36) NOT NULL,
"CREATED_BY_USER_ID" DECIMAL(12,0) NOT NULL,
"CREATED_ON" TIMESTAMP NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL,
"IS_ARCHIVED" CHAR(1) DEFAULT 'F',
"ARCHIVED_ON" TIMESTAMP,
"NAME" VARCHAR( 256) NOT NULL,
"ACRONYM" VARCHAR( 256) NOT NULL,
"DESCRIPTION" CLOB(2G),
"TIP_SEQ_NUM" DECIMAL(19,0) NOT NULL,
"TIP_SNAPSHOT_ID" CHAR(36),
"IS_DEFAULT" CHAR(1) DEFAULT 'F' NOT NULL,
"PROJECT_ID" CHAR(36) NOT NULL,
"BASE_SNAPSHOT_ID" CHAR(36)
)
;


ALTER TABLE @SCHEMA@.LSW_BRANCH ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_BRANCH ADD CONSTRAINT "ACRONYM" CHECK (CHARACTER_LENGTH("ACRONYM",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_PROJECT (
"PROJECT_ID" CHAR(36) NOT NULL,
"CREATED_BY_USER_ID" DECIMAL(12,0) NOT NULL,
"CREATED_ON" TIMESTAMP NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL,
"IS_ARCHIVED" CHAR(1) DEFAULT 'F',
"ARCHIVED_ON" TIMESTAMP,
"NAME" VARCHAR( 256) NOT NULL,
"DESCRIPTION" CLOB(2G),
"SHORT_NAME" VARCHAR( 256) NOT NULL,
"RELEASE_PROCESS_ID" CHAR(36),
"RELEASE_PROCESS_BRANCH_ID" CHAR(36),
"IS_TOOLKIT" CHAR(1) DEFAULT 'F' NOT NULL,
"IS_BRANCHING_ENABLED" CHAR(1) DEFAULT 'F' NOT NULL,
"IS_HIDDEN" CHAR(1) DEFAULT 'F' NOT NULL,
"IS_SYSTEM" CHAR(1) DEFAULT 'F' NOT NULL,
"IS_IMMUTABLE" CHAR(1) DEFAULT 'F' NOT NULL,
"IS_SHARED" CHAR(1) DEFAULT 'F' NOT NULL,
"SHARED_BY_USER_ID" DECIMAL(12,0),
"SHARED_ON" TIMESTAMP,
"IS_GOVERNED" CHAR(1) DEFAULT 'F' NOT NULL,
"IS_GOVERNANCE" CHAR(1) DEFAULT 'F' NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_PROJECT ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_PROJECT ADD CONSTRAINT "SHORT_NAME" CHECK (CHARACTER_LENGTH("SHORT_NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_PO_VERSIONS (
"VERSION_SUMMARY_ID" CHAR(36) NOT NULL,
"START_SEQ_NUM" DECIMAL(19,0) NOT NULL,
"END_SEQ_NUM" DECIMAL(19,0) NOT NULL,
"BRANCH_ID" CHAR(36) NOT NULL,
"PO_TYPE" DECIMAL(8,0) NOT NULL,
"PO_ID" CHAR(36) NOT NULL,
"PO_ROOT_ID" CHAR(36) NOT NULL,
"PO_GUID" VARCHAR( 512),
"PO_VERSION_ID" CHAR(36) NOT NULL,
"PO_ORIG_VERSION_ID" CHAR(36),
"PO_NAME" VARCHAR( 256),
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0),
"LAST_MODIFIED" TIMESTAMP,
"ORIG_LAST_MODIFIED_BY_USER" VARCHAR( 200),
"ORIG_LAST_MODIFIED" TIMESTAMP,
"PO_DATA" BLOB(2G),
"VALID_STATE" DECIMAL(1,0),
"VALIDATION_ERRS" BLOB(2G)
)
;


ALTER TABLE @SCHEMA@.LSW_PO_VERSIONS ADD CONSTRAINT "PO_GUID" CHECK (CHARACTER_LENGTH("PO_GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_PO_VERSIONS ADD CONSTRAINT "PO_NAME" CHECK (CHARACTER_LENGTH("PO_NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_PO_VERSIONS ADD CONSTRAINT "ORIG_LAST_MODIFIED_BY_USER" CHECK (CHARACTER_LENGTH("ORIG_LAST_MODIFIED_BY_USER",CODEUNITS16) <= 50)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_PO_METADATA (
"START_SEQ_NUM" DECIMAL(19,0) NOT NULL,
"END_SEQ_NUM" DECIMAL(19,0) NOT NULL,
"BRANCH_ID" CHAR(36) NOT NULL,
"PO_TYPE" DECIMAL(8,0) NOT NULL,
"PO_ID" CHAR(36) NOT NULL,
"META_KEY" VARCHAR( 512) NOT NULL,
"PO_DATA" BLOB(2G)
)
;


ALTER TABLE @SCHEMA@.LSW_PO_METADATA ADD CONSTRAINT "META_KEY" CHECK (CHARACTER_LENGTH("META_KEY",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_PROJECT_DEPENDENCY (
"PROJECT_DEPENDENCY_ID" CHAR(36) NOT NULL,
"TARGET_SNAPSHOT_ID" CHAR(36) NOT NULL,
"LATEST_SNAPSHOT_SEQ_NUM" DECIMAL(19,0),
"VERSION_ID" CHAR(36) NOT NULL,
"IS_SYSTEM" CHAR(1) DEFAULT 'F' NOT NULL,
"NAME" VARCHAR( 256),
"RANK" DECIMAL(12,0),
"DESCRIPTION" CLOB(2G),
"IS_ACTIVE" CHAR(1) DEFAULT 'T' NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_PROJECT_DEPENDENCY ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_DEP_PATH (
"DEP_PATH_ID" DECIMAL(19,0) NOT NULL,
"IDX" DECIMAL(6,0) NOT NULL,
"COUNT" DECIMAL(6,0) NOT NULL,
"HASH" DECIMAL(12,0) NOT NULL,
"DEPENDENCY_ID" CHAR(36) NOT NULL
)
;

CREATE TABLE @SCHEMA@.LSW_PO_REFERENCE (
"REFERENCE_ID" CHAR(36) NOT NULL,
"START_SEQ_NUM" DECIMAL(19,0) NOT NULL,
"END_SEQ_NUM" DECIMAL(19,0) NOT NULL,
"BRANCH_ID" CHAR(36) NOT NULL,
"DEP_PATH_ID" DECIMAL(19,0) NOT NULL,
"TARGET_TYPE" DECIMAL(8,0) NOT NULL,
"TARGET_ID" CHAR(36) NOT NULL,
"TARGET_SUMMARY_DATA" BLOB(2G)
)
;

CREATE TABLE @SCHEMA@.LSW_PO_DEPENDENCY (
"START_SEQ_NUM" DECIMAL(19,0) NOT NULL,
"END_SEQ_NUM" DECIMAL(19,0) NOT NULL,
"SOURCE_TYPE" DECIMAL(4,0) NOT NULL,
"BRANCH_ID" CHAR(36) NOT NULL,
"SOURCE_ID" CHAR(36) NOT NULL,
"SOURCE_LOCATION" VARCHAR( 4096) NOT NULL,
"TARGET_REF" CHAR(36) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_PO_DEPENDENCY ADD CONSTRAINT "SOURCE_LOCATION" CHECK (CHARACTER_LENGTH("SOURCE_LOCATION",CODEUNITS16) <= 1024)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_RT_REFERENCE (
"REFERENCE_ID" DECIMAL(19,0) NOT NULL,
"DEP_PATH_ID" DECIMAL(19,0) NOT NULL,
"PO_TYPE" DECIMAL(8,0) NOT NULL,
"PO_ID" CHAR(36) NOT NULL
)
;

CREATE TABLE @SCHEMA@.LSW_WEB_SERVICE (
"WEB_SERVICE_ID" CHAR(36) NOT NULL,
"IS_PROTECTED" CHAR(1),
"NAME" VARCHAR( 256) NOT NULL,
"DESCRIPTION" CLOB(2G),
"TARGET_NAMESPACE_SCHEME" VARCHAR( 256),
"TARGET_NAMESPACE" VARCHAR( 2048),
"POLICY_SET" VARCHAR( 2048),
"POLICY_BINDING" VARCHAR( 2048),
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_WEB_SERVICE ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_WEB_SERVICE ADD CONSTRAINT "TARGET_NAMESPACE_SCHEME" CHECK (CHARACTER_LENGTH("TARGET_NAMESPACE_SCHEME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_WEB_SERVICE ADD CONSTRAINT "TARGET_NAMESPACE" CHECK (CHARACTER_LENGTH("TARGET_NAMESPACE",CODEUNITS16) <= 512)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_WEB_SERVICE ADD CONSTRAINT "POLICY_SET" CHECK (CHARACTER_LENGTH("POLICY_SET",CODEUNITS16) <= 512)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_WEB_SERVICE ADD CONSTRAINT "POLICY_BINDING" CHECK (CHARACTER_LENGTH("POLICY_BINDING",CODEUNITS16) <= 512)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_WEB_SERVICE ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_WEB_SERVICE_OP (
"WEB_SERVICE_OP_ID" CHAR(36) NOT NULL,
"WEB_SERVICE_ID" CHAR(36) NOT NULL,
"SEQ" DECIMAL(12,0) NOT NULL,
"PROCESS_REF" CHAR(36) NOT NULL,
"IS_PROTECTED" CHAR(1),
"NAME" VARCHAR( 256) NOT NULL,
"DESCRIPTION" CLOB(2G),
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_WEB_SERVICE_OP ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_WEB_SERVICE_OP ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.BPM_ASSET_CACHE_STATUS (
"ASSET_ID" VARCHAR(60) NOT NULL,
"CONTAINER_ID" CHAR(36) NOT NULL,
"SESSION_ID" VARCHAR(36),
"CLIENT_ID" VARCHAR(36),
"LATEST_SNAPSHOT_ID" VARCHAR(100),
"LATEST_BATCH_NO_IN_SNAPSHOT" DECIMAL(19,0),
"LATEST_BATCH_NO" DECIMAL(19,0) NOT NULL,
"CORRUPTED_BATCH_NO" DECIMAL(19,0),
"USER_ID" VARCHAR( 400) NOT NULL,
"LOCK_STATUS" CHAR(1) DEFAULT 'F',
"LOCKED_ON" TIMESTAMP,
"LAST_MODIFIED_ON" TIMESTAMP NOT NULL,
"FIELD1" VARCHAR(128),
"FIELD2" VARCHAR(128),
"FIELD3" DECIMAL(19,0)
)
;

CREATE TABLE @SCHEMA@.BPM_ASSET_CACHE_SAVE_INSTR (
"ASSET_ID" VARCHAR(60) NOT NULL,
"ROOT_ID" VARCHAR(60) NOT NULL,
"CONTAINER_ID" CHAR(36) NOT NULL,
"BATCH_NO" DECIMAL(19,0) NOT NULL,
"DATA_SEQ" DECIMAL(3,0) NOT NULL,
"DATA" VARCHAR( 16000),
"SNAPSHOT_ID" VARCHAR(100),
"SNAPSHOT_SEQ" DECIMAL(19,0) DEFAULT 0,
"USER_ID" VARCHAR( 400) NOT NULL,
"PENDING_SUMMARY" CHAR(1) DEFAULT 'F',
"BAD_BATCH" CHAR(1) DEFAULT 'F',
"MODIFIED_ON" TIMESTAMP NOT NULL,
"BASE_BATCH_NO" DECIMAL(19,0),
"CLIENT_ID" VARCHAR(36),
"FIELD1" VARCHAR(128),
"FIELD2" VARCHAR(128),
"FIELD3" DECIMAL(19,0)
)
;

CREATE TABLE @SCHEMA@.BPM_ASSET_CACHE_SAVE_INSTR_BK (
"ASSET_ID" VARCHAR(60) NOT NULL,
"ROOT_ID" VARCHAR(60) NOT NULL,
"CONTAINER_ID" CHAR(36) NOT NULL,
"BATCH_NO" DECIMAL(19,0) NOT NULL,
"DATA_SEQ" DECIMAL(3,0) NOT NULL,
"DATA" VARCHAR( 16000),
"SNAPSHOT_ID" VARCHAR(100),
"SNAPSHOT_SEQ" DECIMAL(19,0) DEFAULT 0,
"USER_ID" VARCHAR( 400) NOT NULL,
"PENDING_SUMMARY" CHAR(1) DEFAULT 'F',
"BAD_BATCH" CHAR(1) DEFAULT 'F',
"MODIFIED_ON" TIMESTAMP NOT NULL,
"BASE_BATCH_NO" DECIMAL(19,0),
"CLIENT_ID" VARCHAR(36),
"FIELD1" VARCHAR(128),
"FIELD2" VARCHAR(128),
"FIELD3" DECIMAL(19,0)
)
;

CREATE TABLE @SCHEMA@.BPM_ASSET_CACHE_SAVE_LOCK (
"ASSET_ID" VARCHAR(60) NOT NULL,
"CONTAINER_ID" CHAR(36) NOT NULL,
"FIELD1" VARCHAR(128),
"FIELD2" VARCHAR(128),
"FIELD3" DECIMAL(19,0)
)
;

CREATE TABLE @SCHEMA@.BPM_ASSET_CACHE_REPO_LOCK (
"ASSET_ID" VARCHAR(60) NOT NULL,
"CONTAINER_ID" CHAR(36) NOT NULL,
"USER_ID" VARCHAR( 400) NOT NULL,
"LOCK_STATUS" CHAR(1) DEFAULT 'F',
"LOCKED_ON" TIMESTAMP NOT NULL,
"FIELD1" VARCHAR(128),
"FIELD2" VARCHAR(128),
"FIELD3" DECIMAL(19,0)
)
;

CREATE TABLE @SCHEMA@.BPM_ASSET (
"ASSET_ID" CHAR(36) NOT NULL,
"ASSET_TYPE" DECIMAL(3,0) NOT NULL,
"ASSET_SUB_TYPE" DECIMAL(3,0) DEFAULT 0,
"NAMESPACE" VARCHAR(1024),
"IS_READ_ONLY" CHAR(1) DEFAULT 'F' NOT NULL,
"VISIBILITY_LEVEL" DECIMAL(2,0) DEFAULT 99 NOT NULL,
"DATA" BLOB(2G) NOT NULL,
"DESCRIPTION" CLOB(2G),
"NAME" VARCHAR( 256) NOT NULL,
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"FIELD1" VARCHAR(128),
"FIELD2" VARCHAR(128),
"FIELD3" DECIMAL(19,0),
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;

CREATE TABLE @SCHEMA@.BPM_ASSET_CACHE_CONTENT (
"VERSION_CONTEXT" VARCHAR(100) NOT NULL,
"ASSET_ID" CHAR(36) NOT NULL,
"CACHE_KEY" CHAR(36) NOT NULL,
"CONTAINER_ID" CHAR(36) NOT NULL,
"DATA_TYPE" CHAR(1) DEFAULT 'X' NOT NULL,
"DATA" BLOB(2G) NOT NULL,
"CACHED_ON" TIMESTAMP NOT NULL,
"FIELD1" VARCHAR(128),
"FIELD2" VARCHAR(128),
"FIELD3" DECIMAL(19,0)
)
;

CREATE TABLE @SCHEMA@.LSW_EXTENDED_PROPERTY_SET (
"EXTENDED_PROPERTY_SET_ID" CHAR(36) NOT NULL,
"NAME" VARCHAR( 256) NOT NULL,
"DESCRIPTION" CLOB(2G),
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_EXTENDED_PROPERTY_SET ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_EXTENDED_PROPERTY_SET ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;

CREATE TABLE @SCHEMA@.LSW_EXTENDED_PROPERTY (
"EXTENDED_PROPERTY_ID" CHAR(36) NOT NULL,
"EXTENDED_PROPERTY_SET_ID" CHAR(36) NOT NULL,
"NAME" VARCHAR( 256) NOT NULL,
"DESCRIPTION" CLOB(2G),
"GUID" VARCHAR( 512) NOT NULL,
"VERSION_ID" CHAR(36) NOT NULL,
"LAST_MODIFIED" TIMESTAMP NOT NULL,
"LAST_MODIFIED_BY_USER_ID" DECIMAL(12,0) NOT NULL
)
;


ALTER TABLE @SCHEMA@.LSW_EXTENDED_PROPERTY ADD CONSTRAINT "NAME" CHECK (CHARACTER_LENGTH("NAME",CODEUNITS16) <= 64)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_EXTENDED_PROPERTY ADD CONSTRAINT "GUID" CHECK (CHARACTER_LENGTH("GUID",CODEUNITS16) <= 128)  ENFORCED ENABLE QUERY OPTIMIZATION

;


ALTER TABLE @SCHEMA@.LSW_METRIC ADD CONSTRAINT LSWC_METRIC_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.LSW_SLA ADD CONSTRAINT LSWC_SLA_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.LSW_SIM_SCENARIO ADD CONSTRAINT LSWC_SIM_SCEN_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.LSW_HIST_SCENARIO ADD CONSTRAINT LSWC_HIST_SCEN_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.BPM_EVENT_SUBSCRIPTION ADD CONSTRAINT BPM_EVENT_SUBSCRIPTION_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.BPM_EVENT_SUBSCRIPTION_TYPE ADD CONSTRAINT LSWC_BPM_EVT_SUBN_TYPE_PK
    PRIMARY KEY("EVENT_SUBSCRIPTION_TYPE_ID")

;


ALTER TABLE @SCHEMA@.LSW_STAY_ON_PAGE ADD CONSTRAINT BPM_STAY_ON_PAGE_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.BPM_PROC_ARTIFACT_REF ADD CONSTRAINT BPM_PAREF_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.BPM_CLS_ARTIFACT_REF ADD CONSTRAINT BPM_CAREF_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.BPM_BPD_ARTIFACT_REF ADD CONSTRAINT BPM_BAREF_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.LSW_BPD ADD CONSTRAINT LSWC_BPD_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.LSW_BPD_EVENT ADD CONSTRAINT LSWC_BPD_EVENT_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.LSW_BPD_PARAMETER ADD CONSTRAINT LSWC_BPD_PARM_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.BPM_SHARED_OBJECT ADD CONSTRAINT BPM_SHARED_OBJECT_PK
    PRIMARY KEY("DEFINITION_VERSION_ID")

;


ALTER TABLE @SCHEMA@.BPM_SHARED_OBJECT_INSTANCE ADD CONSTRAINT BPM_SHARED_OBJECT_INSTANCE_PK
    PRIMARY KEY("INSTANCE_VERSION_ID")

;


ALTER TABLE @SCHEMA@.BPM_SHARED_OBJECT_VALUE ADD CONSTRAINT BPM_SHARED_OBJECT_VALUE_PK
    PRIMARY KEY("VALUE_ID")

;


ALTER TABLE @SCHEMA@.BPM_COACH_VIEW ADD CONSTRAINT BPM_CH_VIEW_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.BPM_COACH_VIEW_LOCAL_RES ADD CONSTRAINT BPM_VIEW_LOC_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.BPM_COACH_VIEW_BINDING_TYPE ADD CONSTRAINT BPM_VIEW_BIND_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.BPM_COACH_VIEW_CONFIG_OPTION ADD CONSTRAINT BPM_VIEW_CONFIG_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.BPM_COACH_VIEW_RESOURCE ADD CONSTRAINT BPM_VIEW_RES_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.BPM_COACH_VIEW_INLINE_SCRIPT ADD CONSTRAINT BPM_VIEW_SCRIPT_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.BPM_COACH_VIEW_AMD_DEP ADD CONSTRAINT BPM_VIEW_AMD_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.BPM_COACHNG ADD CONSTRAINT BPM_COACHNG_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.BPM_COACHNG_BOUNDARY_EVENT ADD CONSTRAINT BPM_COACHNG_BE_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.LSW_COACH ADD CONSTRAINT LSWC_COACH_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.LSW_COACH_BUTTON ADD CONSTRAINT LSWC_COACH_BTN_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.LSW_COACH_RESOURCE ADD CONSTRAINT LSWC_COACH_RES_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.LSW_INFOPATH_FORM ADD CONSTRAINT LSWC_INFOPATHF_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.LSW_EM_TASK ADD CONSTRAINT LSWC_EM_TASK_PK
    PRIMARY KEY("TASK_ID")

;


ALTER TABLE @SCHEMA@.LSW_EM_TASK_KEYWORDS ADD CONSTRAINT LSWC_EM_KEYWORD_PK
    PRIMARY KEY("TASK_ID","KEYWORD")

;


ALTER TABLE @SCHEMA@.LSW_EM_INSTANCE ADD CONSTRAINT LSWC_EM_INST_PK
    PRIMARY KEY("OWNER_ID")

;


ALTER TABLE @SCHEMA@.LSW_EM_TASK_HISTORY ADD CONSTRAINT LSWC_TASK_HIST_PK
    PRIMARY KEY("TASK_ID","EXECUTION_ATTEMPT")

;


ALTER TABLE @SCHEMA@.LSW_UCA_SYNC_QUEUE ADD CONSTRAINT LSWC_SYNCQUEUE_PK
    PRIMARY KEY("SYNC_QUEUE_ID")

;


ALTER TABLE @SCHEMA@.LSW_ENV_VAR_SET ADD CONSTRAINT LSWC_ENV_VARS_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.LSW_ENV_VAR ADD CONSTRAINT LSWC_ENV_VAR_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.LSW_ENV_VAR_VAL ADD CONSTRAINT LSWC_E_VAR_VAL_PK
    PRIMARY KEY("ENV_VAR_VAL_ID")

;


ALTER TABLE @SCHEMA@.LSW_ENV_TYPE ADD CONSTRAINT LSWC_ENV_TYPE_PK
    PRIMARY KEY("ENV_TYPE_ID")

;


ALTER TABLE @SCHEMA@.LSW_ENV_VAR_TYPE ADD CONSTRAINT LSWC_ENV_VART_PK
    PRIMARY KEY("ENV_VAR_TYPE_ID")

;


ALTER TABLE @SCHEMA@.LSW_ENV_VAR_DEFAULT ADD CONSTRAINT LSWC_ENV_DFLT_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.LSW_EPV ADD CONSTRAINT LSWC_EPV_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.LSW_EPV_VAR ADD CONSTRAINT LSWC_EPV_VAR_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.LSW_EPV_VAR_VALUE ADD CONSTRAINT LSWC_EPV_VAL_PK
    PRIMARY KEY("EPV_VAR_VALUE_ID")

;


ALTER TABLE @SCHEMA@.LSW_BLUEPRINT_SUBSCRIPTION ADD CONSTRAINT LSWC_BPS_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.LSW_EXTACT_PARAMETER ADD CONSTRAINT LSWC_EA_PARAM_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.LSW_EXTACT_PROPERTY ADD CONSTRAINT LSWC_EA_PROP_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.LSW_EXTERNAL_ACTIVITY ADD CONSTRAINT LSWC_EXT_ACT_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.LSW_MANAGED_ASSET ADD CONSTRAINT LSWC_MGD_ASSET_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.LSW_MANAGED_ASSET_DATA ADD CONSTRAINT LSWC_ASSET_DATA_PK
    PRIMARY KEY("ASSET_DATA_ID")

;


ALTER TABLE @SCHEMA@.BPM_CONTRIBUTION ADD CONSTRAINT BPM_NODE_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.BPM_CTRB_PROPERTY ADD CONSTRAINT BPM_CPRP_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.BPM_CTRB_DEPENDENCY ADD CONSTRAINT BPM_CDEP_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.BPM_ARTIFACT ADD CONSTRAINT BPM_NPRP_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.BPM_ARTIFACT_DATA ADD CONSTRAINT BPM_ART_DATA_PK
    PRIMARY KEY("ART_DATA_ID")

;


ALTER TABLE @SCHEMA@.BPM_MON_MODEL_DATA ADD CONSTRAINT BPM_MMDATA_PK
    PRIMARY KEY("MM_ID")

;


ALTER TABLE @SCHEMA@.LSW_SAVED_SEARCHES ADD CONSTRAINT LSWC_SAV_SRCH_PK
    PRIMARY KEY("SEARCH_ID")

;


ALTER TABLE @SCHEMA@.LSW_INSTALLATION ADD CONSTRAINT LSWC_INSTALL_PK
    PRIMARY KEY("INSTALLATION_ID")

;


ALTER TABLE @SCHEMA@.LSW_RELEASE ADD CONSTRAINT LSWC_RELEASE_PK
    PRIMARY KEY("RELEASE_ID")

;


ALTER TABLE @SCHEMA@.LSW_USER_FAVORITE ADD CONSTRAINT LSWC_USER_FAV_PK
    PRIMARY KEY("FAVORITE_ID")

;


ALTER TABLE @SCHEMA@.LSW_SMART_FOLDER ADD CONSTRAINT LSWC_SF_PK
    PRIMARY KEY("SMART_FOLDER_ID")

;


ALTER TABLE @SCHEMA@.LSW_CA_TEMPLATE ADD CONSTRAINT LSWC_TEMPLATE_PK
    PRIMARY KEY("ID")

;


ALTER TABLE @SCHEMA@.LSW_LAUNCHER ADD CONSTRAINT LSWC_LAUNCHER_PK
    PRIMARY KEY("LAUNCHER_ID")

;


ALTER TABLE @SCHEMA@.LSW_BREAKPOINT ADD CONSTRAINT LSWC_BRKPNT_PK
    PRIMARY KEY("BREAKPOINT_ID")

;


ALTER TABLE @SCHEMA@.BPM_OSLC_PROVIDER ADD CONSTRAINT LSWC_OSLC_PROVIDER
    PRIMARY KEY("PROVIDER_ID")

;


ALTER TABLE @SCHEMA@.LSW_CLASS ADD CONSTRAINT LSWC_CLASS_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.LSW_LAYOUT ADD CONSTRAINT LSWC_LAYOUT_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.LSW_LAYOUT_PARAM ADD CONSTRAINT LSWC_LOUT_PRM_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.LSW_PROJECT_DEFAULTS ADD CONSTRAINT LSWC_PRJ_DFTS_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.LSW_RESOURCE_BUNDLE_GROUP ADD CONSTRAINT LSWC_RBGROUP_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.LSW_RESOURCE_BUNDLE ADD CONSTRAINT LSWC_RBUNDLE_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.LSW_RESOURCE_BUNDLE_KEY ADD CONSTRAINT LSWC_RBKEY_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.LSW_SCRIPT ADD CONSTRAINT LSWC_SCRIPT_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.LSW_SERVER ADD CONSTRAINT LSWC_SERVER_PK
    PRIMARY KEY("SERVER_ID")

;


ALTER TABLE @SCHEMA@.LSW_DEPLOYMENT ADD CONSTRAINT LSWC_DEPLOYMENT_PK
    PRIMARY KEY("DEPLOYMENT_ID")

;


ALTER TABLE @SCHEMA@.LSW_SERVER_CAPABILITY ADD CONSTRAINT LSWC_SVRCAP_PK
    PRIMARY KEY("SERVER_CAPABILITY_ID")

;


ALTER TABLE @SCHEMA@.LSW_CAPABILITY_TYPE ADD CONSTRAINT LSWC_CAP_TYPE_PK
    PRIMARY KEY("CAPABILITY_TYPE_ID")

;


ALTER TABLE @SCHEMA@.BPM_REGISTRATION ADD CONSTRAINT BPM_REGISTRATION_PK
    PRIMARY KEY("REG_ID")

;


ALTER TABLE @SCHEMA@.BPM_REPOSITORY_LOG ADD CONSTRAINT BPM_REPOSITORY_LOG_PK
    PRIMARY KEY("REPOSITORY_LOG_ID")

;


ALTER TABLE @SCHEMA@.BPM_SHARED_TK_USAGES ADD CONSTRAINT BPM_SHARED_TK_USAGES_PK
    PRIMARY KEY("SHARED_TK_USAGE_ID")

;


ALTER TABLE @SCHEMA@.BPM_SNAPSHOT_STATUS ADD CONSTRAINT BPM_SNAPSHOT_STATUS_PK
    PRIMARY KEY("STATUS_ID")

;


ALTER TABLE @SCHEMA@.BPM_PROJECT_SUBSCRIPTION ADD CONSTRAINT BPM_PROJECT_SUBSCRIPTION_PK
    PRIMARY KEY("PROJECT_SUBSCRIPTION_ID")

;


ALTER TABLE @SCHEMA@.BPM_PROJECT_SUBSCRIBED ADD CONSTRAINT BPM_PROJECT_SUBSCRIBED_PK
    PRIMARY KEY("PROJECT_SUBSCRIBED_ID")

;


ALTER TABLE @SCHEMA@.BPM_PC_IDX_ACTION ADD CONSTRAINT BPM_PC_IDX_ACTION_PK
    PRIMARY KEY("ACTION_ID")

;


ALTER TABLE @SCHEMA@.BPM_PC_INDEXER ADD CONSTRAINT BPM_PC_INDEXER_PK
    PRIMARY KEY("INDEXER_ID")

;


ALTER TABLE @SCHEMA@.BPM_GOVERNANCE_ASSIGNMENT ADD CONSTRAINT BPM_GOVERNANCE_ASSIGNMENT_PK
    PRIMARY KEY("ASSIGNMENT_ID")

;


ALTER TABLE @SCHEMA@.BPM_GOVERNANCE_EVENT ADD CONSTRAINT BPM_GOV_DEFAULTS_PK
    PRIMARY KEY("EVENT_TYPE_ID")

;


ALTER TABLE @SCHEMA@.LSW_PERF_DATA_TRANSFER ADD CONSTRAINT LSWC_PD_TRANS_PK
    PRIMARY KEY("PERF_DATA_TRANSFER_ID")

;


ALTER TABLE @SCHEMA@.LSW_TRACKING_GROUP ADD CONSTRAINT LSWC_TRCKN_GRP_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.LSW_TRACKED_VARIABLE ADD CONSTRAINT LSWC_TRCKD_VAR_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.LSW_TRACKING_POINT ADD CONSTRAINT LSWC_TRCKN_PT_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.LSW_TRACKED_VARIABLE_USE ADD CONSTRAINT LSWC_TRCK_VARU_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.LSW_TIMING_INTERVAL ADD CONSTRAINT LSWC_TMNG_INT_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.LSW_TIMING_INTERVAL_BOUND ADD CONSTRAINT LSWC_TMNG_INTB_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.BPM_ECM_CONNECTOR ADD CONSTRAINT BPMC_ECNTR_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.LSW_ILOG_DECISION ADD CONSTRAINT LSWC_ILDT_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.LSW_SCA_CONNECTOR ADD CONSTRAINT LSWC_SCNTR_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.LSW_STEP ADD CONSTRAINT LSWC_STEP_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.LSW_CONNECTOR ADD CONSTRAINT LSWC_CONNECTOR_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.LSW_IC ADD CONSTRAINT LSWC_IC_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.LSW_JAVA_CONNECTOR ADD CONSTRAINT LSWC_JCNTR_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.LSW_WS_CONNECTOR ADD CONSTRAINT LSWC_WSNTR_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.LSW_ILOG_CONNECTOR ADD CONSTRAINT LSWC_ILNTR_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.LSW_ICMCASE_CONNECTOR ADD CONSTRAINT LSWC_ICNTR_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.LSW_EPV_PROCESS_LINK ADD CONSTRAINT LSWC_EPV_PR_LK_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.LSW_RESOURCE_PROCESS_LINK ADD CONSTRAINT LSWC_RES_PR_LK_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.LSW_EXCEPTION ADD CONSTRAINT LSWC_EXCEPTION_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.LSW_EXIT_POINT ADD CONSTRAINT LSWC_EXIT_POINT_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.LSW_TASK_SENDER_FILE ADD CONSTRAINT LSWC_TS_FILE_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.LSW_TASK_SENDER_ADDR ADD CONSTRAINT LSWC_TS_ADDR_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.LSW_PROCESS_ITEM_PRE_POST ADD CONSTRAINT LSWC_PIPP_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.LSW_PROCESS_LINK ADD CONSTRAINT LSWC_PROC_LINK_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.LSW_FILE ADD CONSTRAINT LSWC_FILE_PK
    PRIMARY KEY("FILE_ID")

;


ALTER TABLE @SCHEMA@.LSW_IC_INPUT_PROPERTY ADD CONSTRAINT LSWC_IC_INPUT_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.LSW_IC_OUTPUT_PROPERTY ADD CONSTRAINT LSWC_IC_OUTPUT_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.LSW_PARAMETER_MAPPING ADD CONSTRAINT LSWC_PARAM_MAP_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.LSW_PRIORITY ADD CONSTRAINT LSW_PRIORITY_PK
    PRIMARY KEY("PRIORITY_ID")

;


ALTER TABLE @SCHEMA@.LSW_PROCESS ADD CONSTRAINT LSWC_PROCESS_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.LSW_PROCESS_ITEM ADD CONSTRAINT LSWC_PROC_ITEM_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.LSW_SUBPROCESS ADD CONSTRAINT LSWC_SUBPROCESS_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.LSW_PROCESS_LABEL ADD CONSTRAINT LSWC_PROC_LABEL_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.LSW_PROCESS_VARIABLE ADD CONSTRAINT LSWC_PROC_VAR_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.LSW_PROCESS_PARAMETER ADD CONSTRAINT LSWC_PRO_PARM_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.LSW_SWITCH ADD CONSTRAINT LSWC_SWITCH_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.LSW_SWITCH_CONDITION ADD CONSTRAINT LSWC_SWITCH_CON_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.LSW_TASK_SENDER ADD CONSTRAINT LSWC_TASK_SEND_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.LSW_TASK_SENDER_EXVAR ADD CONSTRAINT LSWC_TS_EXVAR_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.LSW_REPORT ADD CONSTRAINT LSWC_REP_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.LSW_REPORT_EPV_LINK ADD CONSTRAINT LSWC_REP_EPV_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.LSW_REPORT_RBG_LINK ADD CONSTRAINT LSWC_REP_RBG_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.LSW_REPORT_DATASOURCE ADD CONSTRAINT LSWC_REP_DS_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.LSW_REPORT_TG_LINK ADD CONSTRAINT LSWC_REP_TG_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.LSW_REPORT_PAGE ADD CONSTRAINT LSWC_REP_PAGE_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.LSW_REPORT_CHART ADD CONSTRAINT LSWC_REP_CHRT_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.LSW_REPORT_VARIABLES ADD CONSTRAINT LSWC_REP_VAR_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.LSW_REPORT_DATASOURCE_IC_LINK ADD CONSTRAINT LSWC_REP_DSL_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.LSW_REPORT_DATASOURCE_SRV_LINK ADD CONSTRAINT LSWC_REP_DSSL_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.LSW_REPORT_DS_LAYOUT_LINK ADD CONSTRAINT LSWC_REP_DSLL_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.LSW_SCBD ADD CONSTRAINT LSWC_SCBD_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.LSW_SCBD_RPT_LINK ADD CONSTRAINT LSWC_SD_RPT_LK_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.LSW_BLACKOUT_CALENDAR ADD CONSTRAINT LSWC_BLACKCAL_PK
    PRIMARY KEY("CALENDAR_ID")

;


ALTER TABLE @SCHEMA@.LSW_HOLIDAY_SCHEDULE ADD CONSTRAINT LSWC_HOLIDAY_PK
    PRIMARY KEY("HOLIDAY_ID")

;


ALTER TABLE @SCHEMA@.LSW_TIME_PERIOD ADD CONSTRAINT LSWC_TMPERIOD_PK
    PRIMARY KEY("PERIOD_ID")

;


ALTER TABLE @SCHEMA@.LSW_TIME_SCHEDULE ADD CONSTRAINT LSWC_TMSCHEDULE_PK
    PRIMARY KEY("SCHEDULE_ID")

;


ALTER TABLE @SCHEMA@.LSW_TIME_SCHEDULE_PERIOD ADD CONSTRAINT LSWC_SCHPER_PK
    PRIMARY KEY("SCHEDULE_ID","PERIOD_ID")

;


ALTER TABLE @SCHEMA@.BPM_TASK_ACTIVITY_MEASURES ADD CONSTRAINT TASK_MEASURES_PK
    PRIMARY KEY("TASK_MEASURES_ID")

;


ALTER TABLE @SCHEMA@.BPM_TASK_MARKERS ADD CONSTRAINT BPMC_TASK_MARKERS
    PRIMARY KEY("MARKER_ID")

;


ALTER TABLE @SCHEMA@.LSW_BPD_DOCUMENTS ADD CONSTRAINT LSWC_BPD_DOC_PK2
    PRIMARY KEY("DOC_ID")

;


ALTER TABLE @SCHEMA@.LSW_BPD_INSTANCE_VARIABLES ADD CONSTRAINT BPD_INST_VARS_PK
    PRIMARY KEY("BPD_INST_VARS_ID")

;


ALTER TABLE @SCHEMA@.LSW_BPD_INSTANCE ADD CONSTRAINT LSWC_BPD_INST_PK
    PRIMARY KEY("BPD_INSTANCE_ID")

;


ALTER TABLE @SCHEMA@.LSW_BPD_NOTIFICATION ADD CONSTRAINT LSWC_BPD_NTFY_PK
    PRIMARY KEY("BPD_NOTIFICATION_ID")

;


ALTER TABLE @SCHEMA@.LSW_BPD_INSTANCE_COMMENT ADD CONSTRAINT LSWC_BPD_CMT_PK
    PRIMARY KEY("COMMENT_ID")

;


ALTER TABLE @SCHEMA@.LSW_BPD_INSTANCE_DOCUMENTS ADD CONSTRAINT LSWC_BPD_DOC_PK
    PRIMARY KEY("DOC_ID")

;


ALTER TABLE @SCHEMA@.LSW_BPD_STATUS_CODES ADD CONSTRAINT LSWC_BPD_COD_PK
    PRIMARY KEY("STATUS_ID")

;


ALTER TABLE @SCHEMA@.LSW_FILE_TYPES ADD CONSTRAINT LSWC_FIL_TYP_PK
    PRIMARY KEY("FILETYPE_ID")

;


ALTER TABLE @SCHEMA@.LSW_INST_MSG_INCL ADD CONSTRAINT LSWC_MSG_INCL_PK
    PRIMARY KEY("ID")

;


ALTER TABLE @SCHEMA@.LSW_INST_MSG_EXCL ADD CONSTRAINT LSWC_MSG_EXCL_PK
    PRIMARY KEY("ID")

;


ALTER TABLE @SCHEMA@.LSW_RUNTIME_ERROR ADD CONSTRAINT LSWC_ERROR_PK
    PRIMARY KEY("ERROR_ID")

;


ALTER TABLE @SCHEMA@.LSW_STORED_SYMBOL_TABLE ADD CONSTRAINT LSWC_STORED_SYMBOL_PK
    PRIMARY KEY("SYMBOL_TABLE_ID")

;


ALTER TABLE @SCHEMA@.LSW_TASK_STATUS_CODES ADD CONSTRAINT LSWC_TASK_COD_PK
    PRIMARY KEY("STATUS_ID")

;


ALTER TABLE @SCHEMA@.LSW_TASK_EXTACT_DATA ADD CONSTRAINT LSWC_TASKEXACD_PK
    PRIMARY KEY("TASK_EXTACT_DATA_ID")

;


ALTER TABLE @SCHEMA@.LSW_TASK ADD CONSTRAINT LSWC_TASK_PK
    PRIMARY KEY("TASK_ID")

;


ALTER TABLE @SCHEMA@.LSW_TASK_IPF_DATA ADD CONSTRAINT LSWC_TASKIPFD_PK
    PRIMARY KEY("TASK_INFOPATHFORM_DATA_ID")

;


ALTER TABLE @SCHEMA@.LSW_TASK_FILE ADD CONSTRAINT LSWC_TASK_FILE_PK
    PRIMARY KEY("TASK_ID","SEQ")

;


ALTER TABLE @SCHEMA@.LSW_TASK_ADDR ADD CONSTRAINT LSWC_TASK_ADDR_PK
    PRIMARY KEY("TASK_ADDR_ID")

;


ALTER TABLE @SCHEMA@.LSW_TASK_NARR ADD CONSTRAINT LSWC_TASK_NARR_PK
    PRIMARY KEY("TASK_NARR_ID")

;


ALTER TABLE @SCHEMA@.LSW_TASK_ACTION ADD CONSTRAINT LSWC_TASK_ACTN_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.LSW_TASK_EXECUTION_CONTEXT ADD CONSTRAINT LSWC_TASK_EXEC_PK
    PRIMARY KEY("TASK_EXECUTION_CONTEXT_ID")

;


ALTER TABLE @SCHEMA@.BPM_MIGRATION_STATUS ADD CONSTRAINT LSWC_MIGRATION_STATUS_PK
    PRIMARY KEY("EVENT")

;


ALTER TABLE @SCHEMA@.BPM_BPD_INSTANCE_MEASURES ADD CONSTRAINT BPMC_BPD_INSTANCE_MEASURES_PK
    PRIMARY KEY("MEASURES_ID")

;


ALTER TABLE @SCHEMA@.BPM_SYNCHRONIZE ADD CONSTRAINT LSWC_BPM_SYNCHRONIZE_PK
    PRIMARY KEY("IDENTIFIER")

;


ALTER TABLE @SCHEMA@.WL_WLSTORE ADD CONSTRAINT WLC_WLSTORE_PK
    PRIMARY KEY("ID")

;


ALTER TABLE @SCHEMA@.LSW_PRI_KEY ADD CONSTRAINT LSWC_PRI_KEY_PK
    PRIMARY KEY("TABLE_ID")

;


ALTER TABLE @SCHEMA@.LSW_SYSTEM ADD CONSTRAINT LSWC_SYSTEM_PK
    PRIMARY KEY("PROPKEY")

;


ALTER TABLE @SCHEMA@.LSW_SYSTEM_SCHEMA ADD CONSTRAINT LSWC_SYSSCHEMA_PK
    PRIMARY KEY("PROPNAME")

;


ALTER TABLE @SCHEMA@.LSW_LEGACY_ID ADD CONSTRAINT LSWC_LEGACY_ID
    PRIMARY KEY("LEGACY_ID")

;


ALTER TABLE @SCHEMA@.LSW_LOCK ADD CONSTRAINT LSWC_LOCK
    PRIMARY KEY("LOCK_ID")

;


ALTER TABLE @SCHEMA@.BPM_TASK_INDEX ADD CONSTRAINT BPM_TASK_INDEX_PK
    PRIMARY KEY("TASK_ID")

;


ALTER TABLE @SCHEMA@.BPM_TASK_INDEX_JOB ADD CONSTRAINT BPM_TASK_INDEX_JOB_PK
    PRIMARY KEY("INDEX_ID","INDEX_START_TIME")

;


ALTER TABLE @SCHEMA@.BPM_SRCH_INDEX_SCHEMA ADD CONSTRAINT BPM_SRCH_INDEX_SCHEMA_PK
    PRIMARY KEY("BPDID","FIELD_NAME")

;


ALTER TABLE @SCHEMA@.BPM_INSTANCE_INDEX ADD CONSTRAINT BPM_INSTANCE_INDEX_PK
    PRIMARY KEY("INSTANCE_ID")

;


ALTER TABLE @SCHEMA@.LSW_INVOKE_UCA ADD CONSTRAINT LSWC_INV_UCA_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.LSW_UCA ADD CONSTRAINT LSWC_UCA_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.LSW_UCA_PARM ADD CONSTRAINT LSWC_UCA_PARM_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.LSW_UCA_BLACKOUT ADD CONSTRAINT LSWC_UCA_BO_PK
    PRIMARY KEY("BLACKOUT_ID")

;


ALTER TABLE @SCHEMA@.BPM_UCA_EVENT_TYPE ADD CONSTRAINT LSWC_UCA_EVENT_TYPE_PK
    PRIMARY KEY("UCA_EVENT_TYPE_ID")

;


ALTER TABLE @SCHEMA@.LSW_USR ADD CONSTRAINT LSWC_USR_PK
    PRIMARY KEY("USER_ID")

;


ALTER TABLE @SCHEMA@.LSW_USR_XREF ADD CONSTRAINT LSWC_UXREF_PK
    PRIMARY KEY("USER_ID")

;


ALTER TABLE @SCHEMA@.LSW_USR_GRP_XREF ADD CONSTRAINT LSWC_GXREF_PK
    PRIMARY KEY("GROUP_ID")

;


ALTER TABLE @SCHEMA@.LSW_USR_GRP_MEM_XREF ADD CONSTRAINT LSWC_UGXREF_PK
    PRIMARY KEY("GROUP_ID","USER_ID")

;


ALTER TABLE @SCHEMA@.LSW_GRP_GRP_MEM_XREF ADD CONSTRAINT LSWC_GGXREF_PK
    PRIMARY KEY("GROUP_ID","CONTAINER_GROUP_ID")

;


ALTER TABLE @SCHEMA@.LSW_USR_ASSUME ADD CONSTRAINT LSWC_UA_PK
    PRIMARY KEY("USR_ASSUME_ID")

;


ALTER TABLE @SCHEMA@.LSW_ACCESS ADD CONSTRAINT LSWC_ACCESS_PK
    PRIMARY KEY("ASSUMED_USER_ID","USER_ID")

;


ALTER TABLE @SCHEMA@.LSW_DYNAMIC_GROUP ADD CONSTRAINT LSW_DGRP_PK
    PRIMARY KEY("DYNAMIC_GROUP_ID")

;


ALTER TABLE @SCHEMA@.LSW_DYNAMIC_GROUP_CONSTRAINT ADD CONSTRAINT LSW_DGRPC_PK
    PRIMARY KEY("DYNAMIC_GROUP_CONSTRAINT_ID")

;


ALTER TABLE @SCHEMA@.LSW_DYNAMIC_GROUP_DEPENDENCY ADD CONSTRAINT LSW_DGDEP_PK
    PRIMARY KEY("PARENT_GROUP_ID","CHILD_GROUP_ID")

;


ALTER TABLE @SCHEMA@.LSW_USR_ATTR ADD CONSTRAINT LSWC_USR_ATTR_PK
    PRIMARY KEY("USER_ATTR_ID")

;


ALTER TABLE @SCHEMA@.LSW_USER_ATTR_DEF_VALUES ADD CONSTRAINT U_ATTR_DEF_VAL_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.LSW_USER_ATTRIBUTE_DEF ADD CONSTRAINT LSWC_USRATTRD_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.LSW_PARTICIPANT ADD CONSTRAINT LSWC_PARTCP_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.LSW_ACL_ENTRY ADD CONSTRAINT LSWC_ACL_ENTRY_PK
    PRIMARY KEY("ACL_ENTRY_ID")

;


ALTER TABLE @SCHEMA@.LSW_FAVORITE ADD CONSTRAINT LSWC_FAV_PK
    PRIMARY KEY("FAVORITE_ID")

;


ALTER TABLE @SCHEMA@.BPM_USR_AVATAR ADD CONSTRAINT LSWC_USR_AVATAR_PK
    PRIMARY KEY("USER_ID")

;


ALTER TABLE @SCHEMA@.BPM_USR_RUNTIME_PROPS ADD CONSTRAINT BPM_USR_RT_PRPS_PK
    PRIMARY KEY("USER_ID")

;


ALTER TABLE @SCHEMA@.LSW_SNAPSHOT ADD CONSTRAINT LSWC_SNAPSHOT_PK
    PRIMARY KEY("SNAPSHOT_ID")

;


ALTER TABLE @SCHEMA@.LSW_BRANCH ADD CONSTRAINT LSWC_BRANCH_PK
    PRIMARY KEY("BRANCH_ID")

;


ALTER TABLE @SCHEMA@.LSW_PROJECT ADD CONSTRAINT LSWC_PROJECT_PK
    PRIMARY KEY("PROJECT_ID")

;


ALTER TABLE @SCHEMA@.LSW_PO_VERSIONS ADD CONSTRAINT LSWC_PO_VERSIONS
    PRIMARY KEY("PO_VERSION_ID","BRANCH_ID","VERSION_SUMMARY_ID")

;


ALTER TABLE @SCHEMA@.LSW_PROJECT_DEPENDENCY ADD CONSTRAINT LSWC_PROJ_DEP_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.LSW_DEP_PATH ADD CONSTRAINT LSWC_DEP_PATH
    PRIMARY KEY("DEP_PATH_ID","IDX")

;


ALTER TABLE @SCHEMA@.LSW_PO_REFERENCE ADD CONSTRAINT LSWC_PO_REFERENCE
    PRIMARY KEY("REFERENCE_ID","BRANCH_ID","START_SEQ_NUM")

;


ALTER TABLE @SCHEMA@.LSW_PO_DEPENDENCY ADD CONSTRAINT LSWC_PO_DEPENDENCY
    PRIMARY KEY("BRANCH_ID","START_SEQ_NUM","SOURCE_ID","SOURCE_LOCATION")

;


ALTER TABLE @SCHEMA@.LSW_RT_REFERENCE ADD CONSTRAINT LSWC_RT_REFERENCE
    PRIMARY KEY("REFERENCE_ID")

;


ALTER TABLE @SCHEMA@.LSW_WEB_SERVICE ADD CONSTRAINT LSWC_WEB_SRV_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.LSW_WEB_SERVICE_OP ADD CONSTRAINT LSWC_WEBSRV_OP_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.BPM_ASSET_CACHE_STATUS ADD CONSTRAINT BPM_ASSET_CACHE_STS_PK
    PRIMARY KEY("CONTAINER_ID","ASSET_ID")

;


ALTER TABLE @SCHEMA@.BPM_ASSET_CACHE_SAVE_INSTR ADD CONSTRAINT BPM_ASSET_SAVE_INSTR_PK
    PRIMARY KEY("CONTAINER_ID","ASSET_ID","BATCH_NO","DATA_SEQ")

;


ALTER TABLE @SCHEMA@.BPM_ASSET_CACHE_SAVE_LOCK ADD CONSTRAINT BPM_ASSET_SAVE_LOCK_PK
    PRIMARY KEY("CONTAINER_ID","ASSET_ID")

;


ALTER TABLE @SCHEMA@.BPM_ASSET_CACHE_REPO_LOCK ADD CONSTRAINT BPM_ASSET_REPO_LOCK_PK
    PRIMARY KEY("CONTAINER_ID","ASSET_ID")

;


ALTER TABLE @SCHEMA@.BPM_ASSET ADD CONSTRAINT BPM_ASSET_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.BPM_ASSET_CACHE_CONTENT ADD CONSTRAINT BPM_ASSET_CONTENT_PK
    PRIMARY KEY("VERSION_CONTEXT","CACHE_KEY","DATA_TYPE")

;


ALTER TABLE @SCHEMA@.LSW_EXTENDED_PROPERTY_SET ADD CONSTRAINT LSWC_EXTENDED_PROPERTYS_PK
    PRIMARY KEY("VERSION_ID")

;


ALTER TABLE @SCHEMA@.LSW_EXTENDED_PROPERTY ADD CONSTRAINT LSWC_EXTENDED_PROPERTY_PK
    PRIMARY KEY("VERSION_ID")

;


CREATE INDEX @SCHEMA@.LSWC_METRIC_PK3
    ON @SCHEMA@.LSW_METRIC("GUID")
    
;


CREATE INDEX @SCHEMA@.IDX_METRIC 
    ON @SCHEMA@.LSW_METRIC(
    "METRIC_ID")
    
;


CREATE INDEX @SCHEMA@.IDX_METRIC2 
    ON @SCHEMA@.LSW_METRIC(
    "NAME")
    
;


CREATE INDEX @SCHEMA@.LSWC_SLA_PK3
    ON @SCHEMA@.LSW_SLA("GUID")
    
;


CREATE INDEX @SCHEMA@.LSWC_SLA_PK4
    ON @SCHEMA@.LSW_SLA("NAME")
    
;


CREATE INDEX @SCHEMA@.LSWC_SIM_SCEN_PK3
    ON @SCHEMA@.LSW_SIM_SCENARIO("GUID")
    
;


CREATE INDEX @SCHEMA@.LSWC_SIM_SCEN_PK4
    ON @SCHEMA@.LSW_SIM_SCENARIO("NAME")
    
;


CREATE INDEX @SCHEMA@.LSWC_HIST_SCEN_PK3
    ON @SCHEMA@.LSW_HIST_SCENARIO("GUID")
    
;


CREATE INDEX @SCHEMA@.IDX_HISTSC1 
    ON @SCHEMA@.LSW_HIST_SCENARIO(
    "NAME")
    
;


CREATE INDEX @SCHEMA@.IDX_HISTSC2 
    ON @SCHEMA@.LSW_HIST_SCENARIO(
    "SCENARIO_ID")
    
;


CREATE INDEX @SCHEMA@.BPM_EVENT_SUBSCRIPTION_PK3
    ON @SCHEMA@.BPM_EVENT_SUBSCRIPTION("GUID")
    
;


CREATE INDEX @SCHEMA@.BPM_EVENT_SUBSCRIPTION_PK4
    ON @SCHEMA@.BPM_EVENT_SUBSCRIPTION("NAME")
    
;


CREATE INDEX @SCHEMA@.BPM_EVENT_SUBSCRIPTION_IDX1 
    ON @SCHEMA@.BPM_EVENT_SUBSCRIPTION(
    "EVENT_SUBSCRIPTION_TYPE_ID",
    "EVENT_TYPE",
    "OBJECT_TYPE_ID",
    "INCLUDE_SUB_TYPE")
    
;


CREATE INDEX @SCHEMA@.LSWC_BPM_EVT_SUBN_TYPE_PK4
    ON @SCHEMA@.BPM_EVENT_SUBSCRIPTION_TYPE("NAME")
    
;


CREATE INDEX @SCHEMA@.BPM_STAY_ON_PAGE_PK3
    ON @SCHEMA@.LSW_STAY_ON_PAGE("GUID")
    
;


CREATE INDEX @SCHEMA@.BPM_PAREF_PK2
    ON @SCHEMA@.BPM_PROC_ARTIFACT_REF("PROCESS_ID")
    
;


CREATE INDEX @SCHEMA@.BPM_PAREF_PK3
    ON @SCHEMA@.BPM_PROC_ARTIFACT_REF("GUID")
    
;


CREATE INDEX @SCHEMA@.BPM_PAREF_NUQ 
    ON @SCHEMA@.BPM_PROC_ARTIFACT_REF(
    "PROCESS_ID",
    "ARTIFACT_ID",
    "VERSION_ID")
    
;


CREATE INDEX @SCHEMA@.BPM_CAREF_PK2
    ON @SCHEMA@.BPM_CLS_ARTIFACT_REF("CLASS_ID")
    
;


CREATE INDEX @SCHEMA@.BPM_CAREF_PK3
    ON @SCHEMA@.BPM_CLS_ARTIFACT_REF("GUID")
    
;


CREATE INDEX @SCHEMA@.BPM_CAREF_NUQ 
    ON @SCHEMA@.BPM_CLS_ARTIFACT_REF(
    "CLASS_ID",
    "ARTIFACT_ID",
    "VERSION_ID")
    
;


CREATE INDEX @SCHEMA@.BPM_BAREF_PK2
    ON @SCHEMA@.BPM_BPD_ARTIFACT_REF("BPD_ID")
    
;


CREATE INDEX @SCHEMA@.BPM_BAREF_PK3
    ON @SCHEMA@.BPM_BPD_ARTIFACT_REF("GUID")
    
;


CREATE INDEX @SCHEMA@.BPM_BAREF_NUQ 
    ON @SCHEMA@.BPM_BPD_ARTIFACT_REF(
    "BPD_ID",
    "ARTIFACT_ID",
    "VERSION_ID")
    
;


CREATE INDEX @SCHEMA@.LSWC_BPD_PK3
    ON @SCHEMA@.LSW_BPD("GUID")
    
;


CREATE INDEX @SCHEMA@.LSWC_BPD_PK4
    ON @SCHEMA@.LSW_BPD("NAME")
    
;


CREATE INDEX @SCHEMA@.LSWC_BPD_EVNT_NUQ2 
    ON @SCHEMA@.LSW_BPD_EVENT(
    "BPD_ID")
    
;


CREATE INDEX @SCHEMA@.LSWC_BPD_EVNT_NUQ3 
    ON @SCHEMA@.LSW_BPD_EVENT(
    "CORRELATION_PARAMETER_ID")
    
;


CREATE INDEX @SCHEMA@.LSWC_BPD_EVNT_NUQ4 
    ON @SCHEMA@.LSW_BPD_EVENT(
    "BPD_EVENT_ID")
    
;


CREATE INDEX @SCHEMA@.LSWC_BPD_EVNT_NUQ5 
    ON @SCHEMA@.LSW_BPD_EVENT(
    "BPD_FLOW_OBJECT_ID")
    
;


CREATE INDEX @SCHEMA@.LSWC_BPD_EVNT_NUQ6 
    ON @SCHEMA@.LSW_BPD_EVENT(
    "BPD_OBJECT_ID")
    
;


CREATE INDEX @SCHEMA@.LSWC_BPD_PARM_PK3
    ON @SCHEMA@.LSW_BPD_PARAMETER("GUID")
    
;


CREATE INDEX @SCHEMA@.LSWC_BPD_PARM_PK4
    ON @SCHEMA@.LSW_BPD_PARAMETER("NAME")
    
;


CREATE INDEX @SCHEMA@.IDX_BPD_PARM 
    ON @SCHEMA@.LSW_BPD_PARAMETER(
    "BPD_ID",
    "SEQ")
    
;


CREATE INDEX @SCHEMA@.IDX2_BPD_PARM 
    ON @SCHEMA@.LSW_BPD_PARAMETER(
    "SEQ",
    "VERSION_ID")
    
;


CREATE INDEX @SCHEMA@.IDX3_BPD_PARM 
    ON @SCHEMA@.LSW_BPD_PARAMETER(
    "BPD_PARAMETER_ID")
    
;


ALTER TABLE @SCHEMA@.BPM_SHARED_OBJECT
    ADD CONSTRAINT BPM_SHARED_OBJECT_FK
	FOREIGN KEY("CLASS_VERSION_ID")
	REFERENCES @SCHEMA@.LSW_CLASS("VERSION_ID")
	
;


ALTER TABLE @SCHEMA@.BPM_SHARED_OBJECT
    ADD CONSTRAINT BPM_SHARED_OBJ_TO_INSTANCE
	FOREIGN KEY("BPD_INSTANCE_ID")
	REFERENCES @SCHEMA@.LSW_BPD_INSTANCE("BPD_INSTANCE_ID")
	ON DELETE CASCADE
;


ALTER TABLE @SCHEMA@.BPM_SHARED_OBJECT
    ADD CONSTRAINT BPM_SHARED_OBJ_TO_TASK
	FOREIGN KEY("TASK_ID")
	REFERENCES @SCHEMA@.LSW_TASK("TASK_ID")
	ON DELETE CASCADE
;


CREATE UNIQUE INDEX @SCHEMA@.BPM_SHARED_OBJECT_UQ
    ON @SCHEMA@.BPM_SHARED_OBJECT(
        "OBJECT_ID",
        "DEFINITION_VERSION")
    
;


CREATE INDEX @SCHEMA@.BPM_SHARED_OBJECT_IDX1 
    ON @SCHEMA@.BPM_SHARED_OBJECT(
    "TASK_ID")
    
;


CREATE INDEX @SCHEMA@.BPM_SHARED_OBJECT_INSTANCE_PK2
    ON @SCHEMA@.BPM_SHARED_OBJECT_INSTANCE("DEFINITION_VERSION_ID")
    
;


ALTER TABLE @SCHEMA@.BPM_SHARED_OBJECT_INSTANCE
    ADD CONSTRAINT BPM_SHARED_OBJECT_INSTANCE_FK
	FOREIGN KEY("DEFINITION_VERSION_ID")
	REFERENCES @SCHEMA@.BPM_SHARED_OBJECT("DEFINITION_VERSION_ID")
	ON DELETE CASCADE
;


CREATE UNIQUE INDEX @SCHEMA@.BPM_SHARED_OBJECT_INSTANCE_UQ
    ON @SCHEMA@.BPM_SHARED_OBJECT_INSTANCE(
        "DEFINITION_VERSION_ID",
        "INSTANCE_VERSION")
    
;


CREATE INDEX @SCHEMA@.BPM_SHARED_OBJECT_VALUE_PK2
    ON @SCHEMA@.BPM_SHARED_OBJECT_VALUE("INSTANCE_VERSION_ID")
    
;


ALTER TABLE @SCHEMA@.BPM_SHARED_OBJECT_VALUE
    ADD CONSTRAINT BPM_SHARED_OBJECT_VALUE_FK
	FOREIGN KEY("INSTANCE_VERSION_ID")
	REFERENCES @SCHEMA@.BPM_SHARED_OBJECT_INSTANCE("INSTANCE_VERSION_ID")
	ON DELETE CASCADE
;


CREATE INDEX @SCHEMA@.BPM_CH_VIEW_PK3
    ON @SCHEMA@.BPM_COACH_VIEW("GUID")
    
;


CREATE INDEX @SCHEMA@.BPM_CH_VIEW_PK4
    ON @SCHEMA@.BPM_COACH_VIEW("NAME")
    
;


CREATE INDEX @SCHEMA@.BPM_VIEW_LOC_PK2
    ON @SCHEMA@.BPM_COACH_VIEW_LOCAL_RES("COACH_VIEW_ID")
    
;


CREATE INDEX @SCHEMA@.BPM_VIEW_LOC_PK3
    ON @SCHEMA@.BPM_COACH_VIEW_LOCAL_RES("GUID")
    
;


CREATE INDEX @SCHEMA@.BPM_VIEW_BIND_PK2
    ON @SCHEMA@.BPM_COACH_VIEW_BINDING_TYPE("COACH_VIEW_ID")
    
;


CREATE INDEX @SCHEMA@.BPM_VIEW_BIND_PK3
    ON @SCHEMA@.BPM_COACH_VIEW_BINDING_TYPE("GUID")
    
;


CREATE INDEX @SCHEMA@.BPM_VIEW_BIND_PK4
    ON @SCHEMA@.BPM_COACH_VIEW_BINDING_TYPE("NAME")
    
;


CREATE INDEX @SCHEMA@.IDX_VIEW_BIND 
    ON @SCHEMA@.BPM_COACH_VIEW_BINDING_TYPE(
    "SEQ")
    
;


CREATE INDEX @SCHEMA@.BPM_VIEW_CONFIG_PK2
    ON @SCHEMA@.BPM_COACH_VIEW_CONFIG_OPTION("COACH_VIEW_ID")
    
;


CREATE INDEX @SCHEMA@.BPM_VIEW_CONFIG_PK3
    ON @SCHEMA@.BPM_COACH_VIEW_CONFIG_OPTION("GUID")
    
;


CREATE INDEX @SCHEMA@.BPM_VIEW_CONFIG_PK4
    ON @SCHEMA@.BPM_COACH_VIEW_CONFIG_OPTION("NAME")
    
;


CREATE INDEX @SCHEMA@.IDX_VIEW_CONFIG 
    ON @SCHEMA@.BPM_COACH_VIEW_CONFIG_OPTION(
    "SEQ")
    
;


CREATE INDEX @SCHEMA@.BPM_VIEW_RES_PK2
    ON @SCHEMA@.BPM_COACH_VIEW_RESOURCE("COACH_VIEW_ID")
    
;


CREATE INDEX @SCHEMA@.BPM_VIEW_RES_PK3
    ON @SCHEMA@.BPM_COACH_VIEW_RESOURCE("GUID")
    
;


CREATE INDEX @SCHEMA@.IDX_VIEW_RES 
    ON @SCHEMA@.BPM_COACH_VIEW_RESOURCE(
    "SEQ")
    
;


CREATE INDEX @SCHEMA@.BPM_VIEW_SCRIPT_PK2
    ON @SCHEMA@.BPM_COACH_VIEW_INLINE_SCRIPT("COACH_VIEW_ID")
    
;


CREATE INDEX @SCHEMA@.BPM_VIEW_SCRIPT_PK3
    ON @SCHEMA@.BPM_COACH_VIEW_INLINE_SCRIPT("GUID")
    
;


CREATE INDEX @SCHEMA@.BPM_VIEW_SCRIPT_PK4
    ON @SCHEMA@.BPM_COACH_VIEW_INLINE_SCRIPT("NAME")
    
;


CREATE INDEX @SCHEMA@.IDX_VIEW_SCRIPT 
    ON @SCHEMA@.BPM_COACH_VIEW_INLINE_SCRIPT(
    "SEQ")
    
;


CREATE INDEX @SCHEMA@.BPM_VIEW_AMD_PK2
    ON @SCHEMA@.BPM_COACH_VIEW_AMD_DEP("COACH_VIEW_ID")
    
;


CREATE INDEX @SCHEMA@.BPM_VIEW_AMD_PK3
    ON @SCHEMA@.BPM_COACH_VIEW_AMD_DEP("GUID")
    
;


CREATE INDEX @SCHEMA@.IDX_VIEW_AMD 
    ON @SCHEMA@.BPM_COACH_VIEW_AMD_DEP(
    "SEQ")
    
;


CREATE INDEX @SCHEMA@.BPM_COACHNG_PK3
    ON @SCHEMA@.BPM_COACHNG("GUID")
    
;


CREATE INDEX @SCHEMA@.BPM_COACHNG_BE_PK3
    ON @SCHEMA@.BPM_COACHNG_BOUNDARY_EVENT("GUID")
    
;


CREATE INDEX @SCHEMA@.IDX_COACHNG_BE 
    ON @SCHEMA@.BPM_COACHNG_BOUNDARY_EVENT(
    "COACHNG_ID",
    "SEQ")
    
;


CREATE INDEX @SCHEMA@.LSWC_COACH_PK3
    ON @SCHEMA@.LSW_COACH("GUID")
    
;


CREATE INDEX @SCHEMA@.LSWC_COACH_BTN_PK3
    ON @SCHEMA@.LSW_COACH_BUTTON("GUID")
    
;


CREATE INDEX @SCHEMA@.IDX_COACH_BTN 
    ON @SCHEMA@.LSW_COACH_BUTTON(
    "COACH_ID",
    "SEQ")
    
;


CREATE INDEX @SCHEMA@.LSWC_COACH_RES_PK3
    ON @SCHEMA@.LSW_COACH_RESOURCE("GUID")
    
;


CREATE INDEX @SCHEMA@.IDX_COACH_RES 
    ON @SCHEMA@.LSW_COACH_RESOURCE(
    "COACH_ID")
    
;


CREATE INDEX @SCHEMA@.LSWC_INFOPATHF_PK3
    ON @SCHEMA@.LSW_INFOPATH_FORM("GUID")
    
;


CREATE INDEX @SCHEMA@.IDX_INFOPATHF 
    ON @SCHEMA@.LSW_INFOPATH_FORM(
    "NAME")
    
;


CREATE UNIQUE INDEX @SCHEMA@.LSWC_EM_TASK_LOAD
    ON @SCHEMA@.LSW_EM_TASK(
        "QUEUE_ID",
        "SCHEDULED_TIME",
        "DISCRIMINATOR")
    
;


CREATE UNIQUE INDEX @SCHEMA@.LSWC_EM_KEYWORDS
    ON @SCHEMA@.LSW_EM_TASK_KEYWORDS(
        "KEYWORD",
        "TASK_ID")
    
;


CREATE UNIQUE INDEX @SCHEMA@.LSWC_EM_INST_UQ
    ON @SCHEMA@.LSW_EM_INSTANCE(
        "NAME")
    
;


CREATE UNIQUE INDEX @SCHEMA@.LSWC_SYNCQUEUE_UQ
    ON @SCHEMA@.LSW_UCA_SYNC_QUEUE(
        "DESCRIPTION")
    
;


CREATE INDEX @SCHEMA@.IDX_SYNCQUEUE 
    ON @SCHEMA@.LSW_UCA_SYNC_QUEUE(
    "QUEUE_OWNER")
    
;


CREATE INDEX @SCHEMA@.LSWC_ENV_VARS_PK3
    ON @SCHEMA@.LSW_ENV_VAR_SET("GUID")
    
;


CREATE INDEX @SCHEMA@.IDX_ENV_VARS 
    ON @SCHEMA@.LSW_ENV_VAR_SET(
    "ENV_VAR_SET_ID")
    
;


CREATE INDEX @SCHEMA@.IDX2_ENV_VARS 
    ON @SCHEMA@.LSW_ENV_VAR_SET(
    "NAME")
    
;


CREATE INDEX @SCHEMA@.LSWC_ENV_VAR_PK2
    ON @SCHEMA@.LSW_ENV_VAR("ENV_VAR_SET_ID")
    
;


CREATE INDEX @SCHEMA@.LSWC_ENV_VAR_PK3
    ON @SCHEMA@.LSW_ENV_VAR("GUID")
    
;


CREATE INDEX @SCHEMA@.LSWC_ENV_VAR_PK4
    ON @SCHEMA@.LSW_ENV_VAR("NAME")
    
;


CREATE INDEX @SCHEMA@.IDX_ENV_VAR 
    ON @SCHEMA@.LSW_ENV_VAR(
    "ENV_VAR_ID")
    
;


CREATE INDEX @SCHEMA@.LSWC_E_VAR_VAL_PK4
    ON @SCHEMA@.LSW_ENV_VAR_VAL("NAME")
    
;


ALTER TABLE @SCHEMA@.LSW_ENV_VAR_VAL
    ADD CONSTRAINT LSWC_E_VAR_VAL_FK
	FOREIGN KEY("SNAPSHOT_ID")
	REFERENCES @SCHEMA@.LSW_SNAPSHOT("SNAPSHOT_ID")
	ON DELETE CASCADE
;


CREATE INDEX @SCHEMA@.IDX_EVV_SNAP 
    ON @SCHEMA@.LSW_ENV_VAR_VAL(
    "SNAPSHOT_ID")
    
;


CREATE INDEX @SCHEMA@.LSWC_ENV_TYPE_PK4
    ON @SCHEMA@.LSW_ENV_TYPE("NAME")
    
;


CREATE INDEX @SCHEMA@.LSWC_ENV_VART_PK4
    ON @SCHEMA@.LSW_ENV_VAR_TYPE("NAME")
    
;


CREATE INDEX @SCHEMA@.LSWC_ENV_DFLT_PK2
    ON @SCHEMA@.LSW_ENV_VAR_DEFAULT("ENV_VAR_ID")
    
;


CREATE INDEX @SCHEMA@.LSWC_ENV_DFLT_PK3
    ON @SCHEMA@.LSW_ENV_VAR_DEFAULT("GUID")
    
;


ALTER TABLE @SCHEMA@.LSW_ENV_VAR_DEFAULT
    ADD CONSTRAINT LSWC_ENV_DFLT_FK
	FOREIGN KEY("ENV_TYPE_ID")
	REFERENCES @SCHEMA@.LSW_ENV_TYPE("ENV_TYPE_ID")
	
;


CREATE INDEX @SCHEMA@.IDX_ENVVARDEF 
    ON @SCHEMA@.LSW_ENV_VAR_DEFAULT(
    "ENV_VAR_ID",
    "ENV_TYPE_ID")
    
;


CREATE INDEX @SCHEMA@.LSWC_EPV_PK3
    ON @SCHEMA@.LSW_EPV("GUID")
    
;


CREATE INDEX @SCHEMA@.LSWC_EPV_PK4
    ON @SCHEMA@.LSW_EPV("NAME")
    
;


ALTER TABLE @SCHEMA@.LSW_EPV
    ADD CONSTRAINT LSWC_EPV_FK1
	FOREIGN KEY("LAST_MODIFIED_BY_USER_ID")
	REFERENCES @SCHEMA@.LSW_USR_XREF("USER_ID")
	
;


CREATE INDEX @SCHEMA@.LSWC_EPV_VAR_PK3
    ON @SCHEMA@.LSW_EPV_VAR("GUID")
    
;


CREATE INDEX @SCHEMA@.LSWC_EPV_VAR_PK4
    ON @SCHEMA@.LSW_EPV_VAR("NAME")
    
;


CREATE INDEX @SCHEMA@.IDX_EPVV_SNAP 
    ON @SCHEMA@.LSW_EPV_VAR_VALUE(
    "SNAPSHOT_ID")
    
;


CREATE INDEX @SCHEMA@.LSWC_BPS_PK3
    ON @SCHEMA@.LSW_BLUEPRINT_SUBSCRIPTION("GUID")
    
;


CREATE INDEX @SCHEMA@.LSWC_BPS_PK4
    ON @SCHEMA@.LSW_BLUEPRINT_SUBSCRIPTION("NAME")
    
;


CREATE INDEX @SCHEMA@.LSWC_EA_PARAM_PK3
    ON @SCHEMA@.LSW_EXTACT_PARAMETER("GUID")
    
;


CREATE INDEX @SCHEMA@.LSWC_EA_PARAM_PK4
    ON @SCHEMA@.LSW_EXTACT_PARAMETER("NAME")
    
;


CREATE INDEX @SCHEMA@.LSWC_EA_PROP_PK3
    ON @SCHEMA@.LSW_EXTACT_PROPERTY("GUID")
    
;


CREATE INDEX @SCHEMA@.LSWC_EA_PROP_PK4
    ON @SCHEMA@.LSW_EXTACT_PROPERTY("NAME")
    
;


CREATE INDEX @SCHEMA@.LSWC_EXT_ACT_PK3
    ON @SCHEMA@.LSW_EXTERNAL_ACTIVITY("GUID")
    
;


CREATE INDEX @SCHEMA@.IDX_EXT_ACT 
    ON @SCHEMA@.LSW_EXTERNAL_ACTIVITY(
    "NAME")
    
;


CREATE INDEX @SCHEMA@.LSWC_MGD_ASSET_PK3
    ON @SCHEMA@.LSW_MANAGED_ASSET("GUID")
    
;


CREATE INDEX @SCHEMA@.IDX1_MGDASSET 
    ON @SCHEMA@.LSW_MANAGED_ASSET(
    "NAME")
    
;


CREATE INDEX @SCHEMA@.BPM_NODE_PK3
    ON @SCHEMA@.BPM_CONTRIBUTION("GUID")
    
;


CREATE INDEX @SCHEMA@.BPM_IDX_NODE 
    ON @SCHEMA@.BPM_CONTRIBUTION(
    "CONTRIBUTION_ID")
    
;


CREATE INDEX @SCHEMA@.BPM_IDX2_NODE 
    ON @SCHEMA@.BPM_CONTRIBUTION(
    "NAME")
    
;


CREATE INDEX @SCHEMA@.BPM_IDX3_NODE 
    ON @SCHEMA@.BPM_CONTRIBUTION(
    "FILENAME")
    
;


CREATE INDEX @SCHEMA@.BPM_CPRP_PK2
    ON @SCHEMA@.BPM_CTRB_PROPERTY("CONTRIBUTION_ID")
    
;


CREATE INDEX @SCHEMA@.BPM_CPRP_PK3
    ON @SCHEMA@.BPM_CTRB_PROPERTY("GUID")
    
;


CREATE INDEX @SCHEMA@.BPM_CPRP_NUQ 
    ON @SCHEMA@.BPM_CTRB_PROPERTY(
    "CONTRIBUTION_ID",
    "VERSION_ID")
    
;


CREATE INDEX @SCHEMA@.BPM_IDX_CPRP 
    ON @SCHEMA@.BPM_CTRB_PROPERTY(
    "NAME")
    
;


CREATE INDEX @SCHEMA@.BPM_CDEP_PK2
    ON @SCHEMA@.BPM_CTRB_DEPENDENCY("CONTRIBUTION_ID")
    
;


CREATE INDEX @SCHEMA@.BPM_CDEP_PK3
    ON @SCHEMA@.BPM_CTRB_DEPENDENCY("GUID")
    
;


CREATE INDEX @SCHEMA@.BPM_CDEP_NUQ 
    ON @SCHEMA@.BPM_CTRB_DEPENDENCY(
    "CONTRIBUTION_ID",
    "VERSION_ID")
    
;


CREATE INDEX @SCHEMA@.BPM_NPRP_PK3
    ON @SCHEMA@.BPM_ARTIFACT("GUID")
    
;


CREATE INDEX @SCHEMA@.BPM_IDX_ART 
    ON @SCHEMA@.BPM_ARTIFACT(
    "ARTIFACT_ID")
    
;


CREATE INDEX @SCHEMA@.BPM_IDX2_ART 
    ON @SCHEMA@.BPM_ARTIFACT(
    "NAME")
    
;


CREATE INDEX @SCHEMA@.BPM_IDX3_ART 
    ON @SCHEMA@.BPM_ARTIFACT(
    "FULL_PATH")
    
;


CREATE UNIQUE INDEX @SCHEMA@.BPM_MMDATA_UQ
    ON @SCHEMA@.BPM_MON_MODEL_DATA(
        "NAME")
    
;


CREATE UNIQUE INDEX @SCHEMA@.IDX_USER_FAV
    ON @SCHEMA@.LSW_USER_FAVORITE(
        "USER_ID",
        "PO_ID")
    
;


CREATE INDEX @SCHEMA@.IDX_USERFAV1 
    ON @SCHEMA@.LSW_USER_FAVORITE(
    "PO_ID")
    
;


ALTER TABLE @SCHEMA@.LSW_SMART_FOLDER
    ADD CONSTRAINT LSWC_SF_SS_FK
	FOREIGN KEY("SNAPSHOT_ID")
	REFERENCES @SCHEMA@.LSW_SNAPSHOT("SNAPSHOT_ID")
	ON DELETE CASCADE
;


CREATE INDEX @SCHEMA@.LSWC_SF_NAME 
    ON @SCHEMA@.LSW_SMART_FOLDER(
    "NAME")
    
;


CREATE INDEX @SCHEMA@.LSWC_TEMPLATE_PK4
    ON @SCHEMA@.LSW_CA_TEMPLATE("NAME")
    
;


ALTER TABLE @SCHEMA@.LSW_CA_TEMPLATE_DATA
    ADD CONSTRAINT LSWC_TEMPLATE_FK
	FOREIGN KEY("ID")
	REFERENCES @SCHEMA@.LSW_CA_TEMPLATE("ID")
	
;


ALTER TABLE @SCHEMA@.LSW_LAUNCHER
    ADD CONSTRAINT LSWC_LAUNCHER_FK
	FOREIGN KEY("USER_ID")
	REFERENCES @SCHEMA@.LSW_USR_XREF("USER_ID")
	
;


CREATE UNIQUE INDEX @SCHEMA@.LSWC_NAME_UQ
    ON @SCHEMA@.LSW_LAUNCHER(
        "NAME")
    
;


CREATE INDEX @SCHEMA@.LSWC_NAME_NUQ 
    ON @SCHEMA@.LSW_LAUNCHER(
    "USER_ID")
    
;


ALTER TABLE @SCHEMA@.LSW_BREAKPOINT
    ADD CONSTRAINT LSWC_BRKPNT_FK3
	FOREIGN KEY("USER_ID")
	REFERENCES @SCHEMA@.LSW_USR_XREF("USER_ID")
	
;


CREATE INDEX @SCHEMA@.LSWC_OSLC_PROVIDER4
    ON @SCHEMA@.BPM_OSLC_PROVIDER("NAME")
    
;


CREATE INDEX @SCHEMA@.LSWC_CLASS_PK3
    ON @SCHEMA@.LSW_CLASS("GUID")
    
;


CREATE INDEX @SCHEMA@.LSW_IDX_CLASS 
    ON @SCHEMA@.LSW_CLASS(
    "CLASS_ID")
    
;


CREATE INDEX @SCHEMA@.LSW_IDX2_CLASS 
    ON @SCHEMA@.LSW_CLASS(
    "NAME")
    
;


CREATE INDEX @SCHEMA@.LSWC_LAYOUT_PK3
    ON @SCHEMA@.LSW_LAYOUT("GUID")
    
;


CREATE INDEX @SCHEMA@.LSWC_LAYOUT_PK4
    ON @SCHEMA@.LSW_LAYOUT("NAME")
    
;


CREATE INDEX @SCHEMA@.LSW_IDX_LAYOUT 
    ON @SCHEMA@.LSW_LAYOUT(
    "LAYOUT_ID")
    
;


CREATE INDEX @SCHEMA@.LSW_IDX2_LAYOUT 
    ON @SCHEMA@.LSW_LAYOUT(
    "DOCUMENT_TYPE")
    
;


CREATE INDEX @SCHEMA@.LSWC_LOUT_PRM_PK3
    ON @SCHEMA@.LSW_LAYOUT_PARAM("GUID")
    
;


CREATE INDEX @SCHEMA@.LSWC_LOUT_PRM_PK4
    ON @SCHEMA@.LSW_LAYOUT_PARAM("NAME")
    
;


CREATE INDEX @SCHEMA@.IDX_LYTPM 
    ON @SCHEMA@.LSW_LAYOUT_PARAM(
    "LAYOUT_PARAM_ID")
    
;


CREATE INDEX @SCHEMA@.IDX2_LYTPM 
    ON @SCHEMA@.LSW_LAYOUT_PARAM(
    "VERSION_ID",
    "SEQ")
    
;


CREATE INDEX @SCHEMA@.LSWC_PRJ_DFTS_PK3
    ON @SCHEMA@.LSW_PROJECT_DEFAULTS("GUID")
    
;


CREATE INDEX @SCHEMA@.LSWC_PRJ_DFTS_PK4
    ON @SCHEMA@.LSW_PROJECT_DEFAULTS("NAME")
    
;


CREATE INDEX @SCHEMA@.LSWC_RBGROUP_PK3
    ON @SCHEMA@.LSW_RESOURCE_BUNDLE_GROUP("GUID")
    
;


CREATE INDEX @SCHEMA@.LSWC_RBGROUP_PK4
    ON @SCHEMA@.LSW_RESOURCE_BUNDLE_GROUP("NAME")
    
;


CREATE INDEX @SCHEMA@.LSWC_RBUNDLE_PK2
    ON @SCHEMA@.LSW_RESOURCE_BUNDLE("RESOURCE_BUNDLE_GROUP_ID")
    
;


CREATE INDEX @SCHEMA@.LSWC_RBUNDLE_PK3
    ON @SCHEMA@.LSW_RESOURCE_BUNDLE("GUID")
    
;


CREATE INDEX @SCHEMA@.LSWC_RBKEY_PK2
    ON @SCHEMA@.LSW_RESOURCE_BUNDLE_KEY("RESOURCE_BUNDLE_ID")
    
;


CREATE INDEX @SCHEMA@.LSWC_RBKEY_PK3
    ON @SCHEMA@.LSW_RESOURCE_BUNDLE_KEY("GUID")
    
;


CREATE INDEX @SCHEMA@.LSWC_SCRIPT_PK3
    ON @SCHEMA@.LSW_SCRIPT("GUID")
    
;


CREATE INDEX @SCHEMA@.LSWC_SERVER_PK4
    ON @SCHEMA@.LSW_SERVER("NAME")
    
;


ALTER TABLE @SCHEMA@.LSW_SERVER
    ADD CONSTRAINT LSWC_INSTL_GRP_FK
	FOREIGN KEY("INSTALLER_GROUP_ID")
	REFERENCES @SCHEMA@.LSW_USR_GRP_XREF("GROUP_ID")
	
;


ALTER TABLE @SCHEMA@.LSW_DEPLOYMENT
    ADD CONSTRAINT LSWC_DEP_SS_FK
	FOREIGN KEY("SNAPSHOT_ID")
	REFERENCES @SCHEMA@.LSW_SNAPSHOT("SNAPSHOT_ID")
	ON DELETE CASCADE
;


CREATE INDEX @SCHEMA@.IDX_DPL1 
    ON @SCHEMA@.LSW_DEPLOYMENT(
    "SNAPSHOT_ID")
    
;


CREATE INDEX @SCHEMA@.IDX_DPL2 
    ON @SCHEMA@.LSW_DEPLOYMENT(
    "SERVER_ID")
    
;


ALTER TABLE @SCHEMA@.LSW_SERVER_CAPABILITY
    ADD CONSTRAINT LSWC_SVRCAP_FK1
	FOREIGN KEY("SERVER_ID")
	REFERENCES @SCHEMA@.LSW_SERVER("SERVER_ID")
	
;


CREATE INDEX @SCHEMA@.LSWC_CAP_TYPE_PK4
    ON @SCHEMA@.LSW_CAPABILITY_TYPE("NAME")
    
;


CREATE INDEX @SCHEMA@.IDX_CAPCFG_ID 
    ON @SCHEMA@.LSW_CAPABILITY_TYPE(
    "CAPABILITY_CONFIG_ID")
    
;


ALTER TABLE @SCHEMA@.LSW_DEPLOYMENT_PACKAGE
    ADD CONSTRAINT LSWC_DPLPKG_FK1
	FOREIGN KEY("SNAPSHOT_ID")
	REFERENCES @SCHEMA@.LSW_SNAPSHOT("SNAPSHOT_ID")
	ON DELETE CASCADE
;


ALTER TABLE @SCHEMA@.LSW_DEPLOYMENT_PACKAGE
    ADD CONSTRAINT LSWC_DPLPKG_FK2
	FOREIGN KEY("SERVER_ID")
	REFERENCES @SCHEMA@.LSW_SERVER("SERVER_ID")
	
;


CREATE UNIQUE INDEX @SCHEMA@.LSWC_DPLPKG_UQ
    ON @SCHEMA@.LSW_DEPLOYMENT_PACKAGE(
        "SNAPSHOT_ID",
        "SERVER_ID")
    
;


CREATE UNIQUE INDEX @SCHEMA@.PROJECT_ID_UQ
    ON @SCHEMA@.BPM_PROJECT_SUBSCRIPTION(
        "PROJECT_ID")
    
;


CREATE UNIQUE INDEX @SCHEMA@.BPM_PC_INDEXER_UC
    ON @SCHEMA@.BPM_PC_INDEXER(
        "NAME")
    
;


ALTER TABLE @SCHEMA@.BPM_GOVERNANCE_ASSIGNMENT
    ADD CONSTRAINT BPM_GOVERNANCE_ASSIGNMENT_FK1
	FOREIGN KEY("PROJECT_ID")
	REFERENCES @SCHEMA@.LSW_PROJECT("PROJECT_ID")
	ON DELETE CASCADE
;


CREATE INDEX @SCHEMA@.LSWC_PXFER_OWNER 
    ON @SCHEMA@.LSW_PERF_DATA_TRANSFER(
    "CLAIMED_BY")
    
;


CREATE INDEX @SCHEMA@.LSWC_PXFER_TIME 
    ON @SCHEMA@.LSW_PERF_DATA_TRANSFER(
    "TIME_CLAIMED")
    
;


CREATE INDEX @SCHEMA@.LSWC_TRCKN_GRP_PK3
    ON @SCHEMA@.LSW_TRACKING_GROUP("GUID")
    
;


CREATE INDEX @SCHEMA@.LSWC_TRCKN_GRP_PK4
    ON @SCHEMA@.LSW_TRACKING_GROUP("NAME")
    
;


CREATE INDEX @SCHEMA@.IDX_TRKGROUP 
    ON @SCHEMA@.LSW_TRACKING_GROUP(
    "TRACKING_GROUP_ID")
    
;


CREATE INDEX @SCHEMA@.LSWC_TRCKD_VAR_PK3
    ON @SCHEMA@.LSW_TRACKED_VARIABLE("GUID")
    
;


CREATE INDEX @SCHEMA@.LSWC_TRCKD_VAR_PK4
    ON @SCHEMA@.LSW_TRACKED_VARIABLE("NAME")
    
;


CREATE INDEX @SCHEMA@.LSW_TRKED_VAR_IDX1 
    ON @SCHEMA@.LSW_TRACKED_VARIABLE(
    "TRACKING_GROUP_ID")
    
;


CREATE INDEX @SCHEMA@.LSWC_TRCKN_PT_PK3
    ON @SCHEMA@.LSW_TRACKING_POINT("GUID")
    
;


CREATE INDEX @SCHEMA@.LSWC_TRCK_VARU_PK3
    ON @SCHEMA@.LSW_TRACKED_VARIABLE_USE("GUID")
    
;


CREATE INDEX @SCHEMA@.IDX_TRCK_VARU 
    ON @SCHEMA@.LSW_TRACKED_VARIABLE_USE(
    "TRACKING_POINT_ID")
    
;


CREATE INDEX @SCHEMA@.LSWC_TMNG_INT_PK3
    ON @SCHEMA@.LSW_TIMING_INTERVAL("GUID")
    
;


CREATE INDEX @SCHEMA@.LSWC_TMNG_INT_PK4
    ON @SCHEMA@.LSW_TIMING_INTERVAL("NAME")
    
;


CREATE INDEX @SCHEMA@.LSWC_TMNG_INTB_PK3
    ON @SCHEMA@.LSW_TIMING_INTERVAL_BOUND("GUID")
    
;


CREATE INDEX @SCHEMA@.BPMC_ECNTR_PK3
    ON @SCHEMA@.BPM_ECM_CONNECTOR("GUID")
    
;


CREATE INDEX @SCHEMA@.LSWC_ILDT_PK3
    ON @SCHEMA@.LSW_ILOG_DECISION("GUID")
    
;


CREATE INDEX @SCHEMA@.LSWC_SCNTR_PK3
    ON @SCHEMA@.LSW_SCA_CONNECTOR("GUID")
    
;


CREATE INDEX @SCHEMA@.LSWC_STEP_PK3
    ON @SCHEMA@.LSW_STEP("GUID")
    
;


CREATE INDEX @SCHEMA@.LSWC_CONNECTOR_PK3
    ON @SCHEMA@.LSW_CONNECTOR("GUID")
    
;


CREATE INDEX @SCHEMA@.LSW_IDX_CONNECTOR 
    ON @SCHEMA@.LSW_CONNECTOR(
    "CONNECTOR_ID")
    
;


CREATE INDEX @SCHEMA@.LSW_IDX2_CONNECTOR 
    ON @SCHEMA@.LSW_CONNECTOR(
    "NAME")
    
;


CREATE INDEX @SCHEMA@.LSWC_IC_PK3
    ON @SCHEMA@.LSW_IC("GUID")
    
;


CREATE INDEX @SCHEMA@.IDX_IC1 
    ON @SCHEMA@.LSW_IC(
    "NAME")
    
;


CREATE INDEX @SCHEMA@.LSWC_JCNTR_PK3
    ON @SCHEMA@.LSW_JAVA_CONNECTOR("GUID")
    
;


CREATE INDEX @SCHEMA@.LSWC_WSNTR_PK3
    ON @SCHEMA@.LSW_WS_CONNECTOR("GUID")
    
;


CREATE INDEX @SCHEMA@.LSWC_ILNTR_PK3
    ON @SCHEMA@.LSW_ILOG_CONNECTOR("GUID")
    
;


CREATE INDEX @SCHEMA@.LSWC_ICNTR_PK3
    ON @SCHEMA@.LSW_ICMCASE_CONNECTOR("GUID")
    
;


CREATE INDEX @SCHEMA@.LSWC_EPV_PR_LK_PK2
    ON @SCHEMA@.LSW_EPV_PROCESS_LINK("PROCESS_ID")
    
;


CREATE INDEX @SCHEMA@.LSWC_EPV_PR_LK_PK3
    ON @SCHEMA@.LSW_EPV_PROCESS_LINK("GUID")
    
;


CREATE INDEX @SCHEMA@.LSWC_EPV_PR_LK_NQ0 
    ON @SCHEMA@.LSW_EPV_PROCESS_LINK(
    "EPV_ID",
    "VERSION_ID")
    
;


CREATE INDEX @SCHEMA@.LSWC_EPV_PR_LK_NQ1 
    ON @SCHEMA@.LSW_EPV_PROCESS_LINK(
    "PROCESS_ID",
    "EPV_PROCESS_LINK_ID",
    "VERSION_ID")
    
;


CREATE INDEX @SCHEMA@.LSWC_RES_PR_LK_PK2
    ON @SCHEMA@.LSW_RESOURCE_PROCESS_LINK("PROCESS_ID")
    
;


CREATE INDEX @SCHEMA@.LSWC_RES_PR_LK_PK3
    ON @SCHEMA@.LSW_RESOURCE_PROCESS_LINK("GUID")
    
;


CREATE INDEX @SCHEMA@.LSWC_EXCEPTION_PK3
    ON @SCHEMA@.LSW_EXCEPTION("GUID")
    
;


CREATE INDEX @SCHEMA@.LSWC_EXIT_POINT_PK3
    ON @SCHEMA@.LSW_EXIT_POINT("GUID")
    
;


CREATE INDEX @SCHEMA@.LSWC_TS_FILE_PK2
    ON @SCHEMA@.LSW_TASK_SENDER_FILE("TASK_SENDER_ID")
    
;


CREATE INDEX @SCHEMA@.LSWC_TS_FILE_PK3
    ON @SCHEMA@.LSW_TASK_SENDER_FILE("GUID")
    
;


CREATE INDEX @SCHEMA@.LSWC_TS_ADDR_PK2
    ON @SCHEMA@.LSW_TASK_SENDER_ADDR("TASK_SENDER_ID")
    
;


CREATE INDEX @SCHEMA@.LSWC_TS_ADDR_PK3
    ON @SCHEMA@.LSW_TASK_SENDER_ADDR("GUID")
    
;


CREATE INDEX @SCHEMA@.LSWC_PIPP_PK2
    ON @SCHEMA@.LSW_PROCESS_ITEM_PRE_POST("PROCESS_ITEM_ID")
    
;


CREATE INDEX @SCHEMA@.LSWC_PIPP_PK3
    ON @SCHEMA@.LSW_PROCESS_ITEM_PRE_POST("GUID")
    
;


CREATE INDEX @SCHEMA@.LSWC_PROC_LINK_PK2
    ON @SCHEMA@.LSW_PROCESS_LINK("PROCESS_ID")
    
;


CREATE INDEX @SCHEMA@.LSWC_PROC_LINK_PK3
    ON @SCHEMA@.LSW_PROCESS_LINK("GUID")
    
;


CREATE INDEX @SCHEMA@.LSWC_PROC_LINK_PK4
    ON @SCHEMA@.LSW_PROCESS_LINK("NAME")
    
;


ALTER TABLE @SCHEMA@.LSW_FILE
    ADD CONSTRAINT LSWC_FILE_FK1
	FOREIGN KEY("CREATED_BY")
	REFERENCES @SCHEMA@.LSW_USR_XREF("USER_ID")
	
;


CREATE INDEX @SCHEMA@.LSWC_IC_INPUT_PK3
    ON @SCHEMA@.LSW_IC_INPUT_PROPERTY("GUID")
    
;


CREATE INDEX @SCHEMA@.LSWC_IC_INPUT_PK4
    ON @SCHEMA@.LSW_IC_INPUT_PROPERTY("NAME")
    
;


CREATE INDEX @SCHEMA@.LSW_IDX_IC_INPUT 
    ON @SCHEMA@.LSW_IC_INPUT_PROPERTY(
    "IC_ID",
    "SEQ")
    
;


CREATE INDEX @SCHEMA@.LSWC_IC_OUTPUT_PK3
    ON @SCHEMA@.LSW_IC_OUTPUT_PROPERTY("GUID")
    
;


CREATE INDEX @SCHEMA@.LSWC_IC_OUTPUT_PK4
    ON @SCHEMA@.LSW_IC_OUTPUT_PROPERTY("NAME")
    
;


CREATE INDEX @SCHEMA@.LSW_IDX_IC_OUTPUT 
    ON @SCHEMA@.LSW_IC_OUTPUT_PROPERTY(
    "IC_ID",
    "SEQ")
    
;


CREATE INDEX @SCHEMA@.LSWC_PARAM_MAP_PK3
    ON @SCHEMA@.LSW_PARAMETER_MAPPING("GUID")
    
;


CREATE INDEX @SCHEMA@.LSWC_PARAM_MAP_PK4
    ON @SCHEMA@.LSW_PARAMETER_MAPPING("NAME")
    
;


CREATE INDEX @SCHEMA@.LSWC_PARAM_MAP_NQ 
    ON @SCHEMA@.LSW_PARAMETER_MAPPING(
    "PARENT_ID",
    "PARENT_TYPE")
    
;


CREATE INDEX @SCHEMA@.LSWC_PARAM_MAP_NQ2 
    ON @SCHEMA@.LSW_PARAMETER_MAPPING(
    "PARENT_TYPE")
    
;


CREATE INDEX @SCHEMA@.LSW_PRIORITY_PK4
    ON @SCHEMA@.LSW_PRIORITY("NAME")
    
;


CREATE INDEX @SCHEMA@.LSWC_PROCESS_PK3
    ON @SCHEMA@.LSW_PROCESS("GUID")
    
;


CREATE INDEX @SCHEMA@.LSW_IDX_PROCESS 
    ON @SCHEMA@.LSW_PROCESS(
    "PROCESS_ID")
    
;


CREATE INDEX @SCHEMA@.LSW_IDX2_PROCESS 
    ON @SCHEMA@.LSW_PROCESS(
    "NAME")
    
;


CREATE INDEX @SCHEMA@.LSWC_PROC_ITEM_PK2
    ON @SCHEMA@.LSW_PROCESS_ITEM("PROCESS_ID")
    
;


CREATE INDEX @SCHEMA@.LSWC_PROC_ITEM_PK3
    ON @SCHEMA@.LSW_PROCESS_ITEM("GUID")
    
;


CREATE INDEX @SCHEMA@.LSWC_PROC_ITEM_PK4
    ON @SCHEMA@.LSW_PROCESS_ITEM("NAME")
    
;


CREATE UNIQUE INDEX @SCHEMA@.IDX_PROC_ITEM_ID
    ON @SCHEMA@.LSW_PROCESS_ITEM(
        "PROCESS_ITEM_ID",
        "VERSION_ID")
    
;


CREATE INDEX @SCHEMA@.LSWC_SUBPROCESS_PK3
    ON @SCHEMA@.LSW_SUBPROCESS("GUID")
    
;


CREATE INDEX @SCHEMA@.LSWC_PROC_LABEL_PK2
    ON @SCHEMA@.LSW_PROCESS_LABEL("PROCESS_ID")
    
;


CREATE INDEX @SCHEMA@.LSWC_PROC_LABEL_PK3
    ON @SCHEMA@.LSW_PROCESS_LABEL("GUID")
    
;


CREATE INDEX @SCHEMA@.LSWC_PROC_VAR_PK2
    ON @SCHEMA@.LSW_PROCESS_VARIABLE("PROCESS_ID")
    
;


CREATE INDEX @SCHEMA@.LSWC_PROC_VAR_PK3
    ON @SCHEMA@.LSW_PROCESS_VARIABLE("GUID")
    
;


CREATE INDEX @SCHEMA@.LSWC_PROC_VAR_PK4
    ON @SCHEMA@.LSW_PROCESS_VARIABLE("NAME")
    
;


CREATE UNIQUE INDEX @SCHEMA@.IDX_PROC_VAR
    ON @SCHEMA@.LSW_PROCESS_VARIABLE(
        "PROCESS_ID",
        "SEQ",
        "VERSION_ID")
    
;


CREATE INDEX @SCHEMA@.LSWC_PRO_PARM_PK2
    ON @SCHEMA@.LSW_PROCESS_PARAMETER("PROCESS_ID")
    
;


CREATE INDEX @SCHEMA@.LSWC_PRO_PARM_PK3
    ON @SCHEMA@.LSW_PROCESS_PARAMETER("GUID")
    
;


CREATE INDEX @SCHEMA@.LSWC_PRO_PARM_PK4
    ON @SCHEMA@.LSW_PROCESS_PARAMETER("NAME")
    
;


CREATE INDEX @SCHEMA@.LSWC_PROPAR_NUQ 
    ON @SCHEMA@.LSW_PROCESS_PARAMETER(
    "PROCESS_ID",
    "SEQ",
    "VERSION_ID")
    
;


CREATE INDEX @SCHEMA@.LSWC_SWITCH_PK3
    ON @SCHEMA@.LSW_SWITCH("GUID")
    
;


CREATE INDEX @SCHEMA@.LSWC_SWITCH_CON_PK2
    ON @SCHEMA@.LSW_SWITCH_CONDITION("SWITCH_ID")
    
;


CREATE INDEX @SCHEMA@.LSWC_SWITCH_CON_PK3
    ON @SCHEMA@.LSW_SWITCH_CONDITION("GUID")
    
;


CREATE INDEX @SCHEMA@.LSWC_TASK_SEND_PK3
    ON @SCHEMA@.LSW_TASK_SENDER("GUID")
    
;


CREATE INDEX @SCHEMA@.LSWC_TASKSEND_NUQ 
    ON @SCHEMA@.LSW_TASK_SENDER(
    "PRIORITY",
    "VERSION_ID")
    
;


CREATE INDEX @SCHEMA@.LSWC_TS_EXVAR_PK2
    ON @SCHEMA@.LSW_TASK_SENDER_EXVAR("TASK_SENDER_ID")
    
;


CREATE INDEX @SCHEMA@.LSWC_TS_EXVAR_PK3
    ON @SCHEMA@.LSW_TASK_SENDER_EXVAR("GUID")
    
;


CREATE INDEX @SCHEMA@.LSWC_REP_PK3
    ON @SCHEMA@.LSW_REPORT("GUID")
    
;


CREATE INDEX @SCHEMA@.LSWC_REP_PK4
    ON @SCHEMA@.LSW_REPORT("NAME")
    
;


CREATE INDEX @SCHEMA@.LSWC_REP_EPV_PK3
    ON @SCHEMA@.LSW_REPORT_EPV_LINK("GUID")
    
;


CREATE INDEX @SCHEMA@.LSWC_REP_RBG_PK3
    ON @SCHEMA@.LSW_REPORT_RBG_LINK("GUID")
    
;


CREATE INDEX @SCHEMA@.LSWC_REP_DS_PK3
    ON @SCHEMA@.LSW_REPORT_DATASOURCE("GUID")
    
;


CREATE INDEX @SCHEMA@.LSWC_REP_DS_PK4
    ON @SCHEMA@.LSW_REPORT_DATASOURCE("NAME")
    
;


CREATE INDEX @SCHEMA@.LSWC_REP_TG_PK3
    ON @SCHEMA@.LSW_REPORT_TG_LINK("GUID")
    
;


CREATE INDEX @SCHEMA@.LSWC_REP_PAGE_PK3
    ON @SCHEMA@.LSW_REPORT_PAGE("GUID")
    
;


CREATE INDEX @SCHEMA@.LSWC_REP_PAGE_PK4
    ON @SCHEMA@.LSW_REPORT_PAGE("NAME")
    
;


CREATE INDEX @SCHEMA@.LSWC_REP_CHRT_PK3
    ON @SCHEMA@.LSW_REPORT_CHART("GUID")
    
;


CREATE INDEX @SCHEMA@.LSWC_REP_CHRT_PK4
    ON @SCHEMA@.LSW_REPORT_CHART("NAME")
    
;


CREATE INDEX @SCHEMA@.LSWC_REP_VAR_PK3
    ON @SCHEMA@.LSW_REPORT_VARIABLES("GUID")
    
;


CREATE INDEX @SCHEMA@.LSWC_REP_VAR_PK4
    ON @SCHEMA@.LSW_REPORT_VARIABLES("NAME")
    
;


CREATE INDEX @SCHEMA@.LSWC_REP_DSL_PK3
    ON @SCHEMA@.LSW_REPORT_DATASOURCE_IC_LINK("GUID")
    
;


CREATE INDEX @SCHEMA@.IDX_REP_DSL 
    ON @SCHEMA@.LSW_REPORT_DATASOURCE_IC_LINK(
    "POS")
    
;


CREATE INDEX @SCHEMA@.LSWC_REP_DSSL_PK3
    ON @SCHEMA@.LSW_REPORT_DATASOURCE_SRV_LINK("GUID")
    
;


CREATE INDEX @SCHEMA@.IDX_REP_DSSL 
    ON @SCHEMA@.LSW_REPORT_DATASOURCE_SRV_LINK(
    "POS")
    
;


CREATE INDEX @SCHEMA@.LSWC_REP_DSLL_PK3
    ON @SCHEMA@.LSW_REPORT_DS_LAYOUT_LINK("GUID")
    
;


CREATE INDEX @SCHEMA@.LSWC_REP_DSLL_PK4
    ON @SCHEMA@.LSW_REPORT_DS_LAYOUT_LINK("NAME")
    
;


CREATE INDEX @SCHEMA@.LSWC_SCBD_PK3
    ON @SCHEMA@.LSW_SCBD("GUID")
    
;


CREATE INDEX @SCHEMA@.LSWC_SCBD_PK4
    ON @SCHEMA@.LSW_SCBD("NAME")
    
;


CREATE INDEX @SCHEMA@.LSWC_SD_RPT_LK_PK3
    ON @SCHEMA@.LSW_SCBD_RPT_LINK("GUID")
    
;


CREATE UNIQUE INDEX @SCHEMA@.LSWC_HOLIDAY_UQ
    ON @SCHEMA@.LSW_HOLIDAY_SCHEDULE(
        "NAME")
    
;


CREATE INDEX @SCHEMA@.LSWC_TMPERIOD_PK4
    ON @SCHEMA@.LSW_TIME_PERIOD("NAME")
    
;


CREATE UNIQUE INDEX @SCHEMA@.LSWC_TMSCHEDULE_UQ
    ON @SCHEMA@.LSW_TIME_SCHEDULE(
        "NAME")
    
;


ALTER TABLE @SCHEMA@.LSW_TIME_SCHEDULE_PERIOD
    ADD CONSTRAINT LSWC_SCHPER_FK1
	FOREIGN KEY("SCHEDULE_ID")
	REFERENCES @SCHEMA@.LSW_TIME_SCHEDULE("SCHEDULE_ID")
	
;


ALTER TABLE @SCHEMA@.LSW_TIME_SCHEDULE_PERIOD
    ADD CONSTRAINT LSWC_SCHPER_FK2
	FOREIGN KEY("PERIOD_ID")
	REFERENCES @SCHEMA@.LSW_TIME_PERIOD("PERIOD_ID")
	
;


CREATE UNIQUE INDEX @SCHEMA@.LSWC_SCHPER_UQ
    ON @SCHEMA@.LSW_TIME_SCHEDULE_PERIOD(
        "PERIOD_ID",
        "SCHEDULE_ID")
    
;


ALTER TABLE @SCHEMA@.BPM_BPD_SOAPHEADER
    ADD CONSTRAINT BPMC_BPD_SOAP_FK0
	FOREIGN KEY("BPD_INSTANCE_ID")
	REFERENCES @SCHEMA@.LSW_BPD_INSTANCE("BPD_INSTANCE_ID")
	ON DELETE CASCADE
;


CREATE UNIQUE INDEX @SCHEMA@.BPMC_BPD_SOAP_UQ
    ON @SCHEMA@.BPM_BPD_SOAPHEADER(
        "BPD_INSTANCE_ID")
    
;


CREATE UNIQUE INDEX @SCHEMA@.TASK_MEASURES_UC
    ON @SCHEMA@.BPM_TASK_ACTIVITY_MEASURES(
        "CREATED_BY_BPD_FLOW_OBJECT_ID",
        "USER_ID")
    
;


ALTER TABLE @SCHEMA@.BPM_TASK_MARKERS
    ADD CONSTRAINT BPMC_MARKER_TO_TASK_ID_FK
	FOREIGN KEY("TASK_ID")
	REFERENCES @SCHEMA@.LSW_TASK("TASK_ID")
	ON DELETE CASCADE
;


ALTER TABLE @SCHEMA@.BPM_TASK_MARKERS
    ADD CONSTRAINT BPMC_MARKER_TO_BPD_ID_FK
	FOREIGN KEY("BPD_INSTANCE_ID")
	REFERENCES @SCHEMA@.LSW_BPD_INSTANCE("BPD_INSTANCE_ID")
	ON DELETE CASCADE
;


CREATE INDEX @SCHEMA@.IDX1_BPM_TASK_MARKERS 
    ON @SCHEMA@.BPM_TASK_MARKERS(
    "TARGET_USER",
    "MARKER_TYPE")
    
;


CREATE INDEX @SCHEMA@.IDX2_BPM_TASK_MARKERS 
    ON @SCHEMA@.BPM_TASK_MARKERS(
    "TASK_ID")
    
;


ALTER TABLE @SCHEMA@.LSW_BPD_INSTANCE_VARIABLES
    ADD CONSTRAINT LSW_BPD_INST_FK
	FOREIGN KEY("BPD_INSTANCE_ID")
	REFERENCES @SCHEMA@.LSW_BPD_INSTANCE("BPD_INSTANCE_ID")
	
;


CREATE INDEX @SCHEMA@.LSWIDX_INST_ALS 
    ON @SCHEMA@.LSW_BPD_INSTANCE_VARIABLES(
    "BPD_INSTANCE_ID",
    "ALIAS")
    
;


ALTER TABLE @SCHEMA@.LSW_BPD_INSTANCE
    ADD CONSTRAINT LSWC_BPD_INST_FK1
	FOREIGN KEY("CACHED_BPD_VERSION_ID")
	REFERENCES @SCHEMA@.LSW_BPD("VERSION_ID")
	
;


CREATE UNIQUE INDEX @SCHEMA@.LSWC_BPD_INST_STORE_UQ
    ON @SCHEMA@.LSW_BPD_INSTANCE(
        "BPD_INSTANCE_ID",
        "ATTACHMENT_STORE")
    
;


CREATE INDEX @SCHEMA@.LSWC_TIP_NUQ 
    ON @SCHEMA@.LSW_BPD_INSTANCE(
    "TIP")
    
;


CREATE INDEX @SCHEMA@.INDEX1_LSW_BPD_INST 
    ON @SCHEMA@.LSW_BPD_INSTANCE(
    "SNAPSHOT_ID",
    "BPD_INSTANCE_ID")
    
;


CREATE INDEX @SCHEMA@.INDEX2_LSW_BPD_INST 
    ON @SCHEMA@.LSW_BPD_INSTANCE(
    "EXECUTION_STATUS",
    "BPD_INSTANCE_ID")
    
;


CREATE INDEX @SCHEMA@.INDEX3_LSW_BPD_INST 
    ON @SCHEMA@.LSW_BPD_INSTANCE(
    "BPD_INSTANCE_ID",
    "EXECUTION_STATUS",
    "CACHED_BPD_VERSION_ID")
    
;


ALTER TABLE @SCHEMA@.LSW_BPD_INSTANCE_DATA
    ADD CONSTRAINT LSWC_BPD_INS_D_FK0
	FOREIGN KEY("BPD_INSTANCE_ID")
	REFERENCES @SCHEMA@.LSW_BPD_INSTANCE("BPD_INSTANCE_ID")
	
;


CREATE UNIQUE INDEX @SCHEMA@.LSWC_BPD_INS_D_UQ
    ON @SCHEMA@.LSW_BPD_INSTANCE_DATA(
        "BPD_INSTANCE_ID")
    
;


CREATE INDEX @SCHEMA@.IDX1_BPDNOT 
    ON @SCHEMA@.LSW_BPD_NOTIFICATION(
    "BPD_INSTANCE_ID")
    
;


CREATE UNIQUE INDEX @SCHEMA@.LSWC_BPD_DOC_MIG_UQ
    ON @SCHEMA@.LSW_BPD_INSTANCE_DOCUMENTS(
        "BPD_INSTANCE_ID",
        "MIGRATION_STATE",
        "DOC_ID")
    
;


ALTER TABLE @SCHEMA@.LSW_BPD_INSTANCE_DOC_PROPS
    ADD CONSTRAINT LSWC_DOC_ID_FK
	FOREIGN KEY("DOC_ID")
	REFERENCES @SCHEMA@.LSW_BPD_INSTANCE_DOCUMENTS("DOC_ID")
	
;


CREATE INDEX @SCHEMA@.LSWC_DOC_PROP_NUQ1 
    ON @SCHEMA@.LSW_BPD_INSTANCE_DOC_PROPS(
    "DOC_ID")
    
;


CREATE INDEX @SCHEMA@.LSWC_BPD_COD_PK4
    ON @SCHEMA@.LSW_BPD_STATUS_CODES("NAME")
    
;


CREATE INDEX @SCHEMA@.LSWC_DMR_NUQ1 
    ON @SCHEMA@.LSW_DUR_MSG_RECEIVED(
    "UCA_ID",
    "CORRELATION_TYPE",
    "CORRELATION_KEY")
    
;


CREATE INDEX @SCHEMA@.LSWC_MSG_INCL_NUQ1 
    ON @SCHEMA@.LSW_INST_MSG_INCL(
    "CORRELATION_KEY",
    "UCA_ID",
    "BPD_INSTANCE_ID")
    
;


CREATE INDEX @SCHEMA@.LSWC_MSG_INCL_NUQ2 
    ON @SCHEMA@.LSW_INST_MSG_INCL(
    "BPD_INSTANCE_ID")
    
;


CREATE INDEX @SCHEMA@.LSWC_MSG_EXCL_NUQ1 
    ON @SCHEMA@.LSW_INST_MSG_EXCL(
    "BPD_INSTANCE_ID",
    "EVENT_ID",
    "SUB_EVENT_ID",
    "MSG_ID")
    
;


CREATE INDEX @SCHEMA@.LSWC_MSG_EXCL_NUQ2 
    ON @SCHEMA@.LSW_INST_MSG_EXCL(
    "BPD_INSTANCE_ID")
    
;


CREATE UNIQUE INDEX @SCHEMA@.LSWC_SLA_PROC_UQ
    ON @SCHEMA@.LSW_SLA_PROCESSING(
        "SLA_GUID")
    
;


ALTER TABLE @SCHEMA@.LSW_STORED_SYMBOL_TABLE
    ADD CONSTRAINT LSWC_T_SYM_FK
	FOREIGN KEY("TASK_ID")
	REFERENCES @SCHEMA@.LSW_TASK("TASK_ID")
	ON DELETE CASCADE
;


CREATE UNIQUE INDEX @SCHEMA@.LSWC_T_SYM_TASK
    ON @SCHEMA@.LSW_STORED_SYMBOL_TABLE(
        "TASK_ID")
    
;


CREATE INDEX @SCHEMA@.LSWC_TASK_STATUS_INDEX1 
    ON @SCHEMA@.LSW_TASK_STATUS_CODES(
    "NAME")
    
;


CREATE INDEX @SCHEMA@.LSWC_TASK_STATUS_INDEX2 
    ON @SCHEMA@.LSW_TASK_STATUS_CODES(
    "STATUS_VALUE")
    
;


CREATE UNIQUE INDEX @SCHEMA@.LSWC_TASKEXACD_UK
    ON @SCHEMA@.LSW_TASK_EXTACT_DATA(
        "TASK_ID")
    
;


ALTER TABLE @SCHEMA@.LSW_TASK
    ADD CONSTRAINT LSWC_TASK_P_FK3
	FOREIGN KEY("RCVD_FROM")
	REFERENCES @SCHEMA@.LSW_USR_XREF("USER_ID")
	
;


ALTER TABLE @SCHEMA@.LSW_TASK
    ADD CONSTRAINT LSWC_TASK_P_FK4
	FOREIGN KEY("CLOSE_BY")
	REFERENCES @SCHEMA@.LSW_USR_XREF("USER_ID")
	
;


CREATE INDEX @SCHEMA@.LSWC_TASK_BPDI 
    ON @SCHEMA@.LSW_TASK(
    "BPD_INSTANCE_ID",
    "CREATED_BY_BPD_FLOW_OBJECT_ID")
    
;


CREATE INDEX @SCHEMA@.LSWC_TASK_NUQ_U 
    ON @SCHEMA@.LSW_TASK(
    "USER_ID")
    
;


CREATE INDEX @SCHEMA@.LSWC_TASK_NUQ_G 
    ON @SCHEMA@.LSW_TASK(
    "GROUP_ID")
    
;


CREATE INDEX @SCHEMA@.IDX5_LSW_TASK 
    ON @SCHEMA@.LSW_TASK(
    "STATUS")
    
;


CREATE INDEX @SCHEMA@.IDX6_LSW_TASK 
    ON @SCHEMA@.LSW_TASK(
    "ORIG_TASK_ID")
    
;


CREATE INDEX @SCHEMA@.IDX7_LSW_TASK 
    ON @SCHEMA@.LSW_TASK(
    "EXECUTION_STATUS")
    
;


CREATE INDEX @SCHEMA@.IDX8_LSW_TASK 
    ON @SCHEMA@.LSW_TASK(
    "BPD_INSTANCE_ID",
    "STATUS",
    "PRIORITY_ID",
    "GROUP_ID",
    "USER_ID")
    
;


CREATE INDEX @SCHEMA@.IDX9_LSW_TASK 
    ON @SCHEMA@.LSW_TASK(
    "BPD_INSTANCE_ID",
    "TASK_ID",
    "CREATED_BY_BPD_FLOW_OBJECT_ID",
    "STATUS")
    
;


CREATE INDEX @SCHEMA@.IDX10_LSW_TASK 
    ON @SCHEMA@.LSW_TASK(
    "BPD_INSTANCE_ID",
    "STATUS")
    
;


CREATE INDEX @SCHEMA@.IDX11_LSW_TASK_CC 
    ON @SCHEMA@.LSW_TASK(
    "CLOSE_BY",
    "CLOSE_DATETIME")
    
;


CREATE INDEX @SCHEMA@.IDX12_LSW_TASK_OC 
    ON @SCHEMA@.LSW_TASK(
    "USER_ID",
    "STATUS",
    "BPD_INSTANCE_ID")
    
;


CREATE UNIQUE INDEX @SCHEMA@.LSWC_TASKIPFD_UK
    ON @SCHEMA@.LSW_TASK_IPF_DATA(
        "TASK_ID")
    
;


ALTER TABLE @SCHEMA@.LSW_TASK_FILE
    ADD CONSTRAINT LSWC_T_FILE_FK
	FOREIGN KEY("TASK_ID")
	REFERENCES @SCHEMA@.LSW_TASK("TASK_ID")
	
;


CREATE INDEX @SCHEMA@.IDX_TASKFILE1 
    ON @SCHEMA@.LSW_TASK_FILE(
    "FILE_ID")
    
;


ALTER TABLE @SCHEMA@.LSW_TASK_ADDR
    ADD CONSTRAINT LSWC_T_ADDR_FK
	FOREIGN KEY("TASK_ID")
	REFERENCES @SCHEMA@.LSW_TASK("TASK_ID")
	
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_TASK_ADDR_UQ
    ON @SCHEMA@.LSW_TASK_ADDR(
        "TASK_ID",
        "SEQ")
    
;


ALTER TABLE @SCHEMA@.LSW_TASK_NARR
    ADD CONSTRAINT LSWC_T_NARR_FK
	FOREIGN KEY("TASK_ID")
	REFERENCES @SCHEMA@.LSW_TASK("TASK_ID")
	
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_TASK_NARR_UQ
    ON @SCHEMA@.LSW_TASK_NARR(
        "TASK_ID",
        "SEQ")
    
;


CREATE INDEX @SCHEMA@.LSWC_TASK_ACTN_PK3
    ON @SCHEMA@.LSW_TASK_ACTION("GUID")
    
;


ALTER TABLE @SCHEMA@.LSW_TASK_EXECUTION_CONTEXT
    ADD CONSTRAINT LSWC_T_EXEC_FK
	FOREIGN KEY("TASK_ID")
	REFERENCES @SCHEMA@.LSW_TASK("TASK_ID")
	
;


CREATE UNIQUE INDEX @SCHEMA@.LSWC_T_EXEC_UK
    ON @SCHEMA@.LSW_TASK_EXECUTION_CONTEXT(
        "TASK_ID")
    
;


CREATE UNIQUE INDEX @SCHEMA@.BPMC_BPD_INSTANCE_MEASURES_UK
    ON @SCHEMA@.BPM_BPD_INSTANCE_MEASURES(
        "SNAPSHOT_ID",
        "BPD_REF",
        "BPD_FLOW_OBJECT_ID")
    
;


CREATE UNIQUE INDEX @SCHEMA@.IDX_LEGACY_ID
    ON @SCHEMA@.LSW_LEGACY_ID(
        "PO_TYPE",
        "UUID")
    
;


CREATE INDEX @SCHEMA@.BPM_TASK_INDEX_IDX 
    ON @SCHEMA@.BPM_TASK_INDEX(
    "MAJOR_EVENT_DATETIME",
    "TASK_ID")
    
;


CREATE INDEX @SCHEMA@.BPM_TASK_INDEX_JOB_IDX 
    ON @SCHEMA@.BPM_TASK_INDEX_JOB(
    "INDEX_ID",
    "INDEX_END_TIME")
    
;


CREATE INDEX @SCHEMA@.BPM_SRCH_INDEX_SCHEMA_IDX 
    ON @SCHEMA@.BPM_SRCH_INDEX_SCHEMA(
    "LAST_UPDATED")
    
;


CREATE INDEX @SCHEMA@.BPM_INSTANCE_INDEX_IDX 
    ON @SCHEMA@.BPM_INSTANCE_INDEX(
    "MAJOR_EVENT_DATETIME",
    "INSTANCE_ID")
    
;


CREATE INDEX @SCHEMA@.LSWC_INV_UCA_PK3
    ON @SCHEMA@.LSW_INVOKE_UCA("GUID")
    
;


CREATE INDEX @SCHEMA@.LSWC_UCA_PK3
    ON @SCHEMA@.LSW_UCA("GUID")
    
;


CREATE INDEX @SCHEMA@.LSWC_UCA_PK4
    ON @SCHEMA@.LSW_UCA("NAME")
    
;


CREATE INDEX @SCHEMA@.LSWC_UCA_NUQ3 
    ON @SCHEMA@.LSW_UCA(
    "SCHED_EVENT_NAME",
    "VERSION_ID")
    
;


CREATE INDEX @SCHEMA@.LSWC_UCA_NUQ4 
    ON @SCHEMA@.LSW_UCA(
    "UCA_ID")
    
;


CREATE INDEX @SCHEMA@.LSWC_UCA_PARM_PK3
    ON @SCHEMA@.LSW_UCA_PARM("GUID")
    
;


CREATE INDEX @SCHEMA@.LSWC_UCA_EVENT_TYPE_PK4
    ON @SCHEMA@.BPM_UCA_EVENT_TYPE("NAME")
    
;


CREATE UNIQUE INDEX @SCHEMA@.UQ_USR_NAME
    ON @SCHEMA@.LSW_USR(
        "USER_NAME")
    
;


CREATE UNIQUE INDEX @SCHEMA@.LSWC_UXREF_UQ
    ON @SCHEMA@.LSW_USR_XREF(
        "USER_NAME",
        "PROVIDER")
    
;


CREATE UNIQUE INDEX @SCHEMA@.LSWC_UXREF_UQ2
    ON @SCHEMA@.LSW_USR_XREF(
        "USER_ID",
        "USER_NAME")
    
;


CREATE UNIQUE INDEX @SCHEMA@.LSWC_GXREF_UQ
    ON @SCHEMA@.LSW_USR_GRP_XREF(
        "GROUP_NAME")
    
;


CREATE INDEX @SCHEMA@.LSWC_GXREF_NU 
    ON @SCHEMA@.LSW_USR_GRP_XREF(
    "GROUP_TYPE")
    
;


CREATE INDEX @SCHEMA@.LSWC_GXREF_NU1 
    ON @SCHEMA@.LSW_USR_GRP_XREF(
    "PARENT_GROUP_ID",
    "PARTICIPANT_ID",
    "GROUP_ID")
    
;


ALTER TABLE @SCHEMA@.LSW_USR_GRP_MEM_XREF
    ADD CONSTRAINT LSWC_UGXREF_FK1
	FOREIGN KEY("USER_ID")
	REFERENCES @SCHEMA@.LSW_USR_XREF("USER_ID")
	
;


ALTER TABLE @SCHEMA@.LSW_USR_GRP_MEM_XREF
    ADD CONSTRAINT LSWC_UGXREF_FK2
	FOREIGN KEY("GROUP_ID")
	REFERENCES @SCHEMA@.LSW_USR_GRP_XREF("GROUP_ID")
	
;


CREATE UNIQUE INDEX @SCHEMA@.LSWC_UGXREF_UQ
    ON @SCHEMA@.LSW_USR_GRP_MEM_XREF(
        "USER_ID",
        "GROUP_ID")
    
;


ALTER TABLE @SCHEMA@.LSW_GRP_GRP_MEM_XREF
    ADD CONSTRAINT LSWC_GGXREF_FK1
	FOREIGN KEY("GROUP_ID")
	REFERENCES @SCHEMA@.LSW_USR_GRP_XREF("GROUP_ID")
	
;


ALTER TABLE @SCHEMA@.LSW_GRP_GRP_MEM_XREF
    ADD CONSTRAINT LSWC_GGXREF_FK2
	FOREIGN KEY("CONTAINER_GROUP_ID")
	REFERENCES @SCHEMA@.LSW_USR_GRP_XREF("GROUP_ID")
	
;


CREATE INDEX @SCHEMA@.LSWC_GGMXREF_NU1 
    ON @SCHEMA@.LSW_GRP_GRP_MEM_XREF(
    "CONTAINER_GROUP_ID")
    
;


ALTER TABLE @SCHEMA@.LSW_GRP_GRP_MEM_EXPLODED_XREF
    ADD CONSTRAINT LSWC_GGXXREF_FK1
	FOREIGN KEY("GROUP_ID")
	REFERENCES @SCHEMA@.LSW_USR_GRP_XREF("GROUP_ID")
	
;


ALTER TABLE @SCHEMA@.LSW_GRP_GRP_MEM_EXPLODED_XREF
    ADD CONSTRAINT LSWC_GGXXREF_FK2
	FOREIGN KEY("CONTAINER_GROUP_ID")
	REFERENCES @SCHEMA@.LSW_USR_GRP_XREF("GROUP_ID")
	
;


CREATE INDEX @SCHEMA@.LSWC_GGXXREF_NU1 
    ON @SCHEMA@.LSW_GRP_GRP_MEM_EXPLODED_XREF(
    "GROUP_ID")
    
;


CREATE INDEX @SCHEMA@.LSWC_GGXXREF_NU2 
    ON @SCHEMA@.LSW_GRP_GRP_MEM_EXPLODED_XREF(
    "CONTAINER_GROUP_ID")
    
;


ALTER TABLE @SCHEMA@.LSW_USR_ASSUME
    ADD CONSTRAINT LSWC_UA_FK1
	FOREIGN KEY("USER_ID")
	REFERENCES @SCHEMA@.LSW_USR_XREF("USER_ID")
	
;


ALTER TABLE @SCHEMA@.LSW_USR_ASSUME
    ADD CONSTRAINT LSWC_UA_FK2
	FOREIGN KEY("ASSUMED_USER_ID")
	REFERENCES @SCHEMA@.LSW_USR_XREF("USER_ID")
	
;


CREATE UNIQUE INDEX @SCHEMA@.LSWC_UA_UK
    ON @SCHEMA@.LSW_USR_ASSUME(
        "ASSUMED_USER_ID",
        "USER_ID")
    
;


ALTER TABLE @SCHEMA@.LSW_USR_ASSUME
  ADD CONSTRAINT LSWC_UA_CK
	CHECK(USER_ID <> ASSUMED_USER_ID)
    
;


CREATE INDEX @SCHEMA@.LSWC_UA_NUQ 
    ON @SCHEMA@.LSW_USR_ASSUME(
    "USER_ID")
    
;


ALTER TABLE @SCHEMA@.LSW_ACCESS
    ADD CONSTRAINT LSWC_ACCESS_FK1
	FOREIGN KEY("USER_ID")
	REFERENCES @SCHEMA@.LSW_USR_XREF("USER_ID")
	
;


ALTER TABLE @SCHEMA@.LSW_ACCESS
    ADD CONSTRAINT LSWC_ACCESS_FK2
	FOREIGN KEY("ASSUMED_USER_ID")
	REFERENCES @SCHEMA@.LSW_USR_XREF("USER_ID")
	
;


ALTER TABLE @SCHEMA@.LSW_ACCESS
  ADD CONSTRAINT LSWC_ACCESS_CK
	CHECK(USER_ID <> ASSUMED_USER_ID)
    
;


CREATE INDEX @SCHEMA@.LSWC_ACCESS_NUQ 
    ON @SCHEMA@.LSW_ACCESS(
    "USER_ID")
    
;


ALTER TABLE @SCHEMA@.LSW_DYNAMIC_GROUP
    ADD CONSTRAINT LSWC_DGRP_TRK_FK
	FOREIGN KEY("BRANCH_ID")
	REFERENCES @SCHEMA@.LSW_BRANCH("BRANCH_ID")
	ON DELETE CASCADE
;


ALTER TABLE @SCHEMA@.LSW_DYNAMIC_GROUP
    ADD CONSTRAINT LSWC_DGRP_SS_FK
	FOREIGN KEY("SNAPSHOT_ID")
	REFERENCES @SCHEMA@.LSW_SNAPSHOT("SNAPSHOT_ID")
	ON DELETE CASCADE
;


CREATE UNIQUE INDEX @SCHEMA@.LSW_DGRP_UQ
    ON @SCHEMA@.LSW_DYNAMIC_GROUP(
        "NAME")
    
;


ALTER TABLE @SCHEMA@.LSW_DYNAMIC_GROUP_CONSTRAINT
    ADD CONSTRAINT LSW_DGRPC_FK
	FOREIGN KEY("DYNAMIC_GROUP_ID")
	REFERENCES @SCHEMA@.LSW_DYNAMIC_GROUP("DYNAMIC_GROUP_ID")
	ON DELETE CASCADE
;


CREATE UNIQUE INDEX @SCHEMA@.LSWC_DGRPC_UQ
    ON @SCHEMA@.LSW_DYNAMIC_GROUP_CONSTRAINT(
        "DYNAMIC_GROUP_CONSTRAINT_ID",
        "DYNAMIC_GROUP_ID",
        "MATCH_TYPE",
        "CONSTRAINT_TYPE",
        "LIBRARY_ELEMENT_ID")
    
;


ALTER TABLE @SCHEMA@.LSW_DYNAMIC_GROUP_DEPENDENCY
    ADD CONSTRAINT LSWC_DGRP_DEP_FK
	FOREIGN KEY("PARENT_GROUP_ID")
	REFERENCES @SCHEMA@.LSW_DYNAMIC_GROUP("DYNAMIC_GROUP_ID")
	ON DELETE CASCADE
;


ALTER TABLE @SCHEMA@.LSW_USR_ATTR
    ADD CONSTRAINT LSWC_USR_ATTR_FK
	FOREIGN KEY("USER_ID")
	REFERENCES @SCHEMA@.LSW_USR_XREF("USER_ID")
	
;


CREATE INDEX @SCHEMA@.U_ATTR_DEF_VAL_PK3
    ON @SCHEMA@.LSW_USER_ATTR_DEF_VALUES("GUID")
    
;


CREATE INDEX @SCHEMA@.LSWC_USRATTRD_PK3
    ON @SCHEMA@.LSW_USER_ATTRIBUTE_DEF("GUID")
    
;


CREATE INDEX @SCHEMA@.LSWC_USRATTRD_PK4
    ON @SCHEMA@.LSW_USER_ATTRIBUTE_DEF("NAME")
    
;


ALTER TABLE @SCHEMA@.LSW_RT_USER_ATTRIBUTE_DEF
    ADD CONSTRAINT LSWC_RT_UAD_FK
	FOREIGN KEY("SNAPSHOT_ID")
	REFERENCES @SCHEMA@.LSW_SNAPSHOT("SNAPSHOT_ID")
	ON DELETE CASCADE
;


CREATE UNIQUE INDEX @SCHEMA@.LSWC_RT_UAD_UQ
    ON @SCHEMA@.LSW_RT_USER_ATTRIBUTE_DEF(
        "USER_ATTRIBUTE_ID",
        "SNAPSHOT_ID")
    
;


ALTER TABLE @SCHEMA@.LSW_PARTICIPANT_GROUP
    ADD CONSTRAINT LSWC_PART_GRP_FK
	FOREIGN KEY("GROUP_ID")
	REFERENCES @SCHEMA@.LSW_USR_GRP_XREF("GROUP_ID")
	
;


CREATE UNIQUE INDEX @SCHEMA@.LSWC_PART_GRP_UQ1
    ON @SCHEMA@.LSW_PARTICIPANT_GROUP(
        "PARTICIPANT_ID",
        "SNAPSHOT_ID",
        "BRANCH_ID",
        "TIP",
        "GROUP_ID")
    
;


CREATE UNIQUE INDEX @SCHEMA@.LSWC_PART_GRP_UQ2
    ON @SCHEMA@.LSW_PARTICIPANT_GROUP(
        "GROUP_ID")
    
;


CREATE INDEX @SCHEMA@.LSWC_PARTCP_PK3
    ON @SCHEMA@.LSW_PARTICIPANT("GUID")
    
;


CREATE INDEX @SCHEMA@.LSW_IDX_PARTCP2 
    ON @SCHEMA@.LSW_PARTICIPANT(
    "NAME")
    
;


CREATE UNIQUE INDEX @SCHEMA@.LSWC_ACL_ENTRY_UQ
    ON @SCHEMA@.LSW_ACL_ENTRY(
        "USER_ID",
        "GROUP_ID",
        "PO_TYPE",
        "PO_ID")
    
;


CREATE INDEX @SCHEMA@.LSWC_ACL_ENTRY_USR 
    ON @SCHEMA@.LSW_ACL_ENTRY(
    "USER_ID",
    "PO_TYPE",
    "PO_ID")
    
;


CREATE INDEX @SCHEMA@.LSWC_ACL_ENTRY_GRP 
    ON @SCHEMA@.LSW_ACL_ENTRY(
    "GROUP_ID",
    "PO_TYPE",
    "PO_ID")
    
;


CREATE INDEX @SCHEMA@.LSWC_FAV_PK4
    ON @SCHEMA@.LSW_FAVORITE("NAME")
    
;


ALTER TABLE @SCHEMA@.LSW_FAVORITE
    ADD CONSTRAINT LSWC_FAV_GRP_FK
	FOREIGN KEY("GROUP_ID")
	REFERENCES @SCHEMA@.LSW_USR_GRP_XREF("GROUP_ID")
	
;


ALTER TABLE @SCHEMA@.LSW_FAVORITE
    ADD CONSTRAINT LSWC_FAV_TRK_FK
	FOREIGN KEY("BRANCH_ID")
	REFERENCES @SCHEMA@.LSW_BRANCH("BRANCH_ID")
	ON DELETE CASCADE
;


CREATE INDEX @SCHEMA@.LSWC_FAV_NUQ1 
    ON @SCHEMA@.LSW_FAVORITE(
    "GROUP_ID")
    
;


CREATE INDEX @SCHEMA@.LSWC_FAV_NUQ2 
    ON @SCHEMA@.LSW_FAVORITE(
    "SNAPSHOT_ID")
    
;


ALTER TABLE @SCHEMA@.BPM_USR_AVATAR
    ADD CONSTRAINT LSWC_USR_AVATAR_FK
	FOREIGN KEY("USER_ID")
	REFERENCES @SCHEMA@.LSW_USR_XREF("USER_ID")
	
;


ALTER TABLE @SCHEMA@.BPM_USR_RUNTIME_PROPS
    ADD CONSTRAINT BPM_USR_RT_PRPS_FK
	FOREIGN KEY("USER_ID")
	REFERENCES @SCHEMA@.LSW_USR_XREF("USER_ID")
	ON DELETE CASCADE
;


CREATE UNIQUE INDEX @SCHEMA@.IDX5_SNAPSHOT
    ON @SCHEMA@.LSW_SNAPSHOT(
        "PROJECT_ID",
        "ACRONYM")
    
;


CREATE INDEX @SCHEMA@.IDX_SNAPSHOT 
    ON @SCHEMA@.LSW_SNAPSHOT(
    "SEQ_NUM",
    "NAME")
    
;


CREATE INDEX @SCHEMA@.IDX2_SNAPSHOT 
    ON @SCHEMA@.LSW_SNAPSHOT(
    "BRANCH_ID",
    "SEQ_NUM")
    
;


CREATE INDEX @SCHEMA@.IDX3_SNAPSHOT 
    ON @SCHEMA@.LSW_SNAPSHOT(
    "IS_ARCHIVED")
    
;


CREATE INDEX @SCHEMA@.IDX4_SNAPSHOT 
    ON @SCHEMA@.LSW_SNAPSHOT(
    "CREATED_ON")
    
;


CREATE INDEX @SCHEMA@.IDX6_SNAPSHOT 
    ON @SCHEMA@.LSW_SNAPSHOT(
    "BRANCH_ID",
    "IS_ARCHIVED",
    "CREATED_ON")
    
;


CREATE UNIQUE INDEX @SCHEMA@.IDX3_BRANCH
    ON @SCHEMA@.LSW_BRANCH(
        "PROJECT_ID",
        "ACRONYM")
    
;


CREATE INDEX @SCHEMA@.IDX_BRANCH 
    ON @SCHEMA@.LSW_BRANCH(
    "PROJECT_ID")
    
;


CREATE INDEX @SCHEMA@.IDX2_BRANCH 
    ON @SCHEMA@.LSW_BRANCH(
    "NAME")
    
;


CREATE INDEX @SCHEMA@.LSWC_PROJECT_PK4
    ON @SCHEMA@.LSW_PROJECT("NAME")
    
;


CREATE UNIQUE INDEX @SCHEMA@.IDX_SHORT_NAME
    ON @SCHEMA@.LSW_PROJECT(
        "SHORT_NAME")
    
;


CREATE INDEX @SCHEMA@.IDX_PRJ1 
    ON @SCHEMA@.LSW_PROJECT(
    "CREATED_ON")
    
;


CREATE INDEX @SCHEMA@.IDX_PO_VERSIONS 
    ON @SCHEMA@.LSW_PO_VERSIONS(
    "PO_TYPE",
    "BRANCH_ID",
    "START_SEQ_NUM",
    "END_SEQ_NUM",
    "PO_VERSION_ID")
    
;


CREATE INDEX @SCHEMA@.IDX2_PO_VERSIONS 
    ON @SCHEMA@.LSW_PO_VERSIONS(
    "BRANCH_ID",
    "END_SEQ_NUM")
    
;


CREATE INDEX @SCHEMA@.IDX3_PO_VERSIONS 
    ON @SCHEMA@.LSW_PO_VERSIONS(
    "PO_ROOT_ID",
    "PO_TYPE",
    "BRANCH_ID",
    "START_SEQ_NUM",
    "END_SEQ_NUM",
    "PO_VERSION_ID")
    
;


CREATE INDEX @SCHEMA@.IDX4_PO_VERSIONS 
    ON @SCHEMA@.LSW_PO_VERSIONS(
    "BRANCH_ID",
    "START_SEQ_NUM",
    "END_SEQ_NUM")
    
;


CREATE INDEX @SCHEMA@.IDX5_PO_VERSIONS 
    ON @SCHEMA@.LSW_PO_VERSIONS(
    "BRANCH_ID",
    "END_SEQ_NUM",
    "PO_TYPE",
    "PO_ID")
    
;


CREATE INDEX @SCHEMA@.IDX_PO_METADATA 
    ON @SCHEMA@.LSW_PO_METADATA(
    "BRANCH_ID",
    "END_SEQ_NUM",
    "START_SEQ_NUM")
    
;


CREATE INDEX @SCHEMA@.IDX2_PO_METADATA 
    ON @SCHEMA@.LSW_PO_METADATA(
    "END_SEQ_NUM",
    "BRANCH_ID",
    "PO_TYPE",
    "PO_ID",
    "META_KEY")
    
;


CREATE INDEX @SCHEMA@.IDX3_PO_METADATA 
    ON @SCHEMA@.LSW_PO_METADATA(
    "START_SEQ_NUM")
    
;


CREATE INDEX @SCHEMA@.IDX4_PO_METADATA 
    ON @SCHEMA@.LSW_PO_METADATA(
    "PO_TYPE")
    
;


CREATE INDEX @SCHEMA@.IDX5_PO_METADATA 
    ON @SCHEMA@.LSW_PO_METADATA(
    "PO_ID")
    
;


CREATE INDEX @SCHEMA@.IDX6_PO_METADATA 
    ON @SCHEMA@.LSW_PO_METADATA(
    "META_KEY")
    
;


CREATE INDEX @SCHEMA@.LSWC_PROJ_DEP_PK4
    ON @SCHEMA@.LSW_PROJECT_DEPENDENCY("NAME")
    
;


CREATE INDEX @SCHEMA@.IDX0_PROJ_DEP 
    ON @SCHEMA@.LSW_PROJECT_DEPENDENCY(
    "VERSION_ID",
    "IS_ACTIVE")
    
;


CREATE INDEX @SCHEMA@.IDX_DEP_PATH 
    ON @SCHEMA@.LSW_DEP_PATH(
    "HASH")
    
;


CREATE INDEX @SCHEMA@.IDX2_DEP_PATH 
    ON @SCHEMA@.LSW_DEP_PATH(
    "COUNT")
    
;


CREATE INDEX @SCHEMA@.IDX_PO_REFERENCE 
    ON @SCHEMA@.LSW_PO_REFERENCE(
    "BRANCH_ID",
    "END_SEQ_NUM",
    "START_SEQ_NUM",
    "TARGET_TYPE")
    
;


CREATE INDEX @SCHEMA@.IDX2_PO_REFERENCE 
    ON @SCHEMA@.LSW_PO_REFERENCE(
    "START_SEQ_NUM")
    
;


CREATE INDEX @SCHEMA@.IDX3_PO_REFERENCE 
    ON @SCHEMA@.LSW_PO_REFERENCE(
    "END_SEQ_NUM")
    
;


CREATE INDEX @SCHEMA@.IDX2_PO_DEPENDENCY 
    ON @SCHEMA@.LSW_PO_DEPENDENCY(
    "START_SEQ_NUM")
    
;


CREATE INDEX @SCHEMA@.IDX3_PO_DEPENDENCY 
    ON @SCHEMA@.LSW_PO_DEPENDENCY(
    "END_SEQ_NUM")
    
;


CREATE INDEX @SCHEMA@.IDX4_PO_DEPENDENCY 
    ON @SCHEMA@.LSW_PO_DEPENDENCY(
    "SOURCE_ID")
    
;


CREATE INDEX @SCHEMA@.IDX5_PO_DEPENDENCY 
    ON @SCHEMA@.LSW_PO_DEPENDENCY(
    "SOURCE_LOCATION")
    
;


CREATE INDEX @SCHEMA@.IDX_RT_REFERENCE 
    ON @SCHEMA@.LSW_RT_REFERENCE(
    "PO_TYPE")
    
;


CREATE INDEX @SCHEMA@.LSWC_WEB_SRV_PK3
    ON @SCHEMA@.LSW_WEB_SERVICE("GUID")
    
;


CREATE INDEX @SCHEMA@.LSWC_WEB_SRV_PK4
    ON @SCHEMA@.LSW_WEB_SERVICE("NAME")
    
;


CREATE INDEX @SCHEMA@.LSWC_WEBSRV_OP_PK3
    ON @SCHEMA@.LSW_WEB_SERVICE_OP("GUID")
    
;


CREATE INDEX @SCHEMA@.LSWC_WEBSRV_OP_PK4
    ON @SCHEMA@.LSW_WEB_SERVICE_OP("NAME")
    
;


CREATE INDEX @SCHEMA@.IDX_WEBSRV_OP 
    ON @SCHEMA@.LSW_WEB_SERVICE_OP(
    "WEB_SERVICE_ID",
    "SEQ")
    
;


CREATE INDEX @SCHEMA@.BPM_ASSET_CACHE_STS_IDX1 
    ON @SCHEMA@.BPM_ASSET_CACHE_STATUS(
    "CLIENT_ID")
    
;


CREATE INDEX @SCHEMA@.BPM_ASSET_SAVE_INSTR_IDX1 
    ON @SCHEMA@.BPM_ASSET_CACHE_SAVE_INSTR(
    "CONTAINER_ID",
    "ROOT_ID",
    "BATCH_NO",
    "DATA_SEQ")
    
;


CREATE INDEX @SCHEMA@.BPM_ASSET_SAVE_INSTR_IDX2 
    ON @SCHEMA@.BPM_ASSET_CACHE_SAVE_INSTR(
    "MODIFIED_ON")
    
;


CREATE INDEX @SCHEMA@.BPM_ASSET_SAVE_INSTR_IDX3 
    ON @SCHEMA@.BPM_ASSET_CACHE_SAVE_INSTR(
    "CONTAINER_ID",
    "PENDING_SUMMARY",
    "BAD_BATCH",
    "ASSET_ID",
    "BATCH_NO",
    "DATA_SEQ")
    
;


CREATE INDEX @SCHEMA@.BPM_ASSET_SAVE_INSTR_IDX4 
    ON @SCHEMA@.BPM_ASSET_CACHE_SAVE_INSTR(
    "CONTAINER_ID",
    "ROOT_ID",
    "CLIENT_ID",
    "BASE_BATCH_NO")
    
;


CREATE INDEX @SCHEMA@.BPM_ASSET_SAVE_IN_BK_IDX1 
    ON @SCHEMA@.BPM_ASSET_CACHE_SAVE_INSTR_BK(
    "MODIFIED_ON")
    
;


CREATE INDEX @SCHEMA@.BPM_ASSET_REPO_LOCK_IDX1 
    ON @SCHEMA@.BPM_ASSET_CACHE_REPO_LOCK(
    "LOCK_STATUS",
    "LOCKED_ON")
    
;


CREATE INDEX @SCHEMA@.BPM_ASSET_PK3
    ON @SCHEMA@.BPM_ASSET("GUID")
    
;


CREATE INDEX @SCHEMA@.BPM_ASSET_PK4
    ON @SCHEMA@.BPM_ASSET("NAME")
    
;


CREATE INDEX @SCHEMA@.BPM_ASSET_IDX1 
    ON @SCHEMA@.BPM_ASSET(
    "ASSET_TYPE")
    
;


CREATE INDEX @SCHEMA@.LSWC_EXTENDED_PROPERTYS_PK3
    ON @SCHEMA@.LSW_EXTENDED_PROPERTY_SET("GUID")
    
;


CREATE INDEX @SCHEMA@.IDX_EXTENDED_PROPERTYS 
    ON @SCHEMA@.LSW_EXTENDED_PROPERTY_SET(
    "EXTENDED_PROPERTY_SET_ID")
    
;


CREATE INDEX @SCHEMA@.IDX2_EXTENDED_PROPERTYS 
    ON @SCHEMA@.LSW_EXTENDED_PROPERTY_SET(
    "NAME")
    
;


CREATE INDEX @SCHEMA@.LSWC_EXTENDED_PROPERTY_PK2
    ON @SCHEMA@.LSW_EXTENDED_PROPERTY("EXTENDED_PROPERTY_SET_ID")
    
;


CREATE INDEX @SCHEMA@.LSWC_EXTENDED_PROPERTY_PK3
    ON @SCHEMA@.LSW_EXTENDED_PROPERTY("GUID")
    
;


CREATE INDEX @SCHEMA@.LSWC_EXTENDED_PROPERTY_PK4
    ON @SCHEMA@.LSW_EXTENDED_PROPERTY("NAME")
    
;


CREATE INDEX @SCHEMA@.IDX_EXTENDED_PROPERTY 
    ON @SCHEMA@.LSW_EXTENDED_PROPERTY(
    "EXTENDED_PROPERTY_ID")
    
;

INSERT INTO 
    @SCHEMA@.LSW_PRI_KEY("TABLE_ID",
 "HIGH_KEY") 
VALUES ('LSW_USR',
 1000)
;

INSERT INTO 
    @SCHEMA@.LSW_PRI_KEY("TABLE_ID",
 "HIGH_KEY") 
VALUES ('LSW_USR_XREF',
 1000)
;

INSERT INTO 
    @SCHEMA@.LSW_PRI_KEY("TABLE_ID",
 "HIGH_KEY") 
VALUES ('LSW_USR_GRP_XREF',
 1000)
;

INSERT INTO 
    @SCHEMA@.LSW_PRI_KEY("TABLE_ID",
 "HIGH_KEY") 
VALUES ('EXECUTION_CONTEXT_ID',
 1)
;

INSERT INTO 
    @SCHEMA@.LSW_PRI_KEY("TABLE_ID",
 "HIGH_KEY") 
VALUES ('LSW_UCA_SYNC_QUEUE',
 1000)
;

INSERT INTO 
    @SCHEMA@.LSW_PRI_KEY("TABLE_ID",
 "HIGH_KEY") 
VALUES ('LSW_EM_INSTANCE',
 1000)
;

INSERT INTO 
    @SCHEMA@.LSW_PRI_KEY("TABLE_ID",
 "HIGH_KEY") 
VALUES ('LSW_EM_TASK',
 1000)
;

INSERT INTO 
    @SCHEMA@.LSW_PRI_KEY("TABLE_ID",
 "HIGH_KEY") 
VALUES ('LSW_SAVED_SEARCHES',
 1000)
;

INSERT INTO 
    @SCHEMA@.LSW_PRI_KEY("TABLE_ID",
 "HIGH_KEY") 
VALUES ('LSW_TIME_PERIOD',
 1000)
;

INSERT INTO 
    @SCHEMA@.LSW_PRI_KEY("TABLE_ID",
 "HIGH_KEY") 
VALUES ('LSW_TIME_SCHEDULE',
 1000)
;

INSERT INTO 
    @SCHEMA@.LSW_PRI_KEY("TABLE_ID",
 "HIGH_KEY") 
VALUES ('LSW_HOLIDAY_SCHEDULE',
 1000)
;

INSERT INTO 
    @SCHEMA@.LSW_PRI_KEY("TABLE_ID",
 "HIGH_KEY") 
VALUES ('LSW_ACL_ENTRY',
 1000)
;

INSERT INTO 
    @SCHEMA@.LSW_PRI_KEY("TABLE_ID",
 "HIGH_KEY") 
VALUES ('LSW_PRIORITY',
 1000)
;

INSERT INTO 
    @SCHEMA@.LSW_PRI_KEY("TABLE_ID",
 "HIGH_KEY") 
VALUES ('LSW_CA_TEMPLATE',
 1)
;

INSERT INTO 
    @SCHEMA@.LSW_USR_GRP_XREF("GROUP_ID",
 "GROUP_NAME",
 "DISPLAY_NAME",
 "GROUP_TYPE",
 "DESCRIPTION",
 "GROUP_STATE") 
VALUES (2,
 'Debug',
 'Debug',
 3,
 'Group for people with access to debug feature.',
 0)
;

INSERT INTO 
    @SCHEMA@.LSW_USR_GRP_XREF("GROUP_ID",
 "GROUP_NAME",
 "DISPLAY_NAME",
 "GROUP_TYPE",
 "DESCRIPTION",
 "GROUP_STATE") 
VALUES (3,
 'tw_admins',
 'tw_admins',
 3,
 'Group for people with full access to Teamworks.',
 0)
;

INSERT INTO 
    @SCHEMA@.LSW_USR_GRP_XREF("GROUP_ID",
 "GROUP_NAME",
 "DISPLAY_NAME",
 "GROUP_TYPE",
 "DESCRIPTION",
 "GROUP_STATE") 
VALUES (4,
 'tw_authors',
 'tw_authors',
 3,
 'Group for people with Authoring access to Teamworks.',
 0)
;

INSERT INTO 
    @SCHEMA@.LSW_USR_GRP_XREF("GROUP_ID",
 "GROUP_NAME",
 "DISPLAY_NAME",
 "GROUP_TYPE",
 "DESCRIPTION",
 "GROUP_STATE") 
VALUES (6,
 'twem',
 'twem',
 3,
 'Group for people with Event Manager access.',
 0)
;

INSERT INTO 
    @SCHEMA@.LSW_USR_GRP_XREF("GROUP_ID",
 "GROUP_NAME",
 "DISPLAY_NAME",
 "GROUP_TYPE",
 "DESCRIPTION",
 "GROUP_STATE") 
VALUES (11,
 'tw_portal_admins',
 'tw_portal_admins',
 3,
 'Group for people with full access to Teamworks Portal.',
 0)
;

INSERT INTO 
    @SCHEMA@.LSW_USR_GRP_XREF("GROUP_ID",
 "GROUP_NAME",
 "DISPLAY_NAME",
 "GROUP_TYPE",
 "DESCRIPTION",
 "GROUP_STATE") 
VALUES (15,
 'tw_process_owners',
 'tw_process_owners',
 3,
 'Group for people with full access to critical path',
 0)
;

INSERT INTO 
    @SCHEMA@.LSW_USR_GRP_XREF("GROUP_ID",
 "GROUP_NAME",
 "DISPLAY_NAME",
 "GROUP_TYPE",
 "DESCRIPTION",
 "GROUP_STATE") 
VALUES (16,
 'tw_allusers',
 'tw_allusers',
 3,
 'Group for all people.',
 0)
;

INSERT INTO 
    @SCHEMA@.LSW_USR_GRP_XREF("GROUP_ID",
 "GROUP_NAME",
 "DISPLAY_NAME",
 "GROUP_TYPE",
 "DESCRIPTION",
 "GROUP_STATE") 
VALUES (17,
 'tw_managers',
 'tw_managers',
 3,
 'Group for people considered managers with full access to the team performance dashboard',
 0)
;

INSERT INTO 
    @SCHEMA@.LSW_USR_GRP_XREF("GROUP_ID",
 "GROUP_NAME",
 "DISPLAY_NAME",
 "GROUP_TYPE",
 "DESCRIPTION",
 "GROUP_STATE") 
VALUES (18,
 'tw_allusers_managers',
 'tw_allusers_managers',
 3,
 'Group for people considered managers of all users',
 0)
;

INSERT INTO 
    @SCHEMA@.LSW_GRP_GRP_MEM_XREF("GROUP_ID",
 "CONTAINER_GROUP_ID") 
VALUES (16,
 17)
;

INSERT INTO 
    @SCHEMA@.LSW_GRP_GRP_MEM_XREF("GROUP_ID",
 "CONTAINER_GROUP_ID") 
VALUES (3,
 18)
;

INSERT INTO 
    @SCHEMA@.LSW_GRP_GRP_MEM_EXPLODED_XREF("GROUP_ID",
 "CONTAINER_GROUP_ID",
 "MEM_PATH") 
VALUES (16,
 17,
 '#17#16#')
;

INSERT INTO 
    @SCHEMA@.LSW_GRP_GRP_MEM_EXPLODED_XREF("GROUP_ID",
 "CONTAINER_GROUP_ID",
 "MEM_PATH") 
VALUES (3,
 18,
 '#18#3#')
;

INSERT INTO 
    @SCHEMA@.LSW_USR("USER_ID",
 "USER_NAME",
 "PASSWD",
 "FULL_NAME",
 "IS_DISABLED",
 "LAST_LOGIN_DATETIME",
 "OLD_PASSWORDS") 
VALUES (@TW_ADMIN_USER_ID@,
 @TW_ADMIN_USER_NAME@,
 @TW_ADMIN_USER_PASSWD@,
 @TW_ADMIN_USER_NAME@,
 'F',
  NULL ,
 @TW_ADMIN_USER_PASSWD@)
;

INSERT INTO 
    @SCHEMA@.LSW_USR("USER_ID",
 "USER_NAME",
 "PASSWD",
 "FULL_NAME",
 "IS_DISABLED",
 "LAST_LOGIN_DATETIME",
 "OLD_PASSWORDS") 
VALUES (@TW_AUTHOR_USER_ID@,
 @TW_AUTHOR_USER_NAME@,
 @TW_AUTHOR_USER_PASSWD@,
 @TW_AUTHOR_USER_NAME@,
 'F',
  NULL ,
 @TW_AUTHOR_USER_PASSWD@)
;

INSERT INTO 
    @SCHEMA@.LSW_USR("USER_ID",
 "USER_NAME",
 "PASSWD",
 "FULL_NAME",
 "IS_DISABLED",
 "LAST_LOGIN_DATETIME",
 "OLD_PASSWORDS") 
VALUES (@TW_USER_USER_ID@,
 @TW_USER_USER_NAME@,
 @TW_USER_USER_PASSWD@,
 @TW_USER_USER_NAME@,
 'F',
  NULL ,
 @TW_USER_USER_PASSWD@)
;

INSERT INTO 
    @SCHEMA@.LSW_USR("USER_ID",
 "USER_NAME",
 "PASSWD",
 "FULL_NAME",
 "IS_DISABLED",
 "LAST_LOGIN_DATETIME",
 "OLD_PASSWORDS") 
VALUES (@TW_WEBSERVICE_USER_ID@,
 @TW_WEBSERVICE_USER_NAME@,
 @TW_WEBSERVICE_USER_PASSWD@,
 @TW_WEBSERVICE_USER_NAME@,
 'F',
  NULL ,
 @TW_WEBSERVICE_USER_PASSWD@)
;

INSERT INTO 
    @SCHEMA@.LSW_USR("USER_ID",
 "USER_NAME",
 "PASSWD",
 "FULL_NAME",
 "IS_DISABLED",
 "LAST_LOGIN_DATETIME",
 "OLD_PASSWORDS") 
VALUES (@TW_PORTAL_ADMIN_USER_ID@,
 @TW_PORTAL_ADMIN_USER_NAME@,
 @TW_PORTAL_ADMIN_USER_PASSWD@,
 @TW_PORTAL_ADMIN_USER_NAME@,
 'F',
  NULL ,
 @TW_PORTAL_ADMIN_USER_PASSWD@)
;

INSERT INTO 
    @SCHEMA@.LSW_USR("USER_ID",
 "USER_NAME",
 "PASSWD",
 "FULL_NAME",
 "IS_DISABLED",
 "LAST_LOGIN_DATETIME",
 "OLD_PASSWORDS") 
VALUES (@TW_RUNTIME_SERVER_USER_ID@,
 @TW_RUNTIME_SERVER_USER_NAME@,
 @TW_RUNTIME_SERVER_USER_PASSWD@,
 @TW_RUNTIME_SERVER_USER_NAME@,
 'F',
  NULL ,
 @TW_RUNTIME_SERVER_USER_PASSWD@)
;

INSERT INTO 
    @SCHEMA@.LSW_USR("USER_ID",
 "USER_NAME",
 "PASSWD",
 "FULL_NAME",
 "IS_DISABLED",
 "LAST_LOGIN_DATETIME",
 "OLD_PASSWORDS") 
VALUES (@BPM_AUTHOR_USER_ID@,
 @BPM_AUTHOR_USER_NAME@,
 @BPM_AUTHOR_USER_PASSWD@,
 @BPM_AUTHOR_USER_NAME@,
 'F',
  NULL ,
 @BPM_AUTHOR_USER_PASSWD@)
;

INSERT INTO 
    @SCHEMA@.LSW_USR_XREF("USER_ID",
 "USER_NAME",
 "FULL_NAME") 
VALUES (@TW_ADMIN_USER_ID@,
 @TW_ADMIN_USER_NAME@,
 @TW_ADMIN_USER_NAME@)
;

INSERT INTO 
    @SCHEMA@.LSW_USR_XREF("USER_ID",
 "USER_NAME",
 "FULL_NAME") 
VALUES (@TW_AUTHOR_USER_ID@,
 @TW_AUTHOR_USER_NAME@,
 @TW_AUTHOR_USER_NAME@)
;

INSERT INTO 
    @SCHEMA@.LSW_USR_XREF("USER_ID",
 "USER_NAME",
 "FULL_NAME") 
VALUES (@TW_USER_USER_ID@,
 @TW_USER_USER_NAME@,
 @TW_USER_USER_NAME@)
;

INSERT INTO 
    @SCHEMA@.LSW_USR_XREF("USER_ID",
 "USER_NAME",
 "FULL_NAME") 
VALUES (@TW_WEBSERVICE_USER_ID@,
 @TW_WEBSERVICE_USER_NAME@,
 @TW_WEBSERVICE_USER_NAME@)
;

INSERT INTO 
    @SCHEMA@.LSW_USR_XREF("USER_ID",
 "USER_NAME",
 "FULL_NAME") 
VALUES (@TW_PORTAL_ADMIN_USER_ID@,
 @TW_PORTAL_ADMIN_USER_NAME@,
 @TW_PORTAL_ADMIN_USER_NAME@)
;

INSERT INTO 
    @SCHEMA@.LSW_USR_XREF("USER_ID",
 "USER_NAME",
 "FULL_NAME") 
VALUES (@TW_RUNTIME_SERVER_USER_ID@,
 @TW_RUNTIME_SERVER_USER_NAME@,
 @TW_RUNTIME_SERVER_USER_NAME@)
;

INSERT INTO 
    @SCHEMA@.LSW_USR_XREF("USER_ID",
 "USER_NAME",
 "FULL_NAME") 
VALUES (@BPM_AUTHOR_USER_ID@,
 @BPM_AUTHOR_USER_NAME@,
 @BPM_AUTHOR_USER_NAME@)
;

INSERT INTO 
    @SCHEMA@.LSW_PRIORITY("PRIORITY_ID",
 "NAME",
 "DESCRIPTION",
 "LEGACY_GUID",
 "RANKING",
 "IS_DEFAULT") 
VALUES (10,
 'Highest',
 'Highest',
 'guid:0dfd96132cfb3049:57f3e3:f914ea0b73:-7fff',
 10,
 'F')
;

INSERT INTO 
    @SCHEMA@.LSW_PRIORITY("PRIORITY_ID",
 "NAME",
 "DESCRIPTION",
 "LEGACY_GUID",
 "RANKING",
 "IS_DEFAULT") 
VALUES (20,
 'High',
 'High',
 'guid:0dfd96132cfb3049:57f3e3:f914ea0b73:-7ffe',
 20,
 'F')
;

INSERT INTO 
    @SCHEMA@.LSW_PRIORITY("PRIORITY_ID",
 "NAME",
 "DESCRIPTION",
 "LEGACY_GUID",
 "RANKING",
 "IS_DEFAULT") 
VALUES (30,
 'Normal',
 'Normal',
 'guid:0dfd96132cfb3049:57f3e3:f914ea0b73:-7ff7',
 30,
 'T')
;

INSERT INTO 
    @SCHEMA@.LSW_PRIORITY("PRIORITY_ID",
 "NAME",
 "DESCRIPTION",
 "LEGACY_GUID",
 "RANKING",
 "IS_DEFAULT") 
VALUES (40,
 'Low',
 'Low',
 'guid:0dfd96132cfb3049:57f3e3:f914ea0b73:-7ffd',
 40,
 'F')
;

INSERT INTO 
    @SCHEMA@.LSW_PRIORITY("PRIORITY_ID",
 "NAME",
 "DESCRIPTION",
 "LEGACY_GUID",
 "RANKING",
 "IS_DEFAULT") 
VALUES (50,
 'Lowest',
 'Lowest',
 'guid:0dfd96132cfb3049:57f3e3:f914ea0b73:-7ffc',
 50,
 'F')
;

INSERT INTO 
    @SCHEMA@.LSW_UCA_SYNC_QUEUE("SYNC_QUEUE_ID",
 "DESCRIPTION") 
VALUES (1,
 'SYNC_QUEUE_1')
;

INSERT INTO 
    @SCHEMA@.LSW_UCA_SYNC_QUEUE("SYNC_QUEUE_ID",
 "DESCRIPTION") 
VALUES (2,
 'SYNC_QUEUE_2')
;

INSERT INTO 
    @SCHEMA@.LSW_UCA_SYNC_QUEUE("SYNC_QUEUE_ID",
 "DESCRIPTION") 
VALUES (3,
 'SYNC_QUEUE_3')
;

INSERT INTO 
    @SCHEMA@.LSW_BLACKOUT_CALENDAR("CALENDAR_ID",
 "IS_BLACKED_OUT") 
VALUES (1,
 0)
;

INSERT INTO 
    @SCHEMA@.LSW_SAVED_SEARCHES("SEARCH_ID",
 "SEARCH_NAME",
 "QUERY") 
VALUES (1,
 'portal.savedsearch.inbox',
 '<?xml version="1.0" encoding="UTF-8"?><query organization="byInstance"> <constraints><constraint column="taskStatus" operator="Equals" value="New_or_Received"/></constraints> <instance-results> <column name="instanceName"/> <column name="bpdName"/> <column name="instanceDueDate"/> </instance-results> <task-results> <column name="taskSubject"/> <column name="taskPriority"/> <column name="taskDueDate"/> </task-results> <business-data-results/> </query>')
;

INSERT INTO 
    @SCHEMA@.LSW_SAVED_SEARCHES("SEARCH_ID",
 "SEARCH_NAME",
 "QUERY") 
VALUES (2,
 'portal.savedsearch.history',
 '<?xml version="1.0" encoding="UTF-8"?><query organization="byInstance"> <constraints> <constraint column="taskStatus"  operator="Equals" value="Closed"/> </constraints> <instance-results> <column name="instanceName"/> <column name="bpdName"/> <column name="instanceStatus"/> </instance-results> <task-results> <column name="taskSubject"/> <column name="taskPriority"/> <column name="taskDueDate"/> </task-results> <business-data-results/> </query>')
;

INSERT INTO 
    @SCHEMA@.LSW_SAVED_SEARCHES("SEARCH_ID",
 "SEARCH_NAME",
 "QUERY") 
VALUES (3,
 'portal.savedsearch.help_reqs',
 '<?xml version="1.0" encoding="UTF-8"?><query organization="byInstance"  first-sort="" second-sort=""><constraints><constraint column="taskStatus" operator="Equals"  value="Help_Request"/></constraints><instance-results> <column name="instanceName"/> <column name="bpdName"/> <column name="instanceDueDate"/> </instance-results> <task-results> <column name="taskSubject"/> <column name="taskPriority"/> <column name="taskDueDate"/> </task-results> <business-data-results/></query>')
;

INSERT INTO 
    @SCHEMA@.LSW_SAVED_SEARCHES("SEARCH_ID",
 "SEARCH_NAME",
 "QUERY") 
VALUES (4,
 'portal.savedsearch.alerts',
 '<?xml version="1.0" encoding="UTF-8"?><query organization="byTask"  first-sort="" second-sort=""><constraints><constraint column="taskStatus" operator="Equals" value="Alert"/></constraints><instance-results> <column name="instanceName"/> <column name="bpdName"/> <column name="instanceDueDate"/> </instance-results> <task-results> <column name="taskSubject"/> <column name="taskPriority"/> <column name="taskDueDate"/> </task-results> <business-data-results/></query>')
;

INSERT INTO 
    @SCHEMA@.LSW_SAVED_SEARCHES("SEARCH_ID",
 "SEARCH_NAME",
 "QUERY") 
VALUES (5,
 'IBM.DEFAULTALLTASKSLIST_75',
 '<?xml version="1.0" encoding="UTF-8"?><query organization="byTask"  first-sort="" second-sort=""> <constraints /> <results> <column name="taskSubject" column-type="task"/> <column name="taskNarrative" column-type="task"/> <column name="taskDueDate" column-type="task"/> <column name="taskReceivedDate" column-type="task"/> <column name="taskPriority" column-type="task"/> <column name="taskStatus" column-type="task"/> <column name="taskReceivedFrom" column-type="task"/> <column name="taskClosedDate" column-type="task"/> <column name="assignedToUser" column-type="task"/> <column name="assignedToRoleDisplayName" column-type="task"/> <column name="taskActivityName" column-type="task"/> <column name="taskId" column-type="task"/> <column name="taskAtRiskTime" column-type="task"/> <column name="taskIsAtRisk" column-type="task"/> <column name="instanceId" column-type="instance"/> <column name="instanceName" column-type="instance"/> <column name="bpdId" column-type="instance"/> <column name="instanceProcessApp" column-type="instance"/> <column name="instanceSnapshot" column-type="instance"/> <column name="instanceSnapshotId" column-type="instance"/> </results> </query>')
;

INSERT INTO 
    @SCHEMA@.LSW_SAVED_SEARCHES("SEARCH_ID",
 "SEARCH_NAME",
 "QUERY") 
VALUES (6,
 'IBM.DEFAULTALLPROCESSLIST_75',
 '<?xml version="1.0" encoding="UTF-8"?><query organization="byInstance"  first-sort="" second-sort=""> <constraints /> <results> <column name="instanceName" column-type="instance"/> <column name="instanceStatus" column-type="instance"/> <column name="bpdName" column-type="instance"/> <column name="instanceId" column-type="instance"/> <column name="bpdId" column-type="instance"/> <column name="instanceProcessApp" column-type="instance"/> <column name="instanceSnapshot" column-type="instance"/> <column name="instanceSnapshotId" column-type="instance"/> </results> </query>')
;

INSERT INTO 
    @SCHEMA@.LSW_TASK_STATUS_CODES("STATUS_ID",
 "NAME",
 "STATUS_VALUE") 
VALUES (1,
 'New',
 '11')
;

INSERT INTO 
    @SCHEMA@.LSW_TASK_STATUS_CODES("STATUS_ID",
 "NAME",
 "STATUS_VALUE") 
VALUES (2,
 'Received',
 '12')
;

INSERT INTO 
    @SCHEMA@.LSW_TASK_STATUS_CODES("STATUS_ID",
 "NAME",
 "STATUS_VALUE") 
VALUES (3,
 'Replied',
 '13')
;

INSERT INTO 
    @SCHEMA@.LSW_TASK_STATUS_CODES("STATUS_ID",
 "NAME",
 "STATUS_VALUE") 
VALUES (4,
 'Forwarded',
 '14')
;

INSERT INTO 
    @SCHEMA@.LSW_TASK_STATUS_CODES("STATUS_ID",
 "NAME",
 "STATUS_VALUE") 
VALUES (5,
 'Sent',
 '21')
;

INSERT INTO 
    @SCHEMA@.LSW_TASK_STATUS_CODES("STATUS_ID",
 "NAME",
 "STATUS_VALUE") 
VALUES (6,
 'Actioned',
 '31')
;

INSERT INTO 
    @SCHEMA@.LSW_TASK_STATUS_CODES("STATUS_ID",
 "NAME",
 "STATUS_VALUE") 
VALUES (7,
 'Closed',
 '32')
;

INSERT INTO 
    @SCHEMA@.LSW_TASK_STATUS_CODES("STATUS_ID",
 "NAME",
 "STATUS_VALUE") 
VALUES (8,
 'Special',
 '41')
;

INSERT INTO 
    @SCHEMA@.LSW_TASK_STATUS_CODES("STATUS_ID",
 "NAME",
 "STATUS_VALUE") 
VALUES (9,
 'Deleted',
 '91')
;

INSERT INTO 
    @SCHEMA@.LSW_TASK_STATUS_CODES("STATUS_ID",
 "NAME",
 "STATUS_VALUE") 
VALUES (10,
 'Alert',
 '61')
;

INSERT INTO 
    @SCHEMA@.LSW_TASK_STATUS_CODES("STATUS_ID",
 "NAME",
 "STATUS_VALUE") 
VALUES (11,
 'Help_Request',
 '62')
;

INSERT INTO 
    @SCHEMA@.LSW_TASK_STATUS_CODES("STATUS_ID",
 "NAME",
 "STATUS_VALUE") 
VALUES (12,
 'Comment',
 '63')
;

INSERT INTO 
    @SCHEMA@.LSW_TASK_STATUS_CODES("STATUS_ID",
 "NAME",
 "STATUS_VALUE") 
VALUES (13,
 'Answered_Help_Request',
 '65')
;

INSERT INTO 
    @SCHEMA@.LSW_TASK_STATUS_CODES("STATUS_ID",
 "NAME",
 "STATUS_VALUE") 
VALUES (14,
 'Ignored_Help_Request',
 '66')
;

INSERT INTO 
    @SCHEMA@.LSW_TASK_STATUS_CODES("STATUS_ID",
 "NAME",
 "STATUS_VALUE") 
VALUES (15,
 'Followed',
 '70')
;

INSERT INTO 
    @SCHEMA@.LSW_TASK_STATUS_CODES("STATUS_ID",
 "NAME",
 "STATUS_VALUE") 
VALUES (16,
 'Tagged',
 '71')
;

INSERT INTO 
    @SCHEMA@.LSW_TASK_STATUS_CODES("STATUS_ID",
 "NAME",
 "STATUS_VALUE") 
VALUES (17,
 'Collaboration',
 '72')
;

INSERT INTO 
    @SCHEMA@.LSW_BPD_STATUS_CODES("STATUS_ID",
 "NAME",
 "CONST_VALUE") 
VALUES (1,
 'Active',
 'EXECUTION_STATUS_ACTIVE')
;

INSERT INTO 
    @SCHEMA@.LSW_BPD_STATUS_CODES("STATUS_ID",
 "NAME",
 "CONST_VALUE") 
VALUES (2,
 'Completed',
 'EXECUTION_STATUS_COMPLETED')
;

INSERT INTO 
    @SCHEMA@.LSW_BPD_STATUS_CODES("STATUS_ID",
 "NAME",
 "CONST_VALUE") 
VALUES (3,
 'Failed',
 'EXECUTION_STATUS_FAILED')
;

INSERT INTO 
    @SCHEMA@.LSW_BPD_STATUS_CODES("STATUS_ID",
 "NAME",
 "CONST_VALUE") 
VALUES (4,
 'Terminated',
 'EXECUTION_STATUS_TERMINATED')
;

INSERT INTO 
    @SCHEMA@.LSW_BPD_STATUS_CODES("STATUS_ID",
 "NAME",
 "CONST_VALUE") 
VALUES (5,
 'Did_not_Start',
 'EXECUTION_STATUS_DID_NOT_START')
;

INSERT INTO 
    @SCHEMA@.LSW_BPD_STATUS_CODES("STATUS_ID",
 "NAME",
 "CONST_VALUE") 
VALUES (6,
 'Suspended',
 'EXECUTION_STATUS_SUSPENDED')
;

INSERT INTO 
    @SCHEMA@.LSW_FILE_TYPES("FILETYPE_ID",
 "EXT",
 "FILETYPE") 
VALUES (1,
 'DOC',
 'Word Document')
;

INSERT INTO 
    @SCHEMA@.LSW_FILE_TYPES("FILETYPE_ID",
 "EXT",
 "FILETYPE") 
VALUES (2,
 'XLS',
 'Excel Workbook')
;

INSERT INTO 
    @SCHEMA@.LSW_FILE_TYPES("FILETYPE_ID",
 "EXT",
 "FILETYPE") 
VALUES (3,
 'PPT',
 'Power Point Presentation')
;

INSERT INTO 
    @SCHEMA@.LSW_FILE_TYPES("FILETYPE_ID",
 "EXT",
 "FILETYPE") 
VALUES (4,
 'JPG',
 'JPEG Image')
;

INSERT INTO 
    @SCHEMA@.LSW_FILE_TYPES("FILETYPE_ID",
 "EXT",
 "FILETYPE") 
VALUES (5,
 'GIF',
 'GIF Image')
;

INSERT INTO 
    @SCHEMA@.LSW_FILE_TYPES("FILETYPE_ID",
 "EXT",
 "FILETYPE") 
VALUES (6,
 'PNG',
 'PNG Image')
;

INSERT INTO 
    @SCHEMA@.LSW_FILE_TYPES("FILETYPE_ID",
 "EXT",
 "FILETYPE") 
VALUES (7,
 'TXT',
 'Text')
;

INSERT INTO 
    @SCHEMA@.LSW_FILE_TYPES("FILETYPE_ID",
 "EXT",
 "FILETYPE") 
VALUES (8,
 'HTML',
 'HTML File')
;

INSERT INTO 
    @SCHEMA@.LSW_SYSTEM("PROPKEY",
 "PROPVALUE") 
VALUES ('IsRepository',
 @APPSERVER_REPOSITORY_ENABLE@)
;

INSERT INTO 
    @SCHEMA@.LSW_SYSTEM_SCHEMA("PROPNAME",
 "PROPVALUE") 
VALUES ('DatabaseSchemaVersion',
 '8.5.0')
;

INSERT INTO 
    @SCHEMA@.LSW_PROJECT("PROJECT_ID",
 "CREATED_BY_USER_ID",
 "CREATED_ON",
 "LAST_MODIFIED",
 "LAST_MODIFIED_BY_USER_ID",
 "NAME",
 "DESCRIPTION",
 "SHORT_NAME",
 "IS_TOOLKIT",
 "IS_BRANCHING_ENABLED",
 "IS_HIDDEN") 
VALUES ('1b351583-e5cb-43b7-baee-340a63130ea7',
 1,
 TIMESTAMP_FORMAT('01/01/1969 17:00:00','MM/DD/YYYY HH24:MI:SS'),
 TIMESTAMP_FORMAT('01/01/1969 17:00:00','MM/DD/YYYY HH24:MI:SS'),
 1,
 'System Data',
 'Teamworks System Data',
 'TWSYS',
 'T',
 'F',
 'F')
;

INSERT INTO 
    @SCHEMA@.LSW_PROJECT("PROJECT_ID",
 "CREATED_BY_USER_ID",
 "CREATED_ON",
 "LAST_MODIFIED",
 "LAST_MODIFIED_BY_USER_ID",
 "NAME",
 "DESCRIPTION",
 "SHORT_NAME",
 "IS_TOOLKIT",
 "IS_BRANCHING_ENABLED",
 "IS_HIDDEN") 
VALUES ('dbecd816-afed-47b0-ba92-c13256fcb566',
 1,
 TIMESTAMP_FORMAT('01/01/1969 17:00:00','MM/DD/YYYY HH24:MI:SS'),
 TIMESTAMP_FORMAT('01/01/1969 17:00:00','MM/DD/YYYY HH24:MI:SS'),
 1,
 'System Governance',
 'IBM BPM Governance Data and Services',
 'TWSYSG',
 'T',
 'F',
 'F')
;

INSERT INTO 
    @SCHEMA@.LSW_PROJECT("PROJECT_ID",
 "CREATED_BY_USER_ID",
 "CREATED_ON",
 "LAST_MODIFIED",
 "LAST_MODIFIED_BY_USER_ID",
 "NAME",
 "DESCRIPTION",
 "SHORT_NAME",
 "IS_TOOLKIT",
 "IS_BRANCHING_ENABLED",
 "IS_HIDDEN") 
VALUES ('b691179d-e7a4-4a27-b89b-f2263d0280e7',
 1,
 TIMESTAMP_FORMAT('01/01/1969 17:00:00','MM/DD/YYYY HH24:MI:SS'),
 TIMESTAMP_FORMAT('01/01/1969 17:00:00','MM/DD/YYYY HH24:MI:SS'),
 1,
 'Coaches',
 'IBM BPM System Coaches',
 'SYSC',
 'T',
 'F',
 'F')
;

INSERT INTO 
    @SCHEMA@.LSW_PROJECT("PROJECT_ID",
 "CREATED_BY_USER_ID",
 "CREATED_ON",
 "LAST_MODIFIED",
 "LAST_MODIFIED_BY_USER_ID",
 "NAME",
 "DESCRIPTION",
 "SHORT_NAME",
 "IS_TOOLKIT",
 "IS_BRANCHING_ENABLED",
 "IS_HIDDEN") 
VALUES ('4b3882d9-e886-4f08-9d0c-078ebda719b9',
 1,
 TIMESTAMP_FORMAT('01/01/1969 17:00:00','MM/DD/YYYY HH24:MI:SS'),
 TIMESTAMP_FORMAT('01/01/1969 17:00:00','MM/DD/YYYY HH24:MI:SS'),
 1,
 'Content Management',
 'IBM BPM Content Management Data, Services and Coach views.',
 'SYSCM',
 'T',
 'F',
 'F')
;

INSERT INTO 
    @SCHEMA@.LSW_PROJECT("PROJECT_ID",
 "CREATED_BY_USER_ID",
 "CREATED_ON",
 "LAST_MODIFIED",
 "LAST_MODIFIED_BY_USER_ID",
 "NAME",
 "DESCRIPTION",
 "SHORT_NAME",
 "IS_TOOLKIT",
 "IS_BRANCHING_ENABLED",
 "IS_HIDDEN") 
VALUES ('bdf91468-0d01-4ae2-bb53-054b3b591f94',
 1,
 TIMESTAMP_FORMAT('01/01/1969 17:00:00','MM/DD/YYYY HH24:MI:SS'),
 TIMESTAMP_FORMAT('01/01/1969 17:00:00','MM/DD/YYYY HH24:MI:SS'),
 1,
 'Ad-hoc Reports',
 'Teamworks Ad-hoc Reports',
 'ADHOC',
 'F',
 'F',
 'T')
;

INSERT INTO 
    @SCHEMA@.LSW_PROJECT("PROJECT_ID",
 "CREATED_BY_USER_ID",
 "CREATED_ON",
 "LAST_MODIFIED",
 "LAST_MODIFIED_BY_USER_ID",
 "NAME",
 "DESCRIPTION",
 "SHORT_NAME",
 "IS_TOOLKIT",
 "IS_BRANCHING_ENABLED",
 "IS_HIDDEN") 
VALUES ('54ab5985-73a7-4ff6-a443-3efd4193a711',
 1,
 TIMESTAMP_FORMAT('01/01/1969 17:00:00','MM/DD/YYYY HH24:MI:SS'),
 TIMESTAMP_FORMAT('01/01/1969 17:00:00','MM/DD/YYYY HH24:MI:SS'),
 1,
 'Dashboards',
 'IBM BPM System Dashboards',
 'SYSD',
 'T',
 'F',
 'F')
;

INSERT INTO 
    @SCHEMA@.LSW_BRANCH("BRANCH_ID",
 "CREATED_BY_USER_ID",
 "CREATED_ON",
 "LAST_MODIFIED",
 "LAST_MODIFIED_BY_USER_ID",
 "NAME",
 "ACRONYM",
 "DESCRIPTION",
 "TIP_SNAPSHOT_ID",
 "TIP_SEQ_NUM",
 "PROJECT_ID",
 "IS_DEFAULT") 
VALUES ('0798815e-0346-4ef4-8946-ab4301c9f340',
 1,
 TIMESTAMP_FORMAT('01/01/1969 17:00:00','MM/DD/YYYY HH24:MI:SS'),
 TIMESTAMP_FORMAT('01/01/1969 17:00:00','MM/DD/YYYY HH24:MI:SS'),
 1,
 'Main',
 'Main',
 'The main branch of the TWSYS project',
 'd14c71c9-454c-4576-b108-b441c5877c7f',
 256,
 '1b351583-e5cb-43b7-baee-340a63130ea7',
 'T')
;

INSERT INTO 
    @SCHEMA@.LSW_BRANCH("BRANCH_ID",
 "CREATED_BY_USER_ID",
 "CREATED_ON",
 "LAST_MODIFIED",
 "LAST_MODIFIED_BY_USER_ID",
 "NAME",
 "ACRONYM",
 "DESCRIPTION",
 "TIP_SNAPSHOT_ID",
 "TIP_SEQ_NUM",
 "PROJECT_ID",
 "IS_DEFAULT") 
VALUES ('f757be35-ebca-4e58-a85c-6b34f3c15149',
 1,
 TIMESTAMP_FORMAT('01/01/1969 17:00:00','MM/DD/YYYY HH24:MI:SS'),
 TIMESTAMP_FORMAT('01/01/1969 17:00:00','MM/DD/YYYY HH24:MI:SS'),
 1,
 'Main',
 'Main',
 'The main branch of the TWSYSG project',
 '2b73dd6a-31dc-4b32-b1af-a858743e1370',
 256,
 'dbecd816-afed-47b0-ba92-c13256fcb566',
 'T')
;

INSERT INTO 
    @SCHEMA@.LSW_BRANCH("BRANCH_ID",
 "CREATED_BY_USER_ID",
 "CREATED_ON",
 "LAST_MODIFIED",
 "LAST_MODIFIED_BY_USER_ID",
 "NAME",
 "ACRONYM",
 "DESCRIPTION",
 "TIP_SNAPSHOT_ID",
 "TIP_SEQ_NUM",
 "PROJECT_ID",
 "IS_DEFAULT") 
VALUES ('50f91713-f1c4-4859-897f-89720db5dc3e',
 1,
 TIMESTAMP_FORMAT('01/01/1969 17:00:00','MM/DD/YYYY HH24:MI:SS'),
 TIMESTAMP_FORMAT('01/01/1969 17:00:00','MM/DD/YYYY HH24:MI:SS'),
 1,
 'Main',
 'Main',
 'The main branch of the SYSC project',
 'e01d46a5-6dc9-4545-9940-7e843777321d',
 256,
 'b691179d-e7a4-4a27-b89b-f2263d0280e7',
 'T')
;

INSERT INTO 
    @SCHEMA@.LSW_BRANCH("BRANCH_ID",
 "CREATED_BY_USER_ID",
 "CREATED_ON",
 "LAST_MODIFIED",
 "LAST_MODIFIED_BY_USER_ID",
 "NAME",
 "ACRONYM",
 "DESCRIPTION",
 "TIP_SNAPSHOT_ID",
 "TIP_SEQ_NUM",
 "PROJECT_ID",
 "IS_DEFAULT") 
VALUES ('4961c615-3524-4196-90da-93c49d237009',
 1,
 TIMESTAMP_FORMAT('01/01/1969 17:00:00','MM/DD/YYYY HH24:MI:SS'),
 TIMESTAMP_FORMAT('01/01/1969 17:00:00','MM/DD/YYYY HH24:MI:SS'),
 1,
 'Main',
 'Main',
 'The main branch of the SYSCM project',
 '29dbc7ff-aace-481a-ba72-be56c0180448',
 256,
 '4b3882d9-e886-4f08-9d0c-078ebda719b9',
 'T')
;

INSERT INTO 
    @SCHEMA@.LSW_BRANCH("BRANCH_ID",
 "CREATED_BY_USER_ID",
 "CREATED_ON",
 "LAST_MODIFIED",
 "LAST_MODIFIED_BY_USER_ID",
 "NAME",
 "ACRONYM",
 "DESCRIPTION",
 "TIP_SNAPSHOT_ID",
 "TIP_SEQ_NUM",
 "PROJECT_ID",
 "IS_DEFAULT") 
VALUES ('32b9b971-a5b4-46ff-81a4-b0a75925e811',
 1,
 TIMESTAMP_FORMAT('01/01/1969 17:00:00','MM/DD/YYYY HH24:MI:SS'),
 TIMESTAMP_FORMAT('01/01/1969 17:00:00','MM/DD/YYYY HH24:MI:SS'),
 1,
 'Main',
 'Main',
 'The main branch of the ADHOC project',
 '17903f18-237b-45c2-8897-235e99ae7989',
 256,
 'bdf91468-0d01-4ae2-bb53-054b3b591f94',
 'T')
;

INSERT INTO 
    @SCHEMA@.LSW_BRANCH("BRANCH_ID",
 "CREATED_BY_USER_ID",
 "CREATED_ON",
 "LAST_MODIFIED",
 "LAST_MODIFIED_BY_USER_ID",
 "NAME",
 "ACRONYM",
 "DESCRIPTION",
 "TIP_SNAPSHOT_ID",
 "TIP_SEQ_NUM",
 "PROJECT_ID",
 "IS_DEFAULT") 
VALUES ('7d491984-182d-45ce-ad8f-9561c773848c',
 1,
 TIMESTAMP_FORMAT('01/01/1969 17:00:00','MM/DD/YYYY HH24:MI:SS'),
 TIMESTAMP_FORMAT('01/01/1969 17:00:00','MM/DD/YYYY HH24:MI:SS'),
 1,
 'Main',
 'Main',
 'The main branch of the SYSD project',
 '24d7efbe-2444-43d4-9c26-7938f5a1c101',
 256,
 '54ab5985-73a7-4ff6-a443-3efd4193a711',
 'T')
;

INSERT INTO 
    @SCHEMA@.LSW_SNAPSHOT("SNAPSHOT_ID",
 "CREATED_BY_USER_ID",
 "CREATED_ON",
 "ACRONYM",
 "BRANCH_ID",
 "PROJECT_ID",
 "SEQ_NUM",
 "ORIG_CREATED_ON",
 "LAST_MODIFIED",
 "LAST_MODIFIED_BY_USER_ID") 
VALUES ('d14c71c9-454c-4576-b108-b441c5877c7f',
 1,
 TIMESTAMP_FORMAT('01/01/1969 17:00:00','MM/DD/YYYY HH24:MI:SS'),
 'd14c71c9-454c-4576-b108-b441c5877c7f',
 '0798815e-0346-4ef4-8946-ab4301c9f340',
 '1b351583-e5cb-43b7-baee-340a63130ea7',
 256,
 TIMESTAMP_FORMAT('01/01/1969 17:00:00','MM/DD/YYYY HH24:MI:SS'),
 TIMESTAMP_FORMAT('01/01/1969 17:00:00','MM/DD/YYYY HH24:MI:SS'),
 1)
;

INSERT INTO 
    @SCHEMA@.LSW_SNAPSHOT("SNAPSHOT_ID",
 "CREATED_BY_USER_ID",
 "CREATED_ON",
 "ACRONYM",
 "BRANCH_ID",
 "PROJECT_ID",
 "SEQ_NUM",
 "ORIG_CREATED_ON",
 "LAST_MODIFIED",
 "LAST_MODIFIED_BY_USER_ID") 
VALUES ('2b73dd6a-31dc-4b32-b1af-a858743e1370',
 1,
 TIMESTAMP_FORMAT('01/01/1969 17:00:00','MM/DD/YYYY HH24:MI:SS'),
 '2b73dd6a-31dc-4b32-b1af-a858743e1370',
 'f757be35-ebca-4e58-a85c-6b34f3c15149',
 'dbecd816-afed-47b0-ba92-c13256fcb566',
 256,
 TIMESTAMP_FORMAT('01/01/1969 17:00:00','MM/DD/YYYY HH24:MI:SS'),
 TIMESTAMP_FORMAT('01/01/1969 17:00:00','MM/DD/YYYY HH24:MI:SS'),
 1)
;

INSERT INTO 
    @SCHEMA@.LSW_SNAPSHOT("SNAPSHOT_ID",
 "CREATED_BY_USER_ID",
 "CREATED_ON",
 "ACRONYM",
 "BRANCH_ID",
 "PROJECT_ID",
 "SEQ_NUM",
 "ORIG_CREATED_ON",
 "LAST_MODIFIED",
 "LAST_MODIFIED_BY_USER_ID") 
VALUES ('e01d46a5-6dc9-4545-9940-7e843777321d',
 1,
 TIMESTAMP_FORMAT('01/01/1969 17:00:00','MM/DD/YYYY HH24:MI:SS'),
 'e01d46a5-6dc9-4545-9940-7e843777321d',
 '50f91713-f1c4-4859-897f-89720db5dc3e',
 'b691179d-e7a4-4a27-b89b-f2263d0280e7',
 256,
 TIMESTAMP_FORMAT('01/01/1969 17:00:00','MM/DD/YYYY HH24:MI:SS'),
 TIMESTAMP_FORMAT('01/01/1969 17:00:00','MM/DD/YYYY HH24:MI:SS'),
 1)
;

INSERT INTO 
    @SCHEMA@.LSW_SNAPSHOT("SNAPSHOT_ID",
 "CREATED_BY_USER_ID",
 "CREATED_ON",
 "ACRONYM",
 "BRANCH_ID",
 "PROJECT_ID",
 "SEQ_NUM",
 "ORIG_CREATED_ON",
 "LAST_MODIFIED",
 "LAST_MODIFIED_BY_USER_ID") 
VALUES ('29dbc7ff-aace-481a-ba72-be56c0180448',
 1,
 TIMESTAMP_FORMAT('01/01/1969 17:00:00','MM/DD/YYYY HH24:MI:SS'),
 '29dbc7ff-aace-481a-ba72-be56c0180448',
 '4961c615-3524-4196-90da-93c49d237009',
 '4b3882d9-e886-4f08-9d0c-078ebda719b9',
 256,
 TIMESTAMP_FORMAT('01/01/1969 17:00:00','MM/DD/YYYY HH24:MI:SS'),
 TIMESTAMP_FORMAT('01/01/1969 17:00:00','MM/DD/YYYY HH24:MI:SS'),
 1)
;

INSERT INTO 
    @SCHEMA@.LSW_SNAPSHOT("SNAPSHOT_ID",
 "CREATED_BY_USER_ID",
 "CREATED_ON",
 "ACRONYM",
 "BRANCH_ID",
 "PROJECT_ID",
 "SEQ_NUM",
 "ORIG_CREATED_ON",
 "LAST_MODIFIED",
 "LAST_MODIFIED_BY_USER_ID") 
VALUES ('17903f18-237b-45c2-8897-235e99ae7989',
 1,
 TIMESTAMP_FORMAT('01/01/1969 17:00:00','MM/DD/YYYY HH24:MI:SS'),
 '17903f18-237b-45c2-8897-235e99ae7989',
 '32b9b971-a5b4-46ff-81a4-b0a75925e811',
 'bdf91468-0d01-4ae2-bb53-054b3b591f94',
 256,
 TIMESTAMP_FORMAT('01/01/1969 17:00:00','MM/DD/YYYY HH24:MI:SS'),
 TIMESTAMP_FORMAT('01/01/1969 17:00:00','MM/DD/YYYY HH24:MI:SS'),
 1)
;

INSERT INTO 
    @SCHEMA@.LSW_SNAPSHOT("SNAPSHOT_ID",
 "CREATED_BY_USER_ID",
 "CREATED_ON",
 "ACRONYM",
 "BRANCH_ID",
 "PROJECT_ID",
 "SEQ_NUM",
 "ORIG_CREATED_ON",
 "LAST_MODIFIED",
 "LAST_MODIFIED_BY_USER_ID") 
VALUES ('24d7efbe-2444-43d4-9c26-7938f5a1c101',
 1,
 TIMESTAMP_FORMAT('01/01/1969 17:00:00','MM/DD/YYYY HH24:MI:SS'),
 '24d7efbe-2444-43d4-9c26-7938f5a1c101',
 '7d491984-182d-45ce-ad8f-9561c773848c',
 '54ab5985-73a7-4ff6-a443-3efd4193a711',
 256,
 TIMESTAMP_FORMAT('01/01/1969 17:00:00','MM/DD/YYYY HH24:MI:SS'),
 TIMESTAMP_FORMAT('01/01/1969 17:00:00','MM/DD/YYYY HH24:MI:SS'),
 1)
;

INSERT INTO 
    @SCHEMA@.LSW_ENV_TYPE("ENV_TYPE_ID",
 "NAME",
 "DESCRIPTION") 
VALUES (0,
 '0',
 'Development')
;

INSERT INTO 
    @SCHEMA@.LSW_ENV_TYPE("ENV_TYPE_ID",
 "NAME",
 "DESCRIPTION") 
VALUES (1,
 '1',
 'Test')
;

INSERT INTO 
    @SCHEMA@.LSW_ENV_TYPE("ENV_TYPE_ID",
 "NAME",
 "DESCRIPTION") 
VALUES (2,
 '2',
 'Staging')
;

INSERT INTO 
    @SCHEMA@.LSW_ENV_TYPE("ENV_TYPE_ID",
 "NAME",
 "DESCRIPTION") 
VALUES (3,
 '3',
 'Production')
;

INSERT INTO 
    @SCHEMA@.LSW_ENV_VAR_TYPE("ENV_VAR_TYPE_ID",
 "NAME",
 "DESCRIPTION") 
VALUES (0,
 '0',
 'General')
;

INSERT INTO 
    @SCHEMA@.LSW_ENV_VAR_TYPE("ENV_VAR_TYPE_ID",
 "NAME",
 "DESCRIPTION") 
VALUES (1,
 '1',
 'ILOG Rules Server')
;

INSERT INTO 
    @SCHEMA@.LSW_ENV_VAR_TYPE("ENV_VAR_TYPE_ID",
 "NAME",
 "DESCRIPTION") 
VALUES (2,
 '2',
 'ICI Web Service URL')
;

INSERT INTO 
    @SCHEMA@.LSW_ENV_VAR_TYPE("ENV_VAR_TYPE_ID",
 "NAME",
 "DESCRIPTION") 
VALUES (3,
 '3',
 'ICI Connector Name')
;

INSERT INTO 
    @SCHEMA@.LSW_ENV_VAR_TYPE("ENV_VAR_TYPE_ID",
 "NAME",
 "DESCRIPTION") 
VALUES (4,
 '4',
 'ICM Server')
;

INSERT INTO 
    @SCHEMA@.LSW_ENV_VAR_TYPE("ENV_VAR_TYPE_ID",
 "NAME",
 "DESCRIPTION") 
VALUES (5,
 '5',
 'Server Property')
;

INSERT INTO 
    @SCHEMA@.LSW_ENV_VAR_TYPE("ENV_VAR_TYPE_ID",
 "NAME",
 "DESCRIPTION") 
VALUES (6,
 '6',
 'ECM Server')
;

INSERT INTO 
    @SCHEMA@.LSW_ENV_VAR_TYPE("ENV_VAR_TYPE_ID",
 "NAME",
 "DESCRIPTION") 
VALUES (7,
 '7',
 'Sametime Server')
;

INSERT INTO 
    @SCHEMA@.LSW_ENV_VAR_TYPE("ENV_VAR_TYPE_ID",
 "NAME",
 "DESCRIPTION") 
VALUES (8,
 '8',
 'Connections Server')
;

INSERT INTO 
    @SCHEMA@.LSW_ENV_VAR_TYPE("ENV_VAR_TYPE_ID",
 "NAME",
 "DESCRIPTION") 
VALUES (9,
 '9',
 'Web Service')
;

INSERT INTO 
    @SCHEMA@.LSW_ENV_VAR_TYPE("ENV_VAR_TYPE_ID",
 "NAME",
 "DESCRIPTION") 
VALUES (10,
 '10',
 'SAP Server')
;

INSERT INTO 
    @SCHEMA@.LSW_TIME_PERIOD("PERIOD_ID",
 "NAME",
 "START_TIME",
 "END_TIME",
 "EFFECTIVE_DAYS") 
VALUES (0,
 '24X7',
 '0000',
 '2359',
 'mon,tue,wed,thu,fri,sat,sun')
;

INSERT INTO 
    @SCHEMA@.LSW_TIME_PERIOD("PERIOD_ID",
 "NAME",
 "START_TIME",
 "END_TIME",
 "EFFECTIVE_DAYS") 
VALUES (1,
 '7AM-7PM M-F',
 '0700',
 '1900',
 'mon,tue,wed,thu,fri')
;

INSERT INTO 
    @SCHEMA@.LSW_TIME_PERIOD("PERIOD_ID",
 "NAME",
 "START_TIME",
 "END_TIME",
 "EFFECTIVE_DAYS") 
VALUES (2,
 '7AM-7PM Every Day',
 '0700',
 '1900',
 'mon,tue,wed,thu,fri,sat,sun')
;

INSERT INTO 
    @SCHEMA@.LSW_TIME_PERIOD("PERIOD_ID",
 "NAME",
 "START_TIME",
 "END_TIME",
 "EFFECTIVE_DAYS") 
VALUES (3,
 '9AM-5PM M-F',
 '0900',
 '1700',
 'mon,tue,wed,thu,fri')
;

INSERT INTO 
    @SCHEMA@.LSW_TIME_PERIOD("PERIOD_ID",
 "NAME",
 "START_TIME",
 "END_TIME",
 "EFFECTIVE_DAYS") 
VALUES (4,
 '9AM-1PM Sat',
 '0900',
 '1300',
 'sat')
;

INSERT INTO 
    @SCHEMA@.LSW_TIME_SCHEDULE("SCHEDULE_ID",
 "NAME",
 "EXCLUDE_HOLIDAY") 
VALUES (0,
 '24X7',
 'F')
;

INSERT INTO 
    @SCHEMA@.LSW_TIME_SCHEDULE("SCHEDULE_ID",
 "NAME",
 "EXCLUDE_HOLIDAY") 
VALUES (1,
 '7AM-7PM M-F',
 'T')
;

INSERT INTO 
    @SCHEMA@.LSW_TIME_SCHEDULE("SCHEDULE_ID",
 "NAME",
 "EXCLUDE_HOLIDAY") 
VALUES (2,
 '7AM-7PM Every Day',
 'F')
;

INSERT INTO 
    @SCHEMA@.LSW_TIME_SCHEDULE("SCHEDULE_ID",
 "NAME",
 "EXCLUDE_HOLIDAY") 
VALUES (3,
 '9AM-5PM M-F',
 'T')
;

INSERT INTO 
    @SCHEMA@.LSW_TIME_SCHEDULE("SCHEDULE_ID",
 "NAME",
 "EXCLUDE_HOLIDAY") 
VALUES (4,
 '9AM-5PM M-F , 9AM-1PM Sat',
 'T')
;

INSERT INTO 
    @SCHEMA@.LSW_TIME_SCHEDULE_PERIOD("SCHEDULE_ID",
 "PERIOD_ID") 
VALUES (0,
 0)
;

INSERT INTO 
    @SCHEMA@.LSW_TIME_SCHEDULE_PERIOD("SCHEDULE_ID",
 "PERIOD_ID") 
VALUES (1,
 1)
;

INSERT INTO 
    @SCHEMA@.LSW_TIME_SCHEDULE_PERIOD("SCHEDULE_ID",
 "PERIOD_ID") 
VALUES (2,
 2)
;

INSERT INTO 
    @SCHEMA@.LSW_TIME_SCHEDULE_PERIOD("SCHEDULE_ID",
 "PERIOD_ID") 
VALUES (3,
 3)
;

INSERT INTO 
    @SCHEMA@.LSW_TIME_SCHEDULE_PERIOD("SCHEDULE_ID",
 "PERIOD_ID") 
VALUES (4,
 3)
;

INSERT INTO 
    @SCHEMA@.LSW_TIME_SCHEDULE_PERIOD("SCHEDULE_ID",
 "PERIOD_ID") 
VALUES (4,
 4)
;

INSERT INTO 
    @SCHEMA@.LSW_HOLIDAY_SCHEDULE("HOLIDAY_ID",
 "NAME",
 "HOLIDAY_LIST") 
VALUES (0,
 'empty holiday',
 '')
;

INSERT INTO 
    @SCHEMA@.LSW_LOCK("LOCK_ID",
 "DESCRIPTION") 
VALUES ('IMPORT_LOCK_TWX_KEY',
 'Lock required importing twx file ')
;

INSERT INTO 
    @SCHEMA@.LSW_LOCK("LOCK_ID",
 "DESCRIPTION") 
VALUES ('DEPLOYMENT_PKG_LOCK_KEY',
 'Lock required for add a deployment package to lsw_deployment_package ')
;

INSERT INTO 
    @SCHEMA@.LSW_LOCK("LOCK_ID",
 "DESCRIPTION") 
VALUES ('LOG_ADD_LOCK_KEY',
 'Lock required for adding logs to bpm_repository_log and updating timestamp in bpm_project_subscription')
;

INSERT INTO 
    @SCHEMA@.LSW_ACL_ENTRY("ACL_ENTRY_ID",
 "GROUP_ID",
 "PO_TYPE",
 "PO_ID",
 "MASK") 
VALUES (3,
 3,
 2066,
 '1b351583-e5cb-43b7-baee-340a63130ea7',
 63)
;

INSERT INTO 
    @SCHEMA@.LSW_ACL_ENTRY("ACL_ENTRY_ID",
 "GROUP_ID",
 "PO_TYPE",
 "PO_ID",
 "MASK") 
VALUES (4,
 4,
 2066,
 '1b351583-e5cb-43b7-baee-340a63130ea7',
 63)
;

INSERT INTO 
    @SCHEMA@.LSW_ACL_ENTRY("ACL_ENTRY_ID",
 "GROUP_ID",
 "PO_TYPE",
 "PO_ID",
 "MASK") 
VALUES (5,
 3,
 2066,
 'bdf91468-0d01-4ae2-bb53-054b3b591f94',
 127)
;

INSERT INTO 
    @SCHEMA@.LSW_ACL_ENTRY("ACL_ENTRY_ID",
 "GROUP_ID",
 "PO_TYPE",
 "PO_ID",
 "MASK") 
VALUES (6,
 4,
 2066,
 'bdf91468-0d01-4ae2-bb53-054b3b591f94',
 127)
;

INSERT INTO 
    @SCHEMA@.LSW_ACL_ENTRY("ACL_ENTRY_ID",
 "GROUP_ID",
 "PO_TYPE",
 "PO_ID",
 "MASK") 
VALUES (7,
 3,
 2066,
 'dbecd816-afed-47b0-ba92-c13256fcb566',
 127)
;

INSERT INTO 
    @SCHEMA@.LSW_ACL_ENTRY("ACL_ENTRY_ID",
 "GROUP_ID",
 "PO_TYPE",
 "PO_ID",
 "MASK") 
VALUES (8,
 3,
 2066,
 'b691179d-e7a4-4a27-b89b-f2263d0280e7',
 63)
;

INSERT INTO 
    @SCHEMA@.LSW_ACL_ENTRY("ACL_ENTRY_ID",
 "GROUP_ID",
 "PO_TYPE",
 "PO_ID",
 "MASK") 
VALUES (9,
 4,
 2066,
 'b691179d-e7a4-4a27-b89b-f2263d0280e7',
 63)
;

INSERT INTO 
    @SCHEMA@.LSW_ACL_ENTRY("ACL_ENTRY_ID",
 "GROUP_ID",
 "PO_TYPE",
 "PO_ID",
 "MASK") 
VALUES (10,
 3,
 2066,
 '4b3882d9-e886-4f08-9d0c-078ebda719b9',
 63)
;

INSERT INTO 
    @SCHEMA@.LSW_ACL_ENTRY("ACL_ENTRY_ID",
 "GROUP_ID",
 "PO_TYPE",
 "PO_ID",
 "MASK") 
VALUES (11,
 4,
 2066,
 '4b3882d9-e886-4f08-9d0c-078ebda719b9',
 63)
;

INSERT INTO 
    @SCHEMA@.LSW_ACL_ENTRY("ACL_ENTRY_ID",
 "GROUP_ID",
 "PO_TYPE",
 "PO_ID",
 "MASK") 
VALUES (12,
 4,
 2066,
 'dbecd816-afed-47b0-ba92-c13256fcb566',
 5)
;

INSERT INTO 
    @SCHEMA@.LSW_ACL_ENTRY("ACL_ENTRY_ID",
 "GROUP_ID",
 "PO_TYPE",
 "PO_ID",
 "MASK") 
VALUES (13,
 3,
 2066,
 '54ab5985-73a7-4ff6-a443-3efd4193a711',
 63)
;

INSERT INTO 
    @SCHEMA@.LSW_ACL_ENTRY("ACL_ENTRY_ID",
 "GROUP_ID",
 "PO_TYPE",
 "PO_ID",
 "MASK") 
VALUES (14,
 4,
 2066,
 '54ab5985-73a7-4ff6-a443-3efd4193a711',
 63)
;

INSERT INTO 
    @SCHEMA@.LSW_ACL_ENTRY("ACL_ENTRY_ID",
 "GROUP_ID",
 "PO_TYPE",
 "PO_ID",
 "MASK") 
VALUES (15,
 3,
 2066,
 '23d3ecec-6fdb-4033-9c57-e931aa13761f',
 127)
;

INSERT INTO 
    @SCHEMA@.LSW_ACL_ENTRY("ACL_ENTRY_ID",
 "GROUP_ID",
 "PO_TYPE",
 "PO_ID",
 "MASK") 
VALUES (16,
 3,
 2066,
 'c8cc5ba4-0c95-41bd-8aac-8136bc86ae85',
 127)
;

INSERT INTO 
    @SCHEMA@.LSW_ACL_ENTRY("ACL_ENTRY_ID",
 "GROUP_ID",
 "PO_TYPE",
 "PO_ID",
 "MASK") 
VALUES (17,
 3,
 2066,
 '9ab0d0c6-d92c-4355-9ed5-d8a05acdc4b0',
 127)
;

INSERT INTO 
    @SCHEMA@.LSW_ACL_ENTRY("ACL_ENTRY_ID",
 "GROUP_ID",
 "PO_TYPE",
 "PO_ID",
 "MASK") 
VALUES (18,
 4,
 2066,
 '9ab0d0c6-d92c-4355-9ed5-d8a05acdc4b0',
 127)
;

INSERT INTO 
    @SCHEMA@.LSW_ACL_ENTRY("ACL_ENTRY_ID",
 "GROUP_ID",
 "PO_TYPE",
 "PO_ID",
 "MASK") 
VALUES (19,
 3,
 2066,
 '7b7f619b-1f3c-434f-a4be-63dd5508f388',
 127)
;

INSERT INTO 
    @SCHEMA@.LSW_ACL_ENTRY("ACL_ENTRY_ID",
 "GROUP_ID",
 "PO_TYPE",
 "PO_ID",
 "MASK") 
VALUES (20,
 4,
 2066,
 '7b7f619b-1f3c-434f-a4be-63dd5508f388',
 127)
;

INSERT INTO 
    @SCHEMA@.LSW_ACL_ENTRY("ACL_ENTRY_ID",
 "GROUP_ID",
 "PO_TYPE",
 "PO_ID",
 "MASK") 
VALUES (21,
 3,
 2066,
 '1052c1c9-0b2c-42d3-a2bd-cd73e6c89f9b',
 127)
;

INSERT INTO 
    @SCHEMA@.LSW_ACL_ENTRY("ACL_ENTRY_ID",
 "GROUP_ID",
 "PO_TYPE",
 "PO_ID",
 "MASK") 
VALUES (22,
 4,
 2066,
 '1052c1c9-0b2c-42d3-a2bd-cd73e6c89f9b',
 127)
;

INSERT INTO 
    @SCHEMA@.BPM_SNAPSHOT_STATUS("STATUS_ID",
 "STATUS",
 "IS_SYSTEM") 
VALUES ('1b351583-e5cb-43b7-baee-340a63130ea1',
 'New',
 'T')
;

INSERT INTO 
    @SCHEMA@.BPM_SNAPSHOT_STATUS("STATUS_ID",
 "STATUS",
 "IS_SYSTEM") 
VALUES ('1b351583-e5cb-43b7-baee-340a63130ea2',
 'Rejected',
 'T')
;

INSERT INTO 
    @SCHEMA@.BPM_SNAPSHOT_STATUS("STATUS_ID",
 "STATUS",
 "IS_SYSTEM") 
VALUES ('1b351583-e5cb-43b7-baee-340a63130ea3',
 'Validated',
 'T')
;

INSERT INTO 
    @SCHEMA@.BPM_SNAPSHOT_STATUS("STATUS_ID",
 "STATUS",
 "IS_SYSTEM") 
VALUES ('1b351583-e5cb-43b7-baee-340a63130ea7',
 'Released',
 'T')
;

INSERT INTO 
    @SCHEMA@.BPM_EVENT_SUBSCRIPTION_TYPE("EVENT_SUBSCRIPTION_TYPE_ID",
 "NAME",
 "DESCRIPTION") 
VALUES (0,
 '0',
 'ECM')
;

INSERT INTO 
    @SCHEMA@.BPM_UCA_EVENT_TYPE("UCA_EVENT_TYPE_ID",
 "NAME",
 "DESCRIPTION") 
VALUES (0,
 '0',
 'Timer')
;

INSERT INTO 
    @SCHEMA@.BPM_UCA_EVENT_TYPE("UCA_EVENT_TYPE_ID",
 "NAME",
 "DESCRIPTION") 
VALUES (1,
 '1',
 'Message')
;

INSERT INTO 
    @SCHEMA@.BPM_UCA_EVENT_TYPE("UCA_EVENT_TYPE_ID",
 "NAME",
 "DESCRIPTION") 
VALUES (2,
 '2',
 'Content')
;

INSERT INTO 
    @SCHEMA@.BPM_GOVERNANCE_EVENT("EVENT_TYPE_ID",
 "EVENT_TYPE",
 "EVENT_TYPE_NAME",
 "GOV_DEFAULT_SNAPSHOT_ID",
 "GOV_DEFAULT_PROCESS_ID",
 "GOV_DEFAULT_PROCESS_TYPE") 
VALUES ('dbecd816-afed-47b0-ba92-c13256fcb568',
 0,
 'Installation Requested',
 '5c679113-27ac-4bb8-bc83-36a0909c38e6',
 'b0d87b96-5044-4390-b0f5-4ba05d63bc28',
 25)
;

INSERT INTO 
    @SCHEMA@.BPM_GOVERNANCE_EVENT("EVENT_TYPE_ID",
 "EVENT_TYPE",
 "EVENT_TYPE_NAME",
 "GOV_DEFAULT_SNAPSHOT_ID",
 "GOV_DEFAULT_PROCESS_ID",
 "GOV_DEFAULT_PROCESS_TYPE") 
VALUES ('dbecd816-afed-47b0-ba92-c13256fcb569',
 1,
 'Snapshot Status Change',
 '5c679113-27ac-4bb8-bc83-36a0909c38e6',
 '291536f1-aa21-4650-8ac9-c62eaa3fa110',
 25)
;

-- This file creates scheduler tables for background thread on PC Sharing feature.
-- Scriptfile to create schema for DB2
-- 1. Process this script in the DB2 command line processor
-- Example:
--             db2 connect to SCHEDDB
--             db2 -tf createTable_Scheduler_Sharing.sql


CREATE TABLE @SCHEMA@."BPM_PCS_TASK" ("TASKID" BIGINT NOT NULL ,
              "VERSION" VARCHAR(5) NOT NULL ,
              "ROW_VERSION" INTEGER NOT NULL ,
              "TASKTYPE" INTEGER NOT NULL ,
              "TASKSUSPENDED" SMALLINT NOT NULL ,
              "CANCELLED" SMALLINT NOT NULL ,
              "NEXTFIRETIME" BIGINT NOT NULL ,
              "STARTBYINTERVAL" VARCHAR(254) ,
              "STARTBYTIME" BIGINT ,
              "VALIDFROMTIME" BIGINT ,
              "VALIDTOTIME" BIGINT ,
              "REPEATINTERVAL" VARCHAR(254) ,
              "MAXREPEATS" INTEGER NOT NULL ,
              "REPEATSLEFT" INTEGER NOT NULL ,
              "TASKINFO" BLOB(102400) LOGGED NOT COMPACT ,
              "NAME" VARCHAR(254) NOT NULL ,
              "AUTOPURGE" INTEGER NOT NULL ,
              "FAILUREACTION" INTEGER ,
              "MAXATTEMPTS" INTEGER ,
              "QOS" INTEGER ,
              "PARTITIONID" INTEGER ,
              "OWNERTOKEN" VARCHAR(200) NOT NULL ,
              "CREATETIME" BIGINT NOT NULL );

ALTER TABLE @SCHEMA@."BPM_PCS_TASK" ADD PRIMARY KEY ("TASKID");

CREATE INDEX @SCHEMA@."BPM_PCS_TASK_IDX1" ON @SCHEMA@."BPM_PCS_TASK" ("TASKID",
              "OWNERTOKEN") ;

CREATE INDEX @SCHEMA@."BPM_PCS_TASK_IDX2" ON @SCHEMA@."BPM_PCS_TASK" ("NEXTFIRETIME" ASC,
               "REPEATSLEFT",
               "PARTITIONID") CLUSTER;

CREATE TABLE @SCHEMA@."BPM_PCS_TREG" ("REGKEY" VARCHAR(254) NOT NULL ,
              "REGVALUE" VARCHAR(254) );

ALTER TABLE @SCHEMA@."BPM_PCS_TREG" ADD PRIMARY KEY ("REGKEY");

CREATE TABLE @SCHEMA@."BPM_PCS_LMGR" (LEASENAME VARCHAR(254) NOT NULL,
               LEASEOWNER VARCHAR(254) NOT NULL,
               LEASE_EXPIRE_TIME  BIGINT,
              DISABLED VARCHAR(5));

ALTER TABLE @SCHEMA@."BPM_PCS_LMGR" ADD PRIMARY KEY ("LEASENAME");

CREATE TABLE @SCHEMA@."BPM_PCS_LMPR" (LEASENAME VARCHAR(254) NOT NULL,
              NAME VARCHAR(254) NOT NULL,
              VALUE VARCHAR(254) NOT NULL);

CREATE INDEX @SCHEMA@."BPM_PCS_LMPR_IDX1" ON @SCHEMA@."BPM_PCS_LMPR" (LEASENAME,
               NAME);

